//===================================================================
/*
	AnalysisProcess.hh

	Ver0.1		10-Sep-2000	Y. Shimizu

*/
//==================================================================
#include<iostream.h>
#include<string.h>
#include<unistd.h>
#include<stdlib.h>
#include<signal.h>
#include<KonoePrimitives.hh>
#include<system/KonoeSignalClient.hh>
#include<system/KonoeSignalHandler.hh>
#include<system/KonoeNameSpaceValue.hh>
#include<system/KonoeNameSpaceItem.hh>
#include<system/KonoeUDPServerSocket.hh>
#include<system/KonoeLogMessage.hh>
#include<system/KonoeLogMessenger.hh>

#include"DemoAnalysis.hh"

class AnalysisProcess: public KonoeSignalClient {

public:
	enum {	INIT , BEGIN  , END , UNKNOWN };
	enum {	FALSE , TRUE };
	enum {	OFF , ON };

protected:

	DemoAnalysis * ana;
	
	KonoeLogMessage	* msg;
	KonoeLogMessenger *log;
        KChar * masterhost ;

	KonoeUDPClientSocket * command_process;
	KInt ana_mode;
	KInt flag ;
	KInt number ;

	KonoeSignalHandler	* handler;
	void catchSignal(KInt signal);

public:
	AnalysisProcess();
	~AnalysisProcess();
	KInt init();
	KInt init(KInt number);
	KInt begin();
	KInt end();
	
};
