#include "Extractor_1d.hh"


Extractor_1d :: Extractor_1d(KInt phistoID, KonoePhysicalValue * pphysicalvalue):
	KonoeFillDataExtractor( pphysicalvalue ){

	histoID = phistoID;
}

Extractor_1d :: ~Extractor_1d(){

}


KonoeFillData *	Extractor_1d :: next() {

	KonoeDataMultiplet		* multiplet;
	
	while( 1 ) {
		multiplet = physicalvalue -> next();
		KInt pid = (KInt) multiplet->getValue(indices[1]);
		if( multiplet == 0 )
			return 0;
		if( pid  == histoID )
			break;
	}

	return new KonoeFillData( multiplet -> getValue( indices[ 0 ]), 0.0, 0.0 );
}

