// $Id: DemoNameSpace.hh,v 1.4 2000/11/14 11:54:18 iwai Exp $
// ==================================================================
//  DemoNameSpace.hh
//  01-September-2000'
//  Go Iwai [iwai@hep.sc.niigata-u.ac.jp]
// ==================================================================
#ifndef __DEMONAMESPACE_HH
#define __DEMONAMESPACE_HH
// KONOE general header files
#include <KonoePrimitives.hh>
#include <system/KonoeSignalClient.hh>
#include <system/KonoeUDPClientSocket.hh>

// user defined header files

class KonoeNetworkNameSpaceManager;
class KonoeNameSpaceTable;
class KonoeNameSpaceValue;
class KonoeSignalHandler;
class DemoAction;
class DemoStatus;

class DemoNameSpace : public KonoeSignalClient {
private:
  KonoeNetworkNameSpaceManager* manager;
  KonoeNameSpaceTable* table;
  KonoeNameSpaceValue* value;
  KonoeSignalHandler* handler;
  KChar* masterHost;

  KonoeUDPClientSocket * command_process;

  DemoStatus* status;
  DemoAction* action;

  // If DAQ process accept signal, catchSignal() will be called.
  void catchSignal(KInt signal);

public:
  DemoNameSpace();
  ~DemoNameSpace();

};

#endif
