// $Id: DemoSlaveDaemon.hh,v 1.3 2000/11/14 11:54:18 iwai Exp $
// ==================================================================
//  DemoSlaveDaemon.hh
//  01-September-2000'
//  Go Iwai [iwai@hep.sc.niigata-u.ac.jp]
// ==================================================================
#include <iostream.h>
#include <system/KonoeNameSpaceSlave.hh>
#include <system/KonoeExecutorDaemon.hh>
#include <system/KonoeNetworkNameSpaceManager.hh>

class DemoSlaveDaemon {
public:
  enum { MEMORY_ACCESS = 0644 };
  enum { HOSTNAMELENGTH = 128 };
  
protected:
  KonoeExecutorDaemon* ked;

  KChar* hostname;

  KonoeNetworkNameSpaceManager* masterHost;
  KonoeNetworkNameSpaceManager* slaveHost;
  KonoeNetworkNameSpaceManager* daemonPort;
  KonoeNetworkNameSpaceManager* commandStatus;
  KonoeNetworkNameSpaceManager* daqStatus;
  KonoeNetworkNameSpaceManager* daqCommand;

public:
  DemoSlaveDaemon(KChar* master = 0);
  KInt go();

};
