//=========================================================================
/*

	DemoControler.hh

	11-Sep-2000	Y. Shimizu

*/
//=========================================================================
#include<iostream.h>
#include<stdlib.h>
#include<system/KonoeNameSpaceTable.hh>
#include<system/KonoeNameSpaceValue.hh>
#include<system/KonoeSignalSender.hh>
#include<system/KonoeLogMessage.hh>
#include<system/KonoeLogMessenger.hh>
#include<system/KonoeUDPServerSocket.hh>
#include<system/KonoeHostSystem.hh>

class DemoControler{
public:
	enum { COMMANDPORT = 50005 };

protected:
  KChar buffer[256];
  KChar * masterhost;
  KChar * host;
  KChar * hostname;
  KInt  pid;
  KInt  flag;
  
  //	flag = 1;
  KonoeNameSpaceTable * table;
  KonoeNameSpaceValue * value;
  KonoeLogMessage	    * message;
  KonoeLogMessenger   * log;
  KonoeSignalSender   * killer;
  KonoeUDPServerSocket * command_sender;

public:
  
  DemoControler( );
  DemoControler( KChar* host ,KInt pid = 0);
  ~DemoControler( );
  KInt control(KChar* COMMAND, KChar* phost = 0);
  KInt control(KChar* COMMAND,KInt pid, KChar* phost);
  void entry( KChar* host);

};
