//========================================================================
/*
	DemoSDaemon.hh

	25-Aug-2000 	Y. Shimizu	

	slave-host daemon
*/
//=========================================================================
#include 	<iostream.h>
#include	<system/KonoeNameSpaceSlave.hh>
#include	<system/KonoeExecutorDaemon.hh>
#include	<system/KonoeLogMessage.hh>
#include	<system/KonoeLogMessenger.hh>
#include	<system/KonoeNetworkNameSpaceManager.hh>


class DemoSDaemon {
public:
	enum  {		MEMORY_ACCESS = 0644 	};
	enum  {		HOSTNAMELENGTH = 128 	};
protected:
	KonoeExecutorDaemon  * ked;

	KChar * hostname;

	KonoeLogMessenger * 	log;
	KonoeLogMessage	  *	msg1;
	KonoeLogMessage	  *	msg2;

	KonoeNetworkNameSpaceManager * manager1 ;
	KonoeNetworkNameSpaceManager * manager2 ;
	KonoeNetworkNameSpaceManager * manager3 ;
	KonoeNetworkNameSpaceManager * manager4 ;

public:
	DemoSDaemon( KChar* master = 0);
	KInt go( );

};
