//======================================================
/*
	DemoSteteChecker.hh

	11-Sep-2000	Y. Shimizu

*/
//======================================================
#include<string.h>
#include"DemoStateChecker.hh"
#include<system/KonoeNameSpaceTable.hh>
#include<system/KonoeNameSpaceValue.hh>
#include<system/KonoeNetworkNameSpaceManager.hh>

DemoStateChecker::DemoStateChecker(){

  table = new KonoeNameSpaceTable();

  value = table->getValue("MASTER_HOST");
  if( value == 0 ){
    cerr << " MASTER_HOST is not set " << endl;
    exit(0);
  }
  masterhost = (KChar*)*value;

}


KInt DemoStateChecker::check(){

  value = table->getValue("CMD_STATUS");
  
  if( value ){
    ans = (KChar*)*value;
  }
  else {
    cout << " STATUS is not difined " << endl;
    state = -1;
    return state;
  }

  if( strcmp(ans,"false") == 0){
    state = -1;
    return state;
  }
  else if( strcmp(ans,"true") == 0){
    state = 0;
    return state;
  }
  else if( strcmp(ans,"empty") == 0){
    state = -2;
    return state;
  }
  else{
    state = -3;
    return state;
  }

}
  
void DemoStateChecker::init(){

  KonoeNetworkNameSpaceManager * mgr;
  mgr = new KonoeNetworkNameSpaceManager( masterhost );
  
  mgr->setValue("CMD_STATUS","empty");

  delete mgr;
//////////////////////////////// perhaps you shuld "delete mgr"

}
