// $Id: read.cc,v 1.3 2000/11/12 20:58:12 iwai Exp $
// ============================================================
//  read.cc
//  23-October-2000'
//  Go Iwai [iwai@hep.sc.niigata-u.ac.jp]
// ============================================================
#include <system/KonoeInputObjFile.hh>
#include <analysis/KonoeDataRecord.hh>

int main(int argc, char** argv)
{
  static KChar* FILENAME;
  if ( argc == 1 ) {
    FILENAME = "camac.dat";
  } else if ( argc == 2 ) {
    FILENAME = argv[1];
  } else {
    cerr << "Usage: read [Data File]" << endl;
    return (-1);
  }

  KonoeInputObjFile* file = new KonoeInputObjFile(FILENAME);
  KonoeDataRecordCM* manager = new KonoeDataRecordCM();
  file -> installCM(manager);
  KonoeDataRecord* data;

  while (1) {
    data = (KonoeDataRecord*) file -> get();
    if ( data == 0 )
      break;
    data -> dump(cout);
    delete data;
  }

  delete file;
  delete manager;

  return (0);
}
