#include <system/KonoeInputObjFile.hh>
#include <analysis/KonoeDataRecord.hh>
#include <analysis/KonoeDataRecordCM.hh>

#include "exConstants.hh"

int main( int argc, char** argv, char** envv )
{
  KonoeInputObjFile* ifile
    = new KonoeInputObjFile( kFileNameForDataRecord );

  KonoeDataRecordCM* manager = new KonoeDataRecordCM();
  ifile -> installCM( manager );

  KonoeDataRecord* datarecord = 0;

  while ( ( datarecord = (KonoeDataRecord*)( ifile -> get() ) ) ) {
    datarecord -> dump( cout );
    delete datarecord;
  }

  delete ifile;
  delete manager;

  return( 0 );
}
