#ifndef __CALORIEMETERSECTIONANALYZER_HH
#define __CALORIEMETERSECTIONANALYZER_HH

#include <analysis/KonoeSectionAnalyzer.hh>
#include "ADCValue.hh"

class CalorieMeterSectionAnalyzer : public KonoeSectionAnalyzer {
  protected:
    ADCValue *adc_value;

  public:
    CalorieMeterSectionAnalyzer(KInt ptag);
    ~CalorieMeterSectionAnalyzer();

    KInt analyze(KonoeDataSection *section);
    KonoePhysicalValue *getPhysicalValue();
};

#endif
