#include "EventInfoValue.hh"

EventInfoValue::EventInfoValue(KInt ptag) 
: KonoePhysicalValue(ptag), counter(0), data_count(3) { 
    elements = new KonoePhysIntElement[data_count];
}

EventInfoValue::~EventInfoValue() {
    delete[] elements;
}

KInt EventInfoValue::getDataCount( ) { return data_count; }

void EventInfoValue::reset() { counter = 0; }

KonoePhysValueElement *EventInfoValue::next() { 
    if (counter >= data_count) return 0;
    counter++;
    return elements + counter;
}
