/*
	CROfflineDAQProcess.hh

	Version 0.0.0	26-Dec-2002	mor
*/

#ifndef __CROFFLINEDAQPROCESS_HH
#define __CROFFLINEDAQPROCESS_HH

#include "CRProcess.hh"
#include "CRDAQNameSpace.hh"
#include "CRDAQStatus.hh"
#include "CRDAQAction.hh"
#include "CRDAQDataBuffer.hh"

#include "CROfflineDAQMC.hh"

class CROfflineDAQProcess : public CRProcess {
public:
	CROfflineDAQProcess( KInt commandPort );
	~CROfflineDAQProcess();

	void go();

private:
	CRDAQNameSpace* daqNameSpace;
	CRDAQStatus* daqStatus;
	CRDAQAction* daqAction;
	CROfflineDAQMC* daqModules;

	void catchSignal( KInt signal );

	KInt sleepTime;
};

#endif
