/*
	CRDataHubNameSpace.cc

	Version 0.0.0	20-Aug-2002	mor
*/

#include "CRDataHubNameSpace.hh"

CRDataHubNameSpace::CRDataHubNameSpace()
{
  this -> extract();
  this -> update();
}

CRDataHubNameSpace::CRDataHubNameSpace( KChar* option )
{
  this -> pre_extract();
  this -> pre_update();
}

CRDataHubNameSpace::~CRDataHubNameSpace()
{
  this -> update();
  this -> pre_update();
}

void CRDataHubNameSpace::extract()
{
  strcpy( this -> dataHubHost, getKCharValue("DATAHUB_HOST") );
  strcpy( this -> dataHubHost2, getKCharValue("DATAHUB_HOST2") );
  strcpy( this -> dataHubHost3, getKCharValue("DATAHUB_HOST3") );
  this -> flag1 = getKIntValue("DATAHUB_FLAG");
  this -> flag2 = getKIntValue("DATAHUB2_FLAG");
  this -> flag3 = getKIntValue("DATAHUB3_FLAG");
  strcpy( this -> dataHubStatus, getKCharValue("DATAHUB_STATUS") );


  this -> dataHubPID = KonoeHostSystem::getPid();
  this -> dataHubCommandPort = getKIntValue("DATAHUB_CMD_PORT");

  this -> dataHubInputPort = getKIntValue("DATAHUB_INPUT_PORT");
  this -> dataHubInputPort2 = getKIntValue("DATAHUB2_INPUT_PORT");
  this -> dataHubInputPort3 = getKIntValue("DATAHUB3_INPUT_PORT");
  this -> dataHubOutputPort = getKIntValue("DATAHUB_OUTPUT_PORT");

  this -> dataHubBufferSize = getKIntValue("DATAHUB_BUFFER_SIZE");
  strcpy( this -> dataHubStorageFileName, getKCharValue("DATAHUB_STORAGE_FILE_NAME") );

  return;
}

void CRDataHubNameSpace::pre_extract()
{
  strcpy( this -> preDataHubHost, getKCharValue("PREDATAHUB_HOST") );
  this -> preDataHubPID = KonoeHostSystem::getPid();
  strcpy( this -> preDataHubStatus, getKCharValue("PREDATAHUB_STATUS") );

cout << "asdf " << this -> preDataHubStatus << endl;

  this -> preDHInputPort = getKIntValue("PREDATAHUB_INPUT_PORT");
  this -> preDHOutputPort = getKIntValue("PREDATAHUB_OUTPUT_PORT");

  this -> dataHubInputPort = getKIntValue("DATAHUB_INPUT_PORT");
  this -> dataHubInputPort2 = getKIntValue("DATAHUB2_INPUT_PORT");
  this -> dataHubInputPort3 = getKIntValue("DATAHUB3_INPUT_PORT");

  return;
}

void CRDataHubNameSpace::update()
{
  set( "DATAHUB_STATUS", this -> getDataHubStatus() );
  set( "DATAHUB_PID", this -> getDataHubPid() );
  set( "DATAHUB_HOST", this -> getDataHubHost() );

  return;
}

void CRDataHubNameSpace::pre_update()
{
  set( "PREDATAHUB_STATUS", this -> getPreDataHubStatus() );
  set( "PREDATAHUB_PID", this -> getPreDataHubPid() );
  set( "PREDATAHUB_HOST", this -> getPreDataHubHost() );

  return;
}

void CRDataHubNameSpace::show()
{
  this -> showDataHubHost();
  this -> showDataHubStatus();
  this -> showDataHubPid();
  this -> showDataHubCommandPort();
  this -> showDataHubInputPort();
  this -> showDataHubOutputPort();
  this -> showDataHubStorageFileName();

  return;
}

void CRDataHubNameSpace::pre_show()
{
  this -> showPreDataHubHost();
  this -> showPreDataHubStatus();
  this -> showPreDataHubPid();
  this -> showPreDHInputPort();
  this -> showPreDHOutputPort();

  this -> showDataHubInputPort();

  return;
}
