/*
	CRPreDH.hh

	Version 0.0.0	06-Aug-2002	mor
*/

#ifndef __CRPREDH_HH
#define __CRPREDH_HH

#include <string.h>
#include <stdlib.h>
#include <KonoePrimitives.hh>

#include <system/KonoeObjectServerSocketBuffered.hh>
#include <system/KonoeObjectSocketBuffered.hh>
#include <system/KonoeServerSocket.hh>
#include <system/KonoeSocketConnection.hh>
#include <system/KonoeOutputObjSocketBuffered.hh>

#include <analysis/KonoeDataRecord.hh>
#include <analysis/KonoeDataRecordCM.hh>

#include "CRDataHubNameSpace.hh"
#include "CRDataHubDataBuffer.hh"

class CRPreDH : public CRDataHubNameSpace {
private:
  enum { CHAR_LENGTH = 256 };

  KonoeObjectServerSocketBuffered* in_server;
  KonoeObjectSocketBuffered* obj_soc;
  KonoeOutputObjSocketBuffered* out_soc1;
  KonoeOutputObjSocketBuffered* out_soc2;
  KonoeOutputObjSocketBuffered* out_soc3;

  KonoeSocketConnection* soc_con;
  KonoeServerSocket* out_server;

  CRDataHubNameSpace* ns;

  KonoeDataRecord* rec;
  KonoeDataRecordCM* manager;

  KInt i_port;
  KInt o_port1;
  KInt o_port2;
  KInt o_port3;

  KChar o_host1[CHAR_LENGTH];
  KChar o_host2[CHAR_LENGTH];
  KChar o_host3[CHAR_LENGTH];

  void burial();

public:
  CRPreDH();
  ~CRPreDH();

  void go();
  void get_data();
  void put_data( KonoeDataRecord* rec );
};

#endif
