/*
	CRConnectServer.hh

	Version 0.0.0	2-Jan-2003	mor
*/

#ifndef __CRCONNECTSERVER_HH
#define __CRCONNECTSERVER_HH

#include <unistd.h>
#include <string.h>

#include <system/KonoeClientSocket.hh>
#include <system/KonoeInputObjSocketBuffered.hh>
#include <system/KonoeInputObjFileBuffered.hh>
#include <analysis/KonoeDataRecord.hh>
#include <analysis/KonoeDataRecordCM.hh>

class CRConnectServer {
public:
	CRConnectServer( KInt pport, KChar* phost );
	CRConnectServer( KChar* pfile );
	virtual ~CRConnectServer();

	void connect();
	void sendMessage( KChar* mes );
	KonoeDataRecord* getRecord();

private:
	enum { CHAR_LENGTH = 256 };

	KInt serverPort;
	KChar serverHost[CHAR_LENGTH];
	KChar* file_name;

	KonoeClientSocket* cli_soc;
	KonoeInputObjSocketBuffered* in_soc;
	KonoeInputObjFileBuffered* in_file;
	KonoeDataRecordCM* manager;
};

#endif
