/*
	CRHistogramNameSpace.cc

	Version 0.0.0	2-Jan-2003	mor
*/

#include <stdio.h>
#include "CRHistogramNameSpace.hh"

CRHistogramNameSpace::CRHistogramNameSpace()
{
	this -> extract();
}

CRHistogramNameSpace::~CRHistogramNameSpace()
{
	;
}
void CRHistogramNameSpace::extract()
{
	hubPort = getKIntValue("DATAHUB_OUTPUT_PORT");
	strcpy( this -> hubHost, getKCharValue("DATAHUB_HOST") );

	strcpy( this -> title, getKCharValue("MAINWINDOWTITLE") );
	numHist = getKIntValue("NUMBER_HIST");
	numFrame = getKIntValue("NUMBER_FRAME");
	minScale = getKIntValue("MIN_SCALE");
	maxScale = getKIntValue("MAX_SCALE");

	tate = getKIntValue("TATE");
	yoko = getKIntValue("YOKO");


	*(histTitle) = new KChar [numHist];
	*(histColor) = new KChar [numHist];
	*(histBGColor) = new KChar [numHist];

	for( int i=0; i<numHist; i++ ) {
		histTitle[i] = new KChar [256];
		strcpy( histTitle[i], getKCharValue("HISTOGRAM[i]_TITLE", i) );
		histColor[i] = new KChar [256];
		strcpy( histColor[i], getKCharValue("HISTOGRAM[i]_COLOR", i) );
		histBGColor[i] = new KChar [256];
		strcpy( histBGColor[i], getKCharValue("HISTOGRAM[i]_BGCOLOR", i) );

		cout << "Title[" << i << "] : " << histTitle[i] << endl;
		cout << "Color[" << i << "] : " << histColor[i] << endl;
		cout << "BGCol[" << i << "] : " << histBGColor[i] << endl;
	}
	this -> histColor[0] = "black";

	return;
}

void CRHistogramNameSpace::update()
{
	return;
}

void CRHistogramNameSpace::show()
{
	showHubHost();
	showHubPort();
	showMWTitle();
	showNumHist();
	showNumFrame();
	showMinScale();
	showMaxScale();
	showTate();
	showYoko();
	return;
}
