/*
	CRRecieveData.cc

	Version 0.0.0	07-Jan-2003	mor
*/

#include "CRRecieveData.hh"

CRRecieveData::CRRecieveData()
{
	this -> numHist = getNumHist();
	this -> minScale = getMinScale();
	this -> maxScale = getMaxScale();

	cout << numHist << endl;
	cout << minScale << endl;
	cout << maxScale << endl;

	con_soc = new CRConnectServer( getHubPort(), getHubHost() );
	con_soc -> connect();

	hist_dis = new CRHistogramDisplay();
}

CRRecieveData::~CRRecieveData()
{
	delete con_soc;
	delete hist_dis;
}

void CRRecieveData::go()
{
  KInt histid = 0;

	Konoe1DHistogram* hist[ numHist ];
  vector<KFloat> buffer[ numHist ]; 
  vector<KFloat> buffer2[ numHist ]; 
  vector<KFloat> buffer3[ numHist ]; 

	for(;;) {
		sleep(1);
		KonoeDataRecord* rec = 0;
		con_soc -> sendMessage( "neko" );

		rec = (KonoeDataRecord*)( con_soc -> getRecord() );


		if( rec ) {
//			rec -> dump( cout );
      histid = 0;

			for( int i=0; i<numHist; i++ ) {
				hist[i] = new Konoe1DHistogram( new KonoeLinearDataScale( this->minScale, this->maxScale, (KInt)this->maxScale ) );
				hist[i] -> clear();
			}

      rec -> reset();
      sec = rec -> next();
      sec -> reset();
      seg = sec -> next();
      seg = sec -> next();
      seg -> reset();
      ele = seg -> next();
      place = (KInt*)(ele -> getStore());

      rec -> reset();
      sec = rec -> next();
      sec = rec -> next();
      sec = rec -> next();
      sec -> reset();
      seg = sec -> next();
      seg -> reset();
      while( (ele = seg -> next()) ) {
        if( *place == 1 ) {
          (buffer[histid]).push_back( (KFloat)( *( (KInt*)(ele->getStore() ) ) ) );
        } else if( *place == 2 ) {
          (buffer2[histid]).push_back( (KFloat)( *( (KInt*)(ele->getStore() ) ) ) );
        } else if( *place == 3 ) {
          (buffer3[histid]).push_back( (KFloat)( *( (KInt*)(ele->getStore() ) ) ) );
        }
        histid++;
      }

      for( int i=0; i<(KInt)((buffer[0]).size()); i++ ) {
        hist[0] -> fill( new KonoeFillData( (buffer[0]) [i] ) );
      }
      for( int i=0; i<(KInt)((buffer[1]).size()); i++ ) {
        hist[1] -> fill( new KonoeFillData( (buffer[1]) [i] ) );
      }
      for( int i=0; i<(KInt)((buffer2[0]).size()); i++ ) {
        hist[2] -> fill( new KonoeFillData( (buffer2[0]) [i] ) );
      }
      for( int i=0; i<(KInt)((buffer2[1]).size()); i++ ) {
        hist[3] -> fill( new KonoeFillData( (buffer2[1]) [i] ) );
      }
      for( int i=0; i<(KInt)((buffer3[0]).size()); i++ ) {
        hist[4] -> fill( new KonoeFillData( (buffer3[0]) [i] ) );
      }
      for( int i=0; i<(KInt)((buffer3[2]).size()); i++ ) {
        hist[5] -> fill( new KonoeFillData( (buffer3[2]) [i] ) );
      }
      hist_dis -> update( hist );
    }
	}
	return;
}
