/*
	CRReconstruct.cc

	Version 0.0.1	28-Aug-2002	mor
*/

#include "CRReconstruct.hh"

CRReconstruct::CRReconstruct()
{
  hub_port = getDataHubOutputPort();
  cout << hub_port << endl;
  hub_host = getDataHubHost();
  cout << hub_host << endl;

  this -> set_hub();

  while( ( cli_soc -> getStatus() ) != KonoeSocketIO::CONNECTED ) {
    cout << "NOT CONNECT. try to connect after 5 sec." << endl;
    sleep(3);
    cli_soc -> connect();
  }
}

CRReconstruct::~CRReconstruct()
{;}

void CRReconstruct::set_hub()
{
  cli_soc = new KonoeClientSocket( hub_host, hub_port );
  in_soc = new KonoeInputObjSocketBuffered( cli_soc );
  manager = new KonoeDataRecordCM();
  in_soc -> installCM( manager );
}

void CRReconstruct::set_gui()
{;}

void CRReconstruct::get_data()
{

  KChar* buf;
  KInt bufsize = 5;
  KChar buff[] = "neko";

  cli_soc -> send( buff, bufsize );

  KonoeDataRecord* rec = 0;
  rec = (KonoeDataRecord*)( in_soc -> get() );
  rec -> dump( cout );
  delete rec;

}

void CRReconstruct::go()
{
  while(1) {
    sleep(5);
    this -> get_data();
  }
}
