/*
	CRReconstructNameSpace.cc

	Version 0.0.0	23-Aug-2002	mor
*/

#include "CRReconstructNameSpace.hh"

CRReconstructNameSpace::CRReconstructNameSpace()
{
  this -> extract();
  this -> update();

  this -> show();
}

CRReconstructNameSpace::~CRReconstructNameSpace()
{
  this -> update;
}

void CRReconstructNameSpace::extract()
{
  strcpy( this -> reconstHost, getKCharValue("RECONSTRUCT_HOST") );
  strcpy( this -> reconstStatus, getKCharValue("RECONSTRUCT_STATUS") );
  strcpy( this -> dataHubHost, getKCharValue("DATAHUB_HOST") );

  this -> reconstPID = KonoeHostSystem::getPid();
  this -> reconstCommandPort = getKIntValue("RECONSTRUCT_CMD_PORT");
  this -> dataHubOutputPort = getKIntValue("DATAHUB_OUTPUT_PORT");

  return;
}

void CRReconstructNameSpace::update()
{
  set( "RECONSTRUCT_HOST", this -> getReconstHost() );
  set( "RECONSTRUCT_STATUS", this -> getReconstStatus() );
  set( "RECONST_PID", this -> getReconstPid() );

  return;
}

void CRReconstructNameSpace::show()
{
  this -> showReconstHost();
  this -> showReconstStatus();
  this -> showReconstPid();
  this -> showReconstCommandPort();
  cout << endl;
  this -> showDataHubHost();
  this -> showDataHubOutputPort();
}
