/*
	CRDyingMessage.cc

	Version 0.0.0	11-Aug-2002	mor
*/

#include "CRDyingMessage.hh"
#include <system/KonoeHostSystem.hh>

CRDyingMessage::CRDyingMessage()
{
  HUP_handler = new KonoeSignalHandler( SIGHUP, this );
  HUP_handler -> enable();
  QUIT_handler = new KonoeSignalHandler( SIGQUIT, this );
  QUIT_handler -> enable();
  ILL_handler = new KonoeSignalHandler( SIGILL, this );
  ILL_handler -> enable();
  TRAP_handler = new KonoeSignalHandler( SIGTRAP, this );
  TRAP_handler -> enable();
  ABRT_handler = new KonoeSignalHandler( SIGABRT, this );
  ABRT_handler -> enable();
  FPE_handler = new KonoeSignalHandler( SIGFPE, this );
  FPE_handler -> enable();
  BUS_handler = new KonoeSignalHandler( SIGBUS, this );
  BUS_handler -> enable();
  SEGV_handler = new KonoeSignalHandler( SIGSEGV, this );
  SEGV_handler -> enable();
  SYS_handler = new KonoeSignalHandler( SIGSYS, this );
  SYS_handler -> enable();
  PIPE_handler = new KonoeSignalHandler( SIGPIPE, this );
  PIPE_handler -> enable();
  TERM_handler = new KonoeSignalHandler( SIGTERM, this );
  TERM_handler -> enable();
  TSTP_handler = new KonoeSignalHandler( SIGTSTP, this );
  TSTP_handler -> enable();
}

void CRDyingMessage::lastAction()
{
  cout << "I have to Go ... Good bye... " << endl;
  KonoeHostSystem::exit(0);
}

void CRDyingMessage::catchSignal( KInt signal )
{
  this -> lastAction();
}
