/*
	CRPreDHControl.cc

	Version 0.0.0	21-Jan-2003	mor
*/

#include "CRPreDHControl.hh"

CRPreDHControl::CRPreDHControl( KInt pport, KChar* phost )
{
	serverPort = pport;
	strcpy( serverHost, phost );

	cli_soc = new KonoeClientSocket( serverHost, serverPort );
}

CRPreDHControl::~CRPreDHControl()
{
	delete cli_soc;
}

void CRPreDHControl::connect()
{
	while( (cli_soc -> getStatus()) != KonoeSocketIO::CONNECTED ) {
		cerr << "NOT CONNECT." << endl;
		cerr << "Try to connect after 3 sec." << endl;
		cli_soc -> connect();
	}
	return;
}

void CRPreDHControl::sendMessage( KChar* mes )
{
  cli_soc -> send( mes, strlen(mes) );
	return;
}
