/*
	CRStatusChecker.hh

	Version 0.0.0	11-Aug-2002	mor
*/

#ifndef __CRSTATUSCHECKER_HH
#define __CRSTATUSCHECKER_HH

#include "CRNameSpaceExtractor.hh"
#include "CRNameSpaceSetter.hh"

class CRStatusChecker {
public:
  enum { UNKNOWN = -3, FALSE = -2, NONE = -1, SUCCESS =0 };

protected:
  CRNameSpaceExtractor* status;
  CRNameSpaceSetter* setter;
  KChar item[256];

public:
  CRStatusChecker( KChar* process_name );
  ~CRStatusChecker();

  KInt init();
  KInt setTrue();
  KInt setFalse();
  KInt check();
};

#endif
