/*
	CRTimeoutHandler.cc

	Version 0.0.0	07-Aug-2002	mor
*/

#include "CRTimeoutHandler.hh"

CRTimeoutHandler::CRTimeoutHandler( KChar* phost, KInt pport )
{
  port = pport;
  host = phost;
  alrmhandler = new KonoeSignalHandler( SIGALRM , this );
	
  socket = 0;
  if( port != 0 )
    socket = new KonoeUDPClientSocket( host, port );

  alrmhandler -> enable();
  itimer = new KonoeIntervalTimer;
}

void CRTimeoutHandler::catchSignal( KInt signal )
{
  if( signal == SIGALRM ){
    cout << "\tTimeout ; process DEAD?" << endl;
    return ;
  }		

}

KInt CRTimeoutHandler::setTime( KInt mili_sec )
{
  itimer -> setInterval( mili_sec );	
}
