/*
	crexed.cc

	Version 0.0.0	22-Aug-2002	mor
*/

#include <system/KonoeExecutorDaemon.hh>
#include <system/KonoeHostSystem.hh>
#include "CRNameSpaceExtractor.hh"
#include <unistd.h>
#include <stdlib.h>

KInt main( KInt argc, KChar** argv )
{
  uid_t uid;

  if( argv[1] ) {
    uid = atoi( argv[1] );
    setuid( uid );
  }

  CRNameSpaceExtractor* ext = new CRNameSpaceExtractor;
  KInt eport = ext -> getKIntValue("EXE_PORT");

  if( eport == -1 ) {
    cerr << "EXE_PORT is not defined : exit" << endl;
    KonoeHostSystem:exit(0);
  }

  KonoeExecutorDaemon* daemon = new KonoeExecutorDaemon( eport );

  cout << "EXE_PORT is : " << eport << endl;

  daemon -> go();

  delete daemon;

  return 0;
}
