// $Id: OfflineDAQProcess.hh,v 1.5 2000/12/09 15:20:37 iwai Exp $
// ==================================================================
//  OfflineDAQProcess.hh
//  03-December-2000'
//  Go Iwai [iwai@hep.sc.niigata-u.ac.jp]
// ==================================================================
#ifndef __OFFLINEDAQPROCESS_HH
#define __OFFLINEDAQPROCESS_HH

#include "T473Process.hh"
#include "T473DAQNameSpace.hh"
#include "T473DAQStatus.hh"
#include "T473DAQAction.hh"
#include "T473DAQDataBuffer.hh"

#include "OfflineDAQModuleConstruction.hh"

class OfflineDAQProcess : public T473Process {

private:
  T473DAQNameSpace* daqNameSpace;
  T473DAQStatus* daqStatus;
  T473DAQAction* daqAction;
  OfflineDAQModuleConstruction* daqModules;

  void catchSignal( KInt signal );
  
  KInt daqRate;
  KInt sleepTime;

public:
  OfflineDAQProcess( KInt commandPort );
  ~OfflineDAQProcess();

  void go();
  inline KInt getDaqRate() const { return ( this -> daqRate ); }
  void setDaqRate( KInt rate );

};

#endif
