//=====================================================================
/*

    T473TclEventDisplayInfo.hh

    Version 0.0.1   24-Nov-2000 T. Hosoi

*/
//====================================================================

#ifndef __T473TCLEVENTDISPLAYINFO_HH
#define __T473TCLEVENTDISPLAYINFO_HH

#include <ui/KonoeTclWidget.hh>
#include <ui/KonoeTclWindow.hh>

class T473TclEventDisplayInfo {

  public:
    T473TclEventDisplayInfo(KonoeTclWindow* pwin);
    ~T473TclEventDisplayInfo();

  private:
    void initWidget();

  private:
    KonoeTclWindow* kwin;

  public:
    KonoeTclLabel* runNumVLabel;
    KonoeTclLabel* eventNumVLabel;

    KonoeTclLabel* hpValueLabel;

    KonoeTclLabel* coinRegVLabel0;
    KonoeTclLabel* coinRegVLabel1;
    KonoeTclLabel* coinRegVLabel2;

    KonoeTclFrame* aFrame;
    KonoeTclLabel* lbla[25];

    KonoeTclFrame* bFrame;
    KonoeTclLabel* lblb[25];

    KonoeTclFrame* dFrame;
    KonoeTclLabel* lbld[25];

    KonoeTclFrame* eFrame;
    KonoeTclLabel* lble[25];


  private:
    KonoeTclFrame* dummyA;
    KonoeTclLabel* runNumLabel;
    KonoeTclLabel* eventNumLabel;

    KonoeTclFrame* hpFrame;
    KonoeTclLabel* hpLabel;

    KonoeTclLabel* coinRegLabel0;
    KonoeTclLabel* coinRegLabel1;
    KonoeTclLabel* coinRegLabel2;

    KonoeTclFrame* dummy0;

    KonoeTclFrame* csiFrame;

    KonoeTclFrame* cFrame;
    KonoeTclLabel* lblc[25];

    KonoeTclLabel* hitTimeLabel;
    KonoeTclLabel* hitEnergyLabel;
    KonoeTclLabel* adcValueLabel;
    KonoeTclLabel* tdcValueLabel;

    KonoeTclFrame* dummy1;
    KonoeTclFrame* dummy2;
    KonoeTclFrame* dummy3;
    KonoeTclFrame* dummy4;
};

#endif
