//=====================================================================
/*

    T473TclSetup.hh

    Version 0.0.1   06-Dec-2000 T. Hosoi

*/
//====================================================================

#ifndef __T473TCLSETUP_HH
#define __T473TCLSETUP_HH

#include <ui/KonoeTclWidget.hh>

class T473TclSetup {

  public:
    T473TclSetup( KonoeTclCanvas* canvas, KInt startX, KInt startY, 
                                          KInt width,  KInt height );

    void draw();
    void draw(KInt sX, KInt sY, KInt w, KInt h);

    void hitS1R();
    void hitS1L();
    void hitS1P();
    void hitS2();
    void hitS3();
    void hitS4();
    void hitS5();
    void hitS6();
    void hitS7();
    void hitGC1();
    void hitGC2();
    void hitXe();

  private:
    KonoeTclCanvas* c;
    KInt startX;
    KInt startY;
    KInt width;
    KInt height;

    KInt gcSize;
    KInt csiSize;
    KInt feSize;
    KInt xeSize;
};

#endif
