//====================================================================
/*

        T473CsIADCSumExtractor.hh

 	20-Nov-2000	Y. Shimizu
*/
//====================================================================

#ifndef __T473CSIADCSUMEXTRACTOR_HH
#define __T473CSIADCSUMEXTRACTOR_HH

#include <system/KonoeOutputFile.hh>
#include <analysis/KonoePhysicalValue.hh>
#include <analysis/KonoeFillDataExtractor.hh>
#include <analysis/KonoeFillData.hh>

class T473CsIADCSumExtractor : public KonoeFillDataExtractor  {
protected:
	KInt pedestal[25];
 	KInt address_to_index( KInt segment , KInt subaddress );

public:
	T473CsIADCSumExtractor( KonoePhysicalValue * physicalvalue,
		KChar * name1 = 0, KChar * name2 = 0, KChar * name3 = 0 );

	void setPedestal( KInt index, KInt pede );
	KonoeFillData *next( );

};

#endif
