//====================================================================
/*
        T473OfflineFiller.cc
	
	17-Nov-2000	Y. Shimizu
*/
//====================================================================

#include        <analysis/KonoeHistogramFiller.hh>
#include        "T473OfflineFiller.hh"
#include	<iostream.h>
#include	<stdio.h>
#include <string.h>

T473OfflineFiller::T473OfflineFiller(KonoeFillDataExtractor *pextractor, 
	KonoeOutputFile * pfile)  : 
	KonoeHistogramFiller( pextractor , 0 )
{ 
	extractor = pextractor ;
	file = pfile;
}


T473OfflineFiller::~T473OfflineFiller( )
{
    delete extractor;
    delete file;
}

KInt T473OfflineFiller::fill( ){

    KonoeFillData * fill_data;
    KChar value_txt[256];
    extractor -> reset( );

    while( (fill_data = extractor->next())  != 0 ){
	sprintf(value_txt,"%lf\t",fill_data->getX());
	file->writeToStream( value_txt, strlen(value_txt));
	delete fill_data;
	break;
    }
	
    return 0;
   
}
