//====================================================================
/*

        T473SubAddressExtractor.hh

 	 6-Oct-2000	Y. Shimizu
 	15-Nov-2000	Y. Shimizu
*/
//====================================================================

#ifndef __T473SUBADDRESSEXTRACTOR_HH
#define __T473SUBADDRESSEXTRACTOR_HH

#include <analysis/KonoePhysicalValue.hh>
#include <analysis/KonoeFillDataExtractor.hh>
#include <analysis/KonoeFillData.hh>

class T473SubAddressExtractor : public KonoeFillDataExtractor  {
protected:
	KInt segment;
	KInt subadd;
	KInt pedestal;

public:
	T473SubAddressExtractor( KonoePhysicalValue * physicalvalue,
		KChar * name1 = 0, KChar * name2 = 0, KChar * name3 = 0 );

	void setTarget( KInt pseg , KInt psub ){ segment = pseg ; subadd = psub; }
	void setPedestal( KInt ppedestal ){ pedestal = ppedestal ; }
	KonoeFillData *next( );

};

#endif
