//=====================================================================
/*

    T473TclHistogramDisplayOption.hh

    Version 0.0.1   12-Dec-2000 T. Hosoi

*/
//====================================================================

#ifndef __T473TCLHISTOGRAMDISPLAYOPTION_HH
#define __T473TCLHISTOGRAMDISPLAYOPTION_HH

#include <ui/KonoeTclDrawCanvasController.hh>
#include <T473TclHistogramDisplayCsI25.hh>
#include <T473TclHistogramDisplayScin.hh>

enum { KCsI25, KScin }; // histType

class T473TclHistogramDisplayOption : public KonoeTclDrawCanvasController {

  public:
    T473TclHistogramDisplayOption(KonoeTclWindow* pwin,
                                   T473TclHistogramDisplayCsI25* pcsi);
    T473TclHistogramDisplayOption(KonoeTclWindow* pwin,
                                   T473TclHistogramDisplayScin* pscin);
    ~T473TclHistogramDisplayOption();

    KonoeTclWindow* getWindow()
                   { return KonoeTclDrawCanvasController::subWindow; }
    void show() { KonoeTclDrawCanvasController::subWindow->show(); }

  private:
    void mouseAction(KonoeTclButton* kbtn, KInt type, KInt button,
                     Time time, KInt x, KInt y);
    void keyAction(KonoeTclEntry* kbt, KInt type, KeySym keysym, KInt state);

    KInt setButtonAction();

    KonoeTclWindow* kwin;
    T473TclHistogramDisplayCsI25* csi;
    T473TclHistogramDisplayScin* scin;
};

#endif
