//===========================================================
/*
	T473Logger.hh

	3-Oct-2000	Y. Shimizu

*/
//===========================================================

#ifndef __T473LOGGER_HH
#define __T473LOGGER_HH

#include	<system/KonoeFDSet.hh>
#include	<system/KonoeLogger.hh>
#include	<system/KonoeLogMessage.hh>
#include	"../Namespace/T473NameSpaceExtractor.hh"
#include	"../Namespace/T473NameSpaceSetter.hh"
#include	"../RunControl/T473Process.hh"
#include	"../RunControl/T473StatusChecker.hh"
#include	"../RunControl/T473DyingMessage.hh"

class T473Logger : public KonoeLogger , 
		   public T473Process , T473DyingMessage {
protected:
	KInt			level;
	KonoeFDSet	*	fdset;	
	KBool			NEW_FILE;
	T473StatusChecker	* checker;
	T473NameSpaceSetter	* setter;
public:
	T473Logger( KChar* filename , KInt pport ,KInt cmd_port );
	~T473Logger();

	KInt begin( );
	KInt pause( );
	KInt resume( );
	KInt end( );
	KInt shutdown( );
	void lastAction( );
};

#endif
