//=============================================================
/*
	t473_logger.cc

	 3-Oct-2000	Y. Shimizu
	12-Oct-2000	Y. Shimizu
*/
//=============================================================
#include	"T473Logger.hh"
#include        <system/KonoeHostSystem.hh>

int main( ){

	T473Logger * logger;
	T473NameSpaceExtractor * ext;
	ext = new T473NameSpaceExtractor;

	KInt logport = ext->getKIntValue("LOGGER_PORT");
	if( logport == -1){
	  cout <<"t473_logger::LOGGER_PORT is not defined "<<endl;
		KonoeHostSystem::exit(0);
	}
	KInt cmd_port = ext->getKIntValue("LOGGER_CMD_PORT");
	if(cmd_port == -1){
		cerr << "LOGGER_CMD_PORT is not defined : exit " << endl;
		KonoeHostSystem::exit(0);
	}

	KChar* filename = ext->getKCharValue("LOGFILE_NAME");
	if(cmd_port == -1){
		cerr << "LOGFILE_NAME is not defined : exit " << endl;
		KonoeHostSystem::exit(0);
	}

	logger = new T473Logger(filename,logport,cmd_port);

	logger->end( );

	return (0);
}
