//=========================================================================
/*
	t473logread.cc

	25-Nov-2000	Y. Shimizu

		for log-object-file 
*/
//=========================================================================
#include	<system/KonoeInputObjFile.hh>
#include	<system/KonoeLoggerCM.hh>
#include	<system/KonoeLogMessage.hh>
#include        <system/KonoeHostSystem.hh>

int main(int argc, char** argv){

	if( argc != 2 ){
		cerr << "./t473logread <logfile> " << endl;
		KonoeHostSystem::exit(0);
	}

	KonoeInputObjFile	* ofile = new KonoeInputObjFile( *(++argv));
	KonoeLoggerCM 		* l_cm  = new KonoeLoggerCM;
	ofile->installCM( l_cm );

	KonoeLogMessage 	* msg;

	while(1){
		msg = (KonoeLogMessage*)ofile->get();
		if( msg == 0 )
			break;	
		cout << msg->getLogMsg();
		cout << endl;
	}

	return (0);
}
