//=========================================================
/*
	t473stdoToLog.cc
	
	25-Nov-2000	Y. Shimizu

	Standard-output converted to Log-Message
*/
//=========================================================
#include	<iostream.h>
#include	<stdio.h>
#include	<string.h>
#include	"T473LogSender.hh"
#include        <system/KonoeHostSystem.hh>

int main(int argc, char** argv){

	if( argc != 2 ){
		cout << "./t473stdoToLog.cc <command> " << endl;
		KonoeHostSystem::exit(0);
	}

	T473LogSender * log = new T473LogSender;
	KChar	buffer[256];
	KChar	* ptr;
	KChar	* processname; 
	FILE 	* fp;

	if( ( fp = popen(*(++argv),"r") ) == NULL ){
		cerr << "popen : error " << endl;
		KonoeHostSystem::exit(0);
	}
	processname = *argv;
	
	while(1){
		fgets(buffer,256,fp);
		if( feof( fp ) ){
			break;
		}
		ptr = strchr(buffer,'\n');
		if( ptr != NULL ){
			*ptr = '\0';
		}
		strcat(buffer,":");
		strcat(buffer,processname);
		log->send(buffer,1);
	}
	pclose(fp);

	return (0);

}
