//===========================================================
/*
	T473NameSpaceExtractor.cc

	Version 0.1	 3-Oct-2000	Y. Shimizu
	Version 0.2	16-Nov-2000	Y. Shimizu

*/
//===========================================================	

#include	"T473NameSpaceExtractor.hh"
#include	<stdlib.h>
#include        <string.h>

T473NameSpaceExtractor::T473NameSpaceExtractor( ){

	table = new KonoeNameSpaceTable( );

}

T473NameSpaceExtractor::~T473NameSpaceExtractor( ){

  delete table;

}
	
KInt T473NameSpaceExtractor::getKIntValue( KChar* item){
  KonoeNameSpaceValue * value;
  value = table->getValue( item );
  if ( value == 0 ) {
    delete value;
    return -1;  // not found
  } else {
    ext_kint = atoi((KChar*)*value);
    delete value;
    return ext_kint;
  }

}
		
KChar *	T473NameSpaceExtractor::getKCharValue( KChar* item){

  KonoeNameSpaceValue * value;
  value = table->getValue( item );
  if ( value == 0 ){
    delete value;
    return (KChar*)-1; // not found
  } else {
    strcpy(ext_kchar,(KChar*)*value);
    delete value;
    return ext_kchar;
  }
}




