//=========================================================
/*
	T473NameSpaceSetter.cc

	Version 0.1	2-Oct-2000	Y. Shimizu	
	Version 0.2	5-Nov-2000	Y. Shimizu	

*/
//=========================================================

#include	"T473NameSpaceSetter.hh"
#include	<system/KonoeNetworkNameSpaceManager.hh>
#include	<stdio.h>


T473NameSpaceSetter::T473NameSpaceSetter( ){

	mgr = new KonoeNetworkNameSpaceManager( );

}

T473NameSpaceSetter::~T473NameSpaceSetter( ){

	delete mgr ;

}

KInt T473NameSpaceSetter::set( KChar* item, KChar* value){

	mgr->setValue(item,value);

	return (0);

}

KInt T473NameSpaceSetter::set( KChar* item, KInt value){
	
	KChar valuetext[32];
	sprintf(valuetext,"%d",value);
	mgr->setValue(item,valuetext);
	return (0);
}
	
KInt T473NameSpaceSetter::add( KChar* item, KChar* value){

	mgr->addValue(item,value);
	return (0);
}

KInt T473NameSpaceSetter::add( KChar* item, KInt value){

	KChar valuetext[32];
	sprintf(valuetext,"%d",value);
	mgr->addValue(item,valuetext);

	return (0);
}
