//======================================================================
/*
               T473ADCCalibrator.hh
	       20-Oct-2000  Kirika Uchida
*/
//======================================================================
#ifndef  __T473ADCCALIBRATOR_HH__
#define  __T473ADCCALIBRATOR_HH__
#include    <analysis/KonoeDataCalibrator.hh>
#include    "T473CalibrationInfo.hh"

class  T473ADCCalibrator : public KonoeDataCalibrator {
private:
  KonoeList<T473CalibrationInfo> * list;
public:
  T473ADCCalibrator( KonoeList<T473CalibrationInfo> * plist );
  KInt   convert( KonoeDetectorHit * hit,
		 KonoeDataElement * element ) ;
  T473CalibrationInfo * find( KonoeDetectorElement * de );
};
#endif

