//======================================================================
/*
               T473DataMultiplet.hh
	       07-Dec-2000 Kirika Uchida
*/
//======================================================================

#ifndef __T473DATAMULTIPLET_HH__
#define __T473DATAMULTIPLET_HH__
#include <KonoePrimitives.hh>
#include <analysis/KonoeMultipletDescriptor.hh>

class T473DataMultiplet {
public:
  enum{ INT, FLOAT, CHAR };

protected:
  KInt type;
  void **data;
  KonoeMultipletDescriptor *list;
  KInt datasize;
public:
  T473DataMultiplet( KonoeMultipletDescriptor *list, KInt type );
  ~T473DataMultiplet();
  KInt getIndex( const KChar * name );
  void* getValue( KInt index );
  KInt setValue( KInt index, KInt value );
  KInt setValue( KInt index, KFloat value );
  KInt setValue( KInt index, KChar * value );
  
};

#endif

