//======================================================================
/*
               T473GeneralSectionAnalyzer.hh
	       23-Oct-2000  Kirika Uchida
*/
//======================================================================
#ifndef __T473GENERALSECTIONANALYZER_HH__
#define __T473GENERALSECTIONANALYZER_HH__

#include <analysis/KonoeSectionAnalyzer.hh>
#include "T473GeneralData.hh"

class T473GeneralSectionAnalyzer : public KonoeSectionAnalyzer{
private:
  T473GeneralData * data;
  KChar * req_type;
public:
  
  T473GeneralSectionAnalyzer( KInt ptag, T473GeneralData * pdata,
			      KChar * preq_type );
  KInt analyze( KonoeDataSection * section );
  KChar * print_bit( KInt value, KInt max_bit );
};
#endif  




