//======================================================================
/*
                 T473ReconstructCM.cc
                 10-Oct-2000  K.Uchida

*/
//======================================================================
#include    <iostream.h>
#include    "T473ReconstructCM.hh"
#include    "T473Categories.hh"
#include    "T473ReconstructData.hh"
#include    "T473GeneralData.hh"
#include    "T473CsIdata.hh"

T473ReconstructCM::T473ReconstructCM()
             : KonoeCategoryManager( T473Categories::RECONSTRUCT,
                                "reconstruct" ){
}

KonoeStreamableObject   * T473ReconstructCM::create( KInt classid ){
  switch( classid ){
  case CID_T473RECONSTRUCTDATA:
    return new T473ReconstructData();
  case CID_T473GENERALDATA:
    return new T473GeneralData();
  case CID_T473CSIDATA:
    return new T473CsIdata();
  }
  return 0;
}

const KChar  * T473ReconstructCM::getClassName( KInt classid ){
  switch( classid ){
  case CID_T473RECONSTRUCTDATA:
    return T473ReconstructData::className;
  case CID_T473GENERALDATA:
    return T473GeneralData::className;
  case CID_T473CSIDATA:
    return T473CsIdata::className;
  }
  return 0;
}
