//==========================================================
/*
	T473Process.hh

	 4-Oct-2000 	Y. Shimizu
	13-Nov-2000 	Y. Shimizu
*/
//==========================================================

#ifndef __T473PROCESS_HH
#define __T473PROCESS_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeSignalClient.hh>
#include	<system/KonoeSignalHandler.hh>
#include	<system/KonoeUDPClientSocket.hh>
#include	<system/KonoeIntervalTimer.hh>

#include	"../Namespace/T473NameSpaceExtractor.hh"

class T473Process : public KonoeSignalClient {

public:
	enum { UNKNOWN = -1 , NONE , STANDBY, READY , IDLE };
	enum { DEFAULTCOMMAND_PORT = 50005 };
protected:
	KInt 			cmd_port;
	KChar			* master_host;
	KonoeSignalHandler	* handler;
	KonoeUDPClientSocket	* cmd_process;
	virtual void catchSignal(KInt signal);

	T473NameSpaceExtractor	* ext;
	KInt 			  mode ;
public:
	T473Process(KInt cmdport = DEFAULTCOMMAND_PORT );
//	T473Process();
	~T473Process( );
	virtual KInt begin( );
	virtual KInt pause( );
	virtual KInt resume( );
	virtual KInt end( );
	virtual KInt shutdown( );
};

#endif
