//====================================================
/*
	T473RunControlBase.hh

	26-Nov-2000	Y. Shimizu

*/
//====================================================

#ifndef __T473RUNCONTROLBASE_HH
#define __T473RUNCONTROLBASE_HH

#include	<system/KonoeUDPServerSocket.hh>
#include	<system/KonoeSignalSender.hh>
#include	"../Namespace/T473NameSpaceSetter.hh"
#include	"../Namespace/T473NameSpaceExtractor.hh"

class T473RunControlBase {
protected:
	KInt cmd_port;
	KonoeUDPServerSocket		* cmd_sender;
	KonoeFDSet			* fdset;
	KonoeSignalSender		* killer;

	T473NameSpaceExtractor 		* ext;
public:
	T473RunControlBase( KInt cmdport = 50005);
	~T473RunControlBase( );
	KInt getCmd_port() { return cmd_port ; }
	virtual KInt control( KChar* command ) = 0;

};
#endif
