//=========================================================
/*
	T473StatusChecker.hh

	 3-Oct-2000	Y. Shimizu
	23-Nov-2000	Y. Shimizu

*/
//=========================================================	

#ifndef __T473STATUSCHECKER_HH
#define __T473STATUSCHECKER_HH

#include	"../Namespace/T473NameSpaceExtractor.hh"
#include	"../Namespace/T473NameSpaceSetter.hh"

class T473StatusChecker {
public:
	enum { UNKNOWN = -3 , FALSE = -2 , NONE = -1 , SUCCESS = 0 };
protected:
	T473NameSpaceExtractor	* status;
	T473NameSpaceSetter	* setter;
	KChar	item[256];
public:
	T473StatusChecker(KChar* process_name);
	~T473StatusChecker();

	KInt init();
	KInt setTrue();
	KInt setFalse();
	KInt check();

};
#endif
