//============================================================
/*
	T473TimeoutHandler.hh

	11-Nov-2000	Y. Shimizu	
*/
//============================================================

#ifndef __T473TIMEOUTHANDLER_HH
#define __T473TIMEOUTHANDLER_HH

#include	<iostream.h>
#include	<KonoePrimitives.hh>
#include	<system/KonoeIntervalTimer.hh>
#include	<system/KonoeSignalClient.hh>
#include	<system/KonoeSignalHandler.hh>
#include	<system/KonoeUDPClientSocket.hh>

class T473TimeoutHandler :  public KonoeSignalClient {
protected:
	KInt	port;
	KChar*	host;
	KonoeSignalHandler	* alrmhandler;
	KonoeUDPClientSocket	* socket;
	KonoeIntervalTimer	* itimer;
	void catchSignal(KInt signal);
public:
	T473TimeoutHandler(KChar* hostname = 0 ,KInt port = 0); 
	KInt setTime(KInt milisec); 
};

#endif
