//=======================================================
/*
	datahub_controler.cc

	13-Nov-2000	Y. Shimizu

*/
//=======================================================
#include	<system/KonoeIntervalTimer.hh>
#include	<system/KonoeSignalHandler.hh>
#include	"T473DataHubControl.hh"
#include	"T473TimeoutHandler.hh"
#include        <system/KonoeHostSystem.hh>
#include        <string.h>

int main(int argc,char** argv)
{
	T473TimeoutHandler * timeout;
	timeout = new T473TimeoutHandler;

	KChar com[256];

	T473NameSpaceExtractor * ext = new T473NameSpaceExtractor;
	KInt cmd_port = ext->getKIntValue("DATAHUB_OUTPUT_PORT");
	if( cmd_port == -1 ){
		cerr << "DATAHUB_OUTPUT_PORT is not defined : exit"<<endl;
		KonoeHostSystem::exit(0);
	}

	cout << "DATAHUB_OUTPUT_PORT = " << cmd_port << endl;
	T473DataHubControl * control = new T473DataHubControl(cmd_port);
	
	while(1){
	cout << "DATAHUB:CMD ( new_file or file_close or shutdown) \n";
	cout << "DATAHUB:CMD>";
	  cin.getline(com,256);
	  if(!strcmp(com,"bye"))
	    KonoeHostSystem::exit(0);
	  timeout->setTime(30000);	
	  control->control(com);
	  timeout->setTime(0);
	}

	delete control;
	
	return (0);
}




