//=============================================================
/*
	t473exed.cc
	
	10-Nov-2000	Y. Shimizu
*/
//=============================================================
#include <system/KonoeExecutorDaemon.hh>
#include "../Namespace/T473NameSpaceExtractor.hh"
#include <unistd.h>
#include <stdlib.h>

int main( int argc, char** argv )
{
  uid_t uid;
  if ( argv[1] ) {
    uid = atoi( argv[1] );
    setuid( uid );
  }

  T473NameSpaceExtractor* ext = new T473NameSpaceExtractor;
  KInt eport = ext -> getKIntValue("EXE_PORT");	
  if ( eport == -1 ) {
    cerr << "EXE_PORT is not defined : exit" << endl;
    exit(0);
  }
  KonoeExecutorDaemon* daemon;

  cout << "EXE_PORT is " << eport << endl;
  daemon = new KonoeExecutorDaemon(eport);
  while (1) {
    cout << " ******* T473 EXE DAEMON***** " << endl;
    daemon -> go( );
  }
  delete daemon;
	
  return (0);
}
