//=============================================================
/*
	T473RunSummary.hh
	
	11-Nov-2000	Y. Shimizu

*/
//=============================================================

#ifndef __T473RUNSUMMARY_HH
#define __T473RUNSUMMARY_HH

#include<system/KonoeOutputFile.hh>
#include<system/KonoeInputObjFile.hh>
#include"../Namespace/T473NameSpaceExtractor.hh"
#include"../Histogram/T473SpillEndProcessor.hh"

class T473RunSummary {
public:
  enum { SEGO_ELEMENTS = T473SpillEndProcessor::SEG0_ELEMENTS };
  enum { SEG1_ELEMENTS = T473SpillEndProcessor::SEG1_ELEMENTS };
protected:
  T473NameSpaceExtractor * ext;
  KonoeOutputFile	 * file;
  KInt putText(KChar* text);
  KInt putValue(KChar* itemname);
  KInt putTable2(KChar* text,KChar* item);
  KInt putTable3(KChar* text,KChar* item ,KChar* item2);
public:
  T473RunSummary( );	
  ~T473RunSummary( );	
  
  KInt putRunInfo( );
  KInt putKonoeInfo( );
  KInt putNameInfo( );
  KInt putLogInfo( );
  KInt putDataInfo( );
  KInt putPedestalInfo( );
  KInt putHistoInfo( );
  KInt putComment(KChar* comment);
};
#endif
