//=====================================================================
/*

    T473MsgBox.hh

    Version 0.0.1   09-Dec-2000 T. Hosoi

*/
//====================================================================

#ifndef __T473MSGBOX_HH
#define __T473MSGBOX_HH

#include <ui/KonoeTclWidget.hh>
#include <ui/KonoeTclAction.hh>

class T473Kill;
class KonoeTclWindow;
class KonoeTclSubWindow;

class T473MsgBox : public KonoeTclEventProcessor,
                   public KonoeTclMouseAction,
                   public KonoeTclTimer {

  public:
    T473MsgBox(KonoeTclWindow* pwin);
    ~T473MsgBox();

    void show();

  private:
    void mouseAction(KonoeTclButton* kbtn, KInt type, KInt button,
                                           Time time, KInt x, KInt y);
    void mouseAction(KonoeTclCheckButton* kbtn, KInt type, KInt button,
                                           Time time, KInt x, KInt y);
    void timer();
    void initWidget();
    void shutdown();

  private:
    T473Kill* kill;

    KonoeTclWindow*      kwin;
    KonoeTclSubWindow*   sub;
    KonoeTclCheckButton* daqCheck;
    KonoeTclCheckButton* hubCheck;
    KonoeTclCheckButton* histCheck;
    KonoeTclCheckButton* recCheck;
    KonoeTclCheckButton* logCheck;

    KonoeTclButton*      shutdownButton;

    KChar backColor[64];
};

#endif
