//=====================================================================
/*

    T473Progress.cc

    Version 0.0.1   08-Dec-2000 T. Hosoi

*/
//====================================================================

#include <T473Progress.hh>
#include <ui/KonoeTclWindow.hh>

T473Progress::T473Progress(KonoeTclWindow* pwin)
{
  kwin = pwin;

  progressBar = new KonoeTclProgressBar(kwin, "progressBar");

  progressBar->setMinMax(0, 100);
  progressBar->setBorderWidth(2);
  progressBar->setRelief(KRidge);

  label = new KonoeTclLabel(kwin, "lbl", "Lable");

  label->setFont("courier", 14, 0, 0, 0, 0);
}

T473Progress::~T473Progress()
{
  delete progressBar;
  delete label;
}

void T473Progress::setValue(KInt v)
{
  progressBar->setValue( v );
}

void T473Progress::setProgressText(KChar* c)
{
  progressBar->setText( c );
}

void T473Progress::setText(KChar* c)
{
  label->setCaption(c);
}
