//=====================================================================
/*

    T473TclNameSpaceViewerAction.hh

    Version 0.0.1   19-Nov-2000 T. Hosoi

*/
//====================================================================

#ifndef __T473TCLNAMESPACEVIEWERACTION_HH
#define __T473TCLNAMESPACEVIEWERACTION_HH

#include <ui/KonoeTclAction.hh>
#include <ui/KonoeTclEntry.hh>
#include <Namespace/T473NameSpaceSetter.hh>
#include <T473TclNameSpaceViewer.hh>

class T473TclNameSpaceViewerAction : public KonoeTclEventProcessor,
                                      public KonoeTclMouseAction,
                                      public KonoeTclKeyAction {

  public:
    T473TclNameSpaceViewerAction(T473TclNameSpaceViewer* pnsViewer);
    ~T473TclNameSpaceViewerAction();

  private:
    void mouseAction(KonoeTclButton*, KInt type, KInt button,
                                  Time time, KInt x, KInt y);
    void mouseAction(KonoeTclEntry*, KInt type, KInt button,
                                  Time time, KInt x, KInt y);
    void mouseAction(KonoeTclText*, KInt type, KInt button,
                                  Time time, KInt x, KInt y);
    void keyAction(KonoeTclEntry* kbt, KInt type, KeySym keysym, KInt state);

    T473TclNameSpaceViewer* nsViewer;
    T473NameSpaceSetter* nsSetter;
    KonoeTclText*  nameSpaceList;
    KonoeTclEntry* itemNameEntry;
    KonoeTclEntry* valueEntry;
    KChar** nsItem;
    KChar** nsValue;
    KInt selectedItemIndex;
};

#endif
