//====================================================================
/*

	KonoeDataRecordCM.hh

	Version 0.1	04-Aug-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version 0.3	16-Oct-1997	H. Sakamoto
		category manager definition changed.

        Version 0.1.0                   H. Sakamoto
	Version 0.2.0	27-Apr-1998	H. Sakamoto

	Version 0.4.0	06-Aug-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOEDATARECORDCM_HH
#define	__KONOEDATARECORDCM_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeCategoryManager.hh>

class	KonoeDataRecordCM : public KonoeCategoryManager {

public :
	enum CLASS_ID { CID_DATAELEMENT = 0x100,
			CID_DATASEGMENT = 0x200,
			CID_DATASECTION = 0x300,
			CID_DATARECORD = 0x400 };

public :
	KonoeDataRecordCM( );
	KonoeStreamableObject * create( KInt classid );
	const KChar	* getClassName( KInt classid );

};

#endif
