//===================================================================
/*

	KonoeTrackSegment.hh

	Version 0.2.0	28-Apr-1998	H. Sakamoto

	Version 0.4.0	06-Aug-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno

	installed as a straight track segment. can be overrided

	Version 0.7.0	26-Aug-2001	T. Sumida
*/
//===================================================================

#ifndef	__KONOETRACKSEGMENT_HH
#define	__KONOETRACKSEGMENT_HH

#include	<analysis/KonoeTrajectory.hh>

class	KonoeTrackSegment	{

protected :
	KonoeTrajectory	* trajectory;
	KFloat	velocity;
	KFloat	starttime;
	KFloat	endtime;
        KFloat  energy;
public :
	KonoeTrackSegment( Konoe3Vector & startp, Konoe3Vector & endp );
	KonoeTrajectory	* getTrajectory( ) {	return trajectory;	}
	void	setVelocity( KFloat v )	{	velocity = v;		}
	void	setStartTime( KFloat t )	{	starttime = t;	}
	void	setEndTime( KFloat t )		{	endtime = t;	}
        void    setEnergy( KFloat e ) {  energy = e;  }
	KFloat	getVelocity( )	{	return velocity;	}
	KFloat	getStartTime( )	{	return starttime;	}
	KFloat	getEndTime( )	{	return endtime;		}
        KFloat  getEnergy( )    {       return energy;          } 
};

#endif
