//==================================================================
/*

	KonoeTranslation.hh

	Version 0.2.0	30-Apr-1998	H. Sakamoto

	Version 0.4.0	06-Aug-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//==================================================================

#ifndef	__KONOETRANSLATION_HH
#define	__KONOETRANSLATION_HH

#include	<analysis/Konoe3Vector.hh>

class	KonoeTranslation	{

protected :
	KFloat	t[ 3 ][ 3 ];
	Konoe3Vector	displacement;
public :
	KonoeTranslation( );
	void	setDisplacement( Konoe3Vector & d );
	Konoe3Vector & getDisplacement( )
		{	return displacement;	}
	void	addRotationX( KFloat theta );
	void	addRotationY( KFloat theta );
	void	addRotationZ( KFloat theta );
	void	resetRotation( );
	Konoe3Vector	rotate( Konoe3Vector & v );
};


#endif
