//==============================================
/*
	Konoe1DHistogramBand.cc

	Version 0.6.0	28-Nov-2000	Y. Shimizu
	Version 0.7.0	26-Aug-2001	T. Sumida
*/
//==============================================
#include<analysis/Konoe1DHistogramBand.hh>

Konoe1DHistogramBand::Konoe1DHistogramBand( KonoeDataScale* pscale ){

	new_histo = new Konoe1DHistogram( pscale );

}

Konoe1DHistogramBand::~Konoe1DHistogramBand( ){

	delete new_histo;
	
}

Konoe1DHistogram * Konoe1DHistogramBand::getNewHisto(Konoe1DHistogram* old_histo){

	KInt i ;
	KInt j ;
	KonoeFillData* fill_data;
	new_histo->clear();
	for( i = 0 ; i < old_histo->getBinCount() ; i++){
		for( j = 0 ; j < old_histo->getOne( i ) ; j++){
			fill_data = new KonoeFillData( i );
		 	new_histo->fill( fill_data ) ;
		}

	}
//	delete old_histo;

	return new_histo;

}
