//============================================================
/*
	KonoeHistogramList.hh

	Version 0.6.0	 5-Oct-2000	Y. Shimizu
	Version 0.7.0	26-Aug-2001	T. Sumida
*/
//============================================================

#ifndef	__KONOEHISTOGRAMLIST_HH
#define	__KONOEHISTOGRAMLIST_HH

#include	<analysis/Konoe1DHistogram.hh>
#include	<KonoeList.hh>

class 	Konoe1DHistogramList : public KonoeList< Konoe1DHistogram > ,
				public	KonoeStreamableObject {
public:
	enum MEMBER_ID 	{	MID_N_ENTRIES , MID_ENTRIES , N_MEMBERS };
				
	static const KChar	* className;
protected:

public:
	Konoe1DHistogramList( );
	Konoe1DHistogramList( KInt ptablesize );
	void dump( ostream & os);

	KInt 	put( KonoeOutputObjectStream * os, KChar level ,
							 KInt memberid);
	KInt	getStreamSize( );
	KInt	fillPrimitiveMember( KInt memberid ,KInt datatype, 
					KInt datacount , void * data );
	KInt 	fillObjectMember( KInt memberid ,KonoeStreamableObject *data );

};
#endif
