//====================================================================
/*

        KonoeFillDataExtractor.hh

	Version 0.2.0	28-Feb-1998	H. Sakamoto
	Version 0.2.1	14-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef __KONOEFILLDATAEXTRACTOR_HH
#define __KONOEFILLDATAEXTRACTOR_HH

#include <analysis/KonoePhysicalValue.hh>
#include <analysis/KonoeFillData.hh>

class KonoeFillDataExtractor  {

public:
	enum	{	FILL_DATA_DIMENSION = 3		};
	KonoeFillDataExtractor() {}
	KonoeFillDataExtractor( KonoePhysicalValue * physicalvalue,
		KChar * name1 = 0, KChar * name2 = 0, KChar * name3 = 0 );
	void	setIndex( KInt i1, KInt i2 = -1, KInt i3 = -1 );
	virtual ~KonoeFillDataExtractor( ) { }
	virtual KInt	reset( );
	virtual KInt getDataCount( );
	virtual KonoeFillData *next( );
protected:
	KonoePhysicalValue	* physicalvalue;
	KInt	indices[ FILL_DATA_DIMENSION ];
};


#endif
