//=================================================================
/*

        KonoeHistogramFiller.hh

	Version 0.1.1	05-Feb-1998	H. Sakamoto
	Version 0.2.0	10-Mar-1998	S. Enomoto
	Version 0.2.1	15-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.6.0	16-Nov-2000	Y. Shimizu
						virtual KInt fill()
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//=================================================================

#ifndef __KONOEHISTOGRAMFILLER_HH
#define __KONOEHISTOGRAMFILLER_HH

#include <analysis/KonoeFillDataExtractor.hh>
#include <analysis/KonoeHistogramBase.hh>


class KonoeHistogramFiller {
  protected:
    KonoeFillDataExtractor *extractor;
    KonoeHistogramBase *histogram;
  public:
    KonoeHistogramFiller(KonoeFillDataExtractor *pextractor, KonoeHistogramBase *phistogram);
    ~KonoeHistogramFiller();
    virtual KInt fill( );
};

#endif
