//====================================================================
/*
	KonoeInfiniteArray.cc

	Version	0.1.0 	11-Mar-2000	shimizu
	Version	0.7.0 	26-Aug-2001	T. Sumida

*/
//====================================================================


#include<analysis/KonoeInfiniteArray.hh>

float &KonoeInfiniteArray::operator [] (const unsigned int index)
{

  class KonoeInfiniteArray *current_ptr;

  int current_index;
  current_ptr = this;
  current_index = index;

  while(current_index >= BLOCK_SIZE) {
    if(current_ptr->next == NULL){
      current_ptr->next = new KonoeInfiniteArray;
      if(current_ptr->next == NULL){
	cerr << "Error : Out of Memory" << endl;
	exit(8);
      }
    }
    current_ptr = current_ptr->next;
    current_index -= BLOCK_SIZE;
  }
  return (current_ptr->data[current_index]);
}

KonoeInfiniteArray::~KonoeInfiniteArray(void)
{

	if(next != NULL){	
		delete next;
		next = NULL;
	}
}
	
