//=====================================================================
/*

	KonoeDataAddressSet.hh

	Version 0.2.0	12-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//=====================================================================

#ifndef	__KONOEDATAADDRESSSET_HH
#define	__KONOEDATAADDRESSSET_HH

#include	<analysis/KonoeDataAddress.hh>

class	KonoeDataAddressSet	{

protected :
	KInt	section_id;
	KInt	module_count;
	KInt	module_base;
	KInt	subaddress_size;
	KInt	subaddress_base;
public :
	KonoeDataAddressSet( KInt psection, KInt modulecount, KInt sasize );
	KonoeDataAddress	* getAddress( KInt module, KInt sa );
	KInt	getSectionID( )	{ return section_id;	}
};

#endif
