//====================================================================
/*

	KonoeDataScale.hh

	Version 0.1	30-Oct-1997	H. Sakamoto
	Version 0.1.0                   H. Sakamoto
	Version 0.2.0	15-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOEPHYSVALUESCALE_HH
#define	__KONOEPHYSVALUESCALE_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeStreamableObject.hh>
#include	<iostream.h>

class	KonoeDataScale : public KonoeStreamableObject {

public :
	enum	{	OVERFLOW = -1,	UNDERFLOW = -2	};

public :
	KonoeDataScale( KInt classid );

	virtual KInt	getBinIndex( KFloat value ) = 0;
	virtual KFloat	getBinWidth( KInt binnumber ) = 0;
	virtual KFloat	getBinLower( KInt binnumber ) = 0;
	virtual KInt	getBinCount( ) = 0;
	virtual KFloat	getMinimum( ) = 0;
	virtual KFloat	getMaximum( ) = 0;

	virtual void	dump( ostream & os ) = 0;

};

#endif
