//===================================================================
/*

	KonoeDataSpecifier.hh

	Version 0.2.0	14-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//===================================================================

#ifndef	__KONOEDATASPECIFIER_HH
#define	__KONOEDATASPECIFIER_HH

#include	<analysis/KonoeDataScale.hh>

class	KonoeDataSpecifier	{

protected :
	KChar	* name;
	KonoeDataScale	* scale;
public :
	KonoeDataSpecifier( const KChar * pname,
		KonoeDataScale * scale = 0 );
	~KonoeDataSpecifier( );
	const KChar	* getName( )	{ return (const KChar*)name; }
};

#endif
