//====================================================================
/*

	KonoeDataSpecifierList.cc

	Version 0.2.0	14-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#include	<analysis/KonoeDataSpecifierList.hh>
#include	<string.h>

KonoeDataSpecifierList::KonoeDataSpecifierList( KInt ptablesize )
	: KonoeList<KonoeDataSpecifier>( ptablesize ) {

}

KInt	KonoeDataSpecifierList::getIndex( const KChar * name ) {

	KonoeDataSpecifier	* s;
	KInt	i;

	i = 0;
	reset( );
	while( s = next( ) ) {
	    if( strcmp( name, s -> getName( ) ) == 0 )
		return i;
	    i ++;
	}
	return -1;
}
