//====================================================================
/*

	KonoePhysicalValue.hh

	Version 0.1	02-Aug-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto

	Version 0.1.0                   H. Sakamoto
	Version 0.2.0	14-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOEPHYSICALVALUE_HH
#define	__KONOEPHYSICALVALUE_HH

#include	<analysis/KonoeDataMultiplet.hh>
#include	<iostream.h>

class	KonoePhysicalValue	{

protected :
	KInt	tag;
public :
	KonoePhysicalValue( KInt ptag );
	virtual KInt	clear( );
	virtual KInt	reset( ) = 0;
	virtual KInt	getDataCount( ) = 0;
	virtual KonoeDataMultiplet	* next( ) = 0;
	virtual KonoeMultipletDescriptor	* getDescriptor( ) = 0;
	virtual void	dump( ostream & os );
	KInt	getID( )	{	return tag;	}
};

#endif
