//====================================================================
/*

	KonoePhysicalValueCM.hh

	Version 0.1	30-Oct-1997	H. Sakamoto

	Version 0.1.0                   H. Sakamoto
	Version 0.2.0	27-Apr-1998	H. Sakamoto
	Version 0.4.0    4-Aug-1998	S. Nishida
	Version 0.5.0   21-Sep-1999	Y. Kouno
	Version 0.7.0   26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOEPHYSICALVALUECM_HH
#define	__KONOEPHYSICALVALUECM_HH

#include	<system/KonoeCategoryManager.hh>

class	KonoePhysicalValueCM : public KonoeCategoryManager {

public :
	enum	{	CID_LINEARDATASCALE = 0x100 ,
			CID_DATAADDRESS = 0x200 ,
			CID_DATAANALYZER = 0x300 ,
			CID_DEFAULTSECTIONANALYZER = 0x400
	};

public :
	KonoePhysicalValueCM( );
	KonoeStreamableObject * create( KInt classid );
	const KChar	* getClassName( KInt classid );
};


#endif

