// $Id: KonoeDAQCommander.cc,v 1.5 2002/03/16 08:11:35 iwai Exp $
// $Name: KONOE-0-09-02 $
//====================================================================
/*

	KonoeDAQCommander.cc

	Version 0.0.1	11-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6.0   04-Aug-2000     G. Iwai
	Version 0.6.1	21-May-2001	H. Sakamoto

*/
//====================================================================
#include <daq/KonoeDAQCommander.hh>

KonoeDAQCommander::KonoeDAQCommander( const KChar* name ) 
  : KonoeCommander(N_OFFICERS, name) 
{
  datalistofficer 
    = new KonoeDataListOfficer(N_DATALISTOBJECTS, "datalistofficer");
  add(datalistofficer);

  datasourceofficer 
    = new KonoeDataSourceOfficer( N_DATASOURCEOBJECTS, "datasourceofficer");
  add(datasourceofficer);
}
