// $Id: KonoeDAQCommander.hh,v 1.5 2002/03/16 08:11:35 iwai Exp $
// $Name: KONOE-0-09-02 $
//====================================================================
/*

	KonoeDAQCommander.hh

	Version 0.0.1	11-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6.0   04-Aug-2000     G. Iwai
	Version 0.6.1	21-May-2001	H. Sakamoto

*/
//====================================================================
#ifndef	__KONOEDAQCOMMANDER_HH
#define	__KONOEDAQCOMMANDER_HH

#include <ui/KonoeCommander.hh>
#include <daq/KonoeDataListOfficer.hh>
#include <daq/KonoeDataSourceOfficer.hh>

class KonoeDAQCommander	: public KonoeCommander	{

public:
  enum { N_OFFICERS = 2,
	 N_DATALISTOBJECTS = 64,
	 N_DATASOURCEOBJECTS = 64 };

protected:
  KonoeDataListOfficer* datalistofficer;
  KonoeDataSourceOfficer* datasourceofficer;

public:
  KonoeDAQCommander( const KChar* name );
};

#endif
