// $Id: KonoeDataListOfficer.cc,v 1.5 2002/03/16 08:11:35 iwai Exp $
// $Name: KONOE-0-09-02 $
//=====================================================================
/*

	KonoeDataListOfficer.cc

	Version 0.0.1	11-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6.0   04-Aug-2000     G. Iwai
	Version 0.6.1	21-May-2001	H. Sakamoto

*/
//=====================================================================
#include <daq/KonoeDataListOfficer.hh>
#include <daq/KonoeReadoutListOrderly.hh>
#include <daq/KonoeReadoutSectionOrderly.hh>
#include <daq/KonoeReadoutSegmentOrderly.hh>
#include <daq/KonoeReadoutItemOrderly.hh>

const KChar* KonoeDataListOfficer::classname = "DataListOfficer";

KonoeDataListOfficer::KonoeDataListOfficer(KInt norderly, const KChar* name)
  : KonoeOfficer(norderly, 0, name, N_CLASSES)
{
  registerOrderly(new KonoeReadoutListOrderly(0));
  registerOrderly(new KonoeReadoutSectionOrderly(0));
  registerOrderly(new KonoeReadoutSegmentOrderly(0));
  registerOrderly(new KonoeReadoutItemOrderly(0));
}

KInt KonoeDataListOfficer::execute(KonoeCommand* cmd) 
{
  return 0;
}
