// $Id: KonoeDataListOfficer.hh,v 1.8 2002/03/16 08:11:35 iwai Exp $
// $Name: KONOE-0-09-02 $
//=====================================================================
/*

	KonoeDataListOfficer.hh

	Version 0.0.1	11-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6.0   04-Aug-2000     G. Iwai
	Version 0.6.1	21-May-2001	H. Sakamoto

*/
//=====================================================================
#ifndef	__KONOEDATALISTOFFICER_HH
#define	__KONOEDATALISTOFFICER_HH

#include <ui/KonoeOfficer.hh>

class KonoeDataListOfficer : public KonoeOfficer {

protected:
  static const KChar* classname;
  enum { N_CLASSES = 4 };

public:
  KonoeDataListOfficer(KInt norderly, const KChar* name);
  
  // KonoeOrderly virtual members
  inline const KChar* getClassName()
  { return classname; }
  KInt execute(KonoeCommand* cmd);
  inline KInt isOrderlyOf(void* address) 
  { return (void*) this == address; }
};

#endif
