// $Id: KonoeReadoutItemOrderly.cc,v 1.4 2002/03/16 08:11:37 iwai Exp $
// $Name: KONOE-0-09-02 $
//====================================================================
/*

	KonoeReadoutItemOrderly.cc

	Version 0.0.1	11-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto

	!!! insufficient implementation !!!

*/
//====================================================================

#include	<daq/KonoeReadoutItemOrderly.hh>

const KChar	* KonoeReadoutItemOrderly::classname = "ReadoutItem";

KonoeReadoutItemOrderly::KonoeReadoutItemOrderly( const KChar * name )
	: KonoeOrderly( N_COMMANDS, name ) {

	setClassID( CLASS_ID );

	setcommand = new KonoeCommandDescriptor( "set", N_ARG_SET );
	setcommand -> add(
		new KonoeArgumentDescriptor( "item", KEYWORD, NECESSARY ) );
	setcommand -> add(
		new KonoeArgumentDescriptor( "object", STRING, NECESSARY ) );
	setunit = new SetUnit( setcommand, this );
	addCommand( setunit );

	showcommand = new KonoeCommandDescriptor( "show", N_ARG_SHOW );
	showcommand -> add(
		new KonoeArgumentDescriptor( "segment", STRING, OPTIONAL ) );
	showunit = new ShowUnit( showcommand, this );
	addCommand( showunit );

	getcommand = new KonoeCommandDescriptor( "get", N_ARG_GET );
	getcommand -> add(
		new KonoeArgumentDescriptor( "item", KEYWORD, NECESSARY ) );
	getcommand -> add(
		new KonoeArgumentDescriptor( "object", STRING, NECESSARY ) );
	getunit = new GetUnit( getcommand, this );
	addCommand( getunit );

};

KonoeReadoutItemOrderly::ShowUnit::ShowUnit(
	KonoeCommandDescriptor * cd, KonoeOrderly * ow )
	: KonoeCommandProcessor( cd, ow ) {

}

KInt	KonoeReadoutItemOrderly::ShowUnit::execute( KonoeCommand * cmd ) {

	return 0;

}

KonoeReadoutItemOrderly::SetUnit::SetUnit(
	KonoeCommandDescriptor * cd, KonoeOrderly * ow )
	: KonoeCommandProcessor( cd, ow ) {

}

KInt	KonoeReadoutItemOrderly::SetUnit::execute( KonoeCommand * cmd ) {

	return 0;

}

KonoeReadoutItemOrderly::GetUnit::GetUnit(
	KonoeCommandDescriptor * cd, KonoeOrderly * ow )
	: KonoeCommandProcessor( cd, ow ) {

}

KInt	KonoeReadoutItemOrderly::GetUnit::execute( KonoeCommand * cmd ) {

	return 0;

}


