// $Id: demo.cc,v 1.3 2002/03/16 08:11:40 iwai Exp $
// $Name: KONOE-0-09-02 $
//====================================================================
/*

	demo.cc at src/daq/daqprocess

	Version 0.0.1	12-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//====================================================================

#include	<daq/KonoeDAQCommander.hh>

class Demo	{

protected :

	KonoeDAQCommander	* commander;

public :
	Demo( int argc, char ** argv );
	int	go( );

};

Demo::Demo( int argc, char ** argv ) {

	commander = new KonoeDAQCommander( "commander" );

}

int	Demo::go( ) {

	KChar	buffer[ 256 ];

	while( 1 ) {
	  cout << "CMD> ";
	  cin.getline( buffer, 256 );
	  if( commander -> dispatch( buffer, cout ) < 0 )
	    break;
	}
	return 0;

}

int	main( int argc, char ** argv ) {

	Demo	demo( argc, argv );
	return demo.go( );

}
