// $Name: KONOE-0-09-02 $
// $Id: KonoeModuleSubaddress.cc,v 1.5 2002/03/16 08:11:41 iwai Exp $
//===================================================================
/*

	KonoeModuleSubaddress.cc

	Version 0.0.1	10-Jul-1998	H. Sakamoto
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//===================================================================

#include <daq/KonoeModuleSubaddress.hh>

KonoeModuleSubaddress::KonoeModuleSubaddress( KInt poffset, KInt psize )
{
  offset = poffset;
  size = psize;
}

KonoeModuleSubaddress::KonoeModuleSubaddress( KInt n, KInt a, KInt f, KInt psize )
{
  offset = ( n << SHIFT_N ) + ( f << SHIFT_F ) + a;
  size = psize;
}

KInt KonoeModuleSubaddress::getN()
{
  return ( offset & MASK_N ) >> SHIFT_N;
}

KInt KonoeModuleSubaddress::getF()
{
  return ( offset & MASK_F ) >> SHIFT_F;
}

KInt KonoeModuleSubaddress::getA()
{
  return ( offset & MASK_A );
}
