// $Name: KONOE-0-09-02 $
// $Id: KonoeModuleSubaddress.hh,v 1.5 2002/03/16 08:11:41 iwai Exp $
//===================================================================
/*

	KonoeModuleSubaddress.hh

	Version 0.0.1	10-Jul-1998	H. Sakamoto
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//===================================================================
#ifndef	__KONOEMODULESUBADDRESS_HH
#define	__KONOEMODULESUBADDRESS_HH

#include <KonoePrimitives.hh>

class KonoeModuleSubaddress {

public:
  enum { SHIFT_N = 9, SHIFT_F = 4 };
  enum { MASK_N = 0x3e00, MASK_F = 0x01f0, MASK_A = 0x000f };

protected:
  KInt offset;
  KInt size;

public:
  KonoeModuleSubaddress( KInt poffset, KInt psize = 1 );
  KonoeModuleSubaddress( KInt n, KInt a, KInt f, KInt psize = 1 );

  inline KInt getOffset() const { return offset; }
  inline KInt getSize() const{ return size; }

  KInt getN();
  KInt getF();
  KInt getA();
};


#endif
