// $Name: KONOE-0-09-02 $
// $Id: KonoeCAMAC16bitModule.hh,v 1.3 2002/03/16 08:11:43 iwai Exp $
//==================================================================
/*

	KonoeCAMAC16bitModule.hh

	Version 0.7.0   12-Nov-2000     G. Iwai

*/
//==================================================================
#ifndef __KONOECAMAC16BITMODULE_HH
#define __KONOECAMAC16BITMODULE_HH

#include <daq/KonoeCAMACModule.hh>

class KonoeCAMAC16bitModule : public KonoeCAMACModule {

protected:
  void execute(KInt subAddress, KInt function);
  
public:
  KonoeCAMAC16bitModule() {;}
  KonoeCAMAC16bitModule(const KonoeCAMACCrate* crate, KInt aStationNumber, 
			KInt aChannel);
  virtual ~KonoeCAMAC16bitModule() {;}


  inline void setData(KUShort aData) { data.data.d16 = aData; }
  inline KUShort getData() const { return ( data.data.d16 ); }
  inline void showData() const
  { 
    cout << setw( ITEM_WIDTH ) << "data.d16 :" 
	 << setw( VALUE_WIDTH ) << this -> getData() << endl; 
    return;
  }

};

#endif
