// $Name: KONOE-0-09-02 $
// $Id: KonoeCAMAC24bitModule.cc,v 1.2 2002/03/16 08:11:44 iwai Exp $
//==================================================================
/*

	KonoeCAMAC24bitModule.hh

	Version 0.7.0   12-Nov-2000     G. Iwai

*/
//==================================================================
#include <daq/KonoeCAMAC24bitModule.hh>

KonoeCAMAC24bitModule::KonoeCAMAC24bitModule(const KonoeCAMACCrate* crate, 
					     KInt aStationNumber, 
					     KInt aChannel)
  : KonoeCAMACModule(crate, aStationNumber, aChannel)
{;}

void KonoeCAMAC24bitModule::execute(KInt subAddress, KInt function)
{
  data.naf = naf(subAddress, function);
  data.q = 0;
  data.x = 0;
  CAMAC(card, &data);
  return;
}
