// $Name: KONOE-0-09-02 $
// $Id: KonoeCAMACCoincidenceRegister.hh,v 1.4 2002/03/16 08:11:46 iwai Exp $
//==================================================================
/*

	KonoeCAMACCoincidenceRegister.hh

	Version 0.6.0	06-Mar-2000	G. Iwai

*/
//==================================================================
#ifndef __KONOECAMACCOINCIDENCEREGISTER_HH
#define __KONOECAMACCOINCIDENCEREGISTER_HH

#include <daq/KonoeCAMAC16bitModule.hh>

class KonoeCAMACCoincidenceRegister : public KonoeCAMAC16bitModule {

public:
  KonoeCAMACCoincidenceRegister( const KonoeCAMACCrate* crate, 
				 KInt aStationNumber, KInt aChannel = 16 );
  ~KonoeCAMACCoincidenceRegister() {;}

  inline void read() { execute( 0, 0 ); }
  // read -> clear
  inline void readClear() { execute( 0, 2 ); }
  inline void clear() { execute( 0, 9 ); }
  // All Bit Set
  inline void test() { execute( 0, 25 ); }

  
  KonoeDataSegment* getDataSegment( KInt segmentTag );
  KInt fillData( KonoeDataElement* pelement, 
		 KonoeModuleSubaddress* subAddress = 0 ); 
  void initialize();
  void update();

};

#endif
