// $Name: KONOE-0-09-02 $
// $Id: KonoeCAMACSlowADC.hh,v 1.4 2002/03/16 08:11:49 iwai Exp $
//==================================================================
/*

	KonoeCAMACSlowADC.hh

	Version 0.6.0	06-Mar-2000	G. Iwai

*/
//==================================================================
#ifndef __KKONOECAMACSLOWADC_HH
#define __KKONOECAMACSLOWADC_HH

#include <daq/KonoeCAMAC16bitModule.hh>

class KonoeCAMACSlowADC : public KonoeCAMAC16bitModule {

public:
  KonoeCAMACSlowADC(const KonoeCAMACCrate* crate, KInt aStationNumber, 
		    KInt aChannel = 32);
  ~KonoeCAMACSlowADC() {;}

  KonoeDataSegment* getDataSegment(KInt segmentTag);
  KInt fillData( KonoeDataElement* pelement, 
		 KonoeModuleSubaddress* subAddress = 0 ); 
  void read( KInt subAddress );
  void initialize();
  void clear();
  void update();
};

#endif
