// $Name: KONOE-0-09-02 $
// $Id: KonoeCrateList.cc,v 1.5 2002/03/16 08:11:50 iwai Exp $
//===================================================================
/*

	KonoeCrateList.cc

	Version 0.2.0	27-Apr-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0   21-Oct-2000     G. Iwai

*/
//===================================================================

#include <daq/KonoeCrateList.hh>

KonoeCrateList::KonoeCrateList( KInt ptablesize ) 
  : KonoeList<KonoeDAQCrateBase>( ptablesize ) 
{;}

void KonoeCrateList::initialize()
{
  KonoeDAQCrateBase* crate;
  
  reset();
  while ( crate = next() )
    crate -> initialize();
  return;
}

void KonoeCrateList::clear() 
{
  KonoeDAQCrateBase* crate;

  reset();
  while ( crate = next() )
    crate -> clear();
  return;
}

void KonoeCrateList::update() 
{
  KonoeDAQCrateBase* crate;

  reset();
  while ( crate = next() )
    crate -> update();
  return;
}
