// $Name: KONOE-0-09-02 $
// $Id: KonoeNameSpaceValueModule.hh,v 1.3 2002/03/16 08:11:53 iwai Exp $
//====================================================================
/*

	KonoeNameSpaceValueModule.hh
	
        Version 0.6.0   04-Dec-2000     G. Iwai

*/
//====================================================================
#ifndef	__KONOENAMESPACEVALUEMODULE_HH
#define	__KONOENAMESPACEVALUEMODULE_HH

#include <daq/KonoeSoftwareModule.hh>
#include <system/KonoeNameSpaceTable.hh>

class KonoeNameSpaceValueModule : public KonoeSoftwareModule {

private:
  enum { MODULE_TYPE = 1 };

private:
  KChar* theValue;
  KChar* theItem;
  KonoeNameSpaceTable* theTable;
  
public:
  KonoeNameSpaceValueModule( KChar* item );
  ~KonoeNameSpaceValueModule();

  // utilities
  KInt fillData( KonoeDataElement* anElement, 
		 KonoeModuleSubaddress* subAddress = 0 );
  inline KInt getDataSize() { return (1); }

  void initialize();
  void clear();
  void update();

  inline KChar* getValue() const { return ( this -> theValue ); }
  inline KChar* getItem() const { return ( this -> theItem ); }

};

#endif
