// $Name: KONOE-0-09-02 $
// $Id: KonoeOptionalNumberModule.cc,v 1.2 2002/03/16 08:11:53 iwai Exp $
//====================================================================
/*

	KonoeOptionalNumberModule.cc

        Version 0.6.0   09-Nov-2000     G. Iwai

*/
//====================================================================
#include <daq/KonoeOptionalNumberModule.hh>

KonoeOptionalNumberModule::KonoeOptionalNumberModule()
  : KonoeSoftwareModule(KonoeOptionalNumberModule::MODULE_TYPE), 
    theNumber(0), theUpdateValue(1)
{;}

KonoeOptionalNumberModule::KonoeOptionalNumberModule( KInt aNumber )
  : KonoeSoftwareModule(KonoeOptionalNumberModule::MODULE_TYPE), 
    theNumber(aNumber), theUpdateValue(1)
{;}

KonoeOptionalNumberModule::KonoeOptionalNumberModule( KInt aNumber,
						      KInt aUpdateValue )
  : KonoeSoftwareModule(KonoeOptionalNumberModule::MODULE_TYPE), 
    theNumber(aNumber), theUpdateValue(aUpdateValue)
{;}

KInt KonoeOptionalNumberModule::fillData( KonoeDataElement* anElement,
					  KonoeModuleSubaddress* subAddress) 
{
  anElement -> fill( &theNumber, 1 );
  return (1);
}
