// $Name: KONOE-0-09-02 $
// $Id: KonoeSimADCDigitizer.cc,v 1.6 2002/03/16 08:11:55 iwai Exp $
//====================================================================
/*

	KonoeSimTDCDigitizer.cc

        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	13-Apr-2001	H. Sakamoto

*/
//====================================================================

#include   <daq/KonoeSimADCDigitizer.hh>

KonoeSimADCDigitizer::KonoeSimADCDigitizer( KInt sectionid,KFloat poffset, KFloat pgain ): KonoeSimDigitizer(sectionid)
{
	offset = poffset;
	gain = pgain;	
}

KInt   KonoeSimADCDigitizer::digitize(KonoeSimDetectorHit *hit,
			KonoeDataAddress *address, KonoeSimModule *module ) {

	KFloat 	e;
	KInt	d;

	e = hit -> getHitEnergy( );
	d = KInt( offset + e * gain );
	module -> set( address -> getSubaddress( ), d );

	return 0;
}
