// $Name: KONOE-0-09-02 $
// $Id: KonoeSimModule.hh,v 1.6 2002/03/16 08:11:57 iwai Exp $
//==================================================================
/*

	KonoeSimModule.hh

	Version 0.2.0	28-Apr-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

--

	This is a single depth module definition.
*/
//==================================================================
#ifndef	__KONOESIMMODULE_HH
#define	__KONOESIMMODULE_HH

#include <daq/KonoeDAQModuleBase.hh>

class KonoeSimModule : public KonoeDAQModuleBase {

protected:
  KInt storagesize;
  KInt* storage;

public:
  KonoeSimModule( KInt sectionid, KInt segmentid, KInt storagesize );
  ~KonoeSimModule();
  KInt getDataSize();
  KInt fillData( KonoeDataElement*, KonoeModuleSubaddress* );
  KonoeDataSegment* getDataSegment( KInt segment );
  void initialize();
  void clear();
  void update();
  KInt set( KInt subaddress, KInt data );
};

#endif
