// $Name: KONOE-0-09-02 $
// $Id: KonoeSimTOFTDC.cc,v 1.5 2002/03/16 08:11:58 iwai Exp $
//====================================================================
/*

	KonoeSimTOFTDC.cc

	Version 0.2.0	 8-May-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//====================================================================

#include	<daq/KonoeSimTOFTDC.hh>

KonoeSimTOFTDC::KonoeSimTOFTDC( KInt sectionid, KFloat poffset, KFloat pgain )
  : KonoeSimDigitizer( sectionid )
{
  offset = poffset;
  gain = pgain;
}

KInt KonoeSimTOFTDC::digitize( KonoeSimDetectorHit* hit,
			       KonoeDataAddress* address, 
			       KonoeSimModule* module ) 
{
  KFloat t;
  KInt d;

  t = hit -> getEntryTime();
  d = KInt( offset + t * gain );
  module -> set( address -> getSubaddress(), d );	

  return (0);
}
