// $Name: KONOE-0-09-02 $
// $Id: KonoeSimTOFTDC.hh,v 1.5 2002/03/16 08:11:58 iwai Exp $
//====================================================================
/*

	KonoeSimTOFTDC.hh

	Version 0.2.0	 8-May-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//====================================================================

#ifndef	__KONOESIMTOFTDC_HH
#define	__KONOESIMTOFTDC_HH

#include <daq/KonoeSimDigitizer.hh>

class KonoeSimTOFTDC : public KonoeSimDigitizer {

protected:
  KFloat offset;
  KFloat gain;

public:
  KonoeSimTOFTDC( KInt sectionid, KFloat offset, KFloat gain );
  KInt digitize( KonoeSimDetectorHit* hit,
		 KonoeDataAddress* address,
		 KonoeSimModule* module );
};

#endif
