// $Name: KONOE-0-09-02 $
// $Id: KonoeSoftCounter.cc,v 1.5 2002/03/16 08:11:58 iwai Exp $
//====================================================================
/*

	KonoeSoftCounter.cc

	Version 0.1	24-Jul-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version 0.2.1	10-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//====================================================================

#include <daq/KonoeSoftCounter.hh>

KonoeSoftCounter::KonoeSoftCounter( )
  : KonoeSoftwareModule( SOFTWARE_COUNTER ) 
{;}

KInt KonoeSoftCounter::fillData( KonoeDataElement * pelement,
				 KonoeModuleSubaddress * ) 
{
  pelement -> fill( &counter, 1 );
  return 1;
}

void KonoeSoftCounter::initialize( ) 
{
  counter = 0;
  return;
}

void KonoeSoftCounter::clear( ) 
{
  counter = 0;
  return;
}

void KonoeSoftCounter::update( ) 
{
  counter ++;
  return;
}

void KonoeSoftCounter::set( KInt value ) 
{
  counter = value;
  return;
}
