// $Name: KONOE-0-09-02 $
//==================================================================
/*

	KonoeSuehiroModule.hh

	Version 0.0.1	10-Aug-1998	H. Sakamoto
	Version 0.6.0	21-May-2001	H. Sakamoto

*/
//==================================================================

#ifndef	__KONOESUEHIROMODULE_HH
#define	__KONOESUEHIROMODULE_HH

#include	<daq/KonoeVMEModule.hh>
#include	<daq/KonoeSuehiroChip.hh>
#include	<iostream.h>

class	KonoeSuehiroModule	: public KonoeVMEModule {

public :
	enum	{	N_CHIP = 4	};
	enum	{	MEMORY_SIZE = 256	};

protected :
	KonoeSuehiroChip	* chips[ N_CHIP ];
	
public :
	KonoeSuehiroModule( KInt poffset );
	~KonoeSuehiroModule( );

	KInt	download( KChar * file, KInt chip );

	void	setCrate( KonoeVMECrate * crate );
	KInt	getDataSize( );
	KInt	fillData( KonoeDataElement *, KonoeModuleSubaddress * );

	void	dump( ostream & os );
};

#endif
