// $Name: KONOE-0-09-02 $
// $Id: KonoeVMEModule.hh,v 1.7 2002/03/16 08:12:01 iwai Exp $
//==================================================================
/*

	KonoeVMEModule.hh

	Version 0.1	15-Jul-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	14-Apr-2001	H. Sakamoto
	Version 0.6.1	21-May-2001	H. Sakamoto

*/
//==================================================================

#ifndef	__KONOEVMEMODULE_HH
#define	__KONOEVMEMODULE_HH

#include <daq/KonoeHardwareModule.hh>
#include	<iostream.h>

class KonoeVMECrate;

class KonoeVMEModule : public KonoeHardwareModule {

protected:

	void		* baseaddress;
	KInt		vmeaddress;
	KInt		memorysize;
	KInt		offset;
	KonoeVMECrate	* crate;

public:

	KonoeVMEModule( KInt vmeaddress, KInt memorysize );
	void	setCrate( KonoeVMECrate* crate );
	KonoeVMECrate	* getCrate( )	{	return crate;	}
	void 	* getPointer( )		{	return baseaddress;	}
	KShort	read16( KInt address );
	KInt	read32( KInt address );
	void	write16( KInt address, KShort data );
	void	write32( KInt address, KInt data );
	void	dump( ostream & os, KInt offset = 0, KInt size = 0 );

};

#endif
