// $Name: KONOE-0-09-02 $
// $Id: camlib.h,v 1.5 2002/03/16 08:12:02 iwai Exp $
//==================================================================
/*

  	camlib.h

	Version 0.6.0	25-Dec-2000	G. Iwai

*/
//==================================================================
#ifndef camlib_h
#define camlib_h 1

#include "cc7x00.h"

#ifdef __cplusplus

extern "C" {
  inline struct CamacCardDescriptor* COPEN(const char*);
  inline int CCLOSE(struct CamacCardDescriptor*);
  inline int CRESET(struct CamacCardDescriptor*);
  inline int CGENZ(struct CamacCardDescriptor*);
  inline int CGENC(struct CamacCardDescriptor*);
  inline int CSETI(struct CamacCardDescriptor*);
  inline int CREMI(struct CamacCardDescriptor*);
  inline int CENLAM(struct CamacCardDescriptor*);
  inline int CDSLAM(struct CamacCardDescriptor*);
  inline int CSETLI(struct CamacCardDescriptor*);
  inline int CREMLI(struct CamacCardDescriptor*);
  inline int CSETCR(struct CamacCardDescriptor*, int);
  inline int CWAITLAM(struct CamacCardDescriptor*, unsigned, unsigned);
  inline int CGETLAM(struct CamacCardDescriptor*, unsigned*);
  inline int CAMAC(struct CamacCardDescriptor*, struct CamacData*);
  inline int CAMACW(struct CamacCardDescriptor*, struct CamacData*);
  inline int isOnline(struct CamacCardDescriptor*);
  inline unsigned NAF(struct CamacCardDescriptor*, int, int, int);
  inline unsigned getMask(int);
  inline unsigned lib_version(void);
  inline unsigned drv_version(struct CamacCardDescriptor* cd);
  inline void print_version(unsigned);
}

#else

extern inline struct CamacCardDescriptor* COPEN(const char*);
extern inline int CCLOSE(struct CamacCardDescriptor*);
extern inline int CRESET(struct CamacCardDescriptor*);
extern inline int CGENZ(struct CamacCardDescriptor*);
extern inline int CGENC(struct CamacCardDescriptor*);
extern inline int CSETI(struct CamacCardDescriptor*);
extern inline int CREMI(struct CamacCardDescriptor*);
extern inline int CENLAM(struct CamacCardDescriptor*);
extern inline int CDSLAM(struct CamacCardDescriptor*);
extern inline int CSETLI(struct CamacCardDescriptor*);
extern inline int CREMLI(struct CamacCardDescriptor*);
extern inline int CSETCR(struct CamacCardDescriptor*, int);
extern inline int CWAITLAM(struct CamacCardDescriptor*, unsigned, unsigned);
extern inline int CGETLAM(struct CamacCardDescriptor*, unsigned*);
extern inline int CAMAC(struct CamacCardDescriptor*, struct CamacData*);
extern inline int CAMACW(struct CamacCardDescriptor*, struct CamacData*);
extern inline int isOnline(struct CamacCardDescriptor*);
extern inline unsigned NAF(struct CamacCardDescriptor*, int, int, int);
extern inline unsigned getMask(int);
extern inline unsigned lib_version(void);
extern inline unsigned drv_version(struct CamacCardDescriptor* cd);
extern inline void print_version(unsigned);

#endif

#endif
