// $Name: KONOE-0-09-02 $
//===================================================================
/*

	pt4demo.cc

	Version 0.0.1	01-May-2001	H. Sakamoto

*/
//===================================================================


#include	<daq/KonoePT4Module.hh>
#include	<daq/KonoePT4Chip.hh>
#include	<daq/KonoeVMECrate.hh>

#include	<iostream.h>

class	PT4Demo		{

public :

	enum	{	VME_BASE	= 0x400000,
			VME_MEMORYSIZE	= 0x10000,
			VME_NSLOT	= 20	};

protected :

	KonoeVMECrate	* crate;
	KonoePT4Module	* module;

public :

	PT4Demo( int argc, char ** argv );
	int	go( );

};

PT4Demo::PT4Demo( int argc, char ** argv ) {

	crate = new KonoeVMECrate( KonoeVMECrate::VME_A24D16,
			VME_MEMORYSIZE, VME_BASE, VME_NSLOT );
	module = new KonoePT4Module( 0 );
	crate -> install( module );

	module -> showStatus( cout );

}

int	PT4Demo::go( ) {

	return 0;

}


int	main( int argc, char ** argv ) {

	PT4Demo	demo( argc, argv );

	return demo.go( );

}
