// $Name: KONOE-0-09-02 $
// $Id: KonoeSignalXaction.hh,v 1.6 2002/03/16 08:12:04 iwai Exp $
//===================================================================
/*

	KonoeSignalXaction.hh

	Version 0.1	01-Aug-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version 0.3	29-Oct-1997	H. Sakamoto
		signal handler
	Version 0.1.1	07-Feb-1998	H. Sakamoto / K. Ohnishi
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//===================================================================

#ifndef	__KONOESIGNALXACTION_HH
#define	__KONOESIGNALXACTION_HH

#include <daq/KonoeSoftwareXaction.hh>
#include <analysis/KonoeDataRecord.hh>
#include <system/KonoeSignalHandler.hh>
#include <system/KonoeSignalClient.hh>

class KonoeSignalXaction 
  : public KonoeSoftwareXaction, public KonoeSignalClient {
    
protected:
  KonoeSignalHandler* handler;
  KonoeDataRecord* last_read;

public:
  KonoeSignalXaction(KonoeReadoutList* plist, KInt psignalid);
  KInt enable();
  KInt disable();
  KonoeDataRecord* read();
  void catchSignal(KInt signal);
  static void initialize();
};

#endif
