//=================================================================
/*

	KonoeFileIORequest.hh

	Version 0.0.1	13-Jun-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
*/
//=================================================================

#ifndef	__KONOEFILEIOREQUEST_HH
#define	__KONOEFILEIOREQUEST_HH

#include	<system/KonoeOutputObjSocket.hh>
#include        <system/KonoeStreamableObject.hh>
//#include        <system/KonoeNetworkFileMessage.hh>
#include        <system/KonoeFileManageRequest.hh>
//#include        <system/KonoeNetworkFileManager.hh>
#include        <system/KonoeNetworkFileIOManager.hh>

class	KonoeFileIORequest : public KonoeFileManageRequest {

public :
	static const KChar *	className;

	enum    MEMBER_ID	{	MID_MODE, MID_FILENAME,
					N_MEMBERS	};

	enum	{	READ,	WRITE, UNDEFINED	};

protected :
	KChar * filename;
	KInt mode;

public :
	KonoeFileIORequest( KChar * pfilename, KInt mode );
	KonoeFileIORequest( );

	KInt execute( KonoeFileManageServer * server ){
				return request( server );}
	KInt request( KonoeFileManageServer * server );

        // to be streamable

        KInt    put(    KonoeOutputObjectStream * outstream,
                        KChar level, KInt memberid );
        KInt    getStreamSize( );
        KInt    fillPrimitiveMember( KInt memberid, KInt datatype,
                        KInt datacount, void * data );
        KInt    fillObjectMember( KInt, KonoeStreamableObject * ) {
                        return -1;      }

};

#endif
