//========================================================
/*
   
   KonoeFileManager.hh

        Version 0.0.1   03-Aug-1999     S.Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno


*/
//========================================================

#ifndef __KONOEFILEMANAGER_HH
#define __KONOEFILEMANAGER_HH

#include	<system/KonoeDirectoryInfomation.hh>
#include	<system/KonoePath.hh>

class KonoeFileManager {

protected :

	KChar * pwh;	// parent working host
	KonoePath * pwd; // parent working directory

public :

	KonoeFileInfo * getFileInfo( KonoePath * path, KChar * host );
	KonoeDirectoryInfo * getDirectoryInfo( KonoePath * path, KChar * host );

	//  copy( hostA, path, hostB, path );
	//  move( hostA, path, hostB, path );
	//  rename( hostA, path, newName );
	//  delete( hostA, path );

	KInt changePath( KonoePath path );
	KInt changeHost( KChar * host );

};
