//===================================================================
/*

        KonoeNetworkFileIO.cc

        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.5.1	26-Jan-2000	H. Sakamoto

*/
//===================================================================

#include	<system/KonoeNetworkFileIO.hh>
#include	<string.h>

KonoeNetworkFileIO::KonoeNetworkFileIO( ){

	filename = 0;
	status = CLOSED;
	mode = UNDEFINED;
}

KonoeNetworkFileIO::KonoeNetworkFileIO( KChar * pfilename, KInt pmode,
					KChar * phostname ){

	filename = new KChar[ strlen( pfilename ) + 1 ];
	strcpy( filename, pfilename );

	mode = pmode;

	if( phostname ){
	    hostname = new KChar[ strlen( phostname ) + 1 ];
	    strcpy( hostname, phostname );
	}
	else { // local host?
	    hostname = 0;
	}
}

KonoeNetworkFileIO::~KonoeNetworkFileIO( ){

	delete socket;
	delete [] filename;
}
