//==================================================================
/*

	KonoeNetworkFileIOManager.hh

        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//==================================================================

#ifndef	__KONOENETWORKFILEIOMANAGER_HH
#define	__KONOENETWORKFILEIOMANAGER_HH

#include	<system/KonoeFDSet.hh>
#include	<system/KonoeObjectSocket.hh>
#include	<system/KonoeSocketIO.hh>
#include	<system/KonoeSocketConnection.hh>

class	KonoeNetworkFileIOManager {

public :
	enum { OPEN, CREATE, READ, WRITE, LSEEK, CLOSE };

protected :
	KonoeSocketIO		* socket;
	//KonoeSocketConnection	* socket;
	//KonoeObjectSocket	* socket;
	KonoeFDSet		* fdset;
	KChar			* filename;

public :
	KonoeNetworkFileIOManager( KChar * pfilename, KonoeSocketIO * psocket );
	~KonoeNetworkFileIOManager( );
	//virtual	KInt	go( KonoeSocketConnection * c ) = 0;
	virtual	KInt	go( ) = 0;

};

#endif
