//========================================================
/*
   
	KonoeNetworkFileManager.hh

	Version 0.0.1   03-Aug-1999     S.Inaba
	Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//========================================================

#ifndef __KONOENETWORKFILEMANAGER_HH
#define __KONOENETWORKFILEMANAGER_HH

//#include <system/KonoeDirectoryFile.hh>
//#include "KonoeUNIXCommand.hh"
//#include "KonoeDirectoryFile.hh"
#include <system/KonoeClientSocket.hh>
#include <system/KonoeObjectSocket.hh>
#include <system/KonoeNetworkInputFile.hh>
#include <system/KonoeDirectoryInfomation.hh>
#include <system/KonoeFileInfomation.hh>
#include <system/KonoePath.hh>
#include <KonoePrimitives.hh>
	
//class	KonoeNetworkFileManager : public KonoeFileManager{

class	KonoeNetworkFileManager {

protected :
	KonoeClientSocket * clientSocket;
	KonoeObjectSocket * socket;
	KonoePath * pwd;

public :
	KonoeNetworkFileManager( KChar * hostname );
	~KonoeNetworkFileManager( );

	KonoeFileInfomation * getFileInfomation( KonoePath * path );
//	KonoeFileInfomation * getFileInfomation( KChar * path );
	KonoeDirectoryInfomation * getDirectoryInfomation( KonoePath * path=0 );
	KonoeDirectoryInfomation * getDirectoryInfomation( KChar * path=0 );
	//KInt	executeCommand( KonoeFileCommand * command );
	//KInt	executeCommand( KonoeUNIXCommand * command );

	KInt	ls( );
	KInt	cd( KonoePath * ppath );
	KInt	cd( KChar * ppath );
	KChar	* getPWD( ){ return pwd -> getPath( ); }
	KChar	* getHostName( ){ return pwd -> getHost( ); }
	//KInt	cd( );
	//KonoeNetworkInputFile * getInputFile( filename );
    KInt	cp( KChar* fromHost, KChar* filename1,
                KChar* toHost, KChar* filename2, KInt bufferSize);
	
};
	
#endif
