//===================================================================
/*

	KonoeNetworkOutputFile.cc


        Version 0.5.0   07-Arp-2000     T. Hosoi

*/
//===================================================================

#include	<system/KonoeNetworkOutputFile.hh>
#include	<system/KonoeFileManageServer.hh>
#include	<system/KonoeFileIORequest.hh>
//#include	<system/KonoeCreateManagerRequest.hh>
//#include	<system/KonoeNetworkFileServer.hh>
//#include	<system/KonoeNetworkFileCM.hh>
//#include	<system/KonoeNetworkFileManager.hh>
//#include	<system/KonoeReadRequest.hh>
//#include	<system/KonoeOpenRequest.hh>
//#include	<system/KonoeReadAnswer.hh>
#include	<iostream.h>

KonoeNetworkOutputFile::KonoeNetworkOutputFile( ) : KonoeNetworkFileIO( ){

}

/*
KonoeNetworkOutputFile::KonoeNetworkOutputFile( KonoeObjectSocket * psocket ) {

	socket = psocket;
}
*/

KonoeNetworkOutputFile::KonoeNetworkOutputFile( KChar * pfilename, KChar * host )
		: KonoeNetworkFileIO( pfilename, WRITE, host ){

// port number 
	//KInt port = KonoeNetworkFileManager::NETWORKFILEMANAGERPORT;
	//KInt port = KonoeNetworkFileServer::NETWORKFILESERVERPORT;
	//KInt port = KonoeFileManageServer::FILEMANAGESERVERPORT;
	KInt port = KonoeFileManageServer::FILEMANAGERPORT;

// create socket
	socket = new KonoeObjectSocket( host, port );
	//socket = new KonoeClientSocket( host, port );

// send message
	//KonoeNetworkOutputFileManager * manager;
	//manager = new KonoeNetworkOutputFileManager( pfilename );
	//socket -> put( manager );
	//delete manager;

	//KonoeOpenRequest * request = new KonoeOpenRequest( filename, mode );
	//socket -> put( request );

	//KonoeCreateManagerRequest * request;
	//request = new KonoeCreateManagerRequest( 
	//	KonoeCreateManagerRequest::INPUTFILEMANAGER );

	KonoeFileIORequest * request;
	request = new KonoeFileIORequest( filename, KonoeNetworkFileIO::WRITE);
	socket -> put( request );

	delete request;

	status = OPENED;
}

KInt	KonoeNetworkOutputFile::write( KChar * buffer, KInt buffersize ){
	return set( buffer, buffersize );
}

KInt	KonoeNetworkOutputFile::set( KChar * buffer, KInt buffersize ){

	KInt readsize;

	if( status != OPENED ){
		cerr << "KonoeNetworkOutputFile::write. File not opened," << endl;
		return -1;
	}

	// send readsize 
	socket -> write( (KChar*)&buffersize, sizeof( KInt ));
	    
	return socket -> write( buffer, buffersize );
	//return socket -> write( buffer, readsize );
}

