//==================================================================
/*

	KonoeNetworkOutputFileManager.cc

        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.5.1	26-Jan-2000	H. Sakamoto

*/
//==================================================================

#include        <system/KonoeNetworkOutputFileManager.hh>
//#include        <system/KonoeNetworkFileMessage.hh>
//#include        <system/KonoeNetworkFileCM.hh>
#include	<KonoeCategories.hh>
#include	<stdio.h>


KonoeNetworkOutputFileManager::KonoeNetworkOutputFileManager( KChar * pfilename,
	KonoeSocketIO * psocket )
	: KonoeNetworkFileIOManager( pfilename, psocket ) {

//cout<< "Output manager construct" << endl;

	file = new KonoeOutputFile( pfilename );
}

KInt	KonoeNetworkOutputFileManager::go( ){

	KInt	buffersize = 256;
	KChar	* buffer = new KChar[ buffersize ];
	KInt	datasize, writesize, receivedsize;

cout<< "output Manager go" << endl;


	while( socket -> receive( (KChar*)&datasize, sizeof(KInt) ) > 0 ){

	    receivedsize = socket -> receive( buffer, datasize );
	    if( receivedsize != datasize ){
		cout<<"KonoeOutputFileManager::go. Error."
			 " datasize != receivesize" << endl;
	    }

	    writesize = file -> put( buffer, datasize );
	    if( writesize != datasize ){
                cout<<"KonoeOutputFileManager::go. Error."
                        " datasize != writesize" << endl;
            }

cout<<"debug:OutputFileManager:go: receive data " << endl;
cout<<"debug:OutputFileManager:go: writesize " << writesize << endl;
cout<<"debug:OutputFileManager:go: buffer " << buffer << endl;
	    socket -> send( (KChar*)&writesize, sizeof(KInt) );
	}

cout<< "Output Manager go end" << endl;

	return 0;
}
