//========================================================================
/*

	demo logfile management 

	Version 0.6.1	10-Aug-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

	for texted-logfile
	    ~~~~~~
*/
//==================================================================


#include<system/KonoeInputFile.hh>
#include<system/KonoeClientSocket.hh>
#include<system/KonoeHostSystem.hh>
#include<iostream.h>
#include<stdio.h>
#include<stdlib.h>


class KonoeLogFileSender {
	KonoeInputFile * file;
	KonoeClientSocket * socket;
	KChar * hostname;
	KInt port;

public:	
	KonoeLogFileSender(KChar *hostname , KInt port  );
	~KonoeLogFileSender( );
	void go( );

};

KonoeLogFileSender::KonoeLogFileSender( KChar *hostname , KInt port ){
	cout << hostname << endl;
	cout << " port " << port << endl;

	file = new KonoeInputFile("logfile.txt");
	socket = new KonoeClientSocket(hostname,port);
}

KonoeLogFileSender::~KonoeLogFileSender( ){

	delete file;
	delete socket;

}

void KonoeLogFileSender::go( ){
	
	KChar  buffer[100000];

	file->get( buffer , sizeof(buffer));
	cout << buffer << endl;
	socket->send( buffer, strlen( buffer )  );
}

int main( int argc, char** argv ){

	KonoeLogFileSender *sender;

	if( argc  == 3 ){
		argv++;
		KChar * host = *argv;
		argv++;
		KInt  pport = atoi( * argv );
		sender = new KonoeLogFileSender( host, pport );
	 
		sender->go( );	
	} else {
		cout << " usage --- ./klogfilec <host> <port> "<< endl;
		KonoeHostSystem::exit(0);
	}	

	delete sender;	

	return (0);
}
	
