//=======================================================================
/*

	klogsend.cc


	Version 0.6.0 	22-Jul-2000	Y. Shimizu
	Version 0.6.1 	30-Jul-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

	You can select < object mode > or < text mode >

*/
//=======================================================================

#include <system/KonoeLogMessage.hh>
#include <system/KonoeLogMessenger.hh>
#include  <system/KonoeHostSystem.hh>
#include <stdlib.h>
#include <string.h>
#include <iostream.h>

int main( int argc, char** argv){

	KChar  buffer[256];
	KChar * loghost;
	KChar * message;

	KonoeLogMessage * logMessage;

	loghost = "konoe2";
//	loghost = "okavaio.hep.okayama-u.ac.jp";

	KonoeLogMessenger * messenger;
	messenger = new KonoeLogMessenger( loghost );

	if( argc != 3 ) {
		cout << " usage -- ./klogsend <char *message> <int level> " << endl;
		KonoeHostSystem::exit( 0 );
	}

	argv++;
	message = *(argv);	
	argv++;
	KInt level = atoi( *(argv) );

	logMessage = new KonoeLogMessage( message, level );

	messenger->send( logMessage->getLogMsg( ) , 256 );  // < text mode >
//                or 
//	messenger->send( logMessage );             // < object mode >

	messenger->receive( buffer, 256 );
	
	cout << buffer << endl;

	return (0);

}
