//====================================================================
/*
	ktest

	LogMessage streamable test
*/
//====================================================================

#include	<system/KonoeLogMessage.hh>
#include	<system/KonoeLoggerCM.hh>
#include	<system/KonoeLogger.hh>
#include	<system/KonoeLogManager.hh>
#include	<system/KonoeTime.hh>
#include	<system/KonoeInputObjFile.hh>
#include	<system/KonoeOutputObjFile.hh>
#include	<iostream.h>

main( KInt argc, KChar ** argv ) {

	KonoeLogMessage * message = new KonoeLogMessage("hello");
	message -> dump( cout );

	KonoeOutputObjFile * outfile = new KonoeOutputObjFile("ktest.dat");

	outfile -> put( message );

	delete outfile;
	delete message;

        KonoeInputObjFile * infile = new KonoeInputObjFile("ktest.dat");
        KonoeLoggerCM  * cm = new KonoeLoggerCM;
        infile -> installCM( cm );

	message = ( KonoeLogMessage * ) infile -> get( );
	message -> dump( cout );

}
