//=================================================================
/*

	KonoeLocalNameSpaceManager.cc

	Version 0.2.0	25-Apr-1998	H. Sakamoto
	Version	0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.5.1	18-Jan-2000	H. Sakamoto
        Version 0.6.0   17-Aug-2000	Y. Shimizu

*/
//=================================================================

#include	<system/KonoeLocalNameSpaceManager.hh>

KonoeLocalNameSpaceManager::KonoeLocalNameSpaceManager( ) :
	KonoeNameSpaceManager( KonoeNameSpaceTable::DEFAULT_TABLE_SIZE,
				NAMESPACETABLEKYE ){

}

KonoeLocalNameSpaceManager::~KonoeLocalNameSpaceManager( ){

}

KInt KonoeLocalNameSpaceManager::addValue(  KChar * entryname, KChar * value ){

	return table -> addValue( entryname, value );
}

KInt KonoeLocalNameSpaceManager::addValue(  KChar * entryname, KInt value ){

        return table -> addValue( entryname, value );
}

KInt KonoeLocalNameSpaceManager::addValue(  KChar * entryname, 
					KonoeNameSpaceValue * value ){

        return table -> addValue( entryname, value );
}

KInt KonoeLocalNameSpaceManager::setValue( KChar * entryname, KChar * value,
						KInt index ){

	return table -> setValue( entryname, value, index );
}

KInt KonoeLocalNameSpaceManager::setValue( KChar * entryname, KInt value,
                                                KInt index ){

        return table -> setValue( entryname, value, index );
}

KInt KonoeLocalNameSpaceManager::setValue( KChar * entryname, 
			KonoeNameSpaceValue * value, KInt index ){

        return table -> setValue( entryname, value, index );
}

