//==================================================================
/*

	KonoeLocalNameSpaceManager.hh

	Version 0.0.1	11-Nov-1998	H. Sakamoto
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6.0   17-Aug-2000	Y. Shimizu

*/
//==================================================================

#ifndef	__KONOELOCALNAMESPACEMANAGER_HH
#define	__KONOELOCALNAMESPACEMANAGER_HH

#include	<system/KonoeNameSpaceManager.hh>

class	KonoeLocalNameSpaceManager : public KonoeNameSpaceManager {

public :
	enum	{ NAMESPACETABLEKYE = 10001 };

protected :

public :
	KonoeLocalNameSpaceManager( );
	~KonoeLocalNameSpaceManager( );

        KInt    addValue( KChar * entryname, KChar * value );
        KInt    addValue( KChar * entryname, KInt value );
        KInt    addValue( KChar * entryname, KonoeNameSpaceValue * value );

        KInt    setValue( KChar * entryname, KChar * value, KInt index = 0 );
        KInt    setValue( KChar * entryname, KInt value, KInt index = 0 );
        KInt    setValue( KChar * entryname, KonoeNameSpaceValue * value, 
                                KInt index = 0 );


};

#endif
