//=================================================================
/*

	KonoeNameSpaceManager.cc

	Version 0.2.0	25-Apr-1998	H. Sakamoto
	Version	0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	28-Jul-2000	Y. Shimizu

*/
//=================================================================

#include	<system/KonoeNameSpaceManager.hh>

KonoeNameSpaceManager::KonoeNameSpaceManager( KInt tablesize, KInt key ){

	table = new KonoeNameSpaceTable( tablesize, key );
}

KonoeNameSpaceManager::~KonoeNameSpaceManager( ){

        delete table;
}

KonoeNameSpaceValue * KonoeNameSpaceManager::getValue(KChar * entryname, 
							KInt index ){
	return table -> getValue( entryname, index ); 
}

KonoeNameSpaceItem * KonoeNameSpaceManager::getItem( KChar * entryname ){

	return table -> getItem( entryname );
}

KInt KonoeNameSpaceManager::show( ostream & os ){

        return table -> show( os );
}

KInt KonoeNameSpaceManager::showEntry( ostream & os , KChar * entryname ){

	return table -> showEntry( os , entryname );

}

void KonoeNameSpaceManager::dump(ostream & os ){

	table -> dump( os );
}

KInt KonoeNameSpaceManager::getValueCount( KChar * entryname ){

	return table -> getValueCount( entryname );
}
