//=================================================================
/*

	KonoeSetValueMessage.hh

	Version 0.0.1	13-Jun-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//=================================================================

#ifndef	__KONOESETVALUEMESSAGE_HH
#define	__KONOESETVALUEMESSAGE_HH

#include	<system/KonoeNameSpaceValue.hh>
#include	<system/KonoeNameSpaceMessage.hh>
#include	<system/KonoeNameSpaceMessage.hh>
#include        <system/KonoeStreamableObject.hh>

class	KonoeSetValueMessage : public KonoeNameSpaceMessage {

public :
	static const KChar *	className;

protected :
	KInt	index;
	KChar	* entryname;
	KonoeNameSpaceValue * value;

	enum	MEMBER_ID	{
		MID_INDEX,	MID_ENTRYNAME,	MID_VALUE,
		N_MEMBERS	};

public :
	KonoeSetValueMessage( );
	~KonoeSetValueMessage( );

	KInt	exec( KonoeNameSpaceMaster * master );
	KInt	exec( KonoeNameSpaceSlave *  slave  );

	KInt	setIndex( KInt pindex ){ index = pindex;return 0; } 
	KInt	getIndex( ){	return index;	}

	void	setEntryname( KChar * pentryname )
			{ entryname = pentryname; }
	KChar	* getEntryname( ){	return entryname;	} 

	void	setValue( KonoeNameSpaceValue * pvalue )
				{ value = pvalue; }
	KonoeNameSpaceValue	* getValue( ){	return value;	}

	// to be streamable

	KInt	put(	KonoeOutputObjectStream * outstream,
			KChar level, KInt memberid );
	KInt	getStreamSize( );
	KInt	fillPrimitiveMember( KInt memberid, KInt datatype,
			KInt datacount, void * data );
	KInt	fillObjectMember( KInt menberid, KonoeStreamableObject * );

};

#endif
