//===================================================================
/*

	KonoeInputObjFileBuffered.hh

	Version 0.1	22-Oct-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba	
	Version 0.4.1	09-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	02-Dec-2000	H. Sakamoto

*/
//===================================================================

#ifndef	__KONOEINPUTOBJFILEBUFFERED_HH
#define	__KONOEINPUTOBJFILEBUFFERED_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeObjectFileBase.hh>
#include	<system/KonoeInputObjectStream.hh>
#include	<system/KonoeInputFile.hh>

class	KonoeInputObjFileBuffered : public KonoeObjectFileBase,
		public KonoeInputObjectStream {

public :
	enum	{	READ_BUFFER_SIZE = 512	};

protected :
	KonoeInputFile	* inputfile;

	KChar	read_buffer[ READ_BUFFER_SIZE ];
	KInt	read_buffer_size;
	KInt	read_buffer_pointer;
	KInt	read_buffer_bytecount;

public :
	KonoeInputObjFileBuffered( );
	KonoeInputObjFileBuffered( KChar * filename );
	~KonoeInputObjFileBuffered( );

	KInt	readFromStream( KChar * pbuffer, KInt buffersize );

protected :
	void	initialize( );

};


#endif
