//=====================================================================
/*

	KonoeOutputObjFile.cc

	Version 0.1	16-Oct-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
*/
//=====================================================================

#include	<system/KonoeOutputObjFile.hh>

KonoeOutputObjFile::KonoeOutputObjFile( ) :
	KonoeObjectFileBase( ),
	KonoeOutputObjectStream( ) {

	outputfile = 0;

}

KonoeOutputObjFile::KonoeOutputObjFile( KChar * pfilename ) :
	KonoeObjectFileBase( ),
	KonoeOutputObjectStream( ) {

	outputfile = new KonoeOutputFile( pfilename );

}

KonoeOutputObjFile::~KonoeOutputObjFile( ) {

	delete outputfile;

}

KInt	KonoeOutputObjFile::writeToStream( const KChar * pbuffer, KInt nbytes ) {

	if( ! outputfile ) return -1;	// not opened

	outputfile -> writeToStream( pbuffer, nbytes );

}
