//====================================================================
/*

	KonoeInputObjSocket.hh

	Version 0.1	25-Oct-1997	H. Sakamoto
	Version 0.2.0	24-Apr-1998	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
	Version 0.4.1	09-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//====================================================================

#ifndef	__KONOEINPUTOBJSOCKET_HH
#define	__KONOEINPUTOBJSOCKET_HH

#include	<system/KonoeObjectSocketBase.hh>
#include	<system/KonoeInputObjectStream.hh>
#include	<system/KonoeSocketIO.hh>

class	KonoeInputObjSocket	: public KonoeObjectSocketBase,
		public KonoeInputObjectStream {

public :
	KonoeInputObjSocket( KChar * host, KInt port );
	KonoeInputObjSocket( KInt port );
	KonoeInputObjSocket( KonoeSocketIO * s );
	~KonoeInputObjSocket( );

	KInt	readFromStream( KChar * buffer, KInt buffersize );

};

#endif
