//====================================================================
/*

	KonoeInputObjSocketBuffered.hh

	Version 0.1	25-Oct-1997	H. Sakamoto
	Version 0.2.0	24-Apr-1998	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
	Version 0.4.1	09-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	03-Dec-2000	H. Sakamoto
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//====================================================================

#ifndef	__KONOEINPUTOBJSOCKETBUFFERED_HH
#define	__KONOEINPUTOBJSOCKETBUFFERED_HH

#include	<system/KonoeObjectSocketBase.hh>
#include	<system/KonoeInputObjectStream.hh>
#include	<system/KonoeSocketIO.hh>

class	KonoeInputObjSocketBuffered	: public KonoeObjectSocketBase,
		public KonoeInputObjectStream {

public :
	enum	{	RECEIVE_BUFFER_SIZE = 1448	};

protected :
	KChar	receive_buffer[ RECEIVE_BUFFER_SIZE ];
	KInt	receive_buffer_size;
	KInt	receive_buffer_pointer;
	KInt	receive_buffer_bytecount;

public :
	KonoeInputObjSocketBuffered( KChar * host, KInt port );
	KonoeInputObjSocketBuffered( KInt port );
	KonoeInputObjSocketBuffered( KonoeSocketIO * s );
	~KonoeInputObjSocketBuffered( );

	KInt	readFromStream( KChar * buffer, KInt buffersize );

protected :
	void	initialize( );

};

#endif
