//===================================================================
/*

	KonoeOutputObjSocket.cc

	Version 0.1	25-Oct-1997	H. Sakamoto
	Version 0.1.1	09-Mar-1998	H. Sakamoto
	Version 0.2.0	24-Apr-1998	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#include	<system/KonoeOutputObjSocket.hh>
#include	<system/KonoeClientSocket.hh>
#include	<system/KonoeServerSocket.hh>

KonoeOutputObjSocket::KonoeOutputObjSocket( KChar * host, KInt port )
		: KonoeObjectSocketBase( ),
		KonoeOutputObjectStream( ) {

	socket = new KonoeClientSocket( host, port );

}

KonoeOutputObjSocket::KonoeOutputObjSocket( KInt port )
		: KonoeObjectSocketBase( ),
		KonoeOutputObjectStream( ) {

	socket = new KonoeServerSocket( port );

}

KonoeOutputObjSocket::KonoeOutputObjSocket( KonoeSocketIO * s )
		: KonoeObjectSocketBase( ),
		KonoeOutputObjectStream( ) {

	socket = s;

}

KonoeOutputObjSocket::~KonoeOutputObjSocket( ) {

	delete socket;

}

KInt	KonoeOutputObjSocket::writeToStream( const KChar * buffer, KInt nbytes ) {

	return socket -> send( buffer, nbytes );

}
