//===================================================================
/*

	KonoeOutputObjSocket.hh

	Version 0.1	25-Oct-1997	H. Sakamoto
	Version 0.1.1	09-Mar-1998	H. Sakamoto
	Version 0.2.0	24-Apr-1998	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#ifndef	__KONOEOUTPUTOBJSOCKET_HH
#define	__KONOEOUTPUTOBJSOCKET_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeObjectSocketBase.hh>
#include	<system/KonoeOutputObjectStream.hh>
#include	<system/KonoeSocketIO.hh>

class	KonoeOutputObjSocket	: public KonoeObjectSocketBase,
			public KonoeOutputObjectStream {

public :
	KonoeOutputObjSocket( KChar * host, KInt port );
	KonoeOutputObjSocket( KInt port );
	KonoeOutputObjSocket( KonoeSocketIO * s );
	~KonoeOutputObjSocket( );

	KInt	writeToStream( const KChar * buffer, KInt nbytes );

};

#endif
