//====================================================================
/*

	KonoeInputObjectStream.hh

	Version 0.1	21-Oct-1997	H. Sakamoto
	Version 0.2.0	27-Apr-1998	H. Sakamoto
	Version 0.4.0	01-Sep-1998	S. Inaba
	Version 0.4.1	09-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//====================================================================

#ifndef	__KONOEINPUTOBJECTSTREAM_HH
#define	__KONOEINPUTOBJECTSTREAM_HH

#include	<system/KonoeObjectStreamBase.hh>
#include	<system/KonoeInputStream.hh>
#include	<iostream.h>

class	KonoeStreamableObject;

class	KonoeInputObjectStream : public virtual KonoeObjectStreamBase,
				public virtual KonoeInputStream {

public :
	enum	{	ERROR_SUCCESS = 0,
			ERROR_READFAIL = -1,
			ERROR_CATEGORYUNKNOWN = -2
		};
protected :
	KChar	level;
	KInt	status;

public :
	KonoeInputObjectStream( );

	KonoeStreamableObject	* get( KonoeStreamableObject * parent = 0,
			KInt arraymember = -1 );
	KInt	skip( KInt datacount );
	KInt	analyze( ostream & os, KInt arraymember = -1 );

};

#endif
