//==================================================================
/*

	KonoeObjectStreamBase.cc

	Version 0.1	16-Oct-1997	H. Sakamoto
	Version 0.4.0 	01-Sep-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka
*/
//==================================================================

#include	<system/KonoeObjectStreamBase.hh>

KonoeObjectStreamBase::KonoeObjectStreamBase( ) {

	cm_list = new KonoeList<KonoeCategoryManager>( MAX_CATEGORY );

}

KInt	KonoeObjectStreamBase::installCM( KonoeCategoryManager * pcm ) {

	return cm_list -> add( pcm );

}

KonoeCategoryManager * KonoeObjectStreamBase::getCM( KInt pheaderword ) {

	KonoeCategoryManager	* cm;

	cm_list -> reset( );
	while( cm = cm_list -> next( ) ) {
	    if( cm -> match( pheaderword & CATEGORY_MASK ) )
		return cm;
	}
	return 0;
}
