//====================================================================
/*

	KonoeStreamableObject.cc

	Version 0.1	15-Oct-1997	H. Sakamoto
	Version 0.2	12-Dec-1997	H. Sakamoto
	Version 0.4.0	01-Sep-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka
*/
//====================================================================

#include	<system/KonoeStreamableObject.hh>

KonoeStreamableObject::KonoeStreamableObject(
		KInt pcategoryid, KInt pclassid, KInt pclassversion )
		: category_id( pcategoryid ), class_id( pclassid ),
		class_version( pclassversion )
{

	stream_header = ( category_id & 0xff0000 )
		| ( class_id & 0xff00 )
		| ( class_version & 0xff );

}

KInt	KonoeStreamableObject::getStreamHeader( KChar plevel ) {

	return ( plevel << 24 ) | stream_header;

}

