//============================================================================
/*

	KonoeExecutor.hh

	Version 0.6	09-Aug-2000 	Y. Shimizu
	Version 0.6.1	10-Sep-2000 	Y. Shimizu
	Version 0.6.2	20-Nov-2000 	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//=============================================================================

	
#ifndef __KONOEEXECUTOR_HH
#define __KONOEEXECUTOR_HH

#include<system/KonoeUDPClientSocket.hh>
#include<system/KonoeObjectSocket.hh>
#include<iostream.h>

class KonoeExecutor {
public:
  enum { 	KONOEEXECUTEPORT = 10055 };
  enum {        BUFFERSIZE = 256 };
protected:
  KInt 	port;
  KonoeUDPClientSocket * socket;
  KChar* server_hostname;
  KChar* file;
  KChar  request[BUFFERSIZE];

  KInt entry(KChar * hostname );
public:
  KonoeExecutor( KInt port = KONOEEXECUTEPORT );
  KInt exec( KChar* host, KChar* file);
  KInt getPort( ) { return port ; }

};

#endif
