//=========================================================================
/*

	KonoeSignalDaemon.hh

	Version	0.6	09-Aug-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//=========================================================================

#ifndef __KONOESIGNALDAEMON__HH
#define __KONOESIGNALDAEMON__HH

#include<system/KonoeUDPServerSocket.hh>
#include<iostream.h>

class KonoeSignalDaemon : KonoeUDPServerSocket {
public:
	enum { BUFFERSIZE = 256 };  
protected:
  KInt  port ;
  KInt  signal;
  KLong pid;
  KChar buffer[BUFFERSIZE];
  KInt  stringAnalyze( KChar* buffer );
public:
  KonoeSignalDaemon( );
  KonoeSignalDaemon( KInt port );
  ~KonoeSignalDaemon( );
  KInt getPort( )	{ return port ; }
  KInt go( );

};

#endif
