//=============================================================================
/*

	KonoeSingalSender.cc

	Version	0.6	09-Aug-2000	Y. Shimizu
	Version	0.6.1	10-Sep-2000	Y. Shimizu
	Version	0.6.2	20-Nov-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka


*/
//=============================================================================
#include<system/KonoeSignalSender.hh>
#include<system/KonoeUDPClientSocket.hh>
#include<iostream.h>
#include<string.h>
#include<stdio.h>

KonoeSignalSender::KonoeSignalSender(KInt pport ){
  port = pport ;
}

  
KInt KonoeSignalSender::kill( KChar* phostname, KInt pid, KInt signalid ){
  
  KChar ans[BUFFERSIZE];

  this->entry(phostname);
  
  request_signal = signalid;
  request_pid = pid;
  
  sprintf(signal_request,"%d/%d",pid,signalid);
  signalsocket->send(signal_request,BUFFERSIZE);
  signalsocket->receive(ans,BUFFERSIZE);
//	cout << (KChar*)ans << endl;
 
  delete  signalsocket;
  return (0);
}

KInt KonoeSignalSender::entry(KChar * fullname ){

  signalsocket = new 
    KonoeUDPClientSocket( fullname,port );

  return 0;

}
