//=============================================================================
/*

	KonoeSignalSender.hh

	Version 0.6	09-Aug-2000	Y. Shimizu
	Version 0.6.1	10-Sep-2000	Y. Shimizu
	Version 0.6.2	10-Nov-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//=============================================================================


#ifndef __KONOESIGNALSENDER_HH
#define __KONOESIGNALSENDER_HH

#include<system/KonoeUDPClientSocket.hh>
#include<system/KonoeObjectSocket.hh>
#include<iostream.h>

class KonoeSignalSender {
public:
  enum { 	KONOESIGNALPORT = 11100 };
  enum {        BUFFERSIZE = 256 };
protected:
  KInt port ;
  KonoeUDPClientSocket * signalsocket;
  KChar* server_hostname;
  KInt request_signal;
  KInt request_pid;
  KChar  signal_request[BUFFERSIZE];

  KChar * hostname;
  KInt entry( KChar * hostname );
public:
  KonoeSignalSender( KInt port = KONOESIGNALPORT );
  KInt kill( KChar* host, KInt pid, KInt signalid);
  KInt getPort( ) { 	return port ; }

};

#endif
