//=====================================================================
/*

	KonoeObjectFileOfficer.cc

	Version 0.0.1	04-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 6-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto

*/
//=====================================================================

#include	<system/KonoeObjectFileOfficer.hh>
#include	<system/KonoeInputObjFileOrderly.hh>
#include	<system/KonoeOutputObjFileOrderly.hh>


const KChar	* KonoeObjectFileOfficer::classname = "ObjectFileOfficer";

KonoeObjectFileOfficer::KonoeObjectFileOfficer( KInt norderly,
		const KChar * name )
		: KonoeOfficer( norderly, 0, name, N_CLASSES ) {

	registerOrderly( new KonoeInputObjFileOrderly( 0 ) );
	registerOrderly( new KonoeOutputObjFileOrderly( 0 ) );
}

KInt	KonoeObjectFileOfficer::execute( KonoeCommand * cmd ) {

	return 0;

}
