//=====================================================================
/*

	KonoeObjectSocketOfficer.hh

	Version 0.0.1	04-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 6-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto

*/
//=====================================================================

#ifndef	__KONOEOBJECTSOCKETOFFICER_HH
#define	__KONOEOBJECTSOCKETOFFICER_HH

#include	<ui/KonoeOfficer.hh>

class KonoeObjectSocketOfficer	: public KonoeOfficer {

protected :
	static const KChar	* classname;

	enum	{	N_CLASSES = 2		};

public :
	KonoeObjectSocketOfficer( KInt norderly, const KChar * name );

// KonoeOrderly virtual members

	const KChar	* getClassName( )	{
		return classname;		}
	KInt	execute( KonoeCommand * cmd );
	KInt	isOrderlyOf( void * address )	{
			return ( void * ) this == address;	}

};


#endif
