//====================================================================
/*

	KonoeSystemCommander.cc

	Version 0.0.1	 1-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 6-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto

*/
//====================================================================

#include	<system/KonoeSystemCommander.hh>

KonoeSystemCommander::KonoeSystemCommander( const KChar * name ) :
	KonoeCommander( N_OFFICERS, name ) {

	objectstreamofficer = new KonoeObjectStreamOfficer( N_OBJECTSTREAMOBJECTS,
		"objectstreamofficer" );
	add( objectstreamofficer );
        objectstreamofficer -> setCommander(this);

	objectfileofficer = new KonoeObjectFileOfficer( N_OBJECTFILEOBJECTS,
		"objectfileofficer" );
	add( objectfileofficer );
        objectfileofficer -> setCommander(this);

	objectsocketofficer = new KonoeObjectSocketOfficer( N_OBJECTSOCKETOBJECTS,
		"objectsocketofficer" );
	add( objectsocketofficer );
        objectsocketofficer -> setCommander(this);
 
	systemserviceofficer = new KonoeSystemServiceOfficer( N_SYSTEMSERVICEOBJECTS,
		"systemserviceofficer" );
	add( systemserviceofficer );
        systemserviceofficer -> setCommander(this);

}
