//====================================================================
/*

	demo.cc at src/system/systemprocess

	Version 0.0.1	 1-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 6-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
*/
//====================================================================

#include	<system/KonoeSystemCommander.hh>
#include        <iostream.h>


class Demo	{

protected :

	KonoeSystemCommander	* commander;

public :
	Demo( int argc, char ** argv );
	int	go( );

};

Demo::Demo( int argc, char ** argv ) {

	commander = new KonoeSystemCommander( "commander" );

}

int	Demo::go( ) {

	KChar	buffer[ 256 ];

	while( 1 ) {
	  cout << "CMD> ";
	  cin.getline( buffer, 256 );
	  if( commander -> dispatch( buffer, cout ) < 0 )
	    break;
	}
	return 0;

}

int	main( int argc, char ** argv ) {

	Demo	demo( argc, argv );
	return demo.go( );

}
