//====================================================================
/*

	KonoeHostSystem.cc

	Version 0.0.1	31-Aug-2000	H. Sakamoto
	Version 0.0.2	31-Aug-2000	Y. Shimizu
	Version 0.0.3	11-Oct-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//====================================================================

#include	<system/KonoeHostSystem.hh>

#include	<stdlib.h>
#include	<sys/types.h>
#include	<netdb.h>

extern "C"	{

	int	gethostname( char * name, int namelength );
	int 	getpid(void);

}


void	KonoeHostSystem::exit( KInt returnvalue ) {

	::exit( returnvalue );

}

KInt	KonoeHostSystem::getHostName( KChar * name, KInt namelength ) {

	return gethostname( name, namelength );

}

hostent * KonoeHostSystem::getHostByName( KChar*  hostname ) {

	return gethostbyname( hostname );

}

KInt	KonoeHostSystem::getPid(){

	return getpid();

}
