//=============================================================================
/*
	KonoeLock.hh

	Version	0.6	31-Jan-2000	Y. Shimizu
	Version 0.6.1	29-Jan-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//=============================================================================

#ifndef __KONOELOCK_HH
#define __KONOELOCK_HH

#include<KonoePrimitives.hh>
#include<sys/types.h>
#include<unistd.h>
#include<fcntl.h>

class 	KonoeLock {
protected :
	int fd;
	KInt st;
	KChar * lockfile;
	struct flock key;

public :
	KonoeLock(KChar *pathname = "lock.key");
	~KonoeLock(void);
	
	void lock(void);
	void guLock(void);
	void unLock(void);
	KInt getfd(void) { return (KInt)fd ; }
	KInt getst(void) { return st ; }
	KChar * getlockfile(void) { return lockfile ; }

};

#endif
