//=====================================================
/*
	KonoeMicroSleep.cc

	Version 0.6	12-Nov-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//=====================================================

#include	<system/KonoeIntervalTimer.hh>
#include	<system/KonoeSignalClient.hh>
#include	<system/KonoeMicroSleep.hh>


KInt KonoeMicroSleep::sleep(KInt pmilisec ){

	flag = 0;

	alrmhandler = new KonoeSignalHandler(SIGALRM , this );
	timer = new KonoeIntervalTimer;

	timer->setInterval( pmilisec );
	alrmhandler->enable();
	while( !flag )
	  alrmhandler->wait();

	timer->setInterval( 0 );
	delete timer;
	delete alrmhandler;
	return 0;
};

void KonoeMicroSleep::catchSignal( KInt signalid ){

	if( signalid == SIGALRM )
		flag = 1;
}
