//=====================================================
/*
	KonoeMicroSleep.hh

	Version 0.6	12-Nov-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//=====================================================
#ifndef __KONOEMICROSLEEP_HH
#define __KONOEMICROSLEEP_HH

#include	<system/KonoeIntervalTimer.hh>
#include	<system/KonoeSignalClient.hh>
#include	<system/KonoeSignalHandler.hh>

class KonoeMicroSleep : public KonoeSignalClient {

protected:
	KInt	flag ;
	KonoeSignalHandler	* alrmhandler;
	KonoeIntervalTimer	* timer;
	void			  catchSignal( KInt signal );
	
public:
	KInt sleep(KInt milisec );
};
#endif
