//====================================================================
/*

	KonoeOutputFile.cc

	Version 0.1	16-Jul-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//====================================================================

#include	<system/KonoeOutputFile.hh>
#include	<unistd.h>

KonoeOutputFile::KonoeOutputFile( KChar * pfilename )
	: KonoeFileIO( pfilename, WRITE ) {
}

KInt	KonoeOutputFile::writeToStream( const KChar * buf, KInt nbyte ) {
	return ::write( fd, buf, (unsigned int) nbyte );
}

KInt	KonoeOutputFile::put( const KChar * buf, KInt nbyte ) {
	return write( buf, nbyte );
}

