//====================================================================
/*

	KonoeOutputFile.hh

	Version 0.1	16-Jul-1997	H. Sakamoto
	Version 0.2	16-Oct-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
		include file directory structure modified
	Version 0.4.1	09-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka
*/
//====================================================================

#ifndef	__KONOEOUTPUTFILE_HH
#define	__KONOEOUTPUTFILE_HH

#include	<system/KonoeFileIO.hh>
#include	<system/KonoeOutputStream.hh>

class	KonoeOutputFile : public KonoeFileIO,
			public KonoeOutputStream {

public :
	KonoeOutputFile( ) : KonoeFileIO( ) { }
	KonoeOutputFile( KChar * pfilename );
	KInt	writeToStream( const KChar * buf, KInt nbyte );
	KInt	put( const KChar * buf, KInt nbyte );
};

#endif
