//===================================================================
/*

	KonoeSCServerSocket.hh

	Version 0.1	17-Jul-1997	H. Sakamoto
	Version 0.4.0	03-Sep-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#ifndef	__KONOESCSERVERSOCKET_HH
#define	__KONOESCSERVERSOCKET_HH

#include	<system/KonoeSocketIO.hh>

class	KonoeSCServerSocket : public KonoeSocketIO {

public :
	enum	{	CLOSED, OPENED, BOUND, LISTENING	};

protected :
	int	afd;	// accept file descriptor
	KInt	port;	// port number to which clients call on

	int	cfd;	// connect file descriptor
	struct	sockaddr_in	remote_address;

public :
	KonoeSCServerSocket( KInt pport );
	~KonoeSCServerSocket( );

	KInt	getFD( ){ return afd; }
	KInt	waitConnection( );
	KInt	closeConnection( );
	KInt	send( const KChar * buffer, KInt nbytes );
	KInt	receive( KChar * buffer, KInt buffersize );
};


#endif
