//===================================================================
/*

	KonoeSignalHandler.hh

	Version 0.1	01-Aug-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#ifndef	__KONOESIGNALHANDLER_HH
#define	__KONOESIGNALHANDLER_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeSignalClient.hh>
#include	<signal.h>

class	KonoeSignalHandler {

public :
	enum { MAX_SIGNAL_ENTRY = 32 };
protected :
	static void signal_handler( int, int, struct sigcontext *, char * );
	KInt	signal_id;
	static KonoeSignalHandler * handler_list[ MAX_SIGNAL_ENTRY ];
	KonoeSignalClient	* client;
	void	signal_ucr( KInt sig );
public :
	KonoeSignalHandler( KInt psignalid, KonoeSignalClient * pclient );
	KInt	enable( );
	KInt	disable( );
	KInt	wait( );
	static void	initialize( );
};

#endif
