//==================================================================
/*

	KonoeTimeData.cc

	Version 0.1	05-Mar-1998	H. Sakamoto
	Version 0.4.0	01-Sep-1998	S. Inaba
	Version 0.4.1   05-Aug-1999     N. Tanimoto
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6     10-Aug-2000     Y. Shimizu 
	Version 0.7.0	28-Aug-2001	S. Morinaka
	
	Package : system
	Category : systemservice

*/
//==================================================================

#include	<system/KonoeTimeData.hh>

#include	<stdio.h>
#include	<time.h>
#include	<sys/types.h>
#include	<sys/time.h>

KonoeTimeData::KonoeTimeData( ) {
	set( );
}

KonoeTimeData::KonoeTimeData( time_t t ) {
        set( t );
}

void	KonoeTimeData::set( ) {

	time_t	t;
	struct tm	* lt;

	t = time( NULL );
	lt = localtime( & t );

	second = lt -> tm_sec;
	minute = lt -> tm_min;
	hour = lt -> tm_hour;
	day = lt -> tm_mday;
	month = lt -> tm_mon + 1 ;
	year = lt -> tm_year + 1900;
	dayofweek = lt -> tm_wday;
}

void	KonoeTimeData::set( time_t t ) {

  struct tm	* lt;
  lt = localtime( & t );
  
  second = lt -> tm_sec;
  minute = lt -> tm_min;
  hour = lt -> tm_hour;
  day = lt -> tm_mday;
  month = lt -> tm_mon;
  year = lt -> tm_year + 1900;
  dayofweek = lt -> tm_wday;	
}

KInt    KonoeTimeData::getSecond( ) {
  return    second;
}

KInt    KonoeTimeData::getMinute( ){
  return   minute;
}

KInt    KonoeTimeData::getHour( ){
  return hour;
}

KInt    KonoeTimeData::getDay( ){
  return day;
}

KInt    KonoeTimeData::getMonth( ){
  return month;
}

KInt    KonoeTimeData::getYear( ){
  return year;
}

KInt    KonoeTimeData::getDayofweek( ){
  return dayofweek;
}

