//=================================================================
/*

	KonoeUDPServerSocket.hh

	Version 0.1.0	05-Mar-1998	H. Sakamoto
	Version 0.4.0	01-Sep-1998	S .Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	17-Jul-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

	Package : system
	Category : systemservice

*/
//=================================================================

#ifndef	__KONOEUDPSERVERSOCKET_HH
#define	__KONOEUDPSERVERSOCKET_HH

#include	<system/KonoeSocketIO.hh>

class	KonoeUDPServerSocket	: public KonoeSocketIO {

protected :
	KInt	port;
	sockaddr_in	sa;
	KInt	sasize;
public :
	KonoeUDPServerSocket( KInt port );
	~KonoeUDPServerSocket( );
	KInt	reply( void * buffer, KInt nbytes );
	KInt 	receive( KChar * buffer, KInt nbytes );
	KInt	send( const KChar * buffer, KInt nbytes );
	KInt 	getFD( ) {	return 	fd;	}; 

};

#endif
