//==================================================================
/*

	demoudps.cc

	Version 0.6	17-Jul-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

	demo for UDPServerSocket

*/
//==================================================================

#include	<system/KonoeUDPServerSocket.hh>
#include	<system/KonoeHostSystem.hh>
#include	<iostream.h>
#include	<string.h>
#include	<stdlib.h>
#include	<unistd.h>


int main(int argc, char ** argv ){

	KChar buffer[256];
	KInt pport ;
	KChar * message;
	
	if( argc  != 3 ){
		cerr << " usage ----  ./demoudps  <port number> <reply message>" 			<< endl;
		KonoeHostSystem::exit(8);
	}

	argv++;
	pport = atoi( *argv );

	argv++;
	message = *argv;
	
	KonoeUDPServerSocket	* server;
	server = new KonoeUDPServerSocket(  pport );
	
	server->receive( buffer,256);
	cout << (KChar * ) buffer << endl;


	server->reply( message, 256);	

	return (0);

}

	
