// $Id: KonoeGtkBaseClass.cc,v 1.1 2002/03/16 09:11:24 iwai Exp $
#include <ui/KonoeGtkBaseClass.hh>

KonoeGtkBaseClass::KonoeGtkBaseClass()
{;}

KonoeGtkBaseClass::~KonoeGtkBaseClass()
{;}

KChar* KonoeGtkBaseClass::GetSignalName(KChar* signalName)
{ 
  return signalName;
}

void KonoeGtkBaseClass::SignalConnect(GtkWidget* widget, 
				      KChar* signalName, 
				      GtkSignalFunc func,
				      gpointer func_data)
{
  gtk_signal_connect(GTK_OBJECT(widget),
		     signalName,
		     func, 
		     func_data);
}

void KonoeGtkBaseClass::AddContainer(GtkWidget* container, 
				     GtkWidget* widget)
{
  gtk_container_add(GTK_CONTAINER(container), widget);
}

void KonoeGtkBaseClass::WidgetShow(GtkWidget* widget)
{
  gtk_widget_show(widget);
}

void KonoeGtkBaseClass::SetBorder(GtkWidget* widget, KInt border)
{
  gtk_container_border_width(GTK_CONTAINER(widget), border);
}
