//=================================================================
/*

	KonoeGtkEntry.cc

	Version 0.0.1	05-Apr-2001	H. Sakamoto

	-------------------------------------------

	Gtk Text Entry Widget class

*/
//==================================================================


#include	<ui/KonoeGtkEntry.hh>

KonoeGtkEntry::KonoeGtkEntry( ) {

	object = ( GtkObject * ) gtk_entry_new( );

}

KonoeGtkEntry::KonoeGtkEntry( KInt length ) {

	object = ( GtkObject * )
		gtk_entry_new_with_max_length( ( KShort ) length );

}

KonoeGtkEntry::KonoeGtkEntry( GtkEntry * gentry ) {

	object = ( GtkObject * ) gentry;

}

void	KonoeGtkEntry::setText( const KChar * text ) {

	gtk_entry_set_text( GTK_ENTRY( GTK_WIDGET( object ) ), text );

}

void	KonoeGtkEntry::appendText( const KChar * text ) {

	gtk_entry_append_text( GTK_ENTRY( GTK_WIDGET( object ) ), text );

}

void	KonoeGtkEntry::prependText( const KChar * text ) {

	gtk_entry_prepend_text( GTK_ENTRY( GTK_WIDGET( object ) ), text );

}

KChar	* KonoeGtkEntry::getText( ) {

	return gtk_entry_get_text( GTK_ENTRY( GTK_WIDGET( object ) ) );

}


void	KonoeGtkEntry::setVisible( KInt flag ) {

	gtk_entry_set_visibility( GTK_ENTRY( GTK_WIDGET( object ) ), flag );

}

void	KonoeGtkEntry::setEditable( KInt flag ) {

	gtk_entry_set_editable( GTK_ENTRY( GTK_WIDGET( object ) ), flag );

}

void	KonoeGtkEntry::setLength( KInt length ) {

	gtk_entry_set_max_length( GTK_ENTRY( GTK_WIDGET( object ) ), length );

}
