//==================================================================
/*

	KonoeGtkEvent.hh

	Version 0.0.1	04-Apr-2001	H. Sakamoto

	-------------------------------------------

	GTK Event class

*/
//=================================================================

#ifndef	__KONOEGTKEVENT_HH
#define	__KONOEGTKEVENT_HH

#include	<ui/KonoeGtkWidget.hh>

class	KonoeGtkEventReceiver;
class	KonoeGtkEventDescriptor;

class	KonoeGtkEvent	{

protected :
	static void	callback( GtkWidget * pwidget,
				GdkEvent * event, gpointer pointer );

	KonoeGtkObject	* target;
	KonoeGtkEventReceiver	* receiver;
	KonoeGtkEventDescriptor	* descriptor;
	KInt	identifier;
	KChar	* eventname;

public :
	KonoeGtkEvent( KChar * evname, KonoeGtkEventReceiver * rec );
	void	setTarget( KonoeGtkObject * pwidget );
	KInt	getIdentifier( )	{	return identifier;	}

};

#endif
