//=================================================================
/*

	KonoeGtkFrame.cc

	Version 0.0.1	06-Apr-2001	H. Sakamoto

	-------------------------------------------

	Frame widget class

*/
//=================================================================

#include	<ui/KonoeGtkFrame.hh>

KonoeGtkFrame::KonoeGtkFrame( const KChar * label ) {

	object = ( GtkObject * ) gtk_frame_new( label );

}

void	KonoeGtkFrame::setLabel( const KChar * label ) {

	gtk_frame_set_label( GTK_FRAME( object ), label );

}

void	KonoeGtkFrame::setLabelAlign( KFloat x, KFloat y ) {

	gtk_frame_set_label_align( GTK_FRAME( object ), x, y );

}

void	KonoeGtkFrame::setShadowType( KInt shadowtype ) {

	gtk_frame_set_shadow_type( GTK_FRAME( object ),
		( GtkShadowType ) shadowtype );

}

