//================================================================
/*

	KonoeGtkMenuBar.cc

	Version 0.0.1	05-Apr-2001	H. Sakamoto

	-------------------------------------------

	Gtk+ Menu Bar Widget class

*/
//================================================================

#include	<ui/KonoeGtkMenuBar.hh>

KonoeGtkMenuBar::KonoeGtkMenuBar( ) {

	object = ( GtkObject * ) gtk_menu_bar_new( );

}

void	KonoeGtkMenuBar::append( KonoeGtkWidget * child ) {

	gtk_menu_bar_append( GTK_MENU_BAR( GTK_WIDGET( object ) ),
		child -> get_gtk_widget( ) );

}

void	KonoeGtkMenuBar::prepend( KonoeGtkWidget * child ) {

	gtk_menu_bar_prepend( GTK_MENU_BAR( GTK_WIDGET( object ) ),
		child -> get_gtk_widget( ) );

}
void	KonoeGtkMenuBar::insert( KonoeGtkWidget * child, KInt pos ) {

	gtk_menu_bar_insert( GTK_MENU_BAR( GTK_WIDGET( object ) ),
		child -> get_gtk_widget( ), pos );

}
void	KonoeGtkMenuBar::setShadowType( KInt type ) {

	gtk_menu_bar_set_shadow_type( GTK_MENU_BAR( GTK_WIDGET( object ) ),
		( GtkShadowType ) type );

}
