//==================================================================
/*

	KonoeGtkObject.cc

	Version 0.0.3	10-Apr-2001	H. Sakamoto

	-------------------------------------------

	This is the base class for all the Gtk objects

*/
//==================================================================

#include	<ui/KonoeGtkObject.hh>
#include	<ui/KonoeGtkEvent.hh>
#include	<ui/KonoeGtkSignal.hh>
#include	<ui/KonoeGtkSelection.hh>

KInt	KonoeGtkObject::connectSignal( KonoeGtkSignal * psignal ) {

	signal = psignal;
	signal -> setTarget( this );
	return signal -> getIdentifier( );

}

void	KonoeGtkObject::disconnectSignal( ) {

	gtk_signal_disconnect( GTK_OBJECT( object ),
		signal -> getIdentifier( ) );

}

KInt	KonoeGtkObject::connectEvent( KonoeGtkEvent * pevent ) {

	event = pevent;
	event -> setTarget( this );
	return event -> getIdentifier( );

}

void	KonoeGtkObject::disconnectEvent( ) {

	gtk_signal_disconnect( GTK_OBJECT( object ),
		event -> getIdentifier( ) );

}

KInt	KonoeGtkObject::connectSelection( KonoeGtkSelection * pselect ) {

	selection = pselect;
	selection -> setTarget( this );
	return selection -> getIdentifier( );

}

void	KonoeGtkObject::disconnectSelection( ) {

	gtk_signal_disconnect( object, selection -> getIdentifier( ) ) ;

}


