//=================================================================
/*

	KonoeGtkScrolledWindow.cc

	Version 0.0.1	09-Apr-2001	H. Sakamoto

	-------------------------------------------

	Gtk+ Scrolled window widget class

*/
//=================================================================

#include	<ui/KonoeGtkScrolledWindow.hh>

#include	<ui/KonoeGtkAdjustment.hh>

KonoeGtkScrolledWindow::KonoeGtkScrolledWindow(
		KonoeGtkAdjustment * hadj, KonoeGtkAdjustment * vadj ) {

	object = ( GtkObject * ) gtk_scrolled_window_new(
		( GtkAdjustment * )( hadj -> get_gtk_object( ) ),
		( GtkAdjustment * )( vadj -> get_gtk_object( ) ) );

}

void	KonoeGtkScrolledWindow::addWithViewport( KonoeGtkWidget * pwidget ) {

	gtk_scrolled_window_add_with_viewport(
		GTK_SCROLLED_WINDOW( object ), pwidget -> get_gtk_widget( ) );

}
