//==================================================================
/*

	KonoeGtkSelection.hh

	Version 0.0.1	10-Apr-2001	H. Sakamoto

	-------------------------------------------

	Gtk+ child selection signal handling

*/
//==================================================================

#ifndef	__KONOEGTKSELECTION_HH
#define	__KONOEGTKSELECTION_HH

#include	<ui/KonoeGtkWidget.hh>

class	KonoeGtkSelectionReceiver;

class KonoeGtkSelection	{

protected :
	static gint	callback( GtkObject * listwidget,
				GtkWidget * child, gpointer userdata );

	KonoeGtkObject	* target;
	KonoeGtkSelectionReceiver	* receiver;
	KInt	identifier;
	KChar	* signalname;

public :
	KonoeGtkSelection( KChar * signame, KonoeGtkSelectionReceiver * rec );
	void	setTarget( KonoeGtkObject * pwidget );
	KInt	getIdentifier( )	{	return identifier;	}

};

#endif
