//=================================================================
/*

	KonoeGtkSignal.cc

	Version 0.0.1	04-Apr-2001	H. Sakamoto

	-------------------------------------------

	Signal Dispatcher class

*/
//=================================================================

#include	<ui/KonoeGtkSignal.hh>
#include	<ui/KonoeGtkSignalReceiver.hh>

KonoeGtkSignal::KonoeGtkSignal( KChar * signame, KonoeGtkSignalReceiver * rec ) {

	target = 0;
	receiver = rec;
	signalname = signame;

}

void	KonoeGtkSignal::setTarget( KonoeGtkObject * pwidget ) {

	target = pwidget;

	identifier = gtk_signal_connect(
		GTK_OBJECT( target -> get_gtk_object( ) ),
		signalname, GTK_SIGNAL_FUNC( callback ),
		( gpointer ) this );

}

gint	KonoeGtkSignal::callback( GtkObject * pwidget, gpointer pointer ) {

	if( pointer == 0 )
		return 0;
	return ( ( KonoeGtkSignal * ) pointer ) -> receiver -> processSignal(
		( ( KonoeGtkSignal * ) pointer ) -> target,
		( ( KonoeGtkSignal * ) pointer ) -> signalname );

}
