//==================================================================
/*

	KonoeGtkStyle.cc

	Version 0.0.1	11-Apr-2001	H. Sakamoto

	-------------------------------------------

	Style handler class

*/
//==================================================================

#include	<ui/KonoeGtkStyle.hh>

#include	<ui/KonoeGdkColor.hh>

KonoeGtkStyle::KonoeGtkStyle( ) {

	style = gtk_style_copy( gtk_widget_get_default_style( ) );

}

void	KonoeGtkStyle::setForegroundColor( KonoeGdkColor * color, KInt mode ) {

	style -> fg[ mode ] = * color -> get_gdk_color( );

}

void	KonoeGtkStyle::setBackgroundColor( KonoeGdkColor * color, KInt mode ) {

	style -> bg[ mode ] = * color -> get_gdk_color( );

}

void	KonoeGtkStyle::setTextColor( KonoeGdkColor * color, KInt mode ) {

	style -> text[ mode ] = * color -> get_gdk_color( );

}
