//==================================================================
/*

	KonoeGtkStyle.hh

	Version 0.0.1	11-Apr-2001	H. Sakamoto

	-------------------------------------------

	Style handler class

*/
//==================================================================

#ifndef	__KONOEGTKSTYLE_HH
#define	__KONOEGTKSTYLE_HH

#include	<ui/KonoeGtkWidget.hh>

class	KonoeGdkColor;

class KonoeGtkStyle	{

public :

	enum	{
		NORMAL		= GTK_STATE_NORMAL,
		ACTIVE		= GTK_STATE_ACTIVE,
		PRELIGHT	= GTK_STATE_PRELIGHT,
		SELECTED	= GTK_STATE_SELECTED,
		INSENSITIVE	= GTK_STATE_INSENSITIVE
		};
protected :

	GtkStyle	* style;

public :

	KonoeGtkStyle( );
	void	setForegroundColor( KonoeGdkColor * color, KInt mode = NORMAL );
	void	setBackgroundColor( KonoeGdkColor * color, KInt mode = NORMAL );
	void	setTextColor( KonoeGdkColor * color, KInt mode = NORMAL );

	GtkStyle	* get_gtk_style( )	{	return style;	}

};

#endif
