//==================================================================
/*

	KonoeGtkTable.cc

	Version 0.0.1	10-Apr-2001	H. Sakamoto

	-------------------------------------------

	Gtk+ Table Widget class

*/
//===================================================================

#include	<ui/KonoeGtkTable.hh>

KonoeGtkTable::KonoeGtkTable( KInt rows, KInt columns, KInt homogeneous ) {

	object = ( GtkObject * ) gtk_table_new( rows, columns, homogeneous );

}
void	KonoeGtkTable::attach( KonoeGtkWidget * child,
			KInt left_attach, KInt right_attach,
			KInt top_attach, KInt bottom_attach,
			KInt xoptions, KInt yoptions,
			KInt xpadding, KInt ypadding ) {


	gtk_table_attach( GTK_TABLE( object ), child -> get_gtk_widget( ),
			left_attach, right_attach, top_attach, bottom_attach,
			( GtkAttachOptions ) xoptions,
			( GtkAttachOptions ) yoptions, xpadding, ypadding );

}
