//==================================================================
/*

	KonoeGtkWindow.cc

	Version 0.0.1	04-Apr-2001	H. Sakamoto

	-------------------------------------------

	GTK+ Window Widget class

*/
//==================================================================

#include	<ui/KonoeGtkWindow.hh>
#include	<ui/KonoeGtkAccelGroup.hh>

KonoeGtkWindow::KonoeGtkWindow( ) {
}

KonoeGtkWindow::KonoeGtkWindow( WindowType windowtype ) {

	create( windowtype );

}

void	KonoeGtkWindow::create( WindowType windowtype ) {

	object = ( GtkObject * ) gtk_window_new( ( GtkWindowType ) windowtype );

}

void	KonoeGtkWindow::addAccelGroup( KonoeGtkAccelGroup * ag ) {

	gtk_window_add_accel_group( GTK_WINDOW( object ),
		ag -> get_gtk_accel_group( ) );

}

