/********************\
  KonoeGtkButton.cc

  composed by nishida
  $Id: KonoeGtkButton.cc,v 1.1 2002/03/16 09:15:53 iwai Exp $

\********************/

#include "KonoeGtkButton.hh"

KonoeGtkButton::KonoeGtkButton( const char * str ) {
  //  widget = gtk_button_new_with_label( label );
  widget = gtk_button_new( );
  label = new KonoeGtkLabel( str );
  add( label );
}

KonoeGtkButton::~KonoeGtkButton() {
  delete label;
}

void KonoeGtkButton::show() {
  label->show();
  KonoeGtkContainer::show();
}

void KonoeGtkButton::setLabelName( const char *name ) {
  label->setName( name );
}

gchar *KonoeGtkButton::getLabelName() {
  return label->getName();
}
