/********************\
  KonoeGtkMain.cc

  composed by nishida
  $Id: KonoeGtkMain.cc,v 1.1 2002/03/16 09:15:58 iwai Exp $

\********************/

#include "KonoeGtkMain.hh"

guint KonoeGtkMain::timeoutAdd( guint32 interval, KonoeGtkMainHandler *handler ) {
  return gtk_timeout_add( interval, timeout_callback, (gpointer)handler );
}

void KonoeGtkMain::timeoutRemove( guint timeout_handler_id ) {
  gtk_timeout_remove( timeout_handler_id );
}

gint KonoeGtkMain::timeout_callback( gpointer data ) {
  KonoeGtkMainHandler *handler = (KonoeGtkMainHandler *)data;
  handler->timerAction();
  return 0;
}

guint KonoeGtkMain::inputAdd( gint source, GdkInputCondition condition,
			   KonoeGtkMainHandler *handler ) {
  return gdk_input_add( source, condition, input_callback, (gpointer)handler );
}

void KonoeGtkMain::inputRemove( guint input_handler_id ) {
  gdk_input_remove( input_handler_id );
}

void KonoeGtkMain::input_callback( gpointer data, gint source,
				GdkInputCondition condition ) {
  KonoeGtkMainHandler *handler = (KonoeGtkMainHandler *)data;
  handler->inputAction( source, condition );
}

void KonoeGtkMain::destroyWidget( GtkWidget *widget, gpointer p ) {
  KonoeGtkWidget *w = (KonoeGtkWidget *)p;
  delete w;
}
