/******************************\
  KonoeGtkMain.hh

  composed by nishida
  $Id: KonoeGtkMain.hh,v 1.1 2002/03/16 09:15:59 iwai Exp $

\******************************/

#ifndef KonoeGtkMain_HH
#define KonoeGtkMain_HH

#include <gtk/gtk.h>
#include "KonoeGtkMainHandler.hh"
#include "KonoeGtkWidget.hh"

class KonoeGtkMain {
public:
  static guint timeoutAdd( guint32 interval, KonoeGtkMainHandler *handler );
  static void timeoutRemove( guint timeout_handler_id );
  static guint inputAdd( gint source, GdkInputCondition condition,
			 KonoeGtkMainHandler *handler );
  static void inputRemove( guint input_handler_id );
  // callback function
  static gint timeout_callback( gpointer data );
  static void input_callback( gpointer data, gint source,
			      GdkInputCondition condition );
  static void destroyWidget( GtkWidget *widget, gpointer p );
};

#endif
