/********************\
  KonoeGtkPackingBox.cc

  composed by nishida
  $Id: KonoeGtkPackingBox.cc,v 1.1 2002/03/16 09:16:02 iwai Exp $

\********************/

#include "KonoeGtkPackingBox.hh"

KonoeGtkPackingBox::KonoeGtkPackingBox( int dir, gboolean homogeneous,
				  gint spacing ) {
  if( dir == H ) widget = gtk_hbox_new( homogeneous, spacing );
  else if( dir == V ) widget = gtk_vbox_new( homogeneous, spacing );
}

KonoeGtkPackingBox::KonoeGtkPackingBox( GtkWidget *widget ) {
  this->widget = widget;
}

void KonoeGtkPackingBox::packStart( KonoeGtkWidget *child, gboolean expand,
				 gboolean fill, gint padding ) {
  gtk_box_pack_start( GTK_BOX(widget), child->getWidget(),
		      expand, fill, padding );
}

void KonoeGtkPackingBox::packEnd( KonoeGtkWidget *child, gboolean expand,
			       gboolean fill, gint padding ) {
  gtk_box_pack_end( GTK_BOX(widget), child->getWidget(),
		    expand, fill, padding );
}

void KonoeGtkPackingBox::setHomogeneous( gboolean homogeneous ) {
  gtk_box_set_homogeneous( GTK_BOX(widget), homogeneous );
}
