/******************************\
  KonoeGtkPackingBox.hh

  composed by nishida
  $Id: KonoeGtkPackingBox.hh,v 1.1 2002/03/16 09:16:02 iwai Exp $

\******************************/

#ifndef KonoeGtkPackingBox_HH
#define KonoeGtkPackingBox_HH

#include "KonoeGtkContainer.hh"

class KonoeGtkPackingBox : public KonoeGtkContainer {
public:
  enum { H=0, V=1 };
public:
  KonoeGtkPackingBox( int dir, gboolean homogeneous, gint spacing );
  KonoeGtkPackingBox( GtkWidget *widget );
  ~KonoeGtkPackingBox() {}
  void packStart( KonoeGtkWidget *child, gboolean expand = TRUE,
		  gboolean fill = TRUE, gint padding = 0 );
  void packEnd( KonoeGtkWidget *child, gboolean expand = TRUE,
		gboolean fill = TRUE, gint padding = 0 );
  void setHomogeneous( gboolean homogeneous );
};

#endif
