/******************************\
  KonoeGtkText.hh

  composed by nishida
  $Id: KonoeGtkText.hh,v 1.1 2002/03/16 09:16:05 iwai Exp $

\******************************/

#ifndef KonoeGtkText_HH
#define KonoeGtkText_HH

#include <stdio.h>
#include "KonoeGtkEditable.hh"
#include "KonoeGtkAdjustment.hh"

class KonoeGtkText : public KonoeGtkEditable {
  KonoeGtkAdjustment *v_adjustment;
  KonoeGtkAdjustment *h_adjustment;
public:
  KonoeGtkText();
  ~KonoeGtkText() {}
  KonoeGtkAdjustment *getVAdjustment() { return v_adjustment; }
  KonoeGtkAdjustment *getHAdjustment() { return h_adjustment; }
  void setPoint( guint index );
  guint getPoint();
  guint getLength();
  void insert( GdkFont *font, GdkColor *fore, GdkColor *back,
	       const char *text, gint length = -1 );  // for compatibility
  void insert( const char *text, GdkFont *font = NULL, GdkColor *fore = NULL,
	       GdkColor *back = NULL, gint length = -1 );
  void freeze();
  void thaw();
  char getCharAt( guint index );
  gint backwardDelete( guint nchars );
  gint forwardDelete( guint nchars );
  void clear();
  void setText( const char *text, GdkFont *font = NULL, GdkColor *fore = NULL,
	       GdkColor *back = NULL, gint length = -1 );
};

#endif
