//=============================================================
/*

        KonoeDetectorHit.java

        Version 0.0.1   02-Aug-1998     S. Inaba
        Version 0.4.0   18-Aug-1998     S. Inaba
        Version 0.5.0   28-Sep-1999     T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi

*/
//=============================================================
package konoe.ui.analysis;


import konoe.ui.system.*;
import java.lang.*;
import java.io.*;

public class KonoeDetectorHit implements KonoeStreamableObject, KonoeObject {
  protected KonoeDetectorElement detectorelement;
  protected Konoe3Vector hitpoint;
  protected double hittime;

  public KonoeDetectorHit( ) {

  }

public KonoeDetectorHit( KonoeDetectorElement e ) {

	detectorelement = e;

  }

  public KonoeDetectorElement getElement() {
      return detectorelement; 
  }


public String toString() {
	return "KonoeDetectorHit:" + "\n" +
		" hittime = " + hittime +  "\n";
}

public void dump( ) {
	System.out.println( toString() );
	System.out.println( hitpoint.toString() );
	System.out.println( detectorelement.toString() );
}

//  to create me from streamable object
public void read( KonoeInputObjectStream in, KonoeStreamHeader header )
	 throws IOException {
	 switch( header.getMemberID() ){
		case 0: detectorelement = ( KonoeDetectorElement )
					(in.readObject( header ));
		break;

		case 1: hitpoint = ( Konoe3Vector )(in.readObject( header ));
		break;

		case 2: hittime	= in.readDouble();
		break;	
	}
}

public void write( KonoeOutputObjectStream out ) throws IOException{
 	}

}
