//=============================================================
/*

	KonoeHistoStorageBase.java
	
	Version 0.0.1	03-Jul-1998	K.Ohta
	Version 0.4.0   04-Aug-1998     D. Takagi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T.Hosoi

*/
//=============================================================

package	konoe.ui.analysis;

//
//	this abstruct class has valiable numbers of a Histogram.
//

import konoe.ui.system.*;

public abstract class KonoeHistoStorageBase implements KonoeStreamableObject, KonoeObject {

  protected abstract int set( int value, int xindex );
  protected abstract int set( int value, int xindex, int yindex);
  protected abstract int set( int value, int xindex, int yindex, int zindex);
  protected abstract int addOne( int xindex );
  protected abstract int addOne( int xindex, int yindex );
  protected abstract int addOne( int xindex, int yindex, int zindex );
  protected abstract double get( int xindex );
  protected abstract double get( int xindex, int yindex );
  protected abstract double get( int xindex, int yindex, int zindex );
  protected abstract void clear() ;

}
