//===================================================================
/*

	CommandDemo.java

	Version 0.0.1	 3-Jul-1998	H. Sakamoto
	Version 0.4.0	 6-Sep-1998	S. Nishida
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi

*/
//===================================================================

import	java.io.*;
import	konoe.ui.command.*;

public class CommandDemo	{

  KonoeCommander	commander;

  public CommandDemo( ) {

    commander = new KonoeCommander( 1 );

  }

  public int go( ) {

    byte [] buffer = new byte[ 256 ];
    String	string;

    while( true ) {

      System.out.print( "CMD> " );
      try {
        System.in.read( buffer );
      }
      catch( IOException e ) {
	System.out.println( "Error reading command line" );
	break;
      }
      string = new String( buffer );
      string.trim( );
      if( commander.dispatch( string ) < 0 )
	break;

    }

    return 0;

  }

  public static void main( String [] argument ) {

    CommandDemo	demo = new CommandDemo( );
    demo.go( );

  }
}
