//====================================================================
/*

	KonoeHelpCommand.java

	Version 0.0.1	17-Aug-1998	S. Nishida
	Version 0.4.0	 6-Sep-1998
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi

*/
//====================================================================

package	konoe.ui.command;

import	java.util.*;
import	java.io.*;
import	konoe.ui.command.*;

public class KonoeHelpCommand extends KonoeCommandProcessor  {

  public KonoeHelpCommand( KonoeCommandDescriptor cd, KonoeOrderly ow ) {

    super( cd , ow );
    if( cd == null ) {
      descriptor = new KonoeCommandDescriptor( "help", 1 );
      descriptor.add( new KonoeArgumentDescriptor( "item",
			KonoeArgumentDescriptor.STRING,
			KonoeArgumentDescriptor.OPTIONAL ) );
    }

  }

  public int execute( KonoeCommand cmd ) {

    ( (KonoeOrderly) owner ).printHelp( 
		   cmd , new PrintWriter( System.out, true ) );
    return 0;
  }

}
