package konoe.ui.graphics;

import	java.awt.*;
import  konoe.ui.parts.*;
import  konoe.ui.analysis.*;


public class Konoe2Ddraw {

	Konoe2DrawCanvas testCanvas1;
    Konoe2DrawPanel  testPanel1;
    Konoe2DHistogram testHisto;
    
    public Konoe2Ddraw(){
    
    	testHisto = new Konoe2DHistogram ( new KonoeLinearDataScale( 0.0, 100.0,20 ) , new KonoeLinearDataScale( 0.0, 100.0, 20 )  );
    
    for ( int i = 0; i < 20000; i++ )
    testHisto.fill( new KonoeFillData( gaussrand(), gaussrand() ) );

// ------------- DRAW ---------------------------

    testCanvas1 =
         new Konoe2DrawCanvas( testHisto,
                              new KonoeDimension(300, 300),
                              "test 1", 
                              new KonoeLinearDataScale(0.0,1000.0,1000));

    testPanel1  = new Konoe2DrawPanel( testCanvas1, "TEST DATA1" );
    
}

public static double gaussrand()
{
  double V1 = 0, V2 = 0, S = 0;
  int phase = 0;
  double X;

  if(phase == 0) {
    do {
      double U1 = Math.random();
      double U2 = Math.random();

      V1 = 2 * U1 - 1;
      V2 = 2 * U2 - 1;
      S = V1 * V1 + V2 * V2;
    } while(S >= 1 || S == 0);

    X = V1 * Math.sqrt(-2 * Math.log(S) / S);
  } else
    X = V2 * Math.sqrt(-2 * Math.log(S) / S);

  phase = 1 - phase;

  X = X*10+50;

  return X;
}

	
	public Konoe2DrawPanel getPanel(){
		return testPanel1;
	}

	public void setli(int[] g){
		System.out.println("DD");
		testPanel1.setline(g);
		
	}
}
