//=============================================================
/*

	KonoeDimension.java
	
	Version 0.0.1	03-Jul-1998	K.Ohta
        Version 0.4.0   18-Aug-1998     K.Ohta
	Version 0.5.0	28-Sep-1999	T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi
*/
//=============================================================

package	konoe.ui.graphics;

/**
	 1 Dimension.

*/

import	java.awt.*;


public class KonoeDimension {

    public static final String className = "KonoeDimesnion";

    protected int dimension = 1;
    protected int screenWidth;
    protected int screenHeight;
    protected int zoomRate = 1;
    protected Dimension drawOrigin = new Dimension(40,40);
    protected Dimension locationOfCenter;

  public KonoeDimension(){
    screenWidth =  200;
    screenHeight = 200;
  }

  public KonoeDimension(int scWidth, int scHeight ){
    screenWidth = scWidth;
    screenHeight = scHeight;
  }

  public KonoeDimension(int x , int y ,int scWidth,int scHeight){
    drawOrigin = new Dimension(x,y);
    screenHeight = scHeight;
    screenWidth = scWidth;
  }

  public int getWidth() { return screenWidth; }
  public int getHeight(){ return screenHeight; }
  public int getOrigX() { return drawOrigin.width; }
  public int getOrigY() { return drawOrigin.height; }
}
