//=============================================================
/*

	KonoerawPanel.java
	
	Version 0.0.1	03-Jul-1998	K.Ohta
        Version 0.4.0   18-Aug-1998     K.Ohta
	Version 0.5.0	28-Sep-1999	T. Hosoi
        Version 0.6.0   01-Feb-2000     T. HosoI
*/
//=============================================================

package	konoe.ui.graphics;

/**


*/

import java.awt.*;

import konoe.ui.analysis.*;

public class KonoeHistoPanel {

  public final String className = "KonoeDrawPanel";

  KonoeDrawCanvas myCanvas;
  Label  titleName;
  Panel myPanel;

  public KonoeHistoPanel ( Konoe1DHistogram pHisto, KonoeDimension pDim,
                           String pString , KonoeLinearDataScale pScale ) {

  titleName = new Label ( pString );
  myPanel = new Panel();
  myCanvas = new KonoeDrawCanvas ( pHisto, pDim, pString, pScale );

  myPanel.setLayout (new BorderLayout()); 

  myPanel.add("North", titleName );
  myPanel.add("Center", myCanvas );

  }

  public Component me () {

    return myPanel;
  }


}
