//=========================================================
//
//	SocketDemoS.cc
//
//	Version 0.0.1	01-Jul-1998	H. Sakamoto
//	Version 0.5.0	28-Sep-1999	T. Hosoi
//
//=========================================================

//#include	<system/KonoeServerSocket.hh>
#include	<system/KonoeSCServerSocket.hh>
#include	<iostream.h>

class	SocketDemoS	{

protected :
	KonoeSCServerSocket	* socket;

public :
	SocketDemoS( int argc, char ** argv );
	~SocketDemoS( );
	int	go( );
};

//---------------------------------------------------------

//	member function definition

//---------------------------------------------------------

SocketDemoS::SocketDemoS( int argc, char ** argv ) {

	socket = new KonoeSCServerSocket( 10000 );

}

SocketDemoS::~SocketDemoS( ) {

	delete socket;

}

int	SocketDemoS::go( ) {

	socket -> waitConnection( );
	cout << "Connected." << endl;
	
	KInt	n, s;
	KChar	buffer[ 256 ];
	
	while( 1 ) {
	  s = socket -> receive( buffer, 256 );
	  if( s <= 0 ) {
	    cout << "Connection lost" << endl;
	    break;
	  }
	  cout << "Received = " << s << " bytes : "
	  	<< buffer << endl;
/*	
	  c = socket -> wait( 1000 );	// 1000 millisec.
	  if( c ) {
	    s = c -> receive( buffer, 256 );
	    if( s <= 0 ) {
	      cout << "Connection closed" << endl;
	      break;
	    }
	    cout << "Received = " << s << " bytes : " << buffer << endl;
	  }
*/	  
	  
	}

	delete socket;
	return 0;
}

//---------------------------------------------------------

//	entry point

//---------------------------------------------------------

int	main( int argc, char ** argv ) {

	SocketDemoS	demo( argc, argv );
	return demo.go( );

}
