//=============================================================
/*

	KonoeSimpleSlider.java
	
	Version 0.0.1	03-Jul-1998	K.Ohta
        Version 0.4.0   18-Aug-1998     K.Ohta
    Version 0.5.0   28-Sep-1999 T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi
*/
//=============================================================

package	konoe.ui.parts;

//
//	a simple scrollbar with the text.
//

import	java.awt.*;


public class KonoeSimpleSlider extends Panel {

  Scrollbar	scrollbar;
  Label		titleLabel

public KonoeSliderPanel( String plabel,
	int value, int visible, int minimum, int maximum ) {

    super( new GridLayout( 2, 1 ) );

    scrollbar = new Scrollbar( Scrollbar.HORIZONTAL,
    			value, visible, minimum, maximum );

    add( scrollbar );
    scrollbar.setName( plabel );

  }
  
  public Scrollbar getScrollbar( ) {
  
    return scrollbar;
    
  }
  
  public void setValue( int value ) {
  
    scrollbar.setValue( value );
    setValueLabel( value );

  }
  
  public int getValue( ) {
  
    return scrollbar.getValue( );
  
  }
  
  public Label getValueLabel( ) {
  
    return valuelabel;
    
  }
  
  public void setValueLabel( int value ) {
  
    valuelabel.setText( Integer.toString( value ) );
    
  }
}
