//=============================================================
/*

        KonoeOutputObjectStream.java

        Version 0.0.0   03-Aug-1998     D. Takagi
	( not implemented yet)
        Version 0.5.0   28-Sep-1999     T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi

*/
//=============================================================
package konoe.ui.system;

import java.io.*;

public abstract class KonoeOutputObjectStream implements KonoeObject {

    protected abstract DataOutputStream out();

    public void writeHeader(KonoeStreamHeader header) {
	byte[] b = new byte[4 * 3];
	b[0]  = (byte)header.getLevel();
	b[1]  = (byte)header.getCategoryID();
	b[2]  = (byte)header.getClassID();
	b[3]  = (byte)header.getClassVersion();
	b[4]  = (byte)header.getMemberID();

	b[5]  = (byte)((header.getDataCount() & 0x00ff0000) >> 16);
	b[6]  = (byte)((header.getDataCount() & 0x0000ff00) >>  8);
	b[7]  = (byte)((header.getDataCount() & 0x000000ff));

	b[8]  = (byte)((header.getRecordSize() & 0xff000000) >> 24);
	b[9]  = (byte)((header.getRecordSize() & 0x00ff0000) >> 16);
	b[10] = (byte)((header.getRecordSize() & 0x00ff0000) >>  8);
	b[11] = (byte)((header.getRecordSize() & 0x00ff0000));

//	out().write(b, b.length);
    }

    public void dump() {
	System.out.println(toString());
    }
}
