//=========================================================
//
//      EventDemo.java
//
//	Version 0.0.1	03-Jul-1998	K.Ohta
//
//=========================================================

import	java.applet.*;
import	java.awt.*;
import	java.io.*;
import  konoe.ui.parts.*;
import  konoe.ui.analysis.*;
import  konoe.ui.graphics.*;
import  konoe.ui.system.*;

public class EventDemo extends Applet {

  KonoePhysPlacement[] myPhys;

  public void init() {

    myPhys = new KonoePhysPlacement[10];

//----- sample solid ------------
    KonoeDrawableBox myCalBox = new KonoeDrawableBox ( "MyCal", 50, 70, 5 );
    KonoeRotationMatrix rm = new KonoeRotationMatrix( );
    rm.rotateZ(45);

    Konoe3DVector vec1 = new Konoe3DVector( 0, 0, 200 );
    myPhys[0] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm, vec1 ), myCalBox );
    myPhys[0].replace ( new Konoe2Dimension ( ) );

    KonoeDrawableBox myCalBoxShort = new KonoeDrawableBox ( "MyCal2", 20, 70, 5 );
    Konoe3DVector vec2 = new Konoe3DVector( 200, 0, 200 );
    myPhys[1] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm, vec2 ),
                                                    myCalBoxShort );
    myPhys[1].replace ( new Konoe2Dimension ( ) );
    myPhys[1].setForceWireFrame (  );

    KonoeDrawableBox myCalBoxSquare = new KonoeDrawableBox ( "MyCal3", 50, 50, 50);
    Konoe3DVector vec3 = new Konoe3DVector( 0, 0, 0 );
    myPhys[2] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm, vec3 ),
                                                    myCalBoxSquare );
    myPhys[2].replace ( new Konoe2Dimension ( ) );
    myPhys[2].setVisAtt ( 255, 0, 0 );
    myPhys[2].setSurf2Mode();
    
    KonoeDrawableBox myCalBoxB = new KonoeDrawableBox ( "MyCalB", 5, 70, 5 );

    Konoe3DVector vecB = new Konoe3DVector( 150, 0, 200 );
    myPhys[3] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm, vecB ), myCalBoxB );
    myPhys[3].replace ( new Konoe2Dimension ( ) );
    myPhys[3].setVisAtt ( 0, 255, 0 );

    Konoe3DVector vecC = new Konoe3DVector( 130, 0, 200 );
    myPhys[4] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm, vecC ), myCalBoxB );
    myPhys[4].replace ( new Konoe2Dimension ( ) );
    myPhys[4].setVisAtt ( 0, 255, 0 );

    KonoeDrawableBox myCalBoxD = new KonoeDrawableBox ( "MyCalD", 5, 5, 70 );
    Konoe3DVector vecD = new Konoe3DVector( 130, 0, -100 );
    myPhys[5] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm, vecD ), myCalBoxD );
    myPhys[5].replace ( new Konoe2Dimension ( ) );
    myPhys[5].setVisAtt ( 0, 255, 0 );

    KonoeDrawableBox myCalBoxE = new KonoeDrawableBox ( "MyCalD", 5, 5, 70 );
    Konoe3DVector vecE = new Konoe3DVector( 120, 0, -100 );
    myPhys[6] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm, vecE ), myCalBoxE );
    myPhys[6].replace ( new Konoe2Dimension ( ) );
    myPhys[6].setVisAtt ( 0, 255, 0 );

//----- sample solid ------------

    myPhys[0].dump( );
    myPhys[1].dump( );
    myPhys[2].dump( );
    myPhys[3].dump( );
    myPhys[4].dump( );
    myPhys[5].dump( );
    myPhys[6].dump( );

  }

  public void paint( Graphics g ) {

    setBackground ( Color.black );
    myPhys[0].draw( g );
    myPhys[1].draw( g );
    myPhys[2].draw( g );
    myPhys[3].draw( g );
    myPhys[4].draw( g );
    myPhys[5].draw( g );
    myPhys[6].draw( g );

  }
	
  public void start( ) {

    System.out.println( "Applet "+getSize( ).toString( ) );
  }

  public void stop( ) {

  }

}
