//====================================================================
/*

	DemoCommand.cc

	Version 0.0.1	 4-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 6-Sep-1998
	Version 0.4.0a	29-Jan-1998	S. Nishida
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi

*/
//====================================================================

#include	<ui/KonoeCommander.hh>
#include	<ui/KonoeKonoeCommander.hh>
#include	<ui/KonoeCommandSource.hh>
#include	<iostream.h>
#include	<string.h>

class DemoCommand	{

protected :

	KonoeCommander	* commander;
	KonoeCommandSource *command_source;

public :
	DemoCommand( KonoeCommander *pcommander, KonoeCommandSource * psource );
	int	go( );

};

DemoCommand::DemoCommand( KonoeCommander *pcommander, KonoeCommandSource * psource ) {

	commander = pcommander;
	command_source = psource;

}

int	DemoCommand::go( ) {

	while( 1 ) {

	  // KChar * command_string;
	  KChar command_string[256];
	  strcpy(command_string, command_source -> getNext( ));

	  if ( commander -> dispatch( command_string, cout ) < 0 )
	    break;

	}
	return 0;

}

int	main( int argc, char ** argv ) {

	DemoCommand	democommand(
	  new KonoeKonoeCommander( "konoecommander" ),
	  new KonoeTerminalCommandSource( )
	);

	return democommand.go( );

}
