//===================================================================
/*

	KonoeCommandDescriptor.hh

	Version 0.0.1	03-Jul-1998	H. Sakamoto
	Version 0.4.0	 6-Sep-1998
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi

*/
//==================================================================

#ifndef	__KONOECOMMANDDESCRIPTOR_HH
#define	__KONOECOMMANDDESCRIPTOR_HH

#include	<KonoePrimitives.hh>
#include	<KonoeList.hh>
#include	<ui/KonoeArgumentDescriptor.hh>
#include	<iostream.h>

class	KonoeCommandDescriptor	{

protected :
	KChar	* name;
	KInt	identifier;
	KonoeList<KonoeArgumentDescriptor>	* argumentlist;
	KChar	* description;

public :
	KonoeCommandDescriptor( const KChar * name, KInt tablesize );
	~KonoeCommandDescriptor( );
	KInt	add( KonoeArgumentDescriptor * argumentdefinition );
	const KChar	* getName( )	{
			return ( const KChar * )name;	}

	void	setDescription( KChar * description );
	void	printHelp( ostream & os, KInt flag );

	void	setIdentifier( KInt id )
		{	identifier = id;	}
	KInt	getIdentifier( )	{	return identifier;	}

	KInt	getArgumentCount( );
	KonoeArgumentDescriptor	* getArgument( KInt index );
};

#endif
