//===================================================================
/*

	KonoeCreateCommand.cc

	Version 0.0.1	25-Jul-1998	H. Sakamoto
	Version 0.0.2	17-Aug-1998	S. Nishida
	Version 0.4.0	 6-Sep-1998
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi

*/
//===================================================================

#include	<ui/KonoeCreateCommand.hh>
#include	<ui/KonoeOfficer.hh>

KonoeCreateCommand::KonoeCreateCommand( KonoeCommandDescriptor * cd,
		KonoeOrderly * ow ) : KonoeCommandProcessor( cd, ow ) {

}

KInt	KonoeCreateCommand::execute( KonoeCommand * cmd ) {

	KonoeOfficer	* officer;

	ostream & os = cmd -> getOutputStream( );

	if( ! checkArgument( cmd ) ) return 0;

	KonoeOrderly	* o = owner -> clone(
		( KChar * ) cmd -> getArgument( ARG_CREATE_OBJECT )
		-> getValue( ) );
	o -> setOfficer( officer = owner -> getOfficer( ) );
	officer -> add( o );
	o -> createObject( cmd );
	return 0;
}
