//====================================================================
/*

	KonoeKonoeCommander.cc

	Version 0.0.1	 1-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 6-Sep-1998
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
	Version 0.6.1	08-Dec-2000	H. Sakamoto


*/
//====================================================================

#include	<ui/KonoeKonoeCommander.hh>


KonoeKonoeCommander::KonoeKonoeCommander( KChar * name, KInt n_commands ) :
	KonoeCommander( N_OFFICERS, name, n_commands ) {

	objectstreamofficer = new KonoeObjectStreamOfficer(
		N_OBJECTSTREAMOBJECTS,"objectstreamofficer" );
	add( objectstreamofficer );
        objectstreamofficer -> setCommander(this);
	objectfileofficer = new KonoeObjectFileOfficer( 
		N_OBJECTFILEOBJECTS, "objectfileofficer" );
	add( objectfileofficer );
        objectfileofficer -> setCommander(this);
	objectsocketofficer = new KonoeObjectSocketOfficer(
		 N_OBJECTSOCKETOBJECTS, "objectsocketofficer" );
	add( objectsocketofficer );
        objectsocketofficer -> setCommander(this);
	systemserviceofficer = new KonoeSystemServiceOfficer(
		 N_SYSTEMSERVICEOBJECTS, "systemserviceofficer" );
	add( systemserviceofficer );
        systemserviceofficer -> setCommander(this);
	datarecordofficer = new KonoeDataRecordOfficer(
		 N_DATARECORDOBJECTS, "datarecordofficer" );
	add( datarecordofficer );
	datarecordofficer -> setCommander(this);
	physicalvalueofficer = new KonoePhysicalValueOfficer(
		N_PHYSICALVALUEOBJECTS,	"physicalvalueofficer" );
	add( physicalvalueofficer );
	physicalvalueofficer -> setCommander(this);
	histogramofficer = new KonoeHistogramOfficer(
		 N_HISTOGRAMOBJECTS, "histogramofficer" );
	add( histogramofficer );
	histogramofficer -> setCommander(this);
}

