//====================================================================
/*

	KonoeOfficer.hh

	Version 0.0.1	 2-Jul-1998	H. Sakamoto
	Version 0.0.2	 1-Aug-1998	Sanshiro Enomoto
	Version 0.4.0	 7-Sep-1998	S. Nishida
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi

*/
//====================================================================

#ifndef	__KONOEOFFICER_HH
#define	__KONOEOFFICER_HH

#include	<ui/KonoeOrderly.hh>
#include	<ui/KonoeCommander.hh>
#include	<KonoeList.hh>
#include	<iostream.h>

class KonoeCommander;

class	KonoeOfficer	: public KonoeOrderly,
			public KonoeList<KonoeOrderly> {

protected :
	KonoeList<KonoeOrderly>	* registeredorderly;
	KonoeCommander * commander;

public :
	KonoeOfficer( KInt norderly, KInt ncommands, const KChar * name,
			KInt nclass );
	~KonoeOfficer(){ }
	KonoeOrderly	* findObject( const KChar * name );
	void		printObjectList( ostream & os );
	KInt		registerOrderly( KonoeOrderly * orderly );
	KonoeOrderly	* hasClass( const KChar * classname );
	KInt		addObject( KonoeOrderly * orderly,
				const KChar * objectname,
			KonoeCommand * cmd );
	void		printClassList( ostream & os );
	void		setCommander(KonoeCommander *pcommander);
	KonoeCommander  * getCommander( );
	
};


#endif
