//===================================================================
/*

	KonoeProcedureManager.cc

	Version 0.0.1	29-May-2001	H. Sakamoto

*/
//===================================================================

#include	<ui/KonoeProcedureManager.hh>

#include	<string.h>

KonoeProcedureManager::KonoeProcedureManager( KInt ptablesize ) {

	procedurelist = new KonoeList<KonoeCommandProcedure>( ptablesize );

}

KonoeCommandProcedure	* KonoeProcedureManager::findProcedure(
	const KChar * name ) {

	KonoeCommandProcedure	* proc;

	procedurelist -> reset( );
	while( proc = procedurelist -> next( ) ) {

	    if( strcmp( proc -> getName( ), name ) == 0 )
		return proc;

	}
	return 0;
}

KInt	KonoeProcedureManager::addProcedure( KonoeCommandProcedure * proc ) {

	return procedurelist -> add( proc );

}
