//===================================================================
/*

	KonoeProcedureManager.hh

	Version 0.0.1	29-May-2001	H. Sakamoto

*/
//===================================================================

#ifndef	__KONOEPROCEDUREMANAGER_HH
#define	__KONOEPROCEDUREMANAGER_HH

#include	<ui/KonoeCommandProcedure.hh>
#include	<KonoeList.hh>

class	KonoeProcedureManager	{

public :
	enum	{	DEFAULT_TABLE_SIZE = 64		};

protected :
	KonoeList<KonoeCommandProcedure>	* procedurelist;

public :
	KonoeProcedureManager( KInt tablesize = DEFAULT_TABLE_SIZE );
	KonoeCommandProcedure	* findProcedure( const KChar * name );
	KInt	addProcedure( KonoeCommandProcedure * proc );

};

#endif
