//=====================================================================
/*

	KonoeShowCommand.cc

	Version 0.0.1	18-Jul-1998	H. Sakamoto
	Version 0.0.2	18-Aug-1998	S. Nishida
	Version 0.4.0	 6-Sep-1998
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi

*/
//====================================================================

#include	<ui/KonoeShowCommand.hh>
#include	<ui/KonoeOrderly.hh>

KonoeShowCommand::KonoeShowCommand( KonoeCommandDescriptor * cd,
	KonoeOrderly * ow ) : KonoeCommandProcessor( cd, ow ) {

	if( cd == 0 ) {
	  descriptor = new KonoeCommandDescriptor( "show", 0 );
	}
}

KInt	KonoeShowCommand::execute( KonoeCommand * cmd ) {

	if( ! checkArgument( cmd ) ) return 0;
	return owner -> showTarget( cmd );

}
