//=======================================================================
/*

	KonoeSymbolResolver.hh

	Version 0.6.0	25-Nov-2000	H. Sakamoto
	Version 0.6.1	14-May-2001	H. Sakamoto
	Version 0.6.2	26-May-2001	H. Sakamoto

*/
//======================================================================

#ifndef	__KONOESYMBOLRESOLVER_HH
#define	__KONOESYMBOLRESOLVER_HH

#include	<ui/KonoeSymbol.hh>

class	KonoeSymbolResolver	{

public :
	virtual KonoeSymbol	* findSymbol( const KChar * symbolname ) = 0;
	virtual KonoeSymbol	* addSymbol( const KChar * symbolname ) = 0;
	virtual KInt	getSymbolCount( ) = 0;
	virtual KonoeSymbol	* getSymbol( KInt index ) = 0;
	virtual KChar		* getResolverName( ) = 0;

};

#endif

