//==================================================================
/*

	KonoeSymbolResolverlist.cc

	Version 0.6.0	07-Dec-2000	H. Sakamoto
	Version 0.6.1	14-May-2001	H. Sakamoto

*/
//=================================================================

#include	<ui/KonoeSymbolResolverList.hh>

KonoeSymbolResolverList::KonoeSymbolResolverList( KInt ptablesize ) :
	KonoeList<KonoeSymbolResolver>( ptablesize ) {

}

KonoeSymbolResolverList::~KonoeSymbolResolverList( ) {

}

KonoeSymbol	* KonoeSymbolResolverList::findSymbol( const KChar * pname ) {

	KonoeSymbolResolver	* resolver;
	KonoeSymbol	* symbol;

	reset( );
	while( resolver = next( ) ) {
	    symbol = resolver -> findSymbol( pname );
	    if( symbol )
		return symbol;	// first one found.

		//!! there may be more than one symbol to match.
	}
	return 0;	// not found.

}
