//===================================================================
/*

	kcldemo.cc

	Version 0.0.1	14-Nov-2000	H. Sakamoto
	Version 0.0.2	17-May-2001	H. Sakamoto

	Command Line Interpreter -- Demo

*/
//===================================================================

#include	<ui/KonoeCommandInterpreter.hh>
#include	<ui/KonoeCommander.hh>
#include	<daq/KonoeDataSourceOfficer.hh>

class KclDemo	{

protected :
	KonoeCommander	* commander;
	KonoeCommandInterpreter	* interpreter;

public :
	KclDemo( int argc, char ** argv );
	KInt	go( );

};

//-------------------------------------------------------------------

//	member functions

//-------------------------------------------------------------------

KclDemo::KclDemo( int argc, char ** argv ) {

	commander = new KonoeCommander( 32, "commandergeneral",
		KonoeCommandInterpreter::N_COMMANDS );
	interpreter = new KonoeCommandInterpreter( commander );
/*
	KonoeOfficer	* officer = new KonoeDataSourceOfficer(
				64, "datasourceofficer" );

	commander -> employ( officer );
*/
}

KInt	KclDemo::go( ) {

return interpreter -> go( cin, cout, "KCL> " );

}

//-------------------------------------------------------------------

//	entry point

//-------------------------------------------------------------------

int	main( int argc, char ** argv ) {

	KclDemo	demo( argc, argv );
	return demo.go( );

}
