//=====================================================================
/*

    HistoDrawDemo.hh

    Version 0.0.1   31-Aug-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __HISTODRAWDEMO_HH
#define __HISTODRAWDEMO_HH

class KonoeTclDrawCanvas;
class KonoeTclDrawPanel;
class Konoe1DHistogram;
class KonoeTclWindow;

class HistoDrawDemo {

  public:
    HistoDrawDemo();
    HistoDrawDemo(KonoeTclWindow* kwin, char* kname);
    ~HistoDrawDemo();

  private:

    KonoeTclDrawCanvas* testCanvas1;
    KonoeTclDrawCanvas* testCanvas2;
    KonoeTclDrawCanvas* testCanvas3;
    KonoeTclDrawCanvas* testCanvas4;
    KonoeTclDrawPanel* testPanel1;
    KonoeTclDrawPanel* testPanel2;
    KonoeTclDrawPanel* testPanel3;
    KonoeTclDrawPanel* testPanel4;
    Konoe1DHistogram *testHisto1;
    Konoe1DHistogram *testHisto2;
};

#endif
