//=====================================================================
/*

    Histo2DrawDemo.hh

    Version 0.0.1   26-Nov-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __HISTO2DRAWDEMO_HH
#define __HISTO2DRAWDEMO_HH

#include <KonoePrimitives.hh>

class KonoeTclWindow;
class KonoeTcl2DrawCanvas;
class KonoeTcl2DrawPanel;
class Konoe2DHistogram;

class Histo2DrawDemo {

  public:
    Histo2DrawDemo(KonoeTclWindow* kwin, KChar* kname);
    ~Histo2DrawDemo();

    KFloat gaussrand();

  private:
    KonoeTcl2DrawCanvas* testCanvas1;
    KonoeTcl2DrawPanel* testPanel1;
    Konoe2DHistogram* testHisto;
};

#endif
