#ifndef __ACTION_HH
#define __ACTION_HH

#include <ui/KonoeTclAction.hh>
#include <ui/KonoeTclWidget.hh>
#include <ui/KonoeTclWindow.hh>

class action : public KonoeTclEventProcessor,
               public KonoeTclMouseAction,
               public KonoeTclTimer {

  public:
    action(KonoeTclWindow* kwin);

  private:
    void mouseAction(KonoeTclButton*, KInt type, KInt button,
                                  Time time, KInt x, KInt y);
    void timer();

    KonoeTclCanvas* canvas;
    KonoeTclButton* button1;
    KonoeTclButton* button2;
};

#endif
