//=====================================================================
/*

    KonoeTclFMCreator.cc

    Version 0.0.1   28-Oct-1999 T. Hosoi

*/
//====================================================================

#include <KonoeTclFMCreator.hh>
#include <ui/KonoeTclMainWindow.hh>
#include <ui/KonoeTclFrame.hh>
#include <ui/KonoeTclEntry.hh>
#include <KonoeTclFMManager.hh>
#include <KonoeTclFMIconCanvas.hh>
#include <KonoeTclFMSimpleCanvas.hh>
#include <KonoeTclFMDetailCanvas.hh>
#include <KonoeTclFMEntry.hh>
#include <KonoeTclFMPopupMenu.hh>
#include <KonoeTclFMPopupFile.hh>
#include <KonoeTclFMPopupEdit.hh>
#include <KonoeTclFMPopupView.hh>
#include <KonoeTclFMMenu.hh>


KonoeTclFMCreator::KonoeTclFMCreator()
{ ; }

KonoeTclFMCreator::~KonoeTclFMCreator()
{ ; }

void KonoeTclFMCreator::go(KInt argc, KChar** argv)
{
  KonoeTclFMManager* kfmgr;
  if(argc==3)
  kfmgr = new KonoeTclFMManager(argv[1], argv[2]);
  else
  kfmgr = new KonoeTclFMManager;

  KonoeTclMainWindow* main = new KonoeTclMainWindow;
  main->createMainWindow("Konoe filemanager");
  main->setBackGround("white");

  KonoeTclFrame* frm1 = new KonoeTclFrame;
  frm1->create(main, "frm1");
  KonoeTclFMMenu* menu = new KonoeTclFMMenu(kfmgr, frm1);

  KonoeTclFMEntry* ent = new KonoeTclFMEntry(kfmgr, frm1);
  frm1->setFrame();
  frm1->fillBoth();

//  KonoeTclFrame* frm2 = new KonoeTclFrame;
//  frm2->create(main, "frm2");
  KonoeTclFMIconCanvas* canvas = new KonoeTclFMIconCanvas(kfmgr, main);
//  canvas->setForget();
//  delete canvas;

//  KonoeTclFMSimpleCanvas* scan = new KonoeTclFMSimpleCanvas(kfmgr, main);
//  scan->setForget();
//  delete scan;

//  KonoeTclFMIconCanvas* canvasa = new KonoeTclFMIconCanvas(kfmgr, main);

//  KonoeTclFMDetailCanvas* dcan = new KonoeTclFMDetailCanvas(kfmgr, main);
//  KonoeTclFMSimpleCanvas* scan = new KonoeTclFMSimpleCanvas(kfmgr, frm2);
//  frm2->setFrame();
//  frm2->fillBoth();
//  scan->setForget();
//  KonoeTclFMDetailCanvas* dcan = new KonoeTclFMDetailCanvas(kfmgr, frm2);


  KonoeTclFMPopupMenu* popmenu = new KonoeTclFMPopupMenu(kfmgr, main, "popup_menu");

  KonoeTclFMPopupFile* popfile = new KonoeTclFMPopupFile(kfmgr, main, "popup_file");

  KonoeTclFMPopupEdit* popedit = new KonoeTclFMPopupEdit(kfmgr, main, "popup_edit");

  KonoeTclFMPopupView* popview = new KonoeTclFMPopupView(kfmgr, main, "popup_view");

//  frm2->setFrame();
//  frm2->fillBoth();
//  frm2->setBackGround("red");

  KChar cmd[256];
  sprintf(cmd, "proc bgerror { msg } { }");
  canvas->configCommand(cmd);
}
