//=====================================================================
/*

    KonoeTclFMDetailCanvas.hh

    Version 0.5.0   08-Sep-1999 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLFMDETAILCANVAS_HH
#define __KONOETCLFMDETAILCANVAS_HH

#include <KonoeTclFMCanvas.hh>

class KonoeTclManager;
class KonoeTclDimension;

class KonoeTclFMDetailCanvas : public KonoeTclFMCanvas {

  public:
    KonoeTclFMDetailCanvas(KonoeTclFMManager* _kfmgr, KonoeTclWindow* kwin);
    ~KonoeTclFMDetailCanvas();

    void setIconXY();
    void drawIcon();

    void checkClickedPoint(KInt mx, KInt my);

    void mouseAction(KonoeTclCanvas* kbt, KInt type, KInt button,
                     Time time, KInt x, KInt y);
    void windowAction(KonoeTclCanvas* kbt, XEvent* xe);

  private:
};

#endif
