//=====================================================================
/*

    KonoeTclFMEntry.hh

    Version 0.5.0   04-Oct-1999 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLFMENTRY_HH
#define __KONOETCLFMENTRY_HH

#include <ui/KonoeTclEventProcessor.hh>
#include <ui/KonoeTclKeyAction.hh>
#include <ui/KonoeTclMouseAction.hh>

class KonoeTclFMManager;
class KonoeTclWindow;

class KonoeTclFMEntry : public KonoeTclEntry, public KonoeTclEventProcessor
                      , public KonoeTclKeyAction, public KonoeTclMouseAction {

  public:
    KonoeTclFMEntry(KonoeTclFMManager* _kfmgr, KonoeTclWindow* kwin);
    ~KonoeTclFMEntry();

    void mouseAction(KonoeTclEntry* ket, KInt type, KInt button,
                     Time time, KInt x, KInt y);
    void keyAction(KonoeTclEntry* ket, KInt type, KeySym keysym, KInt state);

  private:
    KonoeTclFMManager* kfmgr;
    KonoeTclWindow* parentWindow;
    KChar konoePath[256];
};

#endif
