//=====================================================================
/*

    KonoeTclFMInputPanel.hh

    Version 0.5.0   26-Oct-1999 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLFMINPUTPANEL_HH
#define __KONOETCLFMINPUTPANEL_HH

#include <ui/KonoeTclEventProcessor.hh>
#include <ui/KonoeTclMouseAction.hh>
#include <ui/KonoeTclKeyAction.hh>

class KonoeTclFMManager;
class KonoeTclWindow;
class KonoeTclSubWindow;
class KonoeTclLabel;
class KonoeTclEntry;
class KonoeTclButton;

class KonoeTclFMInputPanel : public KonoeTclMouseAction,
                             public KonoeTclKeyAction,
                             public KonoeTclEventProcessor {

  public:
    KonoeTclFMInputPanel(KonoeTclFMManager* _kfmgr, KonoeTclWindow* _kwin,
                         KChar* eventname);
    ~KonoeTclFMInputPanel();

    void mouseAction( KonoeTclButton* kbtn, KInt type,
                      KInt button, Time time, KInt x, KInt y );

  private:
    KonoeTclSubWindow* subwin;
    KonoeTclLabel* label;
    KonoeTclEntry* entry;
    KonoeTclButton* button;
};

#endif
