//=====================================================================
/*

    KonoeTclFMPopupEdit.cc

    Version 0.5.0   13-Oct-1999 T. Hosoi

*/
//====================================================================

#include <KonoeTclFMPopupEdit.hh>
#include <KonoeTclFMManager.hh>

KonoeTclFMPopupEdit::KonoeTclFMPopupEdit()
{ ; }

KonoeTclFMPopupEdit::KonoeTclFMPopupEdit(KonoeTclFMManager* _kfmgr,
                                         KonoeTclWindow* kwin, KChar* kname)
                   : KonoeTclFMPopup(_kfmgr, kwin, kname)
{
  setStatus();
  _kfmgr->setPopupEdit( this );
}

KonoeTclFMPopupEdit::~KonoeTclFMPopupEdit()
{ ; }

void KonoeTclFMPopupEdit::setStatus()
{
  KonoeTclMenuButton::addCommand("Copy");
  KonoeTclMenuButton::addCommand("Cut");
  KonoeTclMenuButton::addCommand("Paste");
  KonoeTclMenuButton::addCommand("Rename");
  KonoeTclMenuButton::addCommand("Delete");
  KonoeTclMenuButton::addSeparator();
  KonoeTclMenuButton::addCommand("Property");
}

void KonoeTclFMPopupEdit::mouseAction(KonoeTclMenuButton* kbt, KInt type,
                                      KInt button, Time time, KInt x, KInt y)
{
  if(type == KMousePress && button == LButton){
    KonoeTclFMPopup::isRegion(x, y, 5);
  }
}
