//=====================================================================
/*

    KonoeTclFMPopupFile.cc

    Version 0.5.0   13-Oct-1999 T. Hosoi

*/
//====================================================================

#include <KonoeTclFMPopupFile.hh>
#include <KonoeTclFMManager.hh>

KonoeTclFMPopupFile::KonoeTclFMPopupFile()
{ ; }

KonoeTclFMPopupFile::KonoeTclFMPopupFile(KonoeTclFMManager* _kfmgr,
                                         KonoeTclWindow* kwin, KChar* kname)
                   : KonoeTclFMPopup(_kfmgr, kwin, kname)
{
  setStatus();
  _kfmgr->setPopupFile( this );
}

KonoeTclFMPopupFile::~KonoeTclFMPopupFile()
{ ; }

void KonoeTclFMPopupFile::setStatus()
{
  KonoeTclMenuButton::addCommand("Exit");
}

void KonoeTclFMPopupFile::mouseAction(KonoeTclMenuButton* kbt, KInt type,
                                      KInt button, Time time, KInt x, KInt y)
{
  if(type == KMousePress && button == LButton){
    KInt id = KonoeTclFMPopup::isRegion(x, y, 1);
    if( id == 1 ) exit(0);
  }
}
