//=====================================================================
/*

    KonoeTcl2DrawPanel.cc

    Version 0.0.1   09-Dec-1999 T. Hosoi
	Version 0.5.1	26-Jan-2000	H. Sakamoto
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#include <ui/KonoeTcl2DrawPanel.hh>
#include <ui/KonoeTcl2DrawCanvas.hh>
#include <ui/KonoeTclSpaceManager.hh>

KonoeTcl2DrawPanel::KonoeTcl2DrawPanel( KonoeTclWindow* kwin, KChar* kname)
  : KonoeTclFrame(kwin, kname)
{
  ;
}

KonoeTcl2DrawPanel::~KonoeTcl2DrawPanel()
{
  delete spMan;
}

void KonoeTcl2DrawPanel::setCanvas(KonoeTcl2DrawCanvas* pCanvas,
                                   KChar* titleName)
{
  drawCanvas = pCanvas;
  spMan = new KonoeTclSpaceManager;
  drawCanvas->setSpaceManager( spMan );
  setBackGround("black");

  setFrame();
}

void KonoeTcl2DrawPanel::setBackGround(KChar* col)
{
  KChar cmd[256];

  sprintf(cmd, "%s configure -background %s", path, col);
  configCommand(cmd);

  sprintf(cmd, "%s configure -background %s", drawCanvas->getPath(), col);
  configCommand(cmd);
}
