//=====================================================================
/*

    KonoeTclDrawPanel.hh

    Version 0.0.1   26-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLDRAWPANEL_HH
#define __KONOETCLDRAWPANEL_HH

#include <ui/KonoeTclFrame.hh>
class KonoeTclCanvas;
class KonoeTclLabel;
class KonoeTclWindow;

class KonoeTclDrawPanel : public KonoeTclFrame {

  public:
    KonoeTclDrawPanel(KonoeTclWindow* kwin, KChar* kname);
    ~KonoeTclDrawPanel();

    void setCanvas(KonoeTclCanvas* pCanvas, KChar* pString);
    void setBackGround(KChar* col);

  private:
    KChar panelTitle[256];
    KonoeTclCanvas* myCanvas;
    KonoeTclLabel* titleName;
};

#endif
