//=====================================================================
/*

    KonoeTclEventHitPoint.hh

    Version 0.0.1   11-Sep-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLEVENTHITPOINT_HH
#define __KONOETCLEVENTHITPOINT_HH

#include <ui/KonoeTcl3DVector.hh>
class KonoeTclEventViewCanvas;
class KonoeTclDrawableOval;
class KonoeTclPhysPlacement;

class KonoeTclEventHitPoint {

  public:
    KonoeTclEventHitPoint(KonoeTclEventViewCanvas* canvas);
    KonoeTclEventHitPoint(KonoeTclEventViewCanvas* canvas,
                          KonoeTcl3DVector point);
    ~KonoeTclEventHitPoint();

    void setPoint(KonoeTcl3DVector point);
    void setRadius(KDouble pRadius);
    void draw(KInt RR, KInt GG, KInt BB);

  private:
    KonoeTclPhysPlacement* physicalVolume;
    KonoeTclEventViewCanvas* eventCanvas;
    KonoeTclDrawableOval* drawOval;
    KonoeTcl3DVector hitPoint;

    KDouble radius;

};

#endif
