//=====================================================================
/*

    KonoeTclEventViewPanel.cc

    Version 0.6.1   04-Jul-2000 T. Hosoi

*/
//====================================================================

#include <ui/KonoeTclEventViewPanel.hh>
#include <ui/KonoeTclEventViewCanvas.hh>
#include <ui/KonoeTclSpaceManager.hh>

KonoeTclEventViewPanel::KonoeTclEventViewPanel( KonoeTclWindow* kwin, KChar* kname)
  : KonoeTclFrame(kwin, kname)
{
  ;
}

KonoeTclEventViewPanel::~KonoeTclEventViewPanel()
{
  if(spMan != NULL) delete spMan;
}

void KonoeTclEventViewPanel::setCanvas(KonoeTclEventViewCanvas* pWorld,
                                   KChar* titleName)
{
  spMan = new KonoeTclSpaceManager();
  world = pWorld;
  world->setSpaceManager(spMan);
  changed = isTrue;
  setBackGround("black");

  setFrame();
}

void KonoeTclEventViewPanel::setBackGround(KChar* col)
{
  KChar cmd[256];

  sprintf(cmd, "%s configure -background %s", path, col);
  configCommand(cmd);

  sprintf(cmd, "%s configure -background %s", world->getPath(), col);
  configCommand(cmd);
}
