//=====================================================================
/*

    KonoeTclEventViewPanel.hh

    Version 0.6.1   04-Jul-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLEVENTVIEWPANEL_HH
#define __KONOETCLEVENTVIEWPANEL_HH

#include <ui/KonoeTclFrame.hh>

class KonoeTclEventViewCanvas;
class KonoeTclWindow;
class KonoeTclSpaceManager;

class KonoeTclEventViewPanel : public KonoeTclFrame {

  public:
    KonoeTclEventViewPanel(KonoeTclWindow* kwin, KChar* kname);
    ~KonoeTclEventViewPanel();
    void setCanvas(KonoeTclEventViewCanvas* pWorld, KChar* titleName);
    void setBackGround(KChar* col);

  private:

	enum	{	isFalse,	isTrue		};

    KonoeTclEventViewCanvas* world;
    KonoeTclSpaceManager* spMan;

    KBool changed;
    KInt prevx;
    KInt prevy;
};

#endif
