//=====================================================================
/*

    KonoeTclHistoPanel.hh

    Version 0.0.1   26-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLHISTOPANEL_HH
#define __KONOETCLHISTOPANEL_HH

#include <ui/KonoeTclFrame.hh>

#include <ui/KonoeTclFrame.hh>

class KonoeLinearDataScale;
class Konoe1DHistogram;
class KonoeTclWindow;
class KonoeTclDimension;
class KonoeTclDrawCanvas;
class KonoeTclLabel;

class KonoeTclHistoPanel : public KonoeTclFrame {

  public:
    KonoeTclHistoPanel( KonoeTclWindow* kwin, KChar* kname,
                        Konoe1DHistogram* pHisto, KonoeTclDimension pDim,
                        KChar* pString, KonoeLinearDataScale* pScale );
    ~KonoeTclHistoPanel();


  private:
    KonoeTclDrawCanvas* myCanvas;
    KonoeTclLabel* titleName;
};

#endif
