//=====================================================================
/*

    KonoeTclRotationMatrix.hh

    Version 0.0.1   25-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLROTATIONMATRIX_HH
#define __KONOETCLROTATIONMATRIX_HH

#include <KonoePrimitives.hh>

class KonoeTclRotationMatrix {

  public:
    KonoeTclRotationMatrix();
    ~KonoeTclRotationMatrix();

    inline void rotateX( KDouble pX ) { rX = pX; }
    inline void rotateY( KDouble pY ) { rY = pY; }
    inline void rotateZ( KDouble pZ ) { rZ = pZ; }
    inline KDouble getRX() { return rX; }
    inline KDouble getRY() { return rY; }
    inline KDouble getRZ() { return rZ; }

    void dump();

  private:
    KDouble rX;
    KDouble rY;
    KDouble rZ;
};

#endif
