//=====================================================================
/*

    KonoeTclActionLisrener.cc

    Version 0.0.1   17-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLACTIONLISTENER_HH
#define __KONOETCLACTIONLISTENER_HH

#include <tk.h>
#include <ui/KonoeTclUIPrimitive.hh>
#include <ui/KonoeTclGraphics.hh>
#include <ui/KonoeTclButton.hh>
#include <ui/KonoeTclCanvas.hh>
#include <ui/KonoeTclCheckButton.hh>
#include <ui/KonoeTclEntry.hh>
#include <ui/KonoeTclLabel.hh>
#include <ui/KonoeTclListBox.hh>
#include <ui/KonoeTclMenu.hh>
#include <ui/KonoeTclMenuButton.hh>
#include <ui/KonoeTclMessage.hh>
#include <ui/KonoeTclRadioButton.hh>
#include <ui/KonoeTclSlider.hh>
#include <ui/KonoeTclText.hh>
#include <ui/KonoeTclEventProcessor.hh>


class KonoeTclActionListener{
  public:
    KonoeTclActionListener();
    virtual ~KonoeTclActionListener();

    void addPaintAction(KonoeTclButton* bt);
    void addPaintAction(KonoeTclCanvas* bt);
    void addPaintAction(KonoeTclCheckButton* bt);
    void addPaintAction(KonoeTclEntry* bt);
    void addPaintAction(KonoeTclLabel* bt);
    void addPaintAction(KonoeTclListBox* bt);
    void addPaintAction(KonoeTclMenu* bt);
    void addPaintAction(KonoeTclMenuButton* bt);
    void addPaintAction(KonoeTclMessage* bt);
    void addPaintAction(KonoeTclRadioButton* bt);
    void addPaintAction(KonoeTclSlider* bt);
    void addPaintAction(KonoeTclText* bt);

  private:

    static void paintButton(KonoeTclButton* kbt, XEvent* xe);
    static void paintCanvas(KonoeTclCanvas* kbt, XEvent* xe);
    static void paintCheckButton(KonoeTclCheckButton* kbt, XEvent* xe);
    static void paintEntry(KonoeTclEntry* kbt, XEvent* xe);
    static void paintLabel(KonoeTclLabel* kbt, XEvent* xe);
    static void paintListBox(KonoeTclListBox* kbt, XEvent* xe);
    static void paintMenu(KonoeTclMenu* kbt, XEvent* xe);
    static void paintMenuButton(KonoeTclMenuButton* kbt, XEvent* xe);
    static void paintMessage(KonoeTclMessage* kbt, XEvent* xe);
    static void paintRadioButton(KonoeTclRadioButton* kbt, XEvent* xe);
    static void paintSlider(KonoeTclSlider* kbt, XEvent* xe);
    static void paintText(KonoeTclText* kbt, XEvent* xe);

    enum widgetType { Button=0, Canvas, CheckButton, Entry, Label, ListBox,
                      Menu, MenuButton, Message, RadioButton, Slider, Text };
};

#endif
