//=====================================================================
/*

    KonoeTclDialogBox.hh

    Version 0.5.0   18-Oct-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLDIALOGBOX_HH
#define __KONOETCLDIALOGBOX_HH

#include <ui/KonoeTclWindow.hh>
#include <ui/KonoeTclGraphics.hh>


enum KAnswer { KABORT, KRETRY, KIGNORE, KOK, KCANCEL, KYES, KNO };
enum KType { KAbortRetryIgnore, KOk, KOkCancel, KRetryCancel, KYesNo,
             KYesNoCancel };
enum KIconType { KError, KInfo, KQuestion, KWarning };

class KonoeTclDialogBox : public KonoeTclGraphics {

  public:
    KonoeTclDialogBox();
    KonoeTclDialogBox(KChar* mes);
    ~KonoeTclDialogBox();

    void create(KonoeTclWindow* kwin, KChar* kname);
    KAnswer create(KonoeTclWindow* kwin, KChar* message, KType type = KOk, 
                KChar* title= "Dialog Window" , KIconType iconType = KInfo);
                

  private:
};

#endif
