//=====================================================================
/*

    KonoeTclImage.hh

    Version 0.0.1   09-Sep-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLIMAGE_HH
#define __KONOETCLIMAGE_HH

#include <KonoePrimitives.hh>
#include <ui/KonoeTclUIPrimitive.hh>

class KonoeTclWindow;

class KonoeTclImage : public KonoeTclUIPrimitive {

  public:
    KonoeTclImage();
    KonoeTclImage(KChar* kname);
    KonoeTclImage(KChar* kname, KChar* filepath);
    ~KonoeTclImage();
    void create(KonoeTclWindow* kwin, KChar* kname){;}

    void setBackGround(KChar* col);
    void setFormat(KChar* kformat);
    void setFile(KChar* kpath);
    void setData(KChar* kmime);
    void setGamma(KDouble kgamma);
    void setHeight(KInt h);
    void setWidth(KInt w);

    inline KChar* getName(){ return imageName; }

    void copyImage(KonoeTclImage* image);
    void deleteImage();

  private:
    KChar imageName[256];
};

#endif
