//=====================================================================
/*

    KonoeTclLabel.hh

    Version 0.0.1   05-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLLABEL_HH
#define __KONOETCLLABEL_HH

#include <ui/KonoeTclWindow.hh>
#include <ui/KonoeTclGraphics.hh>

class KonoeTclLabel : public KonoeTclGraphics {
  public:
    KonoeTclLabel(KonoeTclWindow* kwin, KChar* kname, KChar* cap);
    KonoeTclLabel(KonoeTclWindow* kwin, KChar* kname, KChar* cap,
                  KInt col, KInt row);
    ~KonoeTclLabel();

    void mouseActionUI(KonoeTclLabel* kbt, XEvent* xe);
    void mouseMotionUI(KonoeTclLabel* kbt, XEvent* xe);
    void keyActionUI(KonoeTclLabel* kbt, XEvent* xe);
    void windowActionUI(KonoeTclLabel* kbt, XEvent* xe);

    void setCaption(KChar* cap);
    inline KChar* getCaption() { return caption; }
    void setPosition(KInt x, KInt y);

  private:
    void create(KonoeTclWindow* kwin, KChar* kname);
    void create(KonoeTclWindow* kwin, KChar* kname, KInt col, KInt row);
    void createProcess(KonoeTclWindow* kwin, KChar* kname);
    KChar caption[256];
};

#endif
