//=====================================================================
/*

    KonoeTclManager.cc

    Version 0.0.1   05-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLMANAGER_HH
#define __KONOETCLMANAGER_HH
#include <tcl.h>
#include <KonoePrimitives.hh>

class KonoeTclManager {
  public:
    KonoeTclManager();
    ~KonoeTclManager();

    static KonoeTclManager* getManager(){ return kmgr; }
    Tcl_Interp* getInterp(){ return interp; }
    void setCommand(KChar* com);

  protected:

  private:
    KonoeTclManager(const KonoeTclManager &right);

    static KInt fkmgr;
    static KonoeTclManager* kmgr;
    static Tcl_Interp* interp;
};

#endif
