//=====================================================================
/*

    KonoeTclMessage.hh

    Version 0.0.1   05-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLMESSAGE_HH
#define __KONOETCLMESSAGE_HH

#include <ui/KonoeTclGraphics.hh>
#include <ui/KonoeTclWindow.hh>

class KonoeTclMessage : public KonoeTclGraphics {
  public:
    KonoeTclMessage(KonoeTclWindow* kwin, KChar* kname);
    KonoeTclMessage(KonoeTclWindow* kwin, KChar* kname, KChar* cap);
    ~KonoeTclMessage();

    void mouseActionUI(KonoeTclMessage* kbt, XEvent* xe);
    void mouseMotionUI(KonoeTclMessage* kbt, XEvent* xe);
    void keyActionUI(KonoeTclMessage* kbt, XEvent* xe);
    void windowActionUI(KonoeTclMessage* kbt, XEvent* xe);

    void setWidth(KInt w);

  private:
    void create(KonoeTclWindow* kwin, KChar* kname);
    KChar caption[256];
};

#endif
