//=====================================================================
/*

    KonoeTclMouseAction.cc

    Version 0.0.1   17-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#include <KonoePrimitives.hh>
#include <ui/KonoeTclMouseAction.hh>

KonoeTclMouseAction::KonoeTclMouseAction()
{ ; }

KonoeTclMouseAction::~KonoeTclMouseAction()
{ ; }

void KonoeTclMouseAction::addMouseAction(KonoeTclButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
    (void(*)(void*, _XEvent*)) mouseActionButton, (ClientData) bt);
}

void KonoeTclMouseAction::removeMouseAction(KonoeTclButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
    (void(*)(void*, _XEvent*)) mouseActionButton, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclCanvas* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
      (void(*)(void*, _XEvent*)) mouseActionCanvas, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclCheckButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
       (void(*)(void*, _XEvent*)) mouseActionCheckButton, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclEntry* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
      (void(*)(void*, _XEvent*)) mouseActionEntry, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclLabel* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
      (void(*)(void*, _XEvent*)) mouseActionLabel, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclListBox* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
       (void(*)(void*, _XEvent*)) mouseActionListBox, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclMenu* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress  | ButtonReleaseMask,
       (void(*)(void*, _XEvent*)) mouseActionMenu, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclMenuButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
       (void(*)(void*, _XEvent*)) mouseActionMenuButton, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclMessage* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
       (void(*)(void*, _XEvent*)) mouseActionMessage, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclRadioButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
        (void(*)(void*, _XEvent*)) mouseActionRadioButton, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclSlider* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
        (void(*)(void*, _XEvent*)) mouseActionSlider, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclText* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
        (void(*)(void*, _XEvent*)) mouseActionText, (ClientData) bt);
}

void KonoeTclMouseAction::addMouseAction(KonoeTclWindow* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ButtonPress | ButtonReleaseMask,
        (void(*)(void*, _XEvent*)) mouseActionWindow, (ClientData) bt);
}

void KonoeTclMouseAction::mouseActionButton(KonoeTclButton* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
  kbt->resetRelief();
//  KChar tmpChar[256];
//  sprintf(tmpChar, "%s flash", kbt->getPath());
//  kbt->configNoUpdate(tmpChar);
}

void KonoeTclMouseAction::mouseActionCanvas(KonoeTclCanvas* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionCheckButton(KonoeTclCheckButton* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionEntry(KonoeTclEntry* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionLabel(KonoeTclLabel* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionListBox(KonoeTclListBox* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionMenu(KonoeTclMenu* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionMenuButton(KonoeTclMenuButton* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionMessage(KonoeTclMessage* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionRadioButton(KonoeTclRadioButton* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionSlider(KonoeTclSlider* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionText(KonoeTclText* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}

void KonoeTclMouseAction::mouseActionWindow(KonoeTclWindow* kbt, XEvent* xe)
{
  kbt->mouseActionUI(kbt, xe);
}
