//=====================================================================
/*

    KonoeTclTimer.cc

    Version 0.5.0   19-Oct-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#include <ui/KonoeTclTimer.hh>
#include <ui/KonoeTclUIPrimitive.hh>

KonoeTclTimer::KonoeTclTimer()
{ ; }

KonoeTclTimer::~KonoeTclTimer()
{ ; }

void KonoeTclTimer::addTimer(KonoeTclUIPrimitive* uip, KInt _ms)
{
  __ms = _ms;
  timerToken = Tcl_CreateTimerHandler(__ms, timerHandler, (ClientData) uip);
}

void KonoeTclTimer::setInterval(KInt _ms)
{
  __ms = _ms;
}

void KonoeTclTimer::removeTimer()
{
  Tcl_DeleteTimerHandler(timerToken);
}

void KonoeTclTimer::timerHandler(ClientData clientdata)
{
  KonoeTclUIPrimitive* uip = (KonoeTclUIPrimitive*) clientdata;
  uip->timerUI();
  uip->timerUI(uip);
  removeTimer();
  timerToken = Tcl_CreateTimerHandler(__ms, timerHandler, clientdata);
}
