//=====================================================================
/*

    KonoeTclWindowAction.cc

    Version 0.0.1   28-Sep-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.5.1   25-Jan-2000 H. Sakamoto
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#include <ui/KonoeTclWindowAction.hh>

KonoeTclWindowAction::KonoeTclWindowAction()
{ ; }

KonoeTclWindowAction::~KonoeTclWindowAction()
{ ; }

void KonoeTclWindowAction::addWindowAction(KonoeTclButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
       (void(*)(void*, _XEvent*)) windowActionButton, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclCanvas* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
     (void(*)(void*, _XEvent*)) windowActionCanvas, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclCheckButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
     (void(*)(void*, _XEvent*)) windowActionCheckButton, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclEntry* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
     (void(*)(void*, _XEvent*)) windowActionEntry, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclLabel* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
     (void(*)(void*, _XEvent*)) windowActionLabel, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclListBox* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
     (void(*)(void*, _XEvent*)) windowActionListBox, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclMenu* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
     (void(*)(void*, _XEvent*)) windowActionMenu, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclMenuButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
     (void(*)(void*, _XEvent*)) windowActionMenuButton, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclMessage* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
     (void(*)(void*, _XEvent*)) windowActionMessage, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclSlider* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
     (void(*)(void*, _XEvent*)) windowActionSlider, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclText* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
      (void(*)(void*, _XEvent*)) windowActionText, (ClientData) bt);
}

void KonoeTclWindowAction::addWindowAction(KonoeTclWindow* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), StructureNotifyMask,
      (void(*)(void*, _XEvent*)) windowActionWindow, (ClientData) bt);
}

void KonoeTclWindowAction::windowActionButton(KonoeTclButton* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionCanvas(KonoeTclCanvas* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionCheckButton(KonoeTclCheckButton* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionEntry(KonoeTclEntry* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionLabel(KonoeTclLabel* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionListBox(KonoeTclListBox* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionMenu(KonoeTclMenu* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionMenuButton(KonoeTclMenuButton* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionMessage(KonoeTclMessage* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionRadioButton(KonoeTclRadioButton* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionSlider(KonoeTclSlider* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionText(KonoeTclText* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}

void KonoeTclWindowAction::windowActionWindow(KonoeTclWindow* kbt, XEvent* xe)
{
  kbt->windowActionUI(kbt, xe);
}
