//=====================================================================
/*

    KonoeTclWindowAction.hh

    Version 0.0.1   28-Sep-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLWINDOWACTION_HH
#define __KONOETCLWINDOWACTION_HH

#include <tk.h>
#include <ui/KonoeTclUIPrimitive.hh>
#include <ui/KonoeTclGraphics.hh>
#include <ui/KonoeTclButton.hh>
#include <ui/KonoeTclCanvas.hh>
#include <ui/KonoeTclCheckButton.hh>
#include <ui/KonoeTclEntry.hh>
#include <ui/KonoeTclLabel.hh>
#include <ui/KonoeTclListBox.hh>
#include <ui/KonoeTclMenu.hh>
#include <ui/KonoeTclMenuButton.hh>
#include <ui/KonoeTclMessage.hh>
#include <ui/KonoeTclRadioButton.hh>
#include <ui/KonoeTclSlider.hh>
#include <ui/KonoeTclText.hh>
#include <ui/KonoeTclWindow.hh>
#include <ui/KonoeTclEventProcessor.hh>

class KonoeTclWindowAction {

  public:
    KonoeTclWindowAction();
    virtual ~KonoeTclWindowAction();

    void addWindowAction(KonoeTclButton* bt);
    void addWindowAction(KonoeTclCanvas* bt);
    void addWindowAction(KonoeTclCheckButton* bt);
    void addWindowAction(KonoeTclEntry* bt);
    void addWindowAction(KonoeTclLabel* bt);
    void addWindowAction(KonoeTclListBox* bt);
    void addWindowAction(KonoeTclMenu* bt);
    void addWindowAction(KonoeTclMenuButton* bt);
    void addWindowAction(KonoeTclMessage* bt);
    void addWindowAction(KonoeTclRadioButton* bt);
    void addWindowAction(KonoeTclSlider* bt);
    void addWindowAction(KonoeTclText* bt);
    void addWindowAction(KonoeTclWindow* bt);

  private:

    static void windowActionButton(KonoeTclButton* kbt, XEvent* xe);
    static void windowActionCanvas(KonoeTclCanvas* kbt, XEvent* xe);
    static void windowActionCheckButton(KonoeTclCheckButton* kbt, XEvent* xe);
    static void windowActionEntry(KonoeTclEntry* kbt, XEvent* xe);
    static void windowActionLabel(KonoeTclLabel* kbt, XEvent* xe);
    static void windowActionListBox(KonoeTclListBox* kbt, XEvent* xe);
    static void windowActionMenu(KonoeTclMenu* kbt, XEvent* xe);
    static void windowActionMenuButton(KonoeTclMenuButton* kbt, XEvent* xe);
    static void windowActionMessage(KonoeTclMessage* kbt, XEvent* xe);
    static void windowActionRadioButton(KonoeTclRadioButton* kbt, XEvent* xe);
    static void windowActionSlider(KonoeTclSlider* kbt, XEvent* xe);
    static void windowActionText(KonoeTclText* kbt, XEvent* xe);
    static void windowActionWindow(KonoeTclWindow* kbt, XEvent* xe);

};

#endif
