//====================================================================
/*

	DefaultSectionAnalyzer.hh

	Version 0.2.0	14-May-1998	H. Sakamoto

*/
//====================================================================

#ifndef	__DEFAULTSECTIONANALYZER_HH
#define	__DEFAULTSECTIONANALYZER_HH

#include	<analysis/KonoeSectionAnalyzer.hh>
#include	"RawDataset.hh"

class	DefaultSectionAnalyzer	: public KonoeSectionAnalyzer {

protected :
	RawDataset	* rawdatavalue;
public :
	DefaultSectionAnalyzer( KInt section,
			KInt ptablesize, KInt ptag );
	KInt	clear( );
	KInt	analyze( KonoeDataSection * section );
	KonoePhysicalValue	* getPhysicalValue( );

};

#endif
