//====================================================================
/*

	DemoControler.cc

	11-Sep-2000	Y. Shimizu

*/
//=====================================================================
#include<system/KonoeNetworkNameSpaceManager.hh>
#include<system/KonoeUDPServerSocket.hh>
#include<iostream.h>
#include<stdlib.h>
#include<string.h>
#include<unistd.h>

#include"DemoControler.hh"

DemoControler::DemoControler(  ){

	command_sender = new KonoeUDPServerSocket(COMMANDPORT);

	table = new KonoeNameSpaceTable( );

	value = table->getValue("MASTER_HOST");
	if( value == 0 ){
		cerr << " MASTER_HOST is not set " << endl;
		KonoeHostSystem::exit(0);
	}
	masterhost = (KChar*)*value;

	killer = new KonoeSignalSender;

}

DemoControler::DemoControler( KChar* phost , KInt ppid ){


	host = phost ;
	pid =  ppid;

	table = new KonoeNameSpaceTable( );

	value = table->getValue("MASTER_HOST");
	if( value == 0 ){
		cerr << " MASTER_HOST is not set " << endl;
		KonoeHostSystem::exit(0);
	}
	masterhost = (KChar*)*value;

	killer = new KonoeSignalSender;

	killer->entry( host );	

}

DemoControler::~DemoControler(  ){

//	delete killer;
	delete command_sender;
}

KInt DemoControler::control(KChar* command ,KChar* phost){

	if( phost != 0)
		host = phost ;

 	if( pid == 0){
	   cin >> buffer ;
	   pid = atoi( buffer );
        }

	killer->kill( host, pid ,SIGINT  );

	command_sender->receive( buffer , 256 );
	command_sender->reply( command , 256 );
}

KInt DemoControler::control(KChar* command , KInt pid ,KChar* phost){


	if( phost != 0)
		host = phost ;

        killer->kill( host, pid ,SIGINT  );

	command_sender->receive( buffer , 256 );
	command_sender->reply( command , 256 );

}

void DemoControler::entry( KChar* host){

	killer->entry( host );	

}

