//===========================================================
/*
	controlCMD.cc

	11-Sep-2000	Y. Shimizu

*/
//==========================================================
#include"DemoControler.hh"
#include"DemoStateChecker.hh"
#include<string.h>

int main(int argc, char** argv){

  if( argc != 4 ){
    cerr << "usage  ./controlCMD host pid command " << endl;
    exit(0);
  }

  argv++;
  KChar * host = *argv;
  argv++;
  KInt    pid  = atoi(*argv);
  argv++;
  KChar * command = *argv;

  DemoControler *controler;
  DemoStateChecker * checker;

  checker = new DemoStateChecker;

  controler = new DemoControler;
  controler->entry(host);

  cout << " status " << checker->check() << endl;

  checker->init();

  controler->control(command,pid,host);

  cout << " status " << checker->check() << endl;
  
  delete checker;
  delete controler;
    
  
  return (0);
	
}
