//==================================================================
/*

	knssd.cc

	Version 0.0.1	11-Nov-1998	H. Sakamoto
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6.0   21-Sep-1999     Y. Shimizu

	Konoe Name Space : Slave Daemon

*/
//==================================================================

#include	<system/KonoeNameSpaceSlave.hh>
#include	<system/KonoeLogMessenger.hh>
#include	<system/KonoeLogMessage.hh>
#include	<system/KonoeHostSystem.hh>
#include	<iostream.h>

int	main( int argc, char ** argv ) {

	KChar buffer[256];
	
	KonoeLogMessage * msg;
	KonoeLogMessenger * log;

	if( argc < 2 ) {
	    cout << "knssd <masterhost>" << endl;
	    KonoeHostSystem::exit( 0 );
	}

	argv ++;

	KonoeNameSpaceSlave	server( * argv );
	log = new KonoeLogMessenger( * argv );
	
	msg = new KonoeLogMessage("name space slave daemon Start",1); 
//	log->send( msg );
	log->send( msg->getLogMsg(),256);	
	log->receive( buffer, 256 );

	return server.go( );

}
