// $Id: constants.h,v 1.3 2000/11/15 00:45:56 iwai Exp $
// ============================================================
//  constants.h
//  14-November-2000'
//  Go Iwai [iwai@hep.sc.niigata-u.ac.jp]
// ============================================================
#ifndef __CONSTANTS_H
#define __CONSTANTS_H

#include <KonoePrimitives.hh>

// ------------------------------------------------------------
//  CONSTANTS FOR KonoeDataRecord ( T473 EXPERIMENT )
// ------------------------------------------------------------

// ------------------------------------------------------------
//  READOUTLIST
// ------------------------------------------------------------
static const KInt N_SECTION(6);
static const KInt RECORD_TYPE(1000);

// ------------------------------------------------------------
//  GENERAL
// ------------------------------------------------------------
static const KInt GENERAL_SECTION_TYPE(0);
static const KInt GENERAL_N_SEGMENT(3);
static const KInt COUNTER_N_ELEMENT(2);
static const KInt COUNTER_SEGMENT_TYPE(0);
static const KInt TRIGGER_N_ELEMENT(4);
static const KInt TRIGGER_SEGMENT_TYPE(1);
static const KInt ENVIRONMENT_N_ELEMENT(3);
static const KInt ENVIRONMENT_SEGMENT_TYPE(2);

// ------------------------------------------------------------
//  TDC FOR CSI
// ------------------------------------------------------------
static const KInt TDC_CSI_SECTION_TYPE(1);
static const KInt TDC_CSI_N_SEGMENT(4);
static const KInt TDC_CSI_ID0_SEGMENT_TYPE(0);
static const KInt TDC_CSI_ID1_SEGMENT_TYPE(1);
static const KInt TDC_CSI_ID2_SEGMENT_TYPE(2);
static const KInt TDC_CSI_ID3_SEGMENT_TYPE(3);
static const KInt TDC_CSI_ID3_N_ELEMENT(1);

// ------------------------------------------------------------
//  ADC FOR CSI
// ------------------------------------------------------------
static const KInt ADC_CSI_SECTION_TYPE(2);
static const KInt ADC_CSI_N_SEGMENT(2);
static const KInt ADC_CSI_ID0_SEGMENT_TYPE(0);
static const KInt ADC_CSI_ID1_SEGMENT_TYPE(1);
static const KInt ADC_CSI_ID1_N_ELEMENT(9);

// ------------------------------------------------------------
//  TDC FOR SCINTILLATOR
// ------------------------------------------------------------
static const KInt TDC_SCINTI_SECTION_TYPE(3);
static const KInt TDC_SCINTI_N_SEGMENT(1);
static const KInt TDC_SCINTI_SEGMENT_TYPE(0);

// ------------------------------------------------------------
//  ADC FOR SCINTILLATOR SECTION
// ------------------------------------------------------------
static const KInt ADC_SCINTI_SECTION_TYPE(4);
static const KInt ADC_SCINTI_N_SEGMENT(1);
static const KInt ADC_SCINTI_SEGMENT_TYPE(0);

// ------------------------------------------------------------
//  INTERRUPT REGISTER SECTION
// ------------------------------------------------------------
static const KInt IR_SECTION_TYPE(5);
static const KInt IR_N_SEGMENT(1);
static const KInt IR_SEGMENT_TYPE(0);
static const KInt IR_N_ELEMENT(2);

// ------------------------------------------------------------
//  OTHER CONSTANTS
// ------------------------------------------------------------
static const KInt BUFFER_SIZE(2000);
static KChar* HOST_NAME("konoe3");
static const KInt PORT_NUMBER(11000);
static const KInt N_EVENT(100000);

#endif
