//
//   get parameter routine
//
//   10.Mar.'97   H.Kamata
//
#include <iostream.h>
#include <fstream.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <KonoePrimitives.hh>

KInt getParameter( KInt *controlPort, KInt *sendPort, KInt *receivePort, 
		   KChar *sendAddress, KChar *receiveAddress ) {

    // set config file name
    KChar configFileName[] = {"config.dat"};

    // open config file
    ifstream configFile;
    configFile.open(configFileName);

    KChar tmpBuffer[200];
    KChar frontString[100];
    KChar backString[100];

    // get control port
    configFile.getline( tmpBuffer, sizeof(tmpBuffer) );
    sscanf( tmpBuffer, "%s %s\n", frontString, backString );
    *controlPort = atoi(backString);

    // get send port
    configFile.getline( tmpBuffer, sizeof(tmpBuffer) );
    sscanf( tmpBuffer, "%s %s\n", frontString, backString );
    *sendPort = atoi(backString);

    // get receive port
    configFile.getline( tmpBuffer, sizeof(tmpBuffer) );
    sscanf( tmpBuffer, "%s %s\n", frontString, backString );
    *receivePort = atoi(backString);

    // get demosend address
    configFile.getline( tmpBuffer, sizeof(tmpBuffer) );
    sscanf( tmpBuffer, "%s %s\n", frontString, backString );
    strcpy( sendAddress, backString );
    
    // get demoreceive address
    configFile.getline( tmpBuffer, sizeof(tmpBuffer) );
    sscanf( tmpBuffer, "%s %s\n", frontString, backString );
    strcpy( receiveAddress, backString );

    // close config file
    configFile.close( );

    return( 1 );
};



