//
//   master deamon process
//      for message demo
//
//   9.Mar.'98   H.Kamata
//
#include <iostream.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <KonoePrimitives.hh>
#include <system/KonoeMessageServerSocket.hh>
#include <system/KonoeMessageClientSocket.hh>
#include <system/KonoeMessageCM.hh>
#include <system/KonoeMessage.hh>

#include "getParameter.hh"

// send messag
KInt sendMessage(KInt port, KChar *hostname, KChar *processname, 
		 KChar *messagecommand, KChar *option) {
  // make socket and install category manager
  KonoeMessageClientSocket *socket;
  KonoeMessageCM *message_cm;
  socket = new KonoeMessageClientSocket( hostname, port );
  message_cm = new KonoeMessageCM( );
  socket -> installCM( message_cm );

  // create message object
  KonoeMessage *message = new KonoeMessage;
  message -> setMessage(hostname, processname, messagecommand);
  message -> dump( cout );
  
  // send message
  socket -> put( message, 'A', 0 );
  
  // delete message
  delete socket;
  delete message_cm;
  delete message;

  return( 1 );
}

// % masterDeamon masterPort slavePort
main(KInt argc, KChar *argv[]) {

    // get parameter
    KInt controlPort;
    KInt sendPort;
    KInt receivePort;
    KChar sendAddress[100];
    KChar receiveAddress[100];
    getParameter( &controlPort, &sendPort, &receivePort, 
                  sendAddress, receiveAddress );

    // make master socket
    KonoeMessageServerSocket *masterSocket;
    masterSocket = new KonoeMessageServerSocket( controlPort );
    
    // analysis for command
    while ( 1 ) { // while No.1
	// wait connection
	while( (masterSocket -> waitConnection( )) == -1 );
	
	// receive message
	KChar command[100];
	command[0] = '\0';
	while ( 1 ) {
	    KInt byte = masterSocket -> read( (void *)command, sizeof(command) );
	    if ( byte == 0 )
		break;
	}
	
	// close connection
	masterSocket -> closeConnection( );
	
	// accept command
	// Run Begin 
//	if ( strcmp(command, "b") == 0 || strcmp(command, "B") == 0 ) {
	if ( command[0] == 'b' || command[0] == 'B' ) {
	    // set message
//	    KChar demosend[] = {"demosend"};
//	    KChar demoreceive[] = {"demoreceive"};
	    KChar demosend[] = {"dummyProcess"};
	    KChar demoreceive[] = {"dummyProcess"};
	    KChar messagecommand[] = {"runbegin"};
	    KChar option[] = {"dummy option"};
	    
	    // send message to host for demosend
	    sendMessage(sendPort, sendAddress, demosend, 
			messagecommand, option);

	    sleep( 1 );
	    
	    // send message to host for demoreceive
	    sendMessage(receivePort, sendAddress, demoreceive, 
			messagecommand, option);
	    
	    continue;
	}
	// Run End
//	else if ( strcmp(command, "e") == 0 || strcmp(command, "E") == 0 ) {
	else if ( command[0] == 'e' || command[0] == 'E' ) {
	    // set message
//	    KChar demosend[] = {"demosend"};
//	    KChar demoreceive[] = {"demoreceive"};
	    KChar demosend[] = {"dummyProcess"};
	    KChar demoreceive[] = {"dummyProcess"};
	    KChar messagecommand[] = {"runend"};
	    KChar option[] = {"dummy option"};
	    
	    
	    // send message to host for demosend
	    sendMessage(sendPort, sendAddress, demosend, 
			messagecommand, option);

	    sleep( 1 );

	    // send message to host for demoreceive
	    sendMessage(receivePort, receiveAddress, demoreceive, 
			messagecommand, option);
	    
	    continue;
	}
	// Suspend
//	else if ( strcmp(command, "s") == 0 || strcmp(command, "S") == 0 ) {
	else if ( command[0] == 's' || command[0] == 'S' ) {
	    // set message
	    KChar demosend[] = {"demosend"};
	    KChar demoreceive[] = {"demoreceive"};
	    KChar messagecommand[] = {"suspend"};
	    KChar option[] = {"dummy option"};
	    
	    // send message to host for demosend
	    sendMessage(sendPort, sendAddress, demosend, 
			messagecommand, option);

	    sleep( 1 );

	    // send message to host for demoreceive
	    sendMessage(receivePort, receiveAddress, demoreceive, 
			messagecommand, option);
	    
	    continue;
	}
	// Resume
//	else if ( strcmp(command, "r") == 0 || strcmp(command, "R") == 0 ) {
	else if ( command[0] == 'r' || command[0] == 'R' ) {
	    // set message
	    KChar demosend[] = {"demosend"};
	    KChar demoreceive[] = {"demoreceive"};
	    KChar messagecommand[] = {"resume"};
	    KChar option[] = {"dummy option"};
	    
	    // send message to host for demosend
	    sendMessage(sendPort, sendAddress, demosend, 
			messagecommand, option);

	    sleep( 1 );

	    // send message to host for demoreceive
	    sendMessage(receivePort, receiveAddress, demoreceive, 
			messagecommand, option);
	    
	    continue;
	}
	// Clear
//	else if ( strcmp(command, "c") == 0 || strcmp(command, "C") == 0 ) {
	else if ( command[0] == 'c' || command[0] == 'C' ) {
	    // set message
	    KChar demosend[] = {"demosend"};
	    KChar demoreceive[] = {"demoreceive"};
	    KChar messagecommand[] = {"clear"};
	    KChar option[] = {"dummy option"};
	    
	    // send message to host for demosend
	    sendMessage(sendPort, sendAddress, demosend, 
			messagecommand, option);

	    sleep( 1 );

	    // send message to host for demoreceive
	    sendMessage(receivePort, receiveAddress, demoreceive, 
			messagecommand, option);
	    
	    continue;
	}
	// other case
	else {
	    cerr << "Unexpected error.\a" << endl;
	    exit( 0 );
	}
	
    } //-- end while No.1
}
