#ifndef __ADCVALUE_HH
#define __ADCVALUE_HH

#include <analysis/KonoePhysicalValue.hh>
#include <analysis/KonoePhysIntElement.hh>

class ADCValue : public KonoePhysicalValue {
  protected:
    KInt data_count;
    KInt counter;
    KonoePhysIntElement *elements;

  public:
    ADCValue(KInt ptag, KInt number_of_channels, KInt number_of_modules);
    ~ADCValue();

    KInt getDataCount();
    void setDataCount(int n) { data_count = n; }

    void reset();
    KonoePhysValueElement *next();

    void dump(ostream &os);
};

#endif
