#ifndef __SCINTILATORSECTIONANALYZER_HH
#define __SCINTILATORSECTIONANALYZER_HH

#include <analysis/KonoeSectionAnalyzer.hh>
#include "ADCValue.hh"

class ScintilatorSectionAnalyzer : public KonoeSectionAnalyzer {
  protected:
    ADCValue *adc_value;

  public:
    ScintilatorSectionAnalyzer(KInt ptag);
    ~ScintilatorSectionAnalyzer();

    KInt analyze(KonoeDataSection *section);
    KonoePhysicalValue *getPhysicalValue();
};

#endif
