//==================================================================
/*

	DemoSimulator.hh

	Version 0.2.0	30-Apr-1998	H. Sakamoto
	Version 0.3.0    5-Jun-1998     D. Takagi
	Version 0.4.0	 4-Aug-1999	T. Yamashita
*/
//==================================================================

#ifndef __DemoSimulator_hh
#define __DemoSimulator_hh 1

#include	<daq/KonoeSimCrate.hh>
#include	<daq/KonoeSimTOFTDC.hh>
#include        <daq/KonoeSimADCDigitizer.hh>
#include	<daq/KonoeSimTDCModule.hh>
#include	<daq/KonoeSimADCModule.hh>

#include	<daq/KonoeReadoutList.hh>
#include	<daq/KonoeSoftwareCrate.hh>
#include	<daq/KonoeSoftCounter.hh>
#include	<daq/KonoeCrateList.hh>
#include	<daq/KonoeTimerXaction.hh>
#include	<analysis/KonoeDataRecordCM.hh>
#include	<analysis/KonoeGeometryCM.hh>
#include	<analysis/KonoeBoxGeometry.hh>
#include	<system/KonoeOutputObjFile.hh>
#include        <system/KonoeServerSocket.hh>
#include        <system/KonoeOutputObjSocket.hh>

#include	<iostream.h>
#include 	<stdio.h>
#include        "DemoEventGenerator.hh"

class	DemoSimulator : public KonoeSimCrate {
        KonoeOutputObjectStream * out;
public :
	DemoSimulator( KInt modulecount, KonoeDetectorList * dl, 
		       KonoeEventGenerator * g, KInt digitizercount );
        KInt setStream( KonoeOutputObjectStream * pout){ out = pout; }
        KInt processHit( KonoeSimDetectorHit * hit );
};

#endif
