/*
	CRDAQProcess.hh

	Version 0.0.0	20-Aug-2002	mor
*/

#ifndef __CRDAQPRCESS_HH
#define __CRDAQPRCESS_HH

#include "CRProcess.hh"
#include "CRDAQNameSpace.hh"
#include "CRDAQStatus.hh"
#include "CRDAQModuleConstruction.hh"
#include "CRDAQAction.hh"
#include "CRDAQDataBuffer.hh"

class CRDAQProcess : public CRProcess,
	             public CRDAQNameSpace {
private:
  CRDAQNameSpace* daqNameSpace;
  CRDAQStatus* daqStatus;
  CRDAQAction* daqAction;
  CRDAQModuleConstruction* daqModules;

  void catchSignal( KInt signal );

public:
  CRDAQProcess( KInt signal );
  ~CRDAQProcess();

  void go();
};

#endif
