/*
	CRNameSpaceSetter.cc

	Version 0.0.0	07-Aug-2002	mor
*/

#include "CRNameSpaceSetter.hh"
#include <system/KonoeNetworkNameSpaceManager.hh>
#include <stdio.h>

CRNameSpaceSetter::CRNameSpaceSetter( )
{
  mgr = new KonoeNetworkNameSpaceManager( );
}

CRNameSpaceSetter::~CRNameSpaceSetter( )
{
  delete mgr;
}

KInt CRNameSpaceSetter::set( KChar* item, KChar* value )
{
  mgr -> setValue( item, value );
  return 0;
}

KInt CRNameSpaceSetter::set( KChar* item, KInt value )
{	
  KChar valuetext[32];
  sprintf( valuetext, "%d", value );
  mgr -> setValue( item, valuetext );
  return 0;
}
	
KInt CRNameSpaceSetter::add( KChar* item, KChar* value )
{
  mgr -> addValue( item, value );
  return 0;
}

KInt CRNameSpaceSetter::add( KChar* item, KInt value )
{
  KChar valuetext[32];
  sprintf( valuetext, "%d", value );
  mgr -> addValue( item, valuetext );
  return 0;
}
