/*
	crknsinit.cc

	Version 0.0.0 07-Aug-2002	mor
	Version 0.0.1 20-Aug-2002	mor
*/

#include "CRNameSpaceSetter.hh"
#include <KonoePrimitives.hh>
#include <system/KonoeMicroSleep.hh>
#include <system/KonoeTime.hh>
#include <stdio.h>
void main( KInt argc, KChar* argv[] )
{
  KChar* p1 = 0;
  KChar* p2 = 0;
  KonoeMicroSleep* s = new KonoeMicroSleep;
  KonoeTime* time = new  KonoeTime;
  CRNameSpaceSetter* setter = new CRNameSpaceSetter;

  p1 = *( ++argv );	
  p2 = *( ++argv );	

  setter->set("====================","======================");

////////  TRUE GENERAL INFO  ///////////////////////////////////////	

  if( p1 != 0 ){
    setter -> set( "PLAYER1", p1 );

    if( p2 != 0 ){
      setter -> set( "PLAYER2", p2 );
    }
    else {
      setter -> set("PLAYER2", "someone" );
    }
  }
  else{
    setter -> set( "PLAYER1", "someone" );
    setter -> set( "PLAYER2", "someone" );
  }

  setter -> set( "EVENT_NUMBER", -1 );
  setter -> set( "===================", "=======================" );

////////  KONOE GENERAL INFO  ///////////////////////////////

  setter -> set( "MASTER_HOST", "202.13.212.92" );

  setter -> set( "DAQ_HOST", "202.13.212.92" );
  setter -> set( "DAQ_PID", -1 );
  setter -> set( "DAQ_STATUS", "none" );

  setter -> set( "DATAHUB_HOST", "202.13.212.92" );
  setter -> set( "DATAHUB_HOST2", "202.13.212.75" );
  setter -> set( "DATAHUB_HOST3", "150.19.196.205" );
  setter -> set( "DATAHUB_PID", -1 );
  setter -> set( "DATAHUB2_PID", -1 );
  setter -> set( "DATAHUB3_PID", -1 );
  setter -> set( "DATAHUB_STATUS", "none" );
  setter -> set( "DATAHUB2_STATUS", "none" );
  setter -> set( "DATAHUB3_STATUS", "none" );

  setter -> set( "PREDATAHUB_HOST", "202.13.212.92" );
  setter -> set( "PREDATAHUB_PID", "-1" );
  setter -> set( "PREDATAHUB_STATUS", "none" );

  setter -> set( "HISTOGRAM_HOST", "202.13.212.92" );
  setter -> set( "HISTOGRAM_PID", -1 );
  setter -> set( "HISTOGRAM_STATUS", "none" );

  setter -> set( "RECONSTRUCT_HOST", "202.13.212.92" );
  setter -> set( "RECONSTRUCT_PID", -1 );
  setter -> set( "RECONSTRUCT_STATUS", "none" );

  setter -> set( "UI_HOST", "202.13.212.92" );
  setter -> set( "UI_PID", -1 );
  setter -> set( "UI_STATUS", "none" );


////////  KONOE SYSTEM INFO  /////////////////////////////////

  setter -> set( "==================","========================");
  setter -> set( "EXE_PORT", 22222 );
  setter -> set( "DEFAULT_CMD_PORT", 20010 );
  setter -> set( "DAQ_CMD_PORT", 20100 );
  setter -> set( "DATAHUB_CMD_PORT", 20200 );
  setter -> set( "DATAHUB2_CMD_PORT", 20201 );
  setter -> set( "DATAHUB3_CMD_PORT", 20202 );
//  setter -> set( "HISTO_CMD_PORT", 20300 );
  setter -> set( "RECONSTRUCT_CMD_PORT", 20400 );
//  setter -> set( "LOGGER_CMD_PORT", 20500 );
  setter -> set( "SIGNAL_PORT", 34976 );


////////  DAQ INFO  ////////////////////////////////////////////

  setter -> set( "=================", "=========================" );
  setter -> set( "N_SECTION", 3 );
  setter -> set( "EVENT_RECORD", 3000 );

// MODULE FLAG
  setter -> set( "TDC_FLAG", (KInt)1 );
  setter -> set( "ADC_FLAG", (KInt)1 );
  setter -> set( "SCALER_FLAG", (KInt)0 );

// GENERAL INFORMATION
  setter -> set( "GENERAL_SECTION_TYPE", (KInt)0 );
  setter -> set( "GENERAL_N_SEGMENT", 2 );
  setter -> set( "TIMEINFO_SEGMENT_TYPE", (KInt)0 );
  setter -> set( "TIMEINFO_N_ELEMENT", 1 );
  setter -> set( "NOW_TIME", (KInt)0 );
  setter -> set( "RUNINFO_SEGMENT_TYPE", (KInt)1 );
  setter -> set( "RUNINFO_N_ELEMENT", 1 );

// this value difines the place of DAQ
// niigata-1, hirokoh-2, okayama-3
  setter -> set( "DATA_DISTINCTION", 1 );

// TDC INFORMATION
  setter -> set( "TDC_SECTION_TYPE", 1 );
  setter -> set( "TDC_N_SEGMENT", 1 );
  setter -> set( "TDC0_SEGMENT_TYPE", (KInt)0 );
  setter -> set( "TDC0_STATION_NUMBER", 5 );
  setter -> set( "TDC0_N_ELEMENT", 2 );

  setter -> set( "TDC1_SEGMENT_TYPE", (KInt)0 );
  setter -> set( "TDC1_STATION_NUMBER", 9 );
  setter -> set( "TDC1_N_ELEMENT", 1 );

// ADC INFORMATION
  setter -> set( "ADC_SECTION_TYPE", 2 );
  setter -> set( "ADC_N_SEGMENT", 1 );
  setter -> set( "ADC0_SEGMENT_TYPE", (KInt)0 );
  setter -> set( "ADC0_STATION_NUMBER", 11 );
  setter -> set( "ADC0_N_ELEMENT", 2 );

  setter -> set( "ADC1_SEGMENT_TYPE", (KInt)0 );
  setter -> set( "ADC1_STATION_NUMBER", 5 );
  setter -> set( "ADC1_N_ELEMENT", 1 );

// SCALER INFORMATION
  setter -> set( "SCALER_SECTION_TYPE", 2 );
  setter -> set( "SCALER_N_SEGMENT", 1 );
  setter -> set( "SCALER0_SEGMENT_TYPE", (KInt)0 );
  setter -> set( "SCALER0_STATION_NUMBER", 15 );
  setter -> set( "SCALER0_N_ELEMENT", 1 );

  setter -> set( "SCALER1_SEGMENT_TYPE", (KInt)0 );
  setter -> set( "SCALER1_STATION_NUMBER", 1 );
  setter -> set( "SCALER1_N_ELEMENT", 1 );

// OTHER INFORMATION
  setter -> set( "DAQ_BUFFER_SIZE", 2000 );
  setter -> set( "TIMEOUT", 10 );

  setter -> set( "NODE_NAME", "/dev/PCIcc7700.1" );
  setter -> set( "CC_ID", (KInt)0 );

  setter -> set( "IR",9 );
  setter -> set( "IR_N_ELEMENT", 1 );
  setter -> set( "IR_SEGMENT_TYPE", (KInt)0 ); 
  setter -> set( "OR", 7 );

////////  DATAHUB INFO  ////////////////////////////////////////

  setter -> set( "================", "==========================" );
  setter -> set( "DATAHUB_INPUT_PORT", 11777 );
  setter -> set( "DATAHUB2_INPUT_PORT", 11777 );
  setter -> set( "DATAHUB3_INPUT_PORT", 11777 );
  setter -> set( "DATAHUB_OUTPUT_PORT", 11100 );
  setter -> set( "DATAHUB2_OUTPUT_PORT", 11100 );
  setter -> set( "DATAHUB3_OUTPUT_PORT", 11100 );
  setter -> set( "PREDATAHUB_INPUT_PORT", 18777 );
  setter -> set( "PREDATAHUB_OUTPUT_PORT", 19777 );
  setter -> set( "DATAHUB_BUFFER_SIZE", 5 );
  setter -> set( "DATAHUB_STORAGE_FILE_NAME", "neko.dat" );

// DATAHUB FLAG
// You should check it , only host you want to send data.
  setter -> set( "DATAHUB_FLAG", (KInt)1 );
  setter -> set( "DATAHUB2_FLAG", (KInt)0 );
  setter -> set( "DATAHUB3_FLAG", (KInt)0 );

////////  HISTOGRAM INFO///////////////////////////////////////////

  setter -> set( "MAINWINDOWTITLE", "CosmicRay" );
  setter -> set( "NUMBER_HIST", 6 );
  setter -> set( "NUMBER_FRAME", 2 );
  setter -> set( "NUMBER_PANEL", 3 );
  setter -> set( "MIN_SCALE", (KInt)0 );
  setter -> set( "MAX_SCALE", 4095 );
  setter -> set( "TATE", 200 );
  setter -> set( "YOKO", 150 );


  setter -> set( "HISTOGRAM0_TITLE", "niigataADC0" );
  setter -> set( "HISTOGRAM1_TITLE", "niigataADC1" );
  setter -> set( "HISTOGRAM2_TITLE", "hiroshimaAC0" );
  setter -> set( "HISTOGRAM3_TITLE", "hiroshimaADC1" );
  setter -> set( "HISTOGRAM4_TITLE", "okayamaADC0" );
  setter -> set( "HISTOGRAM5_TITLE", "okayamaADC1" );
  setter -> set( "HISTOGRAM0_COLOR", "black" );
  setter -> set( "HISTOGRAM1_COLOR", "black" );
  setter -> set( "HISTOGRAM2_COLOR", "black" );
  setter -> set( "HISTOGRAM3_COLOR", "black" );
  setter -> set( "HISTOGRAM4_COLOR", "black" );
  setter -> set( "HISTOGRAM5_COLOR", "black" );
  setter -> set( "HISTOGRAM0_BGCOLOR", "white" );
  setter -> set( "HISTOGRAM1_BGCOLOR", "white" );
  setter -> set( "HISTOGRAM2_BGCOLOR", "white" );
  setter -> set( "HISTOGRAM3_BGCOLOR", "white" );
  setter -> set( "HISTOGRAM4_BGCOLOR", "white" );
  setter -> set( "HISTOGRAM5_BGCOLOR", "white" );

  delete setter;
  delete s;
}
