/*
	CRReconstruct.hh

	Version 0.0.0	28-Aug-2002	mor
	Version 0.0.1	30-Aug-2002	mor
*/

#ifndef __CRRECONSTRUCT_HH
#define __CRRECONSTRUCT_HH

#include <unistd.h>
#include <system/KonoeClientSocket.hh>
#include <system/KonoeInputObjSocketBuffered.hh>

#include <analysis/KonoeDataRecord.hh>
#include <analysis/KonoeDataRecordCM.hh>

#include "CRReconstructNameSpace.hh"

class CRReconstruct : public CRReconstructNameSpace {
public:
  enum { CHAR_LENGTH = 256 };

private:
  KonoeClientSocket* cli_soc;
  KonoeInputObjSocketBuffered* in_soc;
  KonoeDataRecordCM* manager;

  KInt hub_port;
  KChar* hub_host;

public:
  CRReconstruct();
  ~CRReconstruct();
  void set_hub();
  void set_gui();
  void get_data();
  void go();
};
#endif
