/*
	CRRunControlBase.hh

	Version 0.0.0 07-Aug-2002	mor
*/

#ifndef __CRRUNCONTROLBASE_HH
#define __CRRUNCONTROLBASE_HH

#include <system/KonoeUDPServerSocket.hh>
#include <system/KonoeSignalSender.hh>
#include "CRNameSpaceSetter.hh"
#include "CRNameSpaceExtractor.hh"

class CRRunControlBase {
protected:
  KInt cmd_port;
  KonoeUDPServerSocket* cmd_sender;
  KonoeFDSet* fdset;
  KonoeSignalSender* killer;

  CRNameSpaceExtractor* ext;

public:
  CRRunControlBase( KInt cmdport = 50005);
  ~CRRunControlBase( );
  KInt getCmd_port() { return cmd_port; }
  virtual KInt control( KChar* command ) = 0;
};
#endif
