/*
	CRStatusChecker.cc

	Version 0.0.0	11-Aug-2002	mor
*/

#include "CRStatusChecker.hh"
#include <string.h>

CRStatusChecker::CRStatusChecker( KChar* processname )
{
  strcpy( item, processname );
  strcat( item, "_CMD_STATUS" );
  status = new CRNameSpaceExtractor();
  setter = new CRNameSpaceSetter();
}

CRStatusChecker::~CRStatusChecker()
{
  delete status;
  delete setter;
}

KInt CRStatusChecker::init()
{
  setter -> set( item, "none" );
  return 0;
}

KInt CRStatusChecker::setTrue()
{
  setter -> set( item, "true" );
  return 0;
}


KInt CRStatusChecker::setFalse()
{
  setter -> set( item, "false" );
  return 0;
}

KInt CRStatusChecker::check()
{
  if( !strcmp( status -> getKCharValue( item ), "true" ) )
    return SUCCESS;
  else if ( !strcmp( status -> getKCharValue( item ), "none" ) )
    return NONE;
  else if ( !strcmp( status -> getKCharValue( item ), "false" ) )
    return FALSE;
  else
    return UNKNOWN;
}
