// $Id: T473DAQAction.hh,v 1.9 2000/12/16 10:21:11 iwai Exp $
// ==================================================================
//  T473DAQAction.hh
//  05-November-2000'
//  Go Iwai [iwai@hep.sc.niigata-u.ac.jp]
// ==================================================================
#ifndef __T473DAQACTION_HH
#define __T473DAQACTION_HH

#include "T473DAQStatus.hh"
#include "T473DyingMessage.hh"

class T473DAQAction : public T473DyingMessage {

private:
  T473DAQStatus* daqStatus;
  void lastAction();

public:
  T473DAQAction() {;}
  ~T473DAQAction() {;}

  void begin() const;
  void pause() const;
  void resume() const;
  void end() const;
  void shutdown() const;

};

#endif
