// $Id: T473DAQProcess.hh,v 1.12 2000/12/02 06:27:18 iwai Exp $
// ==================================================================
//  T473DAQProcess.hh
//  05-November-2000'
//  Go Iwai [iwai@hep.sc.niigata-u.ac.jp]
// ==================================================================
#ifndef __T473DAQPROCESS_HH
#define __T473DAQPROCESS_HH

#include "T473Process.hh"
#include "T473DAQNameSpace.hh"
#include "T473DAQStatus.hh"
#include "T473DAQModuleConstruction.hh"
#include "T473DAQAction.hh"
#include "T473DAQDataBuffer.hh"

class T473DAQProcess : public T473Process {

private:
  T473DAQNameSpace* daqNameSpace;
  T473DAQStatus* daqStatus;
  T473DAQAction* daqAction;
  T473DAQModuleConstruction* daqModules;

  void catchSignal( KInt signal );

public:
  T473DAQProcess( KInt commandPort );
  ~T473DAQProcess();

  void go();

};

#endif
