// $Id: T473DAQconstants.h,v 1.17 2000/12/24 12:15:04 iwai Exp $
// ============================================================
//  T473DAQconstants.h
//  15-November-2000'
//  Go Iwai [iwai@hep.sc.niigata-u.ac.jp]
// ============================================================
#ifndef __T473DAQCONSTANTS_H
#define __T473DAQCONSTANTS_H

#include <KonoePrimitives.hh>

// ------------------------------------------------------------
//  READOUTLIST
// ------------------------------------------------------------
static const KInt RUN_BEGIN_RECORD(1000); 
static const KInt RUN_END_RECORD(2000);
static const KInt EVENT_RECORD(3000);
static const KInt SPILL_END_RECORD(4000);
static const KInt N_SECTION(6);

// ------------------------------------------------------------
//  GENERAL
// ------------------------------------------------------------
static const KInt GENERAL_SECTION_TYPE(0);
static const KInt GENERAL_N_SEGMENT(8);
static const KInt RUNINFO_SEGMENT_TYPE(0);
static const KInt RUNINFO_N_ELEMENT(3);
static const KInt IR_ID0_SEGMENT_TYPE(1);
static const KInt IR_ID0_N_ELEMENT(1);
static const KInt IR_ID1_SEGMENT_TYPE(2);
static const KInt IR_ID1_N_ELEMENT(1);
static const KInt CR_ID0_SEGMENT_TYPE(3);
static const KInt CR_ID0_N_ELEMENT(1);
static const KInt CR_ID1_SEGMENT_TYPE(4);
static const KInt CR_ID1_N_ELEMENT(1);
static const KInt CR_ID2_SEGMENT_TYPE(5);
static const KInt CR_ID2_N_ELEMENT(1);
static const KInt TIMEINFO_SEGMENT_TYPE(6);
static const KInt TIMEINFO_N_ELEMENT(2);
static const KInt APPEND_SEGMENT_TYPE(7);
static const KInt APPEND_N_ELEMENT(3);

// ------------------------------------------------------------
//  TDC FOR CSI
// ------------------------------------------------------------
static const KInt TDC_CSI_SECTION_TYPE(1);
static const KInt TDC_CSI_N_SEGMENT(4);
static const KInt TDC_CSI_ID0_SEGMENT_TYPE(0);
static const KInt TDC_CSI_ID1_SEGMENT_TYPE(1);
static const KInt TDC_CSI_ID2_SEGMENT_TYPE(2);
static const KInt TDC_CSI_ID3_SEGMENT_TYPE(3);
static const KInt TDC_CSI_ID3_N_ELEMENT(1);

// ------------------------------------------------------------
//  ADC FOR CSI
// ------------------------------------------------------------
static const KInt ADC_CSI_SECTION_TYPE(2);
static const KInt ADC_CSI_N_SEGMENT(2);
static const KInt ADC_CSI_ID0_SEGMENT_TYPE(0);
static const KInt ADC_CSI_ID1_SEGMENT_TYPE(1);
static const KInt ADC_CSI_ID1_N_ELEMENT(9);

// ------------------------------------------------------------
//  TDC FOR SCINTILLATOR
// ------------------------------------------------------------
static const KInt TDC_SCINTI_SECTION_TYPE(3);
static const KInt TDC_SCINTI_N_SEGMENT(2);
static const KInt TDC_SCINTI_ID4_SEGMENT_TYPE(0);
static const KInt TDC_SCINTI_ID5_SEGMENT_TYPE(1);
//static const KInt TDC_SCINTI_ID5_N_ELEMENT(7);

// ------------------------------------------------------------
//  ADC FOR SCINTILLATOR SECTION
// ------------------------------------------------------------
static const KInt ADC_SCINTI_SECTION_TYPE(4);
static const KInt ADC_SCINTI_N_SEGMENT(1);
static const KInt ADC_SCINTI_ID2_SEGMENT_TYPE(0);
static const KInt ADC_SCINTI_ID2_N_ELEMENT(15);

// ------------------------------------------------------------
//  SCALER SECTION
// ------------------------------------------------------------
static const KInt SCALER_SECTION_TYPE(5);
static const KInt SCALER_N_SEGMENT(2);
static const KInt SCALER_ID0_SEGMENT_TYPE(0);
static const KInt SCALER_ID0_N_ELEMENT(12);
static const KInt SCALER_ID1_SEGMENT_TYPE(1);
static const KInt SCALER_ID1_N_ELEMENT(4);


// ------------------------------------------------------------
//  OTHER CONSTANTS
// ------------------------------------------------------------
static const KInt BUFFER_SIZE(6000);
static const KUInt TIMEOUT(10);

#endif
