// ==================================================================
//      demo for data hub ( client )   coding finished
// ==================================================================
// $B=*N;=hM}(B $B$H(B $B%U%i%C%7%e$r9MN8$9$kI,MW$"$j!#(B
#include        <system/KonoeClientSocket.hh>
#include	<system/KonoeInputObjSocket.hh>
#include	<system/KonoeStreamableObject.hh>
#include	<analysis/KonoeDataRecordCM.hh>
#include	<analysis/KonoeDataRecord.hh>
#include	"KonoeStandardInput.hh"
#include        <iostream.h>
#include	<stdio.h>
#include        <string.h>
#include        <stdlib.h>

void main ( KInt argc, KChar* argv[] )
{       
	cout << "This is a DataHub client termianl." << endl 
		<<  "You can use the following shortcut keys. " << endl 
		<<  "\th:\tDATAHUB_REQ_HEAD"     << endl 
		<<  "\tc:\tDATAHUB_REQ_CURRENT"  << endl 
		<<  "\tt:\tDATAHUB_REQ_TAIL"     << endl 
		<<  "\td:\tDATAHUB_CMD_FILE_CLOSE" << endl
		<<  "\tf:\tDATAHUB_CMD_NEW_FILE" << endl; 


//	KChar   receive_mes[256]; 
	KChar	send_mes[256] = "";

	if ( argc != 3 )
		{
		cout << "./DataHub_Client  hostname  port" << endl;
		exit(-1);
		}

        KonoeClientSocket* socket = new KonoeClientSocket(
				argv[1], atol(argv[2]));

	KonoeInputObjSocket	obj_socket( socket );
	KonoeFDSet		fdset;
	KonoeFDClient          *client, *cl_socket, *cl_stdin;
	KonoeStandardInput	stdinput;
	KonoeDataRecord*	dat;

	cl_socket = socket;
	cl_stdin  = &stdinput; 

	fdset.install( cl_socket );
	fdset.install( cl_stdin );

	obj_socket.installCM( new KonoeDataRecordCM() );

	while ( strcmp(send_mes, "end") )
		{
		client = fdset.wait( 1 );

		if (  client == cl_socket )	
			{	
			dat = ( KonoeDataRecord* ) obj_socket.get(0);        
			cout << "RECEIVED: "<<  endl;
			 dat  -> dump( cout );	
			delete dat;
			}
		else if ( client == cl_stdin )
			{
			cin.getline( send_mes, 256 );
			
			if (send_mes[0] == 'c' ) // short cut key
				strcpy( send_mes, "DATAHUB_REQ_CURRENT");
			else if (send_mes[0] == 'h' ) // short cut key
				strcpy( send_mes, "DATAHUB_REQ_HEAD");
			else if (send_mes[0] == 't' ) // short cut key
				strcpy( send_mes, "DATAHUB_REQ_TAIL");
			else if (send_mes[0] == 'f')
				strcpy( send_mes, "DATAHUB_CMD_NEW_FILE");
			else if (send_mes[0] == 'd')
				strcpy( send_mes, "DATAHUB_CMD_FILE_CLOSE");
			
			if ( send_mes[0] != '\0' ) // if not null message
				socket -> send( send_mes, 256 );
			}

		 }
	fdset.remove( cl_socket );
	fdset.remove( cl_stdin );

}


