//=====================================================================
/*

    T473TclEventDisplayData.hh

    Version 0.0.1   21-Nov-2000 T. Hosoi

*/
//====================================================================

#ifndef __T473TCLEVENTDISPLAYDATA_HH
#define __T473TCLEVENTDISPLAYDATA_HH

#include <system/KonoeNameSpaceTable.hh>
#include <system/KonoeFDSet.hh>
#include <system/KonoeFDClient.hh>

class KonoeClientSocket;
class KonoeInputObjSocket;
class T473CsIdata;
class T473ReconstructData;

class T473TclEventDisplayData {

  public:
    T473TclEventDisplayData();
    ~T473TclEventDisplayData();

    void requestType(KInt reqtype);
    T473ReconstructData* getReconstructData();
    void infoChange(); 
    void requestChange();

  private:
    enum { EVENT_TRIGGER, XENON_TRIGGER, RANDOM_TRIGGER };

    KonoeNameSpaceTable table;
    KChar* rec_host;
    KChar* value;
    KonoeClientSocket* client_socket;
    KonoeInputObjSocket* recv_socket;
    KonoeFDSet     fd_set;
    KonoeFDClient* fd_client;
    T473CsIdata*   csi_data;

    T473ReconstructData* rec_data;
};

#endif
