//====================================================================
/*

        T473CoincidenceRegister.hh

 	9-Dec-2000	Y. Shimizu
*/
//====================================================================

#ifndef __T473COINCIDENCEREGISTER_HH
#define __T473COINCIDENCEREGISTER_HH

#include <analysis/KonoePhysicalValue.hh>
#include <analysis/KonoeFillDataExtractor.hh>
#include <analysis/KonoeFillData.hh>

class T473CoincidenceRegister : public KonoeFillDataExtractor  {
protected:
	KInt segment;
	KInt subadd;

public:
	T473CoincidenceRegister( KonoePhysicalValue * physicalvalue,
		KChar * name1 = 0, KChar * name2 = 0, KChar * name3 = 0 );

	void setTarget( KInt pseg , KInt psub ){segment =pseg ;subadd =psub; }
	KInt checkFlag( const KInt mask );

};

#endif
