//===========================================================
/*
	T473Process1DHistogram.hh

	29-Nov-2000	Y. Shimizu

*/
//===========================================================
#ifndef __T473PROCESS1DHISTOGRAM_HH
#define __T473PROCESS1DHISTOGRAM_HH
	
#include	<analysis/Konoe1DHistogram.hh>
#include	<analysis/KonoeHistogramCM.hh>
#include	<analysis/KonoeLinearDataScale.hh>
#include	<system/KonoeInputObjFile.hh>

class T473Process1DHistogram {
protected:
  Konoe1DHistogram * histogram;
  KInt setRange( KInt min, KInt max );
public:
  T473Process1DHistogram( Konoe1DHistogram * histogram );
  ~T473Process1DHistogram( );
  
  KFloat getTotalData(KInt x_min = 0, KInt x_max = 0);
  KFloat getMax(KInt x_min = 0 , KInt x_max = 0);
  KInt   getMaxBinNumber(KInt x_min , KInt x_max );
  KFloat getMean(KInt x_min, KInt x_max);
  KFloat getVariance( KInt x_min, KInt x_max );
  KFloat getStandardDeviation( KInt x_min, KInt x_max );
  
};
#endif

