//====================================================================
/*

        T473Scaler.hh

 	10-Dec-2000	Y. Shimizu
*/
//====================================================================

#ifndef __T473SCALER_HH
#define __T473SCALER_HH

#include <analysis/KonoePhysicalValue.hh>
#include <analysis/KonoeFillDataExtractor.hh>

class T473Scaler : public KonoeFillDataExtractor  {
public:
	enum { NO_VETO = 10 , VETO = 11 };
	enum { CLK2_NO_VETO = 2 };
	enum { SEGMENT0 = 0 };
	enum { SEGMENT1 = 1 };
public:
	T473Scaler( KonoePhysicalValue * physicalvalue,
		KChar * name1 = 0, KChar * name2 = 0, KChar * name3 = 0 );

	KInt    getCount( KInt segment , KInt address ); 

};

#endif
