//=====================================================
/*
	histo.cc

	15-Nov-2000	Y. Shimizu
*/
//=====================================================
#include	"T473Histogram.hh"
#include <system/KonoeHostSystem.hh>
int main()
{

        T473NameSpaceExtractor * ext;
	ext  = new T473NameSpaceExtractor;
        KInt cmd_port;
	cmd_port = ext->getKIntValue("HISTO_CMD_PORT");
        if( cmd_port == -1 ){
                cerr << "HISTO_CMD_PORT is not defined : exit"<<endl;
                KonoeHostSystem::exit(0);
        }
	delete ext;

	cout << "cmd_port is " << cmd_port << endl;
	T473Histogram * histogram;
        histogram = new T473Histogram( cmd_port ) ;
	histogram->pause();
//	histogram->begin();

	return (0);

}
