#include <iostream.h>
#include <stdlib.h>
#include <ui/KonoeTclOfflineHistogram.hh>
#include <ui/KonoeTclMainWindow.hh>

int main(KInt argc, KChar** argv)
{
  if( argc < 2){
    cout << "usage : t473offlinehist filename" << endl;
    exit(0);
  }

  KonoeTclMainWindow* mw = new KonoeTclMainWindow("Offline Histogram Viewer");
  KonoeTclOfflineHistogram* offhist = new KonoeTclOfflineHistogram(mw,argv[1]);

  if( getenv("T473_HISTOGRAM_DIR") ){
    KChar fullPath[256];
    strcpy(fullPath, getenv("T473_HISTOGRAM_DIR"));
    offhist->setSaveFileFullPath(fullPath);
  }

  mw->mainLoop();

  return 0;
}
