// $Id: localknsinit.cc,v 1.2 2001/01/08 10:33:52 iwai Exp $
// ============================================================
//  localknsinit.cc 
//  01-January-2001'
//  Go Iwai [iwai@hep.sc.niigata-u.ac.jp]
// ============================================================
#include "T473NameSpaceSetter.hh"
#include <system/KonoeMicroSleep.hh>
#include <system/KonoeTime.hh>
#include <stdio.h>
int main(int argc, char** argv)
{
  KChar* p1 = 0;
  KChar* p2 = 0;
  KonoeMicroSleep* s = new KonoeMicroSleep;
  KonoeTime* time = new KonoeTime;
  T473NameSpaceSetter* setter = new T473NameSpaceSetter;
	
  p1 = *(++argv);
  p2 = *(++argv);

  setter -> set("====================","======================");
  ////////  GENERAL INFO  ///////////////////////////////////////	
  KChar* timetxt;
  timetxt = time -> getTimeInfo();
  setter->set("T473KNSINIT_TIME",timetxt);
  if ( p1 != 0 ) {
    setter->set("PLAYER1",p1);
	
    if ( p2 != 0 ) {
      setter->set("PLAYER2",p2);
    } else {
      setter->set("PLAYER2","someone");
    }
  } else {
    setter->set("PLAYER1","someone");
    setter->set("PLAYER2","someone");
  }
  setter->set("RUN_NUMBER",-1);
  setter->set("RUN_TYPE","none");
  setter->set("TEMP","none");
  setter->set("PARTICLE_ENERGY",-1);
  setter->set("PARTICLE_TYPE","none");
  setter->set("EVENT_NUMBER",-1);
  setter->set("===================","=======================");
  ////////  KONOE GENERAL INFO  ///////////////////////////////
  setter->set("MASTER_HOST","127.0.0.1");
  setter->set("DAQ_HOST","127.0.0.1");
  setter->set("DAQ_PID",-1);
  setter->set("DAQ_STATUS","none");
  setter->set("HISTOGRAM_HOST","127.0.0.1");
  setter->set("HISTOGRAM_PID",-1);
  setter->set("HISTOGRAM_STATUS","none");
  setter->set("DATAHUB_HOST","127.0.0.1");
  setter->set("DATAHUB_PID",-1);
  setter->set("DATAHUB_STATUS","none");
  setter->set("RECONSTRUCT_HOST","127.0.0.1");
  setter->set("RECONSTRUCT_PID",-1);
  setter->set("RECONSTRUCT_STATUS","none");
  setter->set("LOGGER_HOST","127.0.0.1");
  setter->set("LOGGER_PID",-1);
  setter->set("LOGGER_STATUS","none");
  setter->set("RUNSUMMARY_HOST","127.0.0.1");
  setter->set("UI_HOST","127.0.0.1");
  ////////  KONOE SYSTEM INFO  /////////////////////////////////
  setter->set("==================","========================");
  setter->set("EXE_PORT",22222);
  setter->set("DAQ_CMD_PORT",20000);
  setter->set("LOGGER_CMD_PORT",20100);
  setter->set("HISTO_CMD_PORT",20200);
  setter->set("RECONSTRUCT_CMD_PORT",20300);
  setter->set("DEFAULT_CMD_PORT",20005);
  setter->set("SIGNAL_PORT",34976);
  setter->set("LOGGER_PORT",36969);
  setter->set("LOGGER_CMD_STATUS","none");
  setter->set("HISTOGRAM_CMD_STATUS","none");
  ////////  KONOE GENERAL INFO  ///////////////////////////////
  setter->set("LOGFILE_NAME","default_logfile.obj");
  ////////  DAQ INFO  ////////////////////////////////////////////
  setter->set("=================","=========================");
  setter->set("DAQ_STATUS","none");
  ////////  DATAHUB INFO  ////////////////////////////////////////
  setter->set("================","==========================");
  setter->set("DATAHUB_INPUT_PORT",11000);
  setter->set("DATAHUB_OUTPUT_PORT",11100);
  setter->set("DATAHUB_BUFFER_SIZE",1400);
  setter->set("DATAHUB_STORAGE_FILE_NAME","default_datahub.dat");
  ////////  HISTOGRAM INFO///////////////////////////////////////////
  setter->set("===============","===========================");
  setter->set("HISTO_TO_UI_PORT0",30200);
  setter->set("HISTO_TO_UI_PORT1",30201);
  setter->set("HISTO_TO_UI_PORT2",30202);
  setter->set("EVENT_NUM_PORT",30300);
  setter->set("HISTO_REQ_MODE","DATAHUB_REQ_CURRENT");
  setter->set("CSI_TDC_HISTONAME","csitdc_histo.obj");
  setter->set("CSI_ADC_HISTONAME","csiadc_histo.obj");
  setter->set("SCIN_TDC_HISTONAME","scintdc_histo.obj");
  setter->set("SCIN_ADC_HISTONAME","scinadc_histo.obj");
  setter->set("TOF_HISTONAME","tof_histo.obj");
  setter->set("DAQ_EFFICIENCY","none");
  setter->set("DAQ_EFFICIENCY_SUM","none");
  setter->set("DAQ_SPEED","none");
  setter->set("DAQ_SPEED_SUM","none");
  setter->set("CSI_ADC_0_0_PED",(KInt)0);
  setter->set("CSI_ADC_0_1_PED",(KInt)0);
  setter->set("CSI_ADC_0_2_PED",(KInt)0);
  setter->set("CSI_ADC_0_3_PED",(KInt)0);
  setter->set("CSI_ADC_0_4_PED",(KInt)0);
  setter->set("CSI_ADC_0_5_PED",(KInt)0);
  setter->set("CSI_ADC_0_6_PED",(KInt)0);
  setter->set("CSI_ADC_0_7_PED",(KInt)0);
  setter->set("CSI_ADC_0_8_PED",(KInt)0);
  setter->set("CSI_ADC_0_9_PED",(KInt)0);
  setter->set("CSI_ADC_0_10_PED",(KInt)0);
  setter->set("CSI_ADC_0_11_PED",(KInt)0);
  setter->set("CSI_ADC_0_12_PED",(KInt)0);
  setter->set("CSI_ADC_0_13_PED",(KInt)0);
  setter->set("CSI_ADC_0_14_PED",(KInt)0);
  setter->set("CSI_ADC_0_15_PED",(KInt)0);
  setter->set("CSI_ADC_1_0_PED",(KInt)0);
  setter->set("CSI_ADC_1_1_PED",(KInt)0);
  setter->set("CSI_ADC_1_2_PED",(KInt)0);
  setter->set("CSI_ADC_1_3_PED",(KInt)0);
  setter->set("CSI_ADC_1_4_PED",(KInt)0);
  setter->set("CSI_ADC_1_5_PED",(KInt)0);
  setter->set("CSI_ADC_1_6_PED",(KInt)0);
  setter->set("CSI_ADC_1_7_PED",(KInt)0);
  setter->set("CSI_ADC_1_8_PED",(KInt)0);
  setter->set("CSI_TDC_0_0_PED",(KInt)0);
  setter->set("CSI_TDC_0_1_PED",(KInt)0);
  setter->set("CSI_TDC_0_2_PED",(KInt)0);
  setter->set("CSI_TDC_0_3_PED",(KInt)0);
  setter->set("CSI_TDC_0_4_PED",(KInt)0);
  setter->set("CSI_TDC_0_5_PED",(KInt)0);
  setter->set("CSI_TDC_0_6_PED",(KInt)0);
  setter->set("CSI_TDC_0_7_PED",(KInt)0);
  setter->set("CSI_TDC_1_0_PED",(KInt)0);
  setter->set("CSI_TDC_1_1_PED",(KInt)0);
  setter->set("CSI_TDC_1_2_PED",(KInt)0);
  setter->set("CSI_TDC_1_3_PED",(KInt)0);
  setter->set("CSI_TDC_1_4_PED",(KInt)0);
  setter->set("CSI_TDC_1_5_PED",(KInt)0);
  setter->set("CSI_TDC_1_6_PED",(KInt)0);
  setter->set("CSI_TDC_1_7_PED",(KInt)0);
  setter->set("CSI_TDC_2_0_PED",(KInt)0);
  setter->set("CSI_TDC_2_1_PED",(KInt)0);
  setter->set("CSI_TDC_2_2_PED",(KInt)0);
  setter->set("CSI_TDC_2_3_PED",(KInt)0);
  setter->set("CSI_TDC_2_4_PED",(KInt)0);
  setter->set("CSI_TDC_2_5_PED",(KInt)0);
  setter->set("CSI_TDC_2_6_PED",(KInt)0);
  setter->set("CSI_TDC_2_7_PED",(KInt)0);
  setter->set("CSI_TDC_3_0_PED",(KInt)0);
  setter->set("SCIN_TDC_0_0_PED",(KInt)0);
  setter->set("SCIN_TDC_0_1_PED",(KInt)0);
  setter->set("SCIN_TDC_0_3_PED",(KInt)0);
  setter->set("SCIN_TDC_1_7_PED",(KInt)0);
  setter->set("SCIN_ADC_0_0_PED",(KInt)0);
  setter->set("SCIN_ADC_0_1_PED",(KInt)0);
  setter->set("SCIN_ADC_0_2_PED",(KInt)0);
  setter->set("SCIN_ADC_0_3_PED",(KInt)0);
  setter->set("SCIN_ADC_0_4_PED",(KInt)0);
  setter->set("SCIN_ADC_0_5_PED",(KInt)0);
  setter->set("SCIN_ADC_0_6_PED",(KInt)0);
  setter->set("SCIN_ADC_0_7_PED",(KInt)0);
  setter->set("SCIN_ADC_0_8_PED",(KInt)0);
  setter->set("SCIN_ADC_0_9_PED",(KInt)0);
  setter->set("SCIN_ADC_0_10_PED",(KInt)0);
  setter->set("SCIN_ADC_0_11_PED",(KInt)0);
  setter->set("SCIN_ADC_0_12_PED",(KInt)0);
  setter->set("SCIN_ADC_0_13_PED",(KInt)0);
  ////////  RECONSTRUCT INFO  /////////////////////////////////////
  setter->set("==============","============================");
  setter->set("RECONSTRUCT_STATUS","none");
  setter->set("RECONSTRUCT_RUNINFO","none");
  setter->set("RECONSTRUCT_DATARECORD","none");
  setter->set("RECONSTRUCT_DATA","none");
  setter->set("REC_TO_GUI_PORT",12500);
  setter->set("AD_X",140);
  setter->set("AD_Y",-140);
  setter->set("AD_Z",(KInt)0);
  setter->set("OA_X",(KInt)0);
  setter->set("OA_Y",(KInt)0);
  setter->set("OA_Z",(KInt)0);
  setter->set("THETA_X",(KInt)0);
  setter->set("THETA_Y",(KInt)0);
  setter->set("THETA_Z",(KInt)0);
  setter->set("CSI_ADC_0_0_GAIN","1");
  setter->set("CSI_ADC_0_1_GAIN","1");
  setter->set("CSI_ADC_0_2_GAIN","1");
  setter->set("CSI_ADC_0_3_GAIN","1");
  setter->set("CSI_ADC_0_4_GAIN","1");
  setter->set("CSI_ADC_0_5_GAIN","1");
  setter->set("CSI_ADC_0_6_GAIN","1");
  setter->set("CSI_ADC_0_7_GAIN","1");
  setter->set("CSI_ADC_0_8_GAIN","1");
  setter->set("CSI_ADC_0_9_GAIN","1");
  setter->set("CSI_ADC_0_10_GAIN","1");
  setter->set("CSI_ADC_0_11_GAIN","1");
  setter->set("CSI_ADC_0_12_GAIN","1");
  setter->set("CSI_ADC_0_13_GAIN","1");
  setter->set("CSI_ADC_0_14_GAIN","1");
  setter->set("CSI_ADC_0_15_GAIN","1");
  setter->set("CSI_ADC_1_0_GAIN","1");
  setter->set("CSI_ADC_1_1_GAIN","1");
  setter->set("CSI_ADC_1_2_GAIN","1");
  setter->set("CSI_ADC_1_3_GAIN","1");
  setter->set("CSI_ADC_1_4_GAIN","1");
  setter->set("CSI_ADC_1_5_GAIN","1");
  setter->set("CSI_ADC_1_6_GAIN","1");
  setter->set("CSI_ADC_1_7_GAIN","1");
  setter->set("CSI_ADC_1_8_GAIN","1");
  setter->set("CSI_TDC_0_0_GAIN","1");
  setter->set("CSI_TDC_0_1_GAIN","1");
  setter->set("CSI_TDC_0_2_GAIN","1");
  setter->set("CSI_TDC_0_3_GAIN","1");
  setter->set("CSI_TDC_0_4_GAIN","1");
  setter->set("CSI_TDC_0_5_GAIN","1");
  setter->set("CSI_TDC_0_6_GAIN","1");
  setter->set("CSI_TDC_0_7_GAIN","1");
  setter->set("CSI_TDC_1_0_GAIN","1");
  setter->set("CSI_TDC_1_1_GAIN","1");
  setter->set("CSI_TDC_1_2_GAIN","1");
  setter->set("CSI_TDC_1_3_GAIN","1");
  setter->set("CSI_TDC_1_4_GAIN","1");
  setter->set("CSI_TDC_1_5_GAIN","1");
  setter->set("CSI_TDC_1_6_GAIN","1");
  setter->set("CSI_TDC_1_7_GAIN","1");
  setter->set("CSI_TDC_2_0_GAIN","1");
  setter->set("CSI_TDC_2_1_GAIN","1");
  setter->set("CSI_TDC_2_2_GAIN","1");
  setter->set("CSI_TDC_2_3_GAIN","1");
  setter->set("CSI_TDC_2_4_GAIN","1");
  setter->set("CSI_TDC_2_5_GAIN","1");
  setter->set("CSI_TDC_2_6_GAIN","1");
  setter->set("CSI_TDC_2_7_GAIN","1");
  setter->set("CSI_TDC_3_0_GAIN","1");

  KInt id, seg, sa, k;
  KChar entry_name[256], value[256];

  for ( k = 0; k < 256; k ++ )
    value[k] = 0;
  //address
  id = 1;
  for ( seg = 0; seg < 4; seg ++ ) {
    for ( sa = 0; sa < 8 && 8 * seg + sa < 25; sa ++ ) {
      sprintf( entry_name, "CSI_%d_TDC_SEG", id );
      sprintf( value, "%d", seg );
      setter->set( entry_name, value );
      sprintf( entry_name, "CSI_%d_TDC_SA", id );
      sprintf( value, "%d", sa );
      setter->set( entry_name, value );
      s->sleep( 1 );
      id ++;
    }
  }
  	
  id = 1;
  for ( seg = 0; seg < 2; seg ++ ) {
    for ( sa = 0; sa < 16 && 16 * seg + sa < 25; sa ++ ) {
      sprintf( entry_name, "CSI_%d_ADC_SEG", id );
      sprintf( value, "%d", seg );
      setter->set( entry_name, value );
      sprintf( entry_name, "CSI_%d_ADC_SA", id );
      sprintf( value, "%d", sa );
      setter->set( entry_name, value );
      s->sleep( 1 );
      id ++;
    }
  }
	
  delete setter;
  delete s;

  return (0);
}
	
