//============================================================================
/*
	t473knssd.cc      slave - daemon

	3-Sep-2000	Y. Shimizu

*/
//=========================================================================
#include <system/KonoeNameSpaceSlave.hh>
#include <unistd.h>
#include <stdlib.h>

int main( int argc, char** argv )
{
  uid_t uid;
  if ( argv[2] ) {
    uid = atoi( argv[2] );
    setuid( uid );
  }

  if ( argc < 2 ) {
    cerr << " ./usage < master_host name > [ uid ] " << endl;
    exit(0);
  }

  argv++;

  KonoeNameSpaceSlave* slave;
  slave = new KonoeNameSpaceSlave( *argv );
  
  slave -> go( );

  return ( 0 );
}
