//======================================================================
/*
               T473CslibrationInfo.hh
*/
//======================================================================
#ifndef __T473CALIBRATIONINFO_HH__
#define __T473CALIBRATIONINFO_HH__
#include <analysis/KonoeDataAddress.hh>
#include <KonoeList.hh>

class T473CalibrationInfo {
  KInt offset;
private:
  KFloat gain;
  KonoeList<KonoeDataAddress> * address_list;
public:
  T473CalibrationInfo( KInt poffset, KFloat pgain, KInt ptablesize = 1 );
  ~T473CalibrationInfo();
  void reset();
  KonoeDataAddress * next();
  KInt add( KonoeDataAddress * address );
  KInt getCount();
  KInt getOffset(){ return offset; }
  KFloat getGain(){ return gain; }
};
#endif
