//======================================================================
/*
               T473CalibrationInfoMaker.hh
*/
//======================================================================
#ifndef  __T473CALIBRATIONINFOMAKER_HH__
#define  __T473CALIBRATIONINFOMAKER_HH__
#include "T473CalibrationInfo.hh"
#include <system/KonoeNetworkNameSpaceManager.hh>
#include <KonoeList.hh>

class  T473CalibrationInfoMaker{
private:
  KonoeList<T473CalibrationInfo> * cal_tdc_info_list;
  KonoeList<T473CalibrationInfo> * cal_adc_info_list;
  KonoeNameSpaceTable   * table;
public:
  T473CalibrationInfoMaker( KonoeNameSpaceTable * ptable );
  ~T473CalibrationInfoMaker();
  KInt make();
  KonoeList<T473CalibrationInfo> * getTDCList(){ return cal_tdc_info_list; }
  KonoeList<T473CalibrationInfo> * getADCList(){ return cal_adc_info_list; }
};
#endif
