//======================================================================
/*
               T473PhysicalValueForNameSpace.hh
	       07-Dec-2000 Kirika Uchida
*/
//======================================================================

#ifndef __T473PHYSICALVALUEFORNAMESPACE_HH__
#define __T473PHYSICALVALUEFORNAMESPACE_HH__
#include <analysis/KonoePhysicalValue.hh>
#include <analysis/KonoeMultipletDescriptor.hh>
#include "T473DataMultiplet.hh"
#include <analysis/KonoeDataMultiplet.hh>

class T473PhysicalValueForNameSpace : public KonoePhysicalValue{
public:
  enum { MAX_MULTIPLETS = 1024 };
  enum DATA_INDEX { ITEM, VALUE, MULTIPLET_SIZE };
private:
  KonoeList<T473DataMultiplet>   *list;
  KonoeMultipletDescriptor        *specifier;
  //  KonoeDataMultiplet              * dummy_multiplet;
  //  T473NameSpaceSetter             *setter;
public:
  T473PhysicalValueForNameSpace( KInt ptablesize, KInt tag );
  ~T473PhysicalValueForNameSpace( );
  KInt clear();
  KInt reset();
  KInt getDataCount();
  KonoeDataMultiplet *next();
  T473DataMultiplet  *nextT473DataMultiplet();
  KonoeMultipletDescriptor *getDescriptor(){ return specifier; }
  //  KInt add( KChar *pitem, KInt value );
  KInt add( KChar *pitem, KChar* value );
};

#endif
