//====================================================
/*
	T473HistoControl.hh

	 4-Oct-2000	Y. Shimizu
	13-Nov-2000	Y. Shimizu
*/
//====================================================

#ifndef __T473HISTOCONTROL_
#define __T473HISTOCONTROL_

#include	<system/KonoeUDPServerSocket.hh>
#include	<system/KonoeSignalSender.hh>
#include	<system/KonoeExecutor.hh>
#include	<system/KonoeFDSet.hh>
#include	"../Namespace/T473NameSpaceSetter.hh"
#include	"../Namespace/T473NameSpaceSetter.hh"
#include	"T473StatusChecker.hh"
#include	"T473RunControlBase.hh"

class T473HistoControl : public T473RunControlBase {
protected:
  KonoeExecutor			* exe;
  KChar 			* host;	
  T473StatusChecker		* checker;
  KInt 				  boot(void);	
public:
  T473HistoControl( KInt port);
  KInt 	control( KChar* command );
  
};
#endif
