//====================================================
/*
	T473LoggerControl.hh

	20-Nov-2000	Y. Shimizu
*/
//====================================================

#ifndef __T473LOGGERCONTROL_
#define __T473LOGGERCONTROL_

#include	<system/KonoeUDPServerSocket.hh>
#include	<system/KonoeSignalSender.hh>
#include	<system/KonoeExecutor.hh>
#include	"../Namespace/T473NameSpaceSetter.hh"
#include	"../Namespace/T473NameSpaceSetter.hh"
#include	"../Logger/T473LogSender.hh"
#include	"T473RunControlBase.hh"

class T473LoggerControl : public T473RunControlBase {
protected:
  KonoeExecutor			* exe;
  T473LogSender			* log;
  KChar 			* host;	
  KInt		 		boot( void );
public:
  T473LoggerControl( KInt port);
  KInt 	control( KChar* command );
  
};
#endif
