//====================================================
/*
	T473ReconstructControl.hh

	 4-Oct-2000	Y. Shimizu
	13-Nov-2000	Y. Shimizu
*/
//====================================================

#ifndef __T473RECONSTRUCTCONTROL_
#define __T473RECONSTRUCTCONTROL_

#include	<system/KonoeClientSocket.hh>
#include	<system/KonoeSignalSender.hh>
#include	<system/KonoeExecutor.hh>
#include	"T473RunControlBase.hh"
#include	"../Namespace/T473NameSpaceSetter.hh"
#include	"../Namespace/T473NameSpaceExtractor.hh"

class T473ReconstructControl : public T473RunControlBase {
protected:
  KonoeExecutor			* exe;
  KChar 			* host;	
  KonoeClientSocket		* cmd_socket;
  T473NameSpaceSetter    	* setter;
  KInt 				  boot(void);
public:
  T473ReconstructControl( KInt port = 0  );
  KInt 	control( KChar* command );
};
#endif
