//=========================================================
/*
	T473StatusChecker.cc

	 3-Oct-2000	Y. Shimizu
	23-Oct-2000	Y. Shimizu

*/
//=========================================================	

#include	"T473StatusChecker.hh"
#include	<string.h>

T473StatusChecker::T473StatusChecker(KChar* processname){

	strcpy(item,processname);
	strcat(item,"_CMD_STATUS");
	status = new T473NameSpaceExtractor();
	setter = new T473NameSpaceSetter();
}

T473StatusChecker::~T473StatusChecker(){

	delete status;
	delete setter;

}

KInt  T473StatusChecker::init(){

	setter->set(item,"none");
	return (0);
}

KInt  T473StatusChecker::setTrue(){

	setter->set(item,"true");
	return (0);
}

KInt  T473StatusChecker::setFalse(){

	setter->set(item,"false");
	return (0);
}
	
KInt T473StatusChecker::check(){

	if( !strcmp( status->getKCharValue(item),"true") )
		return SUCCESS;
	else if (!strcmp( status->getKCharValue(item),"none") )
		return NONE;
	else if (!strcmp( status->getKCharValue(item),"false") )
		return FALSE;
	else 
		return UNKNOWN;	

}


