//============================================================
/*
	T473TimeoutHandler.cc

	11-Nov-2000	Y. Shimizu	
*/
//============================================================

#include	"T473TimeoutHandler.hh"

T473TimeoutHandler::T473TimeoutHandler(KChar* phost,KInt pport): 
		port(pport) , host(phost){

	alrmhandler = new KonoeSignalHandler( SIGALRM , this );	
	
	socket = 0;
	if( port != 0 )
	   socket = new KonoeUDPClientSocket( host , port );

	alrmhandler->enable();
	itimer = new KonoeIntervalTimer;
}

void T473TimeoutHandler::catchSignal( KInt signal ){

	if( signal == SIGALRM ){
	  cout << "\tTimeout ; process DEAD?"<<endl;
	  return ;
	}

}

KInt T473TimeoutHandler::setTime( KInt mili_sec ){

	itimer->setInterval( mili_sec );	

}
