//============================================================
/*
	reconstruct_controler.cc

	13-Nov-2000	Y. Shimizu

*/
//============================================================
#include	<system/KonoeIntervalTimer.hh>
#include	<system/KonoeSignalHandler.hh>
#include	"T473ReconstructControl.hh"
#include	"T473TimeoutHandler.hh"

int main(int argc,char** argv)
{
	KonoeIntervalTimer *timer  = new KonoeIntervalTimer;

	KonoeSignalHandler * alrmhandler;
	T473TimeoutHandler * timeout;
	timeout = new T473TimeoutHandler;
	alrmhandler = new KonoeSignalHandler( SIGALRM, timeout );


	KChar com[256];

	T473NameSpaceExtractor * ext = new T473NameSpaceExtractor;
	KInt cmd_port = ext->getKIntValue("RECONST_CMD_PORT");
	if( cmd_port == -1 ){
		cerr << "RECONST_CMD_PORT is not defined : exit"<<endl;
		exit(0);
	}
	
	cout << "RECONST_CMD_PORT = " << cmd_port << endl;
	T473ReconstructControl * control = new T473ReconstructControl(cmd_port);
//	T473ReconstructControl * control = new T473ReconstructControl();
	
	while(1){
	cout << "RECONSTRUCT:CMD>";
	  cin.getline(com,256);
	  timer->setInterval(2000);	
	  alrmhandler->enable();
	  control->control(com);
	  timer->setInterval(0);
	}

	delete control;
	
	return (0);
}
