//==============================================================
/*
	t473signald.cc

	2-Oct-2000	Y. Shimizu
*/
//==============================================================
#include <system/KonoeSignalDaemon.hh>
#include "../Namespace/T473NameSpaceExtractor.hh"
#include <unistd.h>
#include <stdlib.h>

int main( int argc, char** argv )
{
  uid_t uid;
  if ( argv[1] ) {
    uid = atoi( argv[1] );
    setuid( uid );
  }

  T473NameSpaceExtractor* extractor;
  extractor = new T473NameSpaceExtractor;
  
  KonoeSignalDaemon *sigd;

  sigd = new KonoeSignalDaemon( extractor->getKIntValue("SIGNAL_PORT") );

  cout << "SIGNAL_PORT = " << extractor->getKIntValue("SIGNAL_PORT");
  cout << endl;

  sigd->go();
  return (0);
}
	
