//=====================================================================
/*

    T473Kill.hh

    Version 0.0.1   10-Dec-2000 T. Hosoi

*/
//====================================================================

#ifndef __T473KILL_HH
#define __T473KILL_HH

#include <Namespace/T473NameSpaceExtractor.hh>
#include <Namespace/T473NameSpaceSetter.hh>
class KonoeSignalSender;

class T473Kill {

  public:
    T473Kill();
    ~T473Kill();

    KInt killDAQ();
    KInt killDataHub();
    KInt killHistogram();
    KInt killReconstruct();
    KInt killLogger();

  private:
    KonoeSignalSender* killer;
    T473NameSpaceExtractor nsExtractor;
    T473NameSpaceSetter nsSetter;
};

#endif
