//=====================================================================
/*

    T473TclLogger.hh

    Version 0.0.1   14-Nov-2000 T. Hosoi

*/
//====================================================================

#ifndef __T473TCLLOGGER_HH
#define __T473TCLLOGGER_HH

#include <ui/KonoeTclWidget.hh>
#include <ui/KonoeTclAction.hh>
#include <ui/KonoeTclWindow.hh>

class T473TclLogger : public KonoeTclEventProcessor,
                      public KonoeTclTimer {

  public:
    T473TclLogger(KonoeTclWindow* pwin);
    ~T473TclLogger();

  private:
    void initLoggerFrame();
    void initAction();
    KInt getLogMessage();
    void insertMessage(KChar* Message);

    void timer();

    KonoeTclWindow* kwin;
    KonoeTclFrame* loggerFrame;
    KonoeTclText*  loggerText;

    KInt intervalTime;

    KChar fontName[64];
    KInt  fontSize;

    KChar successColor[32];
    KChar fatalColor[32];
    KChar warningColor[32];
    KChar errorColor[32];
    KChar unknownColor[32];
    KChar infoColor[32];

    KBool eof;
};

#endif
