//====================================================================
/*

	KonoeAnalysisCommander.cc

	Version 0.0.1	 1-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 5-Sep-1998
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#include	<analysis/KonoeAnalysisCommander.hh>

KonoeAnalysisCommander::KonoeAnalysisCommander( const KChar * name ) :
	KonoeCommander( N_OFFICERS, name ) {

	datarecordofficer = new KonoeDataRecordOfficer( N_DATARECORDOBJECTS,
		"datarecordofficer" );
	add( datarecordofficer );
	datarecordofficer -> setCommander(this);

	physicalvalueofficer = new KonoePhysicalValueOfficer(
		N_PHYSICALVALUEOBJECTS,	"physicalvalueofficer" );
	add( physicalvalueofficer );
	physicalvalueofficer -> setCommander(this);

	histogramofficer = new KonoeHistogramOfficer( N_HISTOGRAMOBJECTS,
		"histogramofficer" );
	add( histogramofficer );
	histogramofficer -> setCommander(this);


}
