//====================================================================
/*

	KonoeAnalysisCommander.hh

	Version 0.0.1	 1-Aug-1998	S. Enomoto and S. Nishida
	Version 0.4.0	 5-Sep-1998
	Version 0.5.0	26-Aug-1999	Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto
	Version 0.7.0	26-Aug-2001	T. Sumida


*/
//====================================================================

#ifndef	__KONOEANALYSISCOMMANDER_HH
#define	__KONOEANALYSISCOMMANDER_HH

#include	<ui/KonoeCommander.hh>
#include	<analysis/KonoePhysicalValueOfficer.hh>
#include	<analysis/KonoeHistogramOfficer.hh>
#include	<analysis/KonoeDataRecordOfficer.hh>

class	KonoeAnalysisCommander	: public KonoeCommander	{
    
  public:
    enum	{	N_OFFICERS = 3,
			N_PHYSICALVALUEOBJECTS = 64,
			N_HISTOGRAMOBJECTS = 64,
			N_DATARECORDOBJECTS = 64		};
    
  protected:
    KonoePhysicalValueOfficer	 * physicalvalueofficer;
    KonoeHistogramOfficer	 * histogramofficer;
    KonoeDataRecordOfficer	 * datarecordofficer;
  public:
    KonoeAnalysisCommander( const KChar * name );
    
};

#endif
