//=====================================================================
/*

	KonoeDataRecordOfficer.hh

	Version 0.0.1	 1-Aug-1998	S. Enomoto and S. Nishida
	Version 0.4.0	 5-Sep-1998
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//=====================================================================

#ifndef	__KONOEDATARECORDOFFICER_HH
#define	__KONOEDATARECORDOFFICER_HH

#include	<ui/KonoeOfficer.hh>

class KonoeDataRecordOfficer	: public KonoeOfficer {

protected :
	static const KChar	* classname;

	enum	{	N_CLASSES = 14		};

public :
	KonoeDataRecordOfficer( KInt norderly, const KChar * name );

// KonoeOrderly virtual members

	const KChar	* getClassName( )	{
		return classname;		}
	KInt	execute( KonoeCommand * cmd );
	KInt	isOrderlyOf( void * address )	{
			return ( void * ) this == address;	}

};


#endif
