//=====================================================================
/*

	KonoeGeometryOfficer.cc

	Version 0.0.1	 6-Jun-2001	T. Matuo
	Version 0.7.0	26-Sep-2001	T. Sumida

*/
//=====================================================================

#include	<analysis/KonoeGeometryOfficer.hh>
#include	<analysis/Konoe3VectorOrderly.hh>
#include 	<analysis/KonoeBoxGeometryOrderly.hh>
//#include	<analysis/KonoeDataCalibratorOrderly.hh>
#include 	<analysis/KonoeDetectorOrderly.hh>
#include 	<analysis/KonoeDetectorElementOrderly.hh>
//#include 	<analysis/KonoeDetectorHitOrderly.hh>
//#include	<analysis/KonoeDetectorListOrderly.hh>
//#include	<analysis/KonoeEventGeneratorOrderly.hh>
//#include	<analysis/KonoeHitDatasetOrderly.hh>
//#include	<analysis/KonoeHitSectionAnalyzerOrderly.hh>
//#include	<analysis/KonoeSimDetectorHitOrderly.hh>
//#include	<analysis/KonoeSimEventOrderly.hh>
//#include	<analysis/KonoeSimulatorOrderly.hh>
//#include	<analysis/KonoeTDCCalibratorOrderly.hh>
//#include	<analysis/KonoeTrackOrderly.hh>
//#include 	<analysis/KonoeTrackSegmentOrderly.hh>
//#include 	<analysis/KonoeTrajectoryOrderly.hh>
//#include	<analysis/KonoeTranslationOrderly.hh>

const KChar	* KonoeGeometryOfficer::classname = "GeometryOfficer";

KonoeGeometryOfficer::KonoeGeometryOfficer( KInt norderly,
		const KChar * name )
		: KonoeOfficer( norderly, 0, name, N_CLASSES ) {

	registerOrderly( new Konoe3VectorOrderly( 0 ) );
	registerOrderly( new KonoeBoxGeometryOrderly( 0 ) );
	//registerOrderly( new KonoeDataCalibratorOrderly( 0 ) );
	registerOrderly( new KonoeDetectorOrderly( 0 ) );
	registerOrderly( new KonoeDetectorElementOrderly( 0 ) );
	//registerOrderly( new KonoeDetectorHistOrderly( 0 ) );
	//registerOrderly( new KonoeDetectorListOrderly( 0 ) );
	//registerOrderly( new KonoeEventGeneratorOrderly( 0 ) );
	//registerOrderly( new KonoeHitDatasetOrderly( 0 ) );
	//registerOrderly( new KonoeHitSectionAnalyzerOrderly( 0 ) );
	//registerOrderly( new KonoeSimDetectorOrderly( 0 ) );
	//registerOrderly( new KonoeSimEventOrderly( 0 ) );
	//registerOrderly( new KonoeSimulatorOrderly( 0 ) );
	//registerOrderly( new KonoeTDCCalibratorOrderly( 0 ) );
	//registerOrderly( new KonoeTrackOrderly( 0 ) );
	//registerOrderly( new KonoeTrackSegmentOrderly( 0 ) );
	//registerOrderly( new KonoeTrajectoryOrderly( 0 ) );
	//registerOrderly( new KonoeTranslationOrderly( 0 ) );

}

KInt	KonoeGeometryOfficer::execute( KonoeCommand * cmd ) {

	return 0;

}







