//=====================================================================
/*

	KonoePhysicalOfficer.cc

	Version 0.0.1	 4-Aug-1998	S. Nishida
	Version 0.4.0	 5-Sep-1998
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//=====================================================================

#include	<analysis/KonoePhysicalValueOfficer.hh>
#include	<analysis/KonoeDataAnalyzerOrderly.hh>
#include	<analysis/KonoeDefaultSectionAnalyzerOrderly.hh>
#include	<analysis/KonoeLinearDataScaleOrderly.hh>

#include	<iostream.h>

const KChar	* KonoePhysicalValueOfficer::classname = "PhysicalValueOfficer";

KonoePhysicalValueOfficer::KonoePhysicalValueOfficer( KInt norderly,
		const KChar * name )
		: KonoeOfficer( norderly, 0, name, N_CLASSES ) {

	registerOrderly( new KonoeDataAnalyzerOrderly( 0 ) );
	registerOrderly( new KonoeDefaultSectionAnalyzerOrderly( 0 ) );
	registerOrderly( new KonoeLinearDataScaleOrderly( 0 ) );

}

KInt	KonoePhysicalValueOfficer::execute( KonoeCommand * cmd ) {

	return 0;

}

