//==================================================================
/*

	KonoeEventGenerator.cc

	Version 0.2.0	29-Apr-1998	H. Sakamoto
	Version 0.4.0	06-Aug-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//==================================================================

#include	<analysis/KonoeEventGenerator.hh>

KonoeEventGenerator::KonoeEventGenerator( ):
origin( 0.0, 0.0, 0.0 ), detector_end( 0.0, 0.0, 0.3 ) {
}

KonoeSimEvent	* KonoeEventGenerator::generate( ){
// this is a dummy generator routine. only a track from origin to
// z direction is generated.

	KonoeSimEvent	* event;
	KonoeTrack	* track;
	KonoeTrackSegment	* segment;

	event = new KonoeSimEvent( 1 );
	track = new KonoeTrack( 1 );
	track -> add( segment = new KonoeTrackSegment( origin, detector_end ) );
	segment -> setStartTime( 0.0 );
	segment -> setVelocity( 0.3 );	// light speed
	segment -> setEndTime( 0.3 / segment -> getVelocity( ) );
	event -> add( track );
	return event;
}














