//=================================================================
/*

	KonoeGeometry.cc

	Version 0.2.0	30-Apr-1998	H. Sakamoto
	Version 0.4.0	06-Aug-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//=================================================================

#include	<analysis/KonoeGeometry.hh>
#include	<analysis/KonoeGeometryCM.hh>
#include 	<KonoeCategories.hh>

KonoeGeometry::KonoeGeometry( ) 
     	: KonoeStreamableObject( KonoeCategories::GEOMETRY,
		KonoeGeometryCM::CID_GEOMETRY ) {
}

KonoeGeometry::KonoeGeometry( KInt classid ) 
	: KonoeStreamableObject( KonoeCategories::GEOMETRY, classid ) {
}

