//====================================================================
/*

	KonoeGeometryCM.hh

	Version 0.4.0	31-Jul-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOEGEOMETRYCM_HH
#define	__KONOEGEOMETRYCM_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeCategoryManager.hh>

class	KonoeGeometryCM : public KonoeCategoryManager {

public :
	enum CLASS_ID {	CID_3VECTOR		= 0x100,
			CID_DETECTORLIST	= 0x200,
			CID_DETECTOR		= 0x300,
			CID_DETECTORELEMENT	= 0x400,
			CID_DETECTORHIT		= 0x500,
			CID_GEOMETRY		= 0x600, 
			CID_BOXGEOMETRY		= 0x700, 
			CID_HITLIST             = 0x800,
			CID_TRACKSEGMENT        = 0x900,
			CID_TRAJECTORY          = 0xa00
	               };
  
public :
  KonoeGeometryCM( );
	KonoeStreamableObject * create( KInt classid );
	const KChar	* getClassName( KInt classid );

};

#endif
