//===================================================================
/*

	KonoeSimDetectorHit.cc

	Version 0.2.0	29-Apr-1998	H. Sakamoto
	Version 0.4.0	06-Aug-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//===================================================================

#include	<analysis/KonoeSimDetectorHit.hh>

KonoeSimDetectorHit::KonoeSimDetectorHit( KonoeDetectorElement * e,
		Konoe3Vector & entryp, Konoe3Vector & exitp )
	: KonoeDetectorHit( e ) {

	entrypoint = entryp;
	exitpoint = exitp;
}

KonoeSimDetectorHit::KonoeSimDetectorHit( KonoeDetectorElement * e )
	: KonoeDetectorHit( e ) {


}
 
void	KonoeSimDetectorHit::dump( ostream & os ) {

/*	detectorelement -> dump( os );    */
	os << "Entering at " << entrypoint << " : " << entrytime << endl;
	os << "Exiting  at " << exitpoint << " : " << exittime << endl;
}





