//==================================================================
/*

	KonoeSimulator.hh

	Version 0.2.0	29-Apr-1998	H. Sakamoto

	Version 0.4.0	06-Aug-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//==================================================================

#ifndef	__KONOESIMULATOR_HH
#define	__KONOESIMULATOR_HH

#include	<analysis/KonoeEventGenerator.hh>
#include	<analysis/KonoeDetectorList.hh>
#include	<analysis/KonoeSimDetectorHit.hh>

class	KonoeSimulator	{

protected :
	KonoeDetectorList	* detectorlist;
	KonoeEventGenerator	* generator;

public :
	KonoeSimulator( KonoeDetectorList * pdetectorlist,
		KonoeEventGenerator * pgenerator );
	KInt	simulate( );
	virtual KInt	processHit( KonoeSimDetectorHit * hit );
};

#endif
