//===================================================================
/*

	KonoeTDCCalibrator.hh

	Version 0.2.0	13-May-1998	H. Sakamoto

	Version 0.4.0	06-Aug-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//===================================================================

#ifndef	__KONOETDCCALIBRATOR_HH
#define	__KONOETDCCALIBRATOR_HH

#include	<analysis/KonoeDataCalibrator.hh>

class	KonoeTDCCalibrator	: public KonoeDataCalibrator {

protected :

	KFloat	offset;
	KFloat	gain;

public :
	KonoeTDCCalibrator( KFloat offset, KFloat gain );
	KInt	convert( KonoeDetectorHit * hit, KonoeDataElement * element );

};


#endif
