//===================================================================
/*

        KonoeFillData.hh

	Version 0.1.1	05-Feb-1998	H. Sakamoto
	Version 0.2.0	18-May-1998	H. Sakamoto
	Version 0.2.1	03-Jun-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//===================================================================

#ifndef __KONOEFILLDATA_HH
#define __KONOEFILLDATA_HH

#include        <KonoePrimitives.hh>
#include	<iostream.h>

class KonoeFillData {
  public:
    KonoeFillData(KFloat px = 0, KFloat py = 0, KFloat pz = 0): x(px), y(py), z(pz) {}
	void	set( KFloat px, KFloat py = 0, KFloat pz = 0 );
    KFloat getX(void) {return x;}
    KFloat getY(void) {return y;}
    KFloat getZ(void) {return z;}
	void	dump( ostream & os );
  protected:
    KFloat x, y, z;
};

#endif
