//====================================================================
/*

        KonoeHistoFillerList.cc

	Version 0.2.0	18-Fev-1998	H. Sakamoto
	Version 0.2.1.	15-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.6.0	10-Nov-2000	Y. Shimizu
		delete hist_filler;
	Version 0.7.0	26-Aub-2001	T. Sumida

*/
//====================================================================


#include <analysis/KonoeHistoFillerList.hh>


KInt KonoeHistoFillerList::fill( ) {
    int result = 0;

    reset();
    KonoeHistogramFiller *hist_filler;
    while ( hist_filler = next( ) ) {
	if ((result = hist_filler->fill( )) < 0) {
	     delete hist_filler;
	     break;
	} 
    }

    return result;
}

