//====================================================================
/*

	KonoeHistoStorageBase.hh

	Version 0.1.0	30-Oct-1997	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOEHISTOSTORAGEBASE_HH
#define	__KONOEHISTOSTORAGEBASE_HH

#include	<system/KonoeStreamableObject.hh>

class	KonoeHistoStorageBase : public KonoeStreamableObject {

public :
	enum	{	TYPE_1D,	TYPE_2D,	TYPE_3D	};

public :
	KonoeHistoStorageBase( KInt classid );

	virtual KInt	set( KFloat value,
		KInt xindex, KInt yindex = 0, KInt zindex = 0 ) = 0;
	virtual KInt	addOne(
		KInt xindex, KInt yindex = 0, KInt zindex = 0 ) = 0;
	virtual KFloat	get(
		KInt xindex, KInt yindex = 0, KInt zindex = 0 ) = 0;
	virtual void	clear( ) = 0;

// more, getSlice for X, Y, Z or getBand for X, Y, Z
};

#endif
