//====================================================================
/*

	KonoeHistogramBase.hh

	Version 0.1.0	30-Oct-1997	H. Sakamoto
	Version 0.2.0	22-Apr-1998	S. Enomoto
	Version 0.4.0	10-Sep-1998	D. Takagi	(Check only)
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOEHISTOGRAMBASE_HH
#define	__KONOEHISTOGRAMBASE_HH

#include	<analysis/KonoeFillData.hh>
#include	<system/KonoeStreamableObject.hh>

class	KonoeHistogramBase : public KonoeStreamableObject {

public :
	KonoeHistogramBase( KInt classid );
	virtual void	clear( ) = 0;
	virtual KInt	fill( KonoeFillData * pv ) = 0;
};

#endif
