//====================================================================
/*

	KonoeHistogramCM.hh

	Version 0.1	30-Oct-1997	H. Sakamoto
	Version 0.1.1	18-DEC-1997	Sanshiro Enomoto
                 Modified to 2D Histogram
	Version 0.2.0	27-Apr-1998	H. Sakamoto
	Version 0.4.0	 4-Aug-1998	S. Nishida
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOEHISTOGRAMCM_HH
#define	__KONOEHISTOGRAMCM_HH

#include	<system/KonoeCategoryManager.hh>

class	KonoeHistogramCM : public KonoeCategoryManager {

public :
	enum	{	CID_HISTOGRAMSTORAGE = 0x100,
			CID_1DHISTOGRAM = 0x200,
			CID_2DHISTOGRAM = 0x300,
			CID_FILLDATA = 0x400,
			CID_FILLDATAEXTRACTOR = 0x500,
			CID_HISTOGRAMFILLER = 0x600,
			CID_1DHISTOGRAMLIST = 0x700,
	};

public :
	KonoeHistogramCM( );
	KonoeStreamableObject * create( KInt classid );
	const KChar	* getClassName( KInt classid );
};


#endif
