/***********************************************************************

	KonoeInfiniteArray.hh

	Version	 0.1.0	16-Mar-2000	Y. Shimizu
	Version	 0.6.0	30-Aug-2000	Y. Shimizu
	Version	 0.7.0	26-Aug-2001	T. Sumida

************************************************************************/

#ifndef __KONOEINFINITEARRAY_HH
#define __KONOEINFINITEARRAY_HH

#include<iostream.h>
#include<stdlib.h>
#include<string.h>

class KonoeInfiniteArray {

	enum {	BLOCK_SIZE = 10 };
protected:
	float data[BLOCK_SIZE];

	class KonoeInfiniteArray *next;

public:

	KonoeInfiniteArray(void)
	{
		next = NULL;
		memset(data, '\0' , sizeof(data));
	}

	~KonoeInfiniteArray(void);

	float &operator[](const unsigned int index);
}; 
 
#endif
