//=======================================================================
/*

	KonoeGaussianMC.cc

	Version	 0.0.1	27-Aug-2000	K. Uchida
	Version	 0.7.0	26-Aug-2001	T. Sumida
           
*/
//=======================================================================
 
#include   <analysis/KonoeGaussianMC.hh>
#include   <iostream.h>
#include   <fstream.h>
KonoeGaussianMC::KonoeGaussianMC( KFloat pmean, KFloat psigma, KFloat pn )
                :KonoeMC( pmean, psigma, pn ) {
	       }

KFloat  KonoeGaussianMC::getValue( ) {

while( 1 ){
  x = KonoeRandomNumber::getFloat( ) * ( sigma * n + mean );
  y = KonoeRandomNumber::getFloat( );
 
  if ( y <= exp( ( -1 ) * pow ( ( ( x - mean ) / sigma ), 2 ) / 2 ) ) 
   return x;
 }
}



