//=================================================================
/*

	KonoeRandomNumber.hh

	Version	 0.3.0	06-Jun-1998	Sanshiro Enomoto
	Version	 0.7.0	26-Aug-2001	T. Sumida

*/
//=================================================================


#ifndef	__KONOERANDOMNUMBER_HH
#define	__KONOERANDOMNUMBER_HH

#include <KonoePrimitives.hh>


class KonoeRandomNumber {
  private:
    KonoeRandomNumber(void) {}
  public:
    static void initialize(long seed);
    static void initialize(void);
    static KInt getInt(void);       // uniformly distributed integer [0, 2**31)
    static KInt getSignedInt(void); // uniformly distributed integer [-2**31, 2**31)
    static KFloat getFloat(void);   // uniformly distributed float [0.0, 1.0)
};

#endif
