//=====================================================================
/*

	KonoeDataAddressSet.cc

	Version 0.2.0	12-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//=====================================================================

#include	<analysis/KonoeDataAddressSet.hh>

KonoeDataAddressSet::KonoeDataAddressSet( KInt psection, KInt modulecount,
		KInt sasize ) {

	section_id = psection;
	module_count = modulecount;
	module_base = 0;
	subaddress_size = sasize;
	subaddress_base = 0;

}

KonoeDataAddress	* KonoeDataAddressSet::getAddress(
				KInt module, KInt sa ) {

	return new KonoeDataAddress( section_id, module, sa );

}
