//====================================================================
/*

	KonoeDataMultiplet.hh

	Version 0.2.0	14-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOEDATAMULTIPLET_HH
#define	__KONOEDATAMULTIPLET_HH

#include	<analysis/KonoeMultipletDescriptor.hh>

class	KonoeDataMultiplet	{

protected :
	KFloat	* data;
	KonoeMultipletDescriptor	* list;
	KInt	datasize;

public :
	KonoeDataMultiplet( KonoeMultipletDescriptor * list );
	~KonoeDataMultiplet( );
	KInt	getIndex( const KChar * name );
	KFloat	getValue( KInt index );
	KInt	setValue( KInt index, KFloat value );

};

#endif
