//====================================================================
/*

	KonoeDefaultSectionAnalyzer.hh

	Version 0.2.0	14-May-1998	H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOEDEFAULTSECTIONANALYZER_HH
#define	__KONOEDEFAULTSECTIONANALYZER_HH

#include	<analysis/KonoeSectionAnalyzer.hh>
#include	<analysis/KonoeRawDataset.hh>

class	KonoeDefaultSectionAnalyzer	: public KonoeSectionAnalyzer {

protected :
	KonoeRawDataset	* rawdatavalue;
public :
	KonoeDefaultSectionAnalyzer( KInt section,
			KInt ptablesize, KInt ptag );
	KInt	clear( );
	KInt	analyze( KonoeDataSection * section );
	KonoePhysicalValue	* getPhysicalValue( );

};

#endif
