//=====================================================================
/*

	KonoeGeneralSectionAnalyzer.cc

	Version 0.1	03-Aug-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto

	Version 0.1.0                   H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//=====================================================================


#include	<analysis/KonoeGeneralSectionAnalyzer.hh>

KonoeGeneralSectionAnalyzer::KonoeGeneralSectionAnalyzer( )
		: KonoeSectionAnalyzer( KonoeDataSection::GENERAL_SECTION ) {

}

KInt	KonoeGeneralSectionAnalyzer::analyze( KonoeDataSection * section ) {

	KonoeDataSegment	* segment;
	section -> reset( );
	while( segment = section -> next( ) ) {
	    switch( segment -> getID( ) ) {
	    default :
		cout << "Unknown Segment Tag = " << segment -> getID( ) << endl;
		break;
	    }
	}

	return 0;
}
