//====================================================================
/*

	KonoeSectionAnalyzer.hh

	Version 0.1	03-Aug-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto

	Version 0.1.0                   H. Sakamoto
	Version 0.4.0	10-Sep-1998	D. Takagi
	Version 0.5.0	21-Sep-1999	Y. Kouno
	Version 0.7.0	26-Aug-2001	T. Sumida

*/
//====================================================================

#ifndef	__KONOESECTIONANALYZER_HH
#define	__KONOESECTIONANALYZER_HH

#include	<analysis/KonoeDataSection.hh>
#include	<analysis/KonoePhysicalValue.hh>

class	KonoeSectionAnalyzer {

protected :
	KInt	tag;
public :
	KonoeSectionAnalyzer( KInt ptag );
	KInt	getID( ) { return tag;	}
	virtual KInt	clear( );
	virtual KInt	analyze( KonoeDataSection * section );
	virtual KonoePhysicalValue	* getPhysicalValue( );
};


#endif
