// $Id: KonoeDataSourceOfficer.cc,v 1.6 2002/03/16 08:11:35 iwai Exp $
// $Name: KONOE-0-09-02 $
//=================================================================
/*

	KonoeDataSourceOfficer.cc

	Version 0.0.1	24-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto

*/
//=================================================================

#include	<daq/KonoeDataSourceOfficer.hh>
#include	<daq/KonoeCrateListOrderly.hh>
#include	<daq/KonoeVMECrateOrderly.hh>
#include	<daq/KonoeSoftwareCrateOrderly.hh>
#include	<daq/KonoeSoftCounterOrderly.hh>
#include	<daq/KonoePT3ModuleOrderly.hh>
#include	<daq/KonoePT3ChipOrderly.hh>
#include	<daq/KonoePT4ModuleOrderly.hh>
#include	<daq/KonoePT4ChipOrderly.hh>

#include	<iostream.h>

const KChar	* KonoeDataSourceOfficer::classname = "DataSourceOfficer";

KonoeDataSourceOfficer::KonoeDataSourceOfficer( KInt norderly,
	const KChar * name )
	: KonoeOfficer( norderly, 0, name, N_CLASSES ) {

	registerOrderly( new KonoeCrateListOrderly( 0 ) );
	registerOrderly( new KonoeVMECrateOrderly( 0 ) );
	registerOrderly( new KonoeSoftwareCrateOrderly( 0 ) );
	registerOrderly( new KonoeSoftCounterOrderly( 0 ) );
	registerOrderly( new KonoePT3ModuleOrderly( 0 ) );
	registerOrderly( new KonoePT3ChipOrderly( 0 ) );
	registerOrderly( new KonoePT4ModuleOrderly( 0 ) );
	registerOrderly( new KonoePT4ChipOrderly( 0 ) );

}

KInt	KonoeDataSourceOfficer::execute( KonoeCommand * ) {

	return 0;

}
