// $Id: KonoeDataSourceOfficer.hh,v 1.7 2002/03/16 08:11:35 iwai Exp $
// $Name: KONOE-0-09-02 $
//=================================================================
/*

	KonoeDataSourceOfficer.hh

	Version 0.0.1	24-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6.0   04-Aug-2000     G. Iwai
	Version 0.6.1	11-May-2001	H. Sakamoto

*/
//=================================================================

#ifndef	__KONOEDATASOURCEOFFICER_HH
#define	__KONOEDATASOURCEOFFICER_HH

#include <ui/KonoeOfficer.hh>

class KonoeDataSourceOfficer : public KonoeOfficer {

protected:
  static const KChar* classname;

  enum { CRATELIST_CLASS,
	 VMECRATE_CLASS,
	 SOFTWARECRATE_CLASS,
	 SOFTCOUNTER_CLASS,
	 PT3MODULE_CLASS,
	 PT3CHIP_CLASS,
	 PT4MODULE_CLASS,
	 PT4CHIP_CLASS,
	 N_CLASSES };
  
public:
  KonoeDataSourceOfficer(KInt norderly, const KChar * name);

  inline const KChar* getClassName() { return classname; }
  KInt execute(KonoeCommand* cmd);
  inline KInt isOrderlyOf(void* address) 
  { return (void*) this == address; }
};


#endif
