// $Id: KonoeReadoutSegmentOrderly.cc,v 1.4 2002/03/16 08:11:38 iwai Exp $
// $Name: KONOE-0-09-02 $
//====================================================================
/*

	KonoeReadoutSegmentOrderly.cc

	Version 0.0.1	12-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto

	!!! incomplete implementation !!!

*/
//====================================================================

#include	<daq/KonoeReadoutSegmentOrderly.hh>
#include	<ui/KonoeHelpCommand.hh>

const KChar	* KonoeReadoutSegmentOrderly::classname = "ReadoutSegment";

KonoeReadoutSegmentOrderly::KonoeReadoutSegmentOrderly( const KChar * name )
	: KonoeOrderly( N_COMMANDS, name ) {

	setClassID( CLASS_ID );
	createcommand = new KonoeCommandDescriptor( "create", N_ARG_CREATE );
	createcommand -> add(
		new KonoeArgumentDescriptor( "object", STRING, NECESSARY ) );
	createcommand -> add(
		new KonoeArgumentDescriptor( "size", INTEGER, NECESSARY ) );
	createcommand -> add(
		new KonoeArgumentDescriptor(
					"segmenttype", INTEGER, NECESSARY ) );
	createunit = new CreateUnit( createcommand, this );
	addCommand( createunit );

	showcommand = new KonoeCommandDescriptor( "show", N_ARG_SHOW );
	showcommand -> add(
		new KonoeArgumentDescriptor( "item", STRING, OPTIONAL ) );
	showunit = new ShowUnit( showcommand, this );
	addCommand( showunit );

	addcommand = new KonoeCommandDescriptor( "add", N_ARG_ADD );
	addcommand -> add(
		new KonoeArgumentDescriptor( "item", STRING, NECESSARY ) );
	addunit = new AddUnit( addcommand, this );
	addCommand( addunit );


	getcommand = new KonoeCommandDescriptor( "get", N_ARG_GET );
	getcommand -> add(
		new KonoeArgumentDescriptor( "index", INTEGER, NECESSARY ) );
	getcommand -> add(
		new KonoeArgumentDescriptor( "object", STRING, NECESSARY ) );
	getunit = new GetUnit( getcommand, this );
	addCommand( getunit );

	addCommand( new KonoeHelpCommand( 0, this ) );

}

KonoeReadoutSegmentOrderly::CreateUnit::CreateUnit(
	KonoeCommandDescriptor * cd, KonoeOrderly * ow )
	: KonoeCommandProcessor( cd, ow ) {

}

KInt	KonoeReadoutSegmentOrderly::CreateUnit::execute( KonoeCommand * cmd ) {

	return 0;

}

KonoeReadoutSegmentOrderly::ShowUnit::ShowUnit(
	KonoeCommandDescriptor * cd, KonoeOrderly * ow )
	: KonoeCommandProcessor( cd, ow ) {

}

KInt	KonoeReadoutSegmentOrderly::ShowUnit::execute( KonoeCommand * cmd ) {

	return 0;

}

KonoeReadoutSegmentOrderly::AddUnit::AddUnit(
	KonoeCommandDescriptor * cd, KonoeOrderly * ow )
	: KonoeCommandProcessor( cd, ow ) {

}

KInt	KonoeReadoutSegmentOrderly::AddUnit::execute( KonoeCommand * cmd ) {

	return 0;

}

KonoeReadoutSegmentOrderly::GetUnit::GetUnit(
	KonoeCommandDescriptor * cd, KonoeOrderly * ow )
	: KonoeCommandProcessor( cd, ow ) {

}

KInt	KonoeReadoutSegmentOrderly::GetUnit::execute( KonoeCommand * cmd ) {

	return 0;

}




KInt	KonoeReadoutSegmentOrderly::createObject( KonoeCommand * cmd ) {

	return 0;

}

KInt	KonoeReadoutSegmentOrderly::deleteObject( KonoeCommand * cmd ) {

	return 0;

}

KInt	KonoeReadoutSegmentOrderly::isOrderlyOf( void * address ) {

	return ( void * ) target == address;

}

KonoeOrderly	* KonoeReadoutSegmentOrderly::clone( const KChar * name ) {

	return 0;

}
