// $Name: KONOE-0-09-02 $
// $Id: KonoeReadoutList.hh,v 1.4 2002/03/16 08:11:42 iwai Exp $
//===================================================================
/*

	KonoeReadoutList.hh

	Version 0.1	23-Jul-1997	H. Sakamoto
	Version 0.2	25-Jul-1997	H. Sakamoto
		use KonoeList<>
	Version 0.3	16-Sep-1997	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//===================================================================
#ifndef	__KONOEREADOUTLIST_HH
#define	__KONOEREADOUTLIST_HH

#include <daq/KonoeReadoutSection.hh>
#include <analysis/KonoeDataRecord.hh>
#include <KonoeList.hh>

class KonoeReadoutList : public KonoeList<KonoeReadoutSection> {

protected:
  KInt recordtype;

public:
  KonoeReadoutList( KInt ptablesize, KInt precordtype );
  ~KonoeReadoutList();

  KonoeDataRecord* read();
  void dump( ostream& os );
};

#endif
