// $Name: KONOE-0-09-02 $
// $Id: KonoeReadoutSection.hh,v 1.5 2002/03/16 08:11:42 iwai Exp $
//=================================================================
/*

	KonoeReadoutSection.hh

	Version 0.1	23-Jul-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version 0.2.0	12-May-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//=================================================================
#ifndef	__KONOEREADOUTSECTION_HH
#define	__KONOEREADOUTSECTION_HH

#include <daq/KonoeReadoutSegment.hh>
#include <analysis/KonoeDataSection.hh>
#include <KonoeList.hh>

class KonoeReadoutSection : public KonoeList<KonoeReadoutSegment> {

protected:
  KInt sectiontype;

public:
  KonoeReadoutSection( KInt ptablesize, KInt psectiontype );
  ~KonoeReadoutSection();

  KonoeDataSection* read();
  void dump( ostream& os );
};

#endif
