// $Name: KONOE-0-09-02 $
// $Id: KonoeCAMAC16bitModule.cc,v 1.2 2002/03/16 08:11:43 iwai Exp $
//==================================================================
/*

	KonoeCAMAC16bitModule.cc

	Version 0.7.0   12-Nov-2000     G. Iwai

*/
//==================================================================
#include <daq/KonoeCAMAC16bitModule.hh>

KonoeCAMAC16bitModule::KonoeCAMAC16bitModule(const KonoeCAMACCrate* crate, 
					     KInt aStationNumber, 
					     KInt aChannel)
  : KonoeCAMACModule(crate, aStationNumber, aChannel)
{;}

void KonoeCAMAC16bitModule::execute(KInt subAddress, KInt function)
{
  data.naf = naf(subAddress, function);
  data.q = 0;
  data.x = 0;
  CAMACW(card, &data);
  return;
}
