// $Name: KONOE-0-09-02 $
// $Id: KonoeCAMAC24bitModule.hh,v 1.3 2002/03/16 08:11:45 iwai Exp $
//==================================================================
/*

	KonoeCAMAC24bitModule.hh

	Version 0.7.0   12-Nov-2000     G. Iwai

*/
//==================================================================
#ifndef __KONOECAMAC24BITMODULE_HH
#define __KONOECAMAC24BITMODULE_HH

#include <daq/KonoeCAMACModule.hh>

class KonoeCAMAC24bitModule : public KonoeCAMACModule {

protected:
  void execute(KInt subAddress, KInt function);
  
public:
  KonoeCAMAC24bitModule() {;}
  KonoeCAMAC24bitModule(const KonoeCAMACCrate* crate, KInt aStationNumber, 
			KInt aChannel);
  virtual ~KonoeCAMAC24bitModule() {;}

  inline void setData(KUInt aData) { data.data.d24 = aData; }
  inline KUInt getData() const { return ( data.data.d24 ); }
  inline void showData() const
  { 
    cout << setw( ITEM_WIDTH ) << "data.d24 :" 
	 << setw( VALUE_WIDTH ) << this -> getData() << endl; 
    return;
  }

};

#endif
