// $Name: KONOE-0-09-02 $
// $Id: KonoeCAMACADC.hh,v 1.12 2002/03/16 08:11:46 iwai Exp $
//==================================================================
/*

	KonoeCAMACADC.hh

	Version 0.6.0	06-Mar-2000	G. Iwai

*/
//==================================================================
#ifndef __KONOECAMACADC_HH
#define __KONOECAMACADC_HH

#include <daq/KonoeCAMAC16bitModule.hh>

class KonoeCAMACADC : public KonoeCAMAC16bitModule {

public:
  KonoeCAMACADC( const KonoeCAMACCrate* crate, KInt aStationNumber, KInt aChannel = 16 );
  ~KonoeCAMACADC() {;}

  inline void read(KInt subAddress) { execute(subAddress,0); }
  inline void testLAM() { execute(0,8); }
  inline void disableLAM() { execute(0,24); }
  inline void enableLAM() { execute(0,26); }

  KonoeDataSegment* getDataSegment(KInt segmentTag);
  KInt fillData( KonoeDataElement* pelement, 
		 KonoeModuleSubaddress* subAddress = 0 ); 
  void initialize();
  void clear();
  void update();
};

#endif
