// $Name: KONOE-0-09-02 $
// $Id: KonoeCAMACOutputRegister.hh,v 1.10 2002/03/16 08:11:48 iwai Exp $
//==================================================================
/*

	KonoeCAMACOutputRegister.hh

	Version 0.6.0	24-Mar-2000	G. Iwai

*/
//==================================================================
#ifndef __KONOECAMACOUTPUTREGISTER_HH
#define __KONOECAMACOUTPUTREGISTER_HH

#include <daq/KonoeCAMAC16bitModule.hh>

class KonoeCAMACOutputRegister : public KonoeCAMAC16bitModule {

public:
  KonoeCAMACOutputRegister(const KonoeCAMACCrate* crate, 
			   KInt aStationNumber, KInt aChannel = 16);
  ~KonoeCAMACOutputRegister() {;}

  inline void writeLevel(KUShort aData) { setData(aData); execute(0,16); }

  inline void writePulse(KUShort aData) { setData(aData); execute(0,17); }

  KonoeDataSegment* getDataSegment(KInt segmentTag);
  KInt fillData( KonoeDataElement* pelement, 
		 KonoeModuleSubaddress* subAddress = 0 ); 
  void initialize();
  void update();
  void clear();

};

#endif
