// $Name: KONOE-0-09-02 $
// $Id: KonoeDAQModuleBase.cc,v 1.5 2002/03/16 08:11:51 iwai Exp $
//==================================================================
/*

	KonoeDAQModuleBase.cc

	Version 0.1	15-Jul-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version 0.2.0	12-May-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6.0   06-Mar-2000     G. Iwai

*/
//==================================================================

#include <daq/KonoeDAQModuleBase.hh>

KonoeDAQModuleBase::KonoeDAQModuleBase(const KInt pid) 
{
  id = pid;
  section_id = -1;
  segment_id = -1;
}

KonoeDAQModuleBase::KonoeDAQModuleBase() 
{
  id = 0;
  section_id = -1;
  segment_id = -1;
}

KonoeDAQModuleBase::KonoeDAQModuleBase(KInt psectionid, 
				       KInt psegmentid, 
				       KInt pid) 
{
  section_id = psectionid;
  segment_id = psegmentid;
  id = pid;
}
