// $Name: KONOE-0-09-02 $
// $Id: KonoeDigitizerList.cc,v 1.5 2002/03/16 08:11:52 iwai Exp $
//==================================================================
/*

	KonoeDigitizerList.cc

	Version 0.2.0	 2-May-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//==================================================================

#include	<daq/KonoeDigitizerList.hh>

KonoeDigitizerList::KonoeDigitizerList( KInt ptablesize )
  : KonoeList<KonoeSimDigitizer>( ptablesize )
{;}

KonoeSimDigitizer* KonoeDigitizerList::find( KInt psectionid )
{
  KonoeSimDigitizer* d;
  reset();
  while ( d = next() ) {
    if ( d -> getSectionID( ) == psectionid )
      return d;
  }
  return 0;
}
