// $Name: KONOE-0-09-02 $
// $Id: KonoeHardwareModule.cc,v 1.8 2002/03/16 08:11:52 iwai Exp $
//==================================================================
/*

	KonoeHardwareModule.cc

	Version 0.1	15-Jul-1997	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0   06-Mar-2000     G. Iwai

*/
//==================================================================
#include <daq/KonoeHardwareModule.hh>

KonoeHardwareModule::KonoeHardwareModule()
{
  status = OFFLINE;
  alternate = 0;
}

KonoeHardwareModule::~KonoeHardwareModule()
{;}

void KonoeHardwareModule::initialize()
{
  if ( alternate && status == OFFLINE )
    alternate -> initialize();
}

void KonoeHardwareModule::clear() 
{
  if ( alternate && status == OFFLINE )
    alternate -> clear();
  return;
}

void KonoeHardwareModule::update()
{
  if ( alternate && status == OFFLINE )
    alternate->update();
  return;
}
