// $Name: KONOE-0-09-02 $
// $Id: KonoeNameSpaceValueModule.cc,v 1.5 2002/03/16 08:11:52 iwai Exp $
//====================================================================
/*

	KonoeNameSpaceValueModule.cc

        Version 0.6.0   04-Dec-2000     G. Iwai

*/
//====================================================================
#include <daq/KonoeNameSpaceValueModule.hh>
#include <system/KonoeNameSpaceValue.hh>

KonoeNameSpaceValueModule::KonoeNameSpaceValueModule( KChar* item )
  : KonoeSoftwareModule(KonoeNameSpaceValueModule::MODULE_TYPE),
    theItem(item)
{
  theTable = new KonoeNameSpaceTable();
  KonoeNameSpaceValue* value;
  value = this -> theTable -> getValue( this -> theItem );
  if ( value == 0 )
    this -> theValue = "-1";
  else
    this -> theValue = (KChar*) (*value);
  delete value;
}

KonoeNameSpaceValueModule::~KonoeNameSpaceValueModule()
{
  delete theTable;
}

KInt KonoeNameSpaceValueModule::fillData( KonoeDataElement* anElement,
					  KonoeModuleSubaddress* subAddress) 
{
  // Sorry, under construction
	return 0;

}

void KonoeNameSpaceValueModule::initialize()
{
  // Sorry, under construction
  return;
}

void KonoeNameSpaceValueModule::clear()
{
  // Sorry, under construction
  return;
}

void KonoeNameSpaceValueModule::update()
{
  KonoeNameSpaceValue* value;
  value = this -> theTable -> getValue( this -> theItem );
  if ( value == 0 )
    this -> theValue = "-1";
  else
    this -> theValue = (KChar*) *value;
  delete value;
  return;
}
