// $Name: KONOE-0-09-02 $
//=================================================================
/*

	KonoePT3Module.cc

	Version 0.0.1	13-Apr-2001	H. Sakamoto

	-------------------------------------------

	PT3 FPGA module class

*/
//=================================================================

#include	<daq/KonoePT3Module.hh>
#include	<daq/KonoePT3Chip.hh>

KonoePT3Module::KonoePT3Module( KInt pvmeaddress )
	: KonoeVMEModule( pvmeaddress, MEMORY_SIZE ) {

	for( KInt i = 0; i < N_FPGA; i ++ ) {

	    chip[ i ] = new KonoePT3Chip( this, i );

	}
}

void	KonoePT3Module::setLED( KInt flag ) {

	write16( S_LED_TEST, flag );

}
