// $Name: KONOE-0-09-02 $
// $Id: KonoeSimDigitizer.hh,v 1.5 2002/03/16 08:11:56 iwai Exp $
//==================================================================
/*

	KonoeSimDigitizer.hh

	Version 0.2.0	 2-May-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//==================================================================

#ifndef	__KONOESIMDIGITIZER_HH
#define	__KONOESIMDIGITIZER_HH

#include <KonoePrimitives.hh>
#include <analysis/KonoeSimDetectorHit.hh>
#include <daq/KonoeSimModule.hh>

class KonoeSimDigitizer {

protected:
  KInt section_id;

public:
  KonoeSimDigitizer( KInt sectionid );
  KInt getSectionID() {	return section_id; }
  virtual KInt digitize( KonoeSimDetectorHit* hit,
			 KonoeDataAddress* add,
			 KonoeSimModule* module ) = 0;

};

#endif
