// $Name: KONOE-0-09-02 $
// $Id: KonoeSimTDCModule.hh,v 1.5 2002/03/16 08:11:57 iwai Exp $
//======================================================================
/*

	KonoeSimTDCModule.hh

	Version 0.1	02-Aug-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version 0.2.1	10-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//======================================================================

#ifndef	__KONOESIMTDCMODULE_HH
#define	__KONOESIMTDCMODULE_HH

#include <daq/KonoeSoftwareModule.hh>

class KonoeSimTDCModule : public KonoeSoftwareModule {

public:
  enum { MODULE_ID =100, DEF_FULLSCALE = 4096 };

protected:
  KInt n_channels;
  KInt n_average_hits;
  KInt fullscale;

public:
  KonoeSimTDCModule( KInt pnchannels, KInt pnavrhits, 
		     KInt pfullscale = DEF_FULLSCALE );
  KInt getDataSize();
  KInt fillData( KonoeDataElement* pelement, KonoeModuleSubaddress* );
  void initialize();
  void clear();
  void update();
  KonoeDataSegment* getDataSegment( KInt psegmenttag );
};

#endif
