// $Name: KONOE-0-09-02 $
// $Id: KonoeSoftCounter.hh,v 1.5 2002/03/16 08:11:58 iwai Exp $
//====================================================================
/*

	KonoeSoftCounter.hh

	Version 0.1	24-Jul-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version 0.2.1	10-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//====================================================================
#ifndef	__KONOESOFTCOUNTER_HH
#define	__KONOESOFTCOUNTER_HH

#include <daq/KonoeSoftwareModule.hh>

class KonoeSoftCounter : public KonoeSoftwareModule {

public:
  enum { SOFTWARE_COUNTER = 1 };

protected:
  KInt counter;

public:
  KonoeSoftCounter();
  KInt getDataSize() { return 1; }
  KInt fillData( KonoeDataElement * pelement,
		 KonoeModuleSubaddress * subaddress = 0 );
  void initialize( );
  void clear( );
  void update( );
  void set( KInt value );

  KInt getCounter() const { return ( this -> counter ); }
};

#endif
