// $Name: KONOE-0-09-02 $
// $Id: KonoeSoftwareCrate.hh,v 1.7 2002/03/16 08:11:59 iwai Exp $
//===================================================================
/*

	KonoeSoftwareCrate.hh

	Version 0.1	25-Jul-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	12-May-2001	H. Sakamoto

*/
//===================================================================
#ifndef	__KONOESOFTWARECRATE_HH
#define	__KONOESOFTWARECRATE_HH

#include <daq/KonoeDAQCrateBase.hh>
#include <daq/KonoeSoftwareModule.hh>

class KonoeSoftwareCrate : public KonoeDAQCrateBase {

protected:
  KInt n_modules;
  KInt tablesize;
  KonoeSoftwareModule** modules;

public:
  KonoeSoftwareCrate(KInt ptablesize);

	KInt	getModuleCount( )	{	return n_modules;	}
	KonoeSoftwareModule	* getModule( KInt index );

  KInt install( KonoeSoftwareModule * pmodule );
  void initialize();
  void clear();
  void update();
};

#endif
