// $Name: KONOE-0-09-02 $
// $Id: KonoeXactionBase.hh,v 1.5 2002/03/16 08:12:04 iwai Exp $
//===================================================================
/*

	KonoeXactionBase.hh

	Version 0.1	01-Aug-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0   05-Aug-2000     G. Iwai

*/
//===================================================================

#ifndef	__KONOEXACTIONBASE_HH
#define	__KONOEXACTIONBASE_HH

#include <daq/KonoeReadoutList.hh>

class KonoeXactionBase {

protected:
  KonoeReadoutList* list;

public:
  KonoeXactionBase(KonoeReadoutList* plist) { list = plist; }
  virtual KInt enable() = 0;
  virtual KInt disable() = 0;
};

#endif
