// $Name: KONOE-0-09-02 $
// $Id: demo.cc,v 1.6 2002/03/16 08:12:05 iwai Exp $
//====================================================================
/*

	demo.cc at konoe/src/daq/transaction

	Version 0.1	01-Aug-1997	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//====================================================================
#include	<daq/KonoeSignalXaction.hh>
#include	<daq/KonoeReadoutList.hh>
#include	<stdlib.h>

class Demo {
protected:
  KonoeSignalXaction* xaction;

public:
  Demo();
  KInt go();
};

Demo::Demo() 
{
  xaction = new KonoeSignalXaction(0, SIGUSR1);
}

KInt Demo::go() 
{
  xaction-> enable();
  pause();
  return (0);
}

int main() 
{
  Demo demo;
  demo.go();
  return (0);
}
