//=====================================================================
/*

	KonoeTree.cc

	Version 0.1	02-Aug-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka
*/
//=====================================================================

#include	<KonoeTree.hh>
#ifndef		__KONOETREE_CC
#define		__KONOETREE_CC

template<class T>	KonoeTree<T>::KonoeTree( ) {
	foreward = 0;
	backward = 0;
	downward = 0;
	upward = 0;
	entry = 0;
}

template<class T>	KonoeTree<T> * KonoeTree<T>::addDown(
				KonoeTree<T> * item ) {

	downward = item;
	item -> upward = this;
	return item;
}

template<class T>	KonoeTree<T> * KonoeTree<T>::addDown(
				T * item ) {

	downward = new KonoeTree<T>;
	downward -> upward = this;
	return downward;

}

template<class T>	KonoeTree<T> * KonoeTree<T>::addNext(
				KonoeTree<T> * item ) {

	foreward = item;
	item -> backward = this;
	return item;

}

template<class T>	KonoeTree<T> * KonoeTree<T>::addNext(
				T * item ) {

	foreward = new KonoeTree<T>;
	foreward -> backward = this;
	return foreward;

}

template<class T>	KonoeTree<T> * KonoeTree<T>::goFirst( ) {

	if( backward == 0 )
	    return this;
	return backward -> goFirst( );

}

template<class T>	KonoeTree<T> * KonoeTree<T>::goLast( ) {

	if( foreward == 0 )
	    return this;
	return foreward -> goLast( );

}
#endif
