//===================================================================
/*

	demo.cc at konoe/src/system/container

	Version 0.1	26-Jul-1997	H. Sakamoto
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka
*/
//===================================================================

#include	<KonoePrimitives.hh>
#include	<KonoeList.hh>
#include	<KonoeTree.hh>
#include	<analysis/KonoeDataElement.hh>
#include	<KonoeDirectory.hh>
#include	<iostream.h>

class	Demo : public KonoeList<KonoeDataElement> {

protected :
	KonoeTree<KonoeDataElement>	* tree;
	KonoeDirectory<KonoeDataElement>	* directory;

public :
	Demo( KInt ptablesize );
	KInt	go( );
};

Demo::Demo( KInt ptablesize ) : KonoeList<KonoeDataElement>( ptablesize ) {

	tree = new KonoeTree<KonoeDataElement>;
	directory = new KonoeDirectory<KonoeDataElement>(
		0, "root", 256, 16 );

}

KInt	Demo::go( ) {
	return 0;
}

main( ) {

	Demo	* demo;
	demo = new Demo( 1 );
	return demo -> go( );
}
