//========================================================
/*

        KonoeCDCommand.hh

        Version 0.0.1  04-Aug-1999  S.Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.5.1	26-Jan-2000	H. Sakamoto

*/
//========================================================

#ifndef __KONOECDCOMMAND_HH
#define __KONOECDCOMMAND_HH

#include        <system/KonoeDirectoryFile.hh>
#include        <system/KonoeStreamableObject.hh>
#include        <system/KonoeFileManageRequest.hh>
#include 	<system/KonoePath.hh>

class KonoeCDCommand : public KonoeFileManageRequest {

public :
        static const KChar      * className;

protected :
	KonoePath	* path;

        enum    MEMBER_ID       {
                MID_PATH, N_MEMBERS };
public :
        KonoeCDCommand( );
        KonoeCDCommand( KonoePath * path );
        ~KonoeCDCommand( );

        KInt	execute( KonoeFileManageServer * server);
	KInt	request( KonoeFileManageServer * server );

//      to be streamable

        KInt    put(    KonoeOutputObjectStream * outstream,
                        KChar level, KInt memberid ) ;
        KInt    getStreamSize( ) ; 
        KInt    fillPrimitiveMember( KInt memberid, KInt datatype,
                                KInt datacount, void * data ){ return 0; }
        KInt    fillObjectMember( KInt memberid, KonoeStreamableObject * );

};

#endif 
