//=====================================================================
/*

    KonoeCPCommand.cc

    Version 0.0.1   17-Apr-2000 T. Hosoi

*/
//====================================================================

#include <system/KonoeCPCommand.hh>
#include <system/KonoeNetworkInputFile.hh>
#include <system/KonoeNetworkOutputFile.hh>
#include    <KonoeCategories.hh>
#include    <system/KonoeFileManagerCM.hh>
#include    <system/KonoeFileManageAnswer.hh>

const KChar* KonoeCPCommand::className = "KonoeCPCommand";

KonoeCPCommand::KonoeCPCommand() : 
            KonoeFileManageRequest( KonoeFileManagerCM::CID_CDCOMMAND )
{ ; }

KonoeCPCommand::~KonoeCPCommand()
{ ; }

void KonoeCPCommand::copy(KChar* fromHost, KChar* filename1,
                           KChar* toHost, KChar* filename2, KInt bufferSize)
{
  KChar* buffer = new KChar[bufferSize];

  KonoeNetworkInputFile* kni =
              new KonoeNetworkInputFile(filename1, fromHost);
  kni->read(buffer, bufferSize);

  KonoeNetworkOutputFile* kno =
              new KonoeNetworkOutputFile(filename2, toHost);
  kno->write(buffer, bufferSize);

  delete [] buffer;
  delete kni;
  delete kno;
}

KInt KonoeCPCommand::execute( KonoeFileManageServer* server ){
cout << "KonoeCPCommand::execute" << endl;
  return 0;
}
KInt KonoeCPCommand::request( KonoeFileManageServer* server ){
cout << "KonoeCPCommand::request" << endl;
  return 0;
}

KInt KonoeCPCommand::put( KonoeOutputObjectStream * os,
                          KChar level, KInt memberid ) {
cout << "KonoeCPCommand::put" << endl;
  return 0;
}

KInt KonoeCPCommand::getStreamSize( ){
cout << "KonoeCPCommand::getStreamSize" << endl;
  return 0;
}

KInt KonoeCPCommand::fillPrimitiveMember( KInt memberid, KInt datatype,
                                          KInt datacount, void *data){
cout << "KonoeCPCommand::fillPrimitiveMember" << endl;
  return 0;
}

KInt KonoeCPCommand::fillObjectMember( KInt memberid,
                                       KonoeStreamableObject * obj){
cout << "KonoeCPCommand::fillObjectMember" << endl;
    return 0;
}
