//=====================================================================
/*

    KonoeCPCommand.hh

    Version 0.0.1   17-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOECPCOMMAND_HH
#define __KONOECPCOMMAND_HH

#include <system/KonoeFileManageRequest.hh>

class KonoeCPCommand : public KonoeFileManageRequest {

  public:
    static const KChar* className;

  public:
    KonoeCPCommand();
    ~KonoeCPCommand();

    void copy(KChar* fromHost, KChar* filename1,
              KChar* toHost, KChar* filename2, KInt bufferSize);

    KInt execute( KonoeFileManageServer * server);
    KInt request( KonoeFileManageServer * server );

//      to be streamable

    KInt put(KonoeOutputObjectStream* outstream, KChar level, KInt memberid);
    KInt getStreamSize() ;
    KInt fillPrimitiveMember(KInt memberid, KInt datatype,
                             KInt datacount, void * data);
    KInt fillObjectMember(KInt memberid, KonoeStreamableObject *);

  private:
};

#endif
