//====================================================================
/*

	KonoeDirectoryFile.hh

	Version 0.4.0   01-Sep-1999     Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//====================================================================
#ifndef __KONOEDIRECTORYFILE_HH
#define __KONOEDIRECTORYFILE_HH

#include	<KonoePrimitives.hh>
#include	<KonoeList.hh>
#include	<dirent.h>
#include	<iostream.h>

class KonoeDirectoryFile {

public :
	enum	{	NORMAL,
			E_NOTEXIST, E_PERMISSINDENIED,
			E_NOTDIRECTORY, E_OTHER };

protected :
	KChar	* path;
	DIR	* dirp;
	struct	dirent	* dp;
	KInt	status;

public :

	KonoeDirectoryFile( KChar * path );
	~KonoeDirectoryFile( );

	KInt	getStatus( ){ return status; }
	KBool	isNormal( ){	return status == NORMAL;}
	KChar *	getFileName( );
	void	reset( );

};

#endif
