//=======================================================
/*

	KonoeFileManageServer.hh

	Version 0.0.1   03-Aug-1999     S.Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//=======================================================

#ifndef __KONOEFILEMANAGESERVER_HH
#define __KONOEFILEMANAGESERVER_HH

#include <system/KonoeServerSocket.hh>
//#include "KonoeUNIXCommand.hh"
#include	<system/KonoeObjectSocket.hh>
#include	<system/KonoeStreamableObject.hh>
#include	<system/KonoePath.hh>
#include	<system/KonoeFileInfomation.hh>
#include	<system/KonoeDirectoryInfomation.hh>
#include	<system/KonoeDirectoryFile.hh>
//#include <KonoeListCommand.hh>
//#include <KonoeCdCommand.hh>

class KonoeFileManageServer  {
  
public :
  
	enum  {  FILEMANAGERPORT = 9800,
		FILEMANAGEREQESTPORT = 9801  };
  
	enum  {  BUFFERSIZE = 512             };


protected :

	KChar	* rootdir;

	KonoeObjectSocket	*  socket;
	KonoeServerSocket	*  serverSocket;
	//KonoeOutoutSocket	*  outputObjectSocket;
	//KonoeInputObjSocket	*  objectRequestSocket;
	//KonoeServerSocket	*  serversocket;
	//KonoeServerSocket	*  requestsocket;
	KonoeFDSet		*  readfds;
  
	//KInt readObjectRequestSocket( KonoeSocketConnection * );
	//KInt executeCommand( KonoeFileCommand * com );
//	KInt executeCommand( KonoeUNIXCommand * com );

  public :
	KonoeFileManageServer( );
	KInt go( );

	KInt doFileIOManage( KChar * filename, KInt mode );
	KonoeFileInfomation  * getFileInfomation( KonoePath * path );
	KonoeDirectoryInfomation * getDirectoryInfomation( KonoePath * path );
	KInt	sendObject( KonoeStreamableObject * obj );

};	

#endif
