//===============================================================
/*


   KonoeFileManagerCM.hh

        Version 0.1     03-Aug-1999     S.Inaba & Y.Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno


*/
//===============================================================

#ifndef __KONOEFILEMANAGERCM_HH
#define __KONOEFILEMANAGERCM_HH

#include <system/KonoeCategoryManager.hh>


class KonoeFileManagerCM : public KonoeCategoryManager {

public :
	enum CLASS_ID{  CID_LSCOMMAND = 0x100,
			CID_CDCOMMAND = 0x200,
			CID_FILEIOREQUEST = 0x300,
			CID_FILEINFOMATION = 0x400,
			CID_DIRECTORYINFOMATION = 0x500,
			CID_PATH = 0x600,
			CID_FILEREQUEST = 0x700,
			CID_DIRECTORYREQUEST = 0x800,
			CID_FILEMANAGEANSWER = 0x900,
            CID_CPCOMMAND = 0x1001
		};

public :
	KonoeFileManagerCM( );
	KonoeStreamableObject * create( KInt classid );
	const KChar    * getClassName( KInt classid );
  
};

#endif

