//=================================================================
/*

	KonoeFileRequest.hh

	Version 0.0.1	13-Jun-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//=================================================================

#ifndef	__KONOEFILEREQUEST_HH
#define	__KONOEFILEREQUEST_HH

#include	<system/KonoeOutputObjSocket.hh>
#include        <system/KonoeStreamableObject.hh>
#include        <system/KonoeFileManageRequest.hh>
#include        <system/KonoePath.hh>

class	KonoeFileRequest : public KonoeFileManageRequest {

public :
	static const KChar *	className;

	enum    MEMBER_ID	{	MID_PATH,
					N_MEMBERS	};

protected :
	KonoePath	* path;

public :
	KonoeFileRequest( KonoePath * path );
	KonoeFileRequest( );
	~KonoeFileRequest();

	KInt execute( KonoeFileManageServer * server ){
				return request( server );}
	KInt request( KonoeFileManageServer * server );

	KonoePath * getPath( ){ return path; }

        // to be streamable

        KInt    put(    KonoeOutputObjectStream * outstream,
                        KChar level, KInt memberid );
        KInt    getStreamSize( );
        KInt    fillPrimitiveMember( KInt memberid, KInt datatype,
                        KInt datacount, void * data ){ return -1; }
        KInt    fillObjectMember( KInt, KonoeStreamableObject * );

};

#endif
