//===================================================================
/*

	KonoeNewtorkFileIO.hh

        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//===================================================================

#ifndef	__KONOENETWORKFILEIO_HH
#define	__KONOENETWORKFILEIO_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeClientSocket.hh>
#include	<system/KonoeObjectSocket.hh>

class	KonoeNetworkFileIO	{

public :
	enum	{	CLOSED, OPENED		};
	enum	{	READ, WRITE, UNDEFINED		};
	enum	{	DEFAULT_MODE = 0644	};

protected :
	KChar	* filename;
	KChar	* hostname;
	KInt	status;
	KInt	mode;

	KonoeObjectSocket	* socket;

public :
	KonoeNetworkFileIO( );
	KonoeNetworkFileIO( KChar * pfilename, KInt pmode = READ,
				KChar * phostname = 0 );
	~KonoeNetworkFileIO( );

}; 

#endif
