//===================================================================
/*

	KonoeNetworkInputFile.cc


        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//===================================================================

#include	<system/KonoeNetworkInputFile.hh>
#include	<system/KonoeFileManageServer.hh>
#include	<system/KonoeFileIORequest.hh>
//#include	<system/KonoeCreateManagerRequest.hh>
//#include	<system/KonoeNetworkFileServer.hh>
//#include	<system/KonoeNetworkFileCM.hh>
//#include	<system/KonoeNetworkFileManager.hh>
//#include	<system/KonoeReadRequest.hh>
//#include	<system/KonoeOpenRequest.hh>
//#include	<system/KonoeReadAnswer.hh>
#include	<iostream.h>

KonoeNetworkInputFile::KonoeNetworkInputFile( ) : KonoeNetworkFileIO( ){

}

/*
KonoeNetworkInputFile::KonoeNetworkInputFile( KonoeObjectSocket * psocket ) {

	socket = psocket;
}
*/

KonoeNetworkInputFile::KonoeNetworkInputFile( KChar * pfilename, KChar * host )
		: KonoeNetworkFileIO( pfilename, READ, host ){

// port number 
	//KInt port = KonoeNetworkFileManager::NETWORKFILEMANAGERPORT;
	//KInt port = KonoeNetworkFileServer::NETWORKFILESERVERPORT;
	//KInt port = KonoeFileManageServer::FILEMANAGESERVERPORT;
	KInt port = KonoeFileManageServer::FILEMANAGERPORT;

// create socket
	socket = new KonoeObjectSocket( host, port );
	//socket = new KonoeClientSocket( host, port );

// send message
	//KonoeNetworkInputFileManager * manager;
	//manager = new KonoeNetworkInputFileManager( pfilename );
	//socket -> put( manager );
	//delete manager;

	//KonoeOpenRequest * request = new KonoeOpenRequest( filename, mode );
	//socket -> put( request );

	//KonoeCreateManagerRequest * request;
	//request = new KonoeCreateManagerRequest( 
	//	KonoeCreateManagerRequest::INPUTFILEMANAGER );

	KonoeFileIORequest * request;
	request = new KonoeFileIORequest( filename, KonoeNetworkFileIO::READ );
	socket -> put( request );

	delete request;

	status = OPENED;
}

KInt	KonoeNetworkInputFile::read( KChar * buffer, KInt buffersize ){
	return get( buffer, buffersize );
}

KInt	KonoeNetworkInputFile::get( KChar * buffer, KInt buffersize ){

	KInt readsize;

	if( status != OPENED ){
		cerr << "KonoeNetworkInputFile::read. File not opened," << endl;
		return -1;
	}

	// send readsize 
	socket -> write( (KChar*)&buffersize, sizeof( KInt ));

	socket -> read( (KChar*)&readsize, sizeof(KInt) );
	if( readsize == 0 ){ // end of file
	    return 0;
	}else if( readsize < 0 ){ // error
	    return readsize;
	}
	    
	return socket -> read( buffer, readsize );
}

