//==================================================================
/*

	KonoeNetworkInputFileManager.cc

        Version 0.5.0   21-Sep-1999     Y. Koun
	Version 0.5.1	26-Jan-2000	H.Sakamoto

*/
//==================================================================

#include        <system/KonoeNetworkInputFileManager.hh>
//#include        <system/KonoeNetworkFileMessage.hh>
//#include        <system/KonoeNetworkFileCM.hh>
#include	<KonoeCategories.hh>
#include	<stdio.h>


KonoeNetworkInputFileManager::KonoeNetworkInputFileManager( KChar * pfilename,
	KonoeSocketIO * psocket )
	: KonoeNetworkFileIOManager( pfilename, psocket ) {

//cout<< "input manager construct" << endl;

	file = new KonoeInputFile( pfilename );
}

KInt	KonoeNetworkInputFileManager::go( ){

	//KInt	buffersize = 256;
	KInt	buffersize = 1024;
	KChar	* buffer = new KChar[ buffersize ];
	KInt	requestsize, readsize;

cout<< "input Manager go" << endl;


	while( socket -> receive( (KChar*)&requestsize, sizeof(KInt) ) > 0 ){

	    readsize = file -> get( buffer, requestsize );

cout<<"debug:InputFileManager:go: send data " << endl;
cout<<"debug:InputFileManager:go: readsize " << readsize << endl;
cout<<"debug:InputFileManager:go: buffer " << buffer << endl;

	    socket -> send( (KChar*)&readsize, sizeof(KInt) );
	    if( readsize > 0 ){
	        socket -> send( buffer, readsize);
	    }
	}

cout<< "input Manager go end" << endl;

	return 0;
}
