//===================================================================
/*

	KonoeNewtorkOutputFile.hh

        Version 0.5.0   07-Apr-2000     T. Hosoi

*/
//===================================================================

#ifndef	__KONOENETWORKOUTPUTFILE_HH
#define	__KONOENETWORKOUTPUTFILE_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeClientSocket.hh>
#include	<system/KonoeObjectSocket.hh>
#include	<system/KonoeNetworkFileIO.hh>

class	KonoeNetworkOutputFile : public KonoeNetworkFileIO {

public :
	KonoeNetworkOutputFile( );
	KonoeNetworkOutputFile( KChar * pfilename, KChar * host );
	KonoeNetworkOutputFile( KonoeObjectSocket * psocket );

	KInt set( KChar * pbuffer, KInt buffersize );
	KInt write( KChar * pbuffer, KInt buffersize ); // same to set( )
}; 

#endif
