//=================================================================
/*

	KonoeTime.hh

	Version 0.2.0	06-Jun-1998	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba 
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0 	22-Jul-2000	Y. Shimizu
	Version 0.6.1 	15-Nov-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//=================================================================

#ifndef	__KONOETIME_HH
#define	__KONOETIME_HH

#include	<system/KonoeTimeData.hh>
#include	<system/KonoeStreamableObject.hh>
#include	<iostream.h>

class	KonoeTime	: public KonoeTimeData,
			  public KonoeStreamableObject {

public :

	static const KChar	* className;
	KChar* 	timeInfo;

public :
	KonoeTime( );
	~KonoeTime( );

	KChar * getTimeInfo( );
	void	dump( ostream & os );

	// to be streamable

	KInt	put(	KonoeOutputObjectStream * outstream,
			KChar level, KInt memberid );
	KInt	getStreamSize( );
	KInt	fillPrimitiveMember( KInt memberid, KInt datatype,
				KInt datacount, void * data );
	KInt	fillObjectMember( KInt memberid, KonoeStreamableObject * ) {
				return -1; }


};

#endif
