//==================================================================
/*

	klogdump.cc

	Version 0.0.1   03-Aug-1999     Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6.0   15-Aug-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka
	
	Konoe logger : dump objected-logfile
                            ~~~~~~~~~~~~~~~~
*/
//==================================================================

#include	<system/KonoeLogger.hh>
#include	<system/KonoeLoggerCM.hh>
#include	<system/KonoeLogMessage.hh>
#include	<system/KonoeInputObjFile.hh>
#include	<system/KonoeHostSystem.hh>

int	main( int argc, char **argv ) {

	if(argc != 2 ){
		cerr << " ./klogdump <OBJECT filename> " << endl;
		KonoeHostSystem::exit(0);
	}	
	

	KonoeInputObjFile * ofile;
	KonoeLogMessage * message;
	KonoeLoggerCM  * cm; 
	KChar* filename;
	
	filename = (KChar*)*++argv;	
	


	ofile = new KonoeInputObjFile( filename );
	cm = new KonoeLoggerCM;
	ofile->installCM( cm );
	
	while( 1 ) {
	message = ( KonoeLogMessage *) ofile->get( 0 ) ;
	if( message == 0 ) break;
	message->dump(cout);
	
	}

	return (0);

}
