//====================================================================
/*

        KonoeMessageCM.cc

        Version 0.1     02-Mar-1998     H. Kamata
        Version 0.2.0   26-Mar-1998     H. Kamata
	Version 0.2.1	27-Apr-1998	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka
*/
//====================================================================

#include <system/KonoeMessageCM.hh>
#include <system/KonoeMessage.hh>
#include <KonoeCategories.hh>

KonoeMessageCM::KonoeMessageCM( ) :
        KonoeCategoryManager( KonoeCategories::MESSAGESYSTEM,
	"message" ) {
}

KonoeStreamableObject   * KonoeMessageCM::create( KInt classid ) {

        switch( classid ) {
        case CID_MESSAGE :
                return new KonoeMessage;
        }
        return 0;
}

const KChar	* KonoeMessageCM::getClassName( KInt classid ) {

	switch( classid ) {
	case CID_MESSAGE :
		return KonoeMessage::className;
	}
	return 0;
}
