//=================================================================
/*

	KonoeGetTableMessage.hh

	Version 0.0.1	13-Jun-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//=================================================================

#ifndef	__KONOEGETTABLEMESSAGE_HH
#define	__KONOEGETTABLEMESSAGE_HH

#include	<system/KonoeNameSpaceValue.hh>
#include	<system/KonoeNameSpaceMessage.hh>
#include        <system/KonoeStreamableObject.hh>

class	KonoeGetTableMessage : public KonoeNameSpaceMessage {

public :
	static const KChar *    className;

protected :
	KChar * hostname;

	enum	MEMBER_ID	{ MID_HOSTNAME,	 N_MEMBERS	};

public :
	KonoeGetTableMessage( );
	~KonoeGetTableMessage( );

	KChar	* getHostname( ){ return hostname; }

	KInt	exec(  KonoeNameSpaceMaster * master );
	KInt	exec(  KonoeNameSpaceSlave *  slave );


	// to be streamable

	KInt	put(	KonoeOutputObjectStream * outstream,
			KChar level, KInt memberid );
	KInt	getStreamSize( ); 
	KInt	fillPrimitiveMember( KInt memberid, KInt datatype,
			KInt datacount, void * data );
	KInt	fillObjectMember( KInt menberid, KonoeStreamableObject * )
					{ return -1; }

};

#endif
