//====================================================================
/*

	KonoeNameSpaceCM.hh

	Version 0.1	12-Dec-1997	H. Sakamoto
	Version 0.2.0	25-Apr-1998	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	05-Dec-2000	H. Sakamoto

*/
//====================================================================

#ifndef	__KONOENAMESPACECM_HH
#define	__KONOENAMESPACECM_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeCategoryManager.hh>

class	KonoeNameSpaceCM : public KonoeCategoryManager {

public :
	enum CLASS_ID { CID_NAMESPACEITEM = 0x100,
			CID_NAMESPACEVALUE = 0x200,
			CID_NAMESPACETABLE = 0x300, 
			CID_SETVALUEMESSAGE = 0x400,
			CID_GETTABLEMESSAGE = 0x500,
			CID_NETWORKNAMESPACEMANAGER = 0x600 };

public :
	KonoeNameSpaceCM( );
	KonoeStreamableObject * create( KInt classid );
	const KChar * getClassName( KInt classid );
};

#endif
