//==================================================================
/*

	KonoeNameSpaceClient.cc

	Version 0.0.1	11-Nov-1998	H. Sakamoto
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//==================================================================

#include	<system/KonoeNameSpaceClient.hh>
#include	<system/KonoeNameSpaceMaster.hh>
#include	<string.h>
#include	<iostream.h>

extern "C"	{
	long	atol( char * );
	};

KonoeNameSpaceClient::KonoeNameSpaceClient( KChar * master ) {

	KInt	iport;
	KChar	* host, * aport;

	table = new KonoeNameSpaceTable( );	// using default.

	if( master == 0 ) {
	    host = table -> getValue( "NAMESPACE_MASTER_HOST" );
	    if( host == 0 ) {
		cerr <<
	"KonoeNameSpaceClient::constructor. Host not specified" << endl;
		return;
	    }
	}
	else{
            host = master;
        }
	iport = KonoeNameSpaceMaster::NAMESPACEREQUESTPORT;
	aport = table -> getValue( "NAMESPACE_MASTER_PORT" );
	if( aport ) {
	    iport = atol( aport );
	}

	socket = new KonoeClientSocket( host, iport );
}

KInt	KonoeNameSpaceClient::setValueByString( KChar * string ) {

	return socket -> send( string, strlen( string ) );

}
