//==================================================================
/*

	KonoeNetworkNameSpaceManager.hh

	Version 0.0.1	11-Nov-1998	H. Sakamoto
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	24-Nov-2000	H. Sakamoto

*/
//==================================================================

#ifndef	__KONOENETWORKNAMESPACEMANAGER_HH
#define	__KONOENETWORKNAMESPACEMANAGER_HH

#include	<system/KonoeNameSpaceManager.hh>
#include	<system/KonoeClientSocket.hh>
#include	<system/KonoeOutputObjSocket.hh>

class	KonoeNetworkNameSpaceManager : public KonoeNameSpaceManager {

public	:
	enum	{	NAMESPACETABLEKEY = 10000 };

protected :
	KChar	* masterhost;
	KonoeClientSocket       * stringsocket;

	KInt	sendPacket(  const KChar * entryname, const void * value,
                                        KInt index, KInt valutype );
public :
	KonoeNetworkNameSpaceManager( KChar * master  = 0 );
	~KonoeNetworkNameSpaceManager( );

        KInt    addValue( KChar * entryname, KChar * value );
        KInt    addValue( KChar * entryname, KInt value );
        KInt    addValue( KChar * entryname, KonoeNameSpaceValue * value );

        KInt    setValue( KChar * entryname, KChar * value, KInt index = 0 );
        KInt    setValue( KChar * entryname, KInt value, KInt index = 0 );
        KInt    setValue( KChar * entryname, KonoeNameSpaceValue * value, 
                                KInt index = 0 );


};

#endif
