//==================================================================
/*

	KonoeNetworkNameSpaceManager.hh

	Version 0.0.1	06-Aug-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno

*/
//==================================================================

#ifndef	__KONOENETWORKNAMESPACEMANAGERCHILD_HH
#define	__KONOENETWORKNAMESPACEMANAGERCHILD_HH

#include	<system/KonoeNameSpaceManager.hh>
#include	<system/KonoeClientSocket.hh>
#include	<system/KonoeOutputObjSocket.hh>
#include	<system/KonoeSignalClient.hh>
#include	<system/KonoeIntervalTimer.hh>
#include	<system/KonoeSignalHandler.hh>
#include	<KonoeList.hh>

class	KonoeNetworkNameSpaceManagerChild : public KonoeSignalClient {

protected :

	KonoeNameSpaceTable	* table;
	KonoeClientSocket       * stringsocket;
	KonoeClientSocket       * objectsocket;
        KonoeOutputObjSocket    * socket;

	KChar	* entryname;
	KonoeIntervalTimer      * timer;
	KonoeSignalHandler	* handler;
	
public :
	KonoeNetworkNameSpaceManagerChild( KChar * pentryname, KInt time,
						KChar * master  = 0 );
	~KonoeNetworkNameSpaceManagerChild( );

	KInt	go() ;

	void    catchSignal( KInt signal );
	KInt	setInterval( KInt );

};

#endif
