//===================================================================
/*

	KonoeInputObjFile.hh

	Version 0.1	22-Oct-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba	
	Version 0.4.1	09-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
*/
//===================================================================

#ifndef	__KONOEINPUTOBJFILE_HH
#define	__KONOEINPUTOBJFILE_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeObjectFileBase.hh>
#include	<system/KonoeInputObjectStream.hh>
#include	<system/KonoeInputFile.hh>

class	KonoeInputObjFile : public KonoeObjectFileBase,
		public KonoeInputObjectStream {

protected :
	KonoeInputFile	* inputfile;

public :
	KonoeInputObjFile( );
	KonoeInputObjFile( KChar * filename );
	~KonoeInputObjFile( );

	KInt	readFromStream( KChar * pbuffer, KInt buffersize );
};


#endif
