//=====================================================================
/*

	KonoeOutputObjFile.hh

	Version 0.1	16-Oct-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba	
	Version 0.4.1	09-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
*/
//=====================================================================

#ifndef	__KONOEOUTPUTOBJFILE_HH
#define	__KONOEOUTPUTOBJFILE_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeObjectFileBase.hh>
#include	<system/KonoeOutputObjectStream.hh>
#include	<system/KonoeOutputFile.hh>

class	KonoeOutputObjFile :
		public KonoeObjectFileBase,
		public KonoeOutputObjectStream {

protected :
	KonoeOutputFile	* outputfile;

public :
	KonoeOutputObjFile( );
	KonoeOutputObjFile( KChar * filename );
	~KonoeOutputObjFile( );

	KInt writeToStream( const KChar * pbuffer, KInt nbytes );

};


#endif
