//=====================================================================
/*

	KonoeOutputObjFileBuffered.hh

	Version 0.1	16-Oct-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba	
	Version 0.4.1	09-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	02-Dec-2000	H. Sakamoto

*/
//=====================================================================

#ifndef	__KONOEOUTPUTOBJFILEBUFFERED_HH
#define	__KONOEOUTPUTOBJFILEBUFFERED_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeObjectFileBase.hh>
#include	<system/KonoeOutputObjectStream.hh>
#include	<system/KonoeOutputFile.hh>

class	KonoeOutputObjFileBuffered :
		public KonoeObjectFileBase,
		public KonoeOutputObjectStream {

public :
	enum	{	WRITE_BUFFER_SIZE = 512		};

protected :
	KonoeOutputFile	* outputfile;

	KChar	write_buffer[ WRITE_BUFFER_SIZE ];
	KInt	write_buffer_size;
	KInt	write_buffer_pointer;

public :
	KonoeOutputObjFileBuffered( );
	KonoeOutputObjFileBuffered( KChar * filename );
	~KonoeOutputObjFileBuffered( );

	KInt writeToStream( const KChar * pbuffer, KInt nbytes );

protected :
	void	initialize( );

};


#endif
