//====================================================================
/*

	KonoeInputObjSocket.cc

	Version 0.1	25-Oct-1997	H. Sakamoto
	Version 0.2	24-Apr-1998	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//====================================================================

#include	<system/KonoeInputObjSocket.hh>
#include	<system/KonoeClientSocket.hh>
#include	<system/KonoeServerSocket.hh>

KonoeInputObjSocket::KonoeInputObjSocket( KChar * host, KInt port )
		: KonoeObjectSocketBase( ),
		KonoeInputObjectStream( ) {

	socket = new KonoeClientSocket( host, port );

}

KonoeInputObjSocket::KonoeInputObjSocket( KInt port )
		: KonoeObjectSocketBase( ),
		KonoeInputObjectStream( ) {

	socket = new KonoeServerSocket( port );

}

KonoeInputObjSocket::KonoeInputObjSocket( KonoeSocketIO * s )
		: KonoeObjectSocketBase( ),
		KonoeInputObjectStream( ) {

	socket = s;

}

KonoeInputObjSocket::~KonoeInputObjSocket( ) {

	delete socket;

}

KInt	KonoeInputObjSocket::readFromStream( KChar * buffer, KInt buffersize ) {

	return socket -> receive( buffer, buffersize );

}
