//==================================================================
/*

	KonoeObjectSocket.hh

	Version 0.2.0	24-Apr-1998	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//==================================================================

#ifndef	__KONOEOBJECTSOCKET_HH
#define	__KONOEOBJECTSOCKET_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeObjectSocketBase.hh>
#include	<system/KonoeInputObjectStream.hh>
#include	<system/KonoeOutputObjectStream.hh>
#include	<system/KonoeSocketIO.hh>

class	KonoeObjectSocket	: public KonoeObjectSocketBase,
			virtual public KonoeInputObjectStream,
			virtual public KonoeOutputObjectStream {

public :
	KonoeObjectSocket( KChar * host, KInt port );
	KonoeObjectSocket( KInt port );
	KonoeObjectSocket( KonoeSocketIO * s );
	~KonoeObjectSocket( );

	KInt	readFromStream( KChar * buffer, KInt buffersize );
	KInt	writeToStream( const KChar * buffer, KInt nbytes );

};

#endif
