//===================================================================
/*

	KonoeOutputObjSocketBuffered.hh

	Version 0.1	25-Oct-1997	H. Sakamoto
	Version 0.1.1	09-Mar-1998	H. Sakamoto
	Version 0.2.0	24-Apr-1998	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	02-Dec-2000	H. Sakamoto
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#ifndef	__KONOEOUTPUTOBJSOCKETBUFFERED_HH
#define	__KONOEOUTPUTOBJSOCKETBUFFERED_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeObjectSocketBase.hh>
#include	<system/KonoeOutputObjectStream.hh>
#include	<system/KonoeSocketIO.hh>

class	KonoeOutputObjSocketBuffered	: public KonoeObjectSocketBase,
			public KonoeOutputObjectStream {

public :
	enum	{	SEND_BUFFER_SIZE = 1448		};

protected :

	KChar	send_buffer[ SEND_BUFFER_SIZE ];
	KInt	send_buffer_size;
	KInt	send_buffer_pointer;

public :
	KonoeOutputObjSocketBuffered( KChar * host, KInt port );
	KonoeOutputObjSocketBuffered( KInt port );
	KonoeOutputObjSocketBuffered( KonoeSocketIO * s );
	~KonoeOutputObjSocketBuffered( );

	KInt	writeToStream( const KChar * buffer, KInt nbytes );
	KInt	flush( );
};

#endif
