//=====================================================================
/*
	KonoeCategoryManager.hh

	Version 0.1	16-Oct-1997	H. Sakamoto
	Version 0.2.0	27-Apr-1998	H. Sakamoto
	Version 0.4.0	01-Sep-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka
		virtual member function = getClassName added

*/
//=====================================================================

#ifndef	__KONOECATEGORYMANAGER_HH
#define	__KONOECATEGORYMANAGER_HH

#include	<KonoePrimitives.hh>

class	KonoeStreamableObject;

class	KonoeCategoryManager {

protected :
	const KInt	category_id;
	KChar	* category_name;
public :
	KonoeCategoryManager( KInt categoryid, KChar * categoryname );
	~KonoeCategoryManager( );
	KBool	match( KInt categorycode );
	KChar	* getCategoryName( )	{	return category_name;	}
	virtual KonoeStreamableObject * create( KInt classid ) = 0;
	virtual const KChar * getClassName( KInt classid ) = 0;

};

#endif
