//============================================================================
/*

	  KonoeExecuteDaemon.cc

	Version 0.6	09-Aug-2000 	Y. Shimizu 
	Version 0.6.1	10-Nov-2000 	Y. Shimizu 
	Version	0.6.2	29-Nov-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka
				use system()

*/
//=======================================================================

#include<system/KonoeExecutorDaemon.hh>
#include<system/KonoeExecutor.hh>
#include<sys/types.h>
#include<sys/types.h>
#include<sys/wait.h>
#include<stdlib.h>
#include<unistd.h>
#include<string.h>
#include<stdio.h>
#include<iostream.h>


KonoeExecutorDaemon::KonoeExecutorDaemon( )
  :KonoeUDPServerSocket( KonoeExecutor::KONOEEXECUTEPORT ){

	port = KonoeExecutor::KONOEEXECUTEPORT;
  
}

KonoeExecutorDaemon::KonoeExecutorDaemon( KInt pport )
  :KonoeUDPServerSocket( pport ){

	port = pport;
  
}

KonoeExecutorDaemon::~KonoeExecutorDaemon( ){

}

KInt KonoeExecutorDaemon::go( ){

    KChar buffer[BUFFERSIZE];
    KInt st = 0;
    KInt flag = 0;

    receive( buffer, BUFFERSIZE );
    
    system(buffer);
/*
    flag = getarg( argv, buffer );

    if( fork() == 0 ){
      int c = 0;
      while( argv[c] != NULL ){
	c++;
      }
	
      execv( argv[0], argv);
      cerr << " execv error " << argv[0];
      st = 1;
    }
    else {
      	if( flag == 0 ){
      		wait( 0 );
	}
	
    }
*/

  return (0);
  
}

KInt KonoeExecutorDaemon::getarg(KChar* argv[],  KChar * buffer ){

  KInt and_flag = 0;
  KChar * and_check;
  and_check = strchr( buffer , '&' );
  if( and_check != NULL ){
	*and_check = '\0';
	and_flag = 1 ;
  }
  enum { SP = 0 , NOSP = 1 };

  KInt i , sp_flg;
  sp_flg = SP;

  for( i = 0 ; *buffer != '\0' ; buffer++ ){
    if( sp_flg == SP && *buffer != ' '){
      argv[i] = buffer;
      i++;
      sp_flg = NOSP;
    }
    if( *buffer == ' ' ){
      *buffer = '\0';
      sp_flg = SP;
    }
  }
  argv[i] = (char*)0;

  return (and_flag);

}
