//=====================================================================
/*

	KonoeNameSpaceOfficer.cc

	Version 0.0.1	04-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 6-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	15-Nov-2000	H. Sakamoto
	Version 0.6.1	21-May-2001	H. Sakamoto

*/
//=====================================================================

#include	<system/KonoeNameSpaceOfficer.hh>
#include	<system/KonoeNameSpaceTableOrderly.hh>
#include	<system/KonoeNetworkNameSpaceManagerOrderly.hh>

const KChar	* KonoeNameSpaceOfficer::classname = "NameSpaceOfficer";

KonoeNameSpaceOfficer::KonoeNameSpaceOfficer( KInt norderly,
		const KChar * name )
		: KonoeOfficer( norderly, 0, name, N_CLASSES ) {

	registerOrderly( new KonoeNameSpaceTableOrderly( 0 ) );
	registerOrderly( new KonoeNetworkNameSpaceManagerOrderly( 0 ) );

}

KInt	KonoeNameSpaceOfficer::execute( KonoeCommand * cmd ) {

	return 0;

}
