//=====================================================================
/*

	KonoeObjectSocketOfficer.cc

	Version 0.0.1	04-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 6-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto

*/
//=====================================================================

#include	<system/KonoeObjectSocketOfficer.hh>
#include	<system/KonoeInputObjSocketOrderly.hh>
#include	<system/KonoeOutputObjSocketOrderly.hh>


const KChar	* KonoeObjectSocketOfficer::classname = "ObjectSocketOfficer";

KonoeObjectSocketOfficer::KonoeObjectSocketOfficer( KInt norderly,
		const KChar * name )
		: KonoeOfficer( norderly, 0, name, N_CLASSES ) {
	registerOrderly( new KonoeInputObjSocketOrderly( 0 ) );
	registerOrderly( new KonoeOutputObjSocketOrderly( 0 ) );
}

KInt	KonoeObjectSocketOfficer::execute( KonoeCommand * cmd ) {

	return 0;

}
