//====================================================================
/*

	KonoeSystemCommander.hh

	Version 0.0.1	 4-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 6-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto

*/
//====================================================================

#ifndef	__KONOESYSTEMCOMMANDER_HH
#define	__KONOESYSTEMCOMMANDER_HH

#include	<ui/KonoeCommander.hh>
#include	<system/KonoeObjectStreamOfficer.hh>
#include	<system/KonoeObjectFileOfficer.hh>
#include	<system/KonoeObjectSocketOfficer.hh>
#include	<system/KonoeSystemServiceOfficer.hh>

class	KonoeSystemCommander	: public KonoeCommander	{
    
  public:
    enum	{	N_OFFICERS = 4,
			N_OBJECTSTREAMOBJECTS = 64,
			N_OBJECTFILEOBJECTS = 64,
			N_OBJECTSOCKETOBJECTS = 64,
			N_SYSTEMSERVICEOBJECTS = 64		};
    
  protected:
    KonoeObjectStreamOfficer	 * objectstreamofficer;
    KonoeObjectFileOfficer	 * objectfileofficer;
    KonoeObjectSocketOfficer	 * objectsocketofficer;
    KonoeSystemServiceOfficer	 * systemserviceofficer;
  public:
    KonoeSystemCommander( const KChar * name );
    
};

#endif
