//=====================================================================
/*

	KonoeSystemServiceOfficer.cc

	Version 0.0.1	04-Aug-1998	S. Nishida and S. Enomoto
	Version 0.4.0	 6-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.6.0	21-May-2001	H. Sakamoto

*/
//=====================================================================

#include	<system/KonoeSystemServiceOfficer.hh>
#include	<system/KonoeServerSocketOrderly.hh>
#include	<system/KonoeClientSocketOrderly.hh>

const KChar	* KonoeSystemServiceOfficer::classname = "SystemServiceOfficer";

KonoeSystemServiceOfficer::KonoeSystemServiceOfficer( KInt norderly,
		const KChar * name )
		: KonoeOfficer( norderly, 0, name, N_CLASSES ) {

	registerOrderly( new KonoeServerSocketOrderly( 0 ) );
	registerOrderly( new KonoeClientSocketOrderly( 0 ) );

}

KInt	KonoeSystemServiceOfficer::execute( KonoeCommand * cmd ) {

	return 0;

}
