//===================================================================
/*

	KonoeFDSet.hh

	Version 0.0.1	12-Nov-1998	H. Sakamoto
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#ifndef	__KONOEFDSET_HH
#define	__KONOEFDSET_HH

#include	<sys/types.h>
#include	<sys/time.h>
#include	<KonoePrimitives.hh>

class	KonoeFDClient;

class	KonoeFDSet	{

protected :
	KonoeFDClient	* clients[ FD_SETSIZE ];
	KInt	clientcount;
	fd_set	readfds;
	struct timeval	timeout;

public :
	KonoeFDSet( );
	KInt	install( KonoeFDClient * client );
	KInt	remove( KonoeFDClient * client );
	KonoeFDClient	* wait( KInt milisec );
};

#endif
