//===================================================================
/*

	KonoeFileIO.hh

	Version 0.1	16-Jul-1997	H. Sakamoto
	Version 0.2	20-Oct-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#ifndef	__KONOEFILEIO_HH
#define	__KONOEFILEIO_HH

#include	<KonoePrimitives.hh>

class	KonoeFileIO	{

public :
	enum	{	CLOSED, OPENED		};
	enum	{	READ, WRITE, UNDEFINED		};
	enum	{	DEFAULT_MODE = 0644	};

protected :
	int	fd;	// file descriptor. 'int' for SunOS
	KChar	* filename;
	KInt	status;
	KInt	mode;

public :
	KonoeFileIO( );
	KonoeFileIO( KChar * pfilename, KInt pmode = READ );
	~KonoeFileIO( );
};

#endif
