//====================================================================
/*

	KonoeInputFile.hh

	Version 0.1	16-Jul-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
	Version 0.4.1	09-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//====================================================================

#ifndef	__KONOEINPUTFILE_HH
#define	__KONOEINPUTFILE_HH

#include	<system/KonoeFileIO.hh>
#include	<system/KonoeInputStream.hh>

class	KonoeInputFile : public KonoeFileIO,
			public KonoeInputStream {

protected :

public :
	KonoeInputFile( ) : KonoeFileIO( ) { }
	KonoeInputFile( KChar * pfilename );
	KInt	readFromStream( KChar * buf, KInt bufsize );
	KInt	get( KChar * buf, KInt bufsize );

};

#endif
