//===================================================================
/*

	KonoeInputStream.hh

	Version 0.1	02-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#ifndef	__KONOEINPUTSTREAM_HH
#define	__KONOEINPUTSTREAM_HH

#include	<KonoePrimitives.hh>
#include	<system/KonoeStreamBase.hh>

class	KonoeInputStream : public virtual KonoeStreamBase {

public :
	virtual KInt    readFromStream( KChar * buffer, KInt nbytes ) = 0;

	KInt	read( KInt * buffer, KInt datacount = 1  );
	KInt	read( KFloat * buffer, KInt datacount = 1 );
	KInt	read( KChar * buffer, KInt datacount = 1 );

	static void	netToHost( KInt	* buffer, KInt datacount = 1);
	static void	netToHost( KFloat * buffer, KInt datacount = 1);
	static void	netToHost( const KInt * frombuffer, KInt * tobuffer,
					KInt datacount = 1  );
	static void	netToHost( const KFloat * frombuffer, KFloat * tobuffer,
					KInt datacount = 1 );
};

#endif
