//===================================================================
/*

	KonoeIntervalTimer.cc

	Version 0.1	01-Aug-1997	H. Sakamoto
	Version 0.2	16-Sep-1997	H. Sakamoto
	Version 0.3	29-Oct-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba 
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#include	<system/KonoeIntervalTimer.hh>

void	KonoeIntervalTimer::setInterval( KInt pmilisec ) {

KInt	sec, usec;

	sec = pmilisec / 1000;
	usec = ( pmilisec - sec * 1000 ) * 1000;
	timer.it_interval.tv_sec = sec;
	timer.it_interval.tv_usec = usec;
	timer.it_value.tv_sec = sec;
	timer.it_value.tv_usec = usec;

	setitimer( ITIMER_REAL, & timer, 0 );

}
