//===================================================================
/*

	KonoeSharedMemory.hh

	Version 0.1	03-Dec-1997	H. Sakamoto
	Version 0.4.0	27-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#ifndef	__KONOESHAREDMEMORY_HH
#define	__KONOESHAREDMEMORY_HH

#include	<KonoePrimitives.hh>

class	KonoeSharedMemory	{

protected :
	KInt	shmid;
	KInt	key;
	KInt	size;
	KInt	access;
	void	* base;
public :
	KonoeSharedMemory( KInt key, KInt size, KInt access );
	~KonoeSharedMemory( );
	void	* getBase( )	{	return base;	}
	KInt	getKey( )	{	return key;	}
	KInt	getSize( )	{	return size;	}
	KInt	getAccess( )	{	return access;	}
	void	remove( );
};

#endif
