//===================================================================
/*

	KonoeSystemServiceCM.cc

	Version 0.4.0	03-Sep-1999	Y. Kouno
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version 0.7.0	28-Aug-2001	S. Morinaka

*/
//===================================================================

#include	<system/KonoeSystemServiceCM.hh>
#include	<KonoeCategories.hh>
#include	<system/KonoeFileStatus.hh>

KonoeSystemServiceCM::KonoeSystemServiceCM( ) :
  KonoeCategoryManager( KonoeCategories::SYSTEMSERVICE, "systemservice" ) {

}

KonoeStreamableObject	* KonoeSystemServiceCM::create( KInt classid ) {

  switch( classid ) {
  case CID_FILESTATUS :
    return new KonoeFileStatus;
  }
  return 0;

}

const KChar	* KonoeSystemServiceCM::getClassName( KInt classid ) {

  switch( classid ) {
  case CID_FILESTATUS :
    return KonoeFileStatus::className;
  }

}
