//=================================================================
/*

	KonoeUDPClientSocket.hh

	Version 0.1.0	05-Mar-1998	H. Sakamoto
	Version 0.4.0	28-Aug-1998	S. Inaba
        Version 0.5.0   21-Sep-1999     Y. Kouno
	Version	0.6.0	17-Jul-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka

	Package : system
	Category : systemservice

*/
//=================================================================

#ifndef	__KONOEUDPCLIENTSOCKET_HH
#define	__KONOEUDPCLIENTSOCKET_HH

#include	<system/KonoeSocketIO.hh>

class	KonoeUDPClientSocket	: public KonoeSocketIO {

protected :
	KInt	port;
	KInt	sasize;
	struct sockaddr_in	sa;
public :
	KonoeUDPClientSocket( KChar * host, KInt port );
	~KonoeUDPClientSocket( );
	KInt	send( const KChar * buffer , KInt nbytes);
	KInt 	receive( KChar * buffer , KInt nbytes );
	KInt 	getFD( ) {	return fd;	}
};

#endif
