//=======================================================================
/*
	demoudpc.cc

	Version 0.6	17-Jul-2000	Y. Shimizu
	Version 0.7.0	28-Aug-2001	S. Morinaka


	demo for UDPClientSocket

*/
//=======================================================================
#include	<system/KonoeUDPClientSocket.hh>
#include	<system/KonoeHostSystem.hh>
#include	<iostream.h>
#include	<string.h>
#include	<stdlib.h>

int main( int argc , char ** argv )
{
	if( argc != 4 ) {
	cerr << " usage --- ./demoudpc  <port number> <hostname> <message> " 
			<< endl;
		KonoeHostSystem::exit(8);
	}

	KChar ans[256];

	argv++;
	KInt port = atoi( *argv );
	argv++;
	KChar *host = *argv;
	argv++;
	KChar *  message =  *argv; 

	KonoeUDPClientSocket	* client;

	client = new KonoeUDPClientSocket( host , port );

	//client->send(message, strlen(message));
	client->send(message, 256);

//	client->receive( ans , strlen(ans) );
	client->receive( ans , 256 );

	cout << (KChar *)ans << endl;

	return (0);
}	

