//===================================================================
/*

	KonoeGdkColor.cc

	Version 0.0.1	11-Apr-2001	H. Sakamoto

	-------------------------------------------

	GDK color class

*/
//===================================================================

#include	<ui/KonoeGdkColor.hh>


KonoeGdkColor::KonoeGdkColor( KFloat r, KFloat g, KFloat b ) {

	if( r < 0 ) r = 0;
	if( r > 1 ) r = 1;
	color.red = KShort( r * 65536 );
	if( g < 0 ) g = 0;
	if( g > 1 ) g = 1;
	color.green = KShort( g * 65536 );
	if( b < 0 ) b = 0;
	if( b > 1 ) b = 1;
	color.blue = KShort( b * 65536 );
	gdk_color_alloc( gdk_colormap_get_system( ), & color );

}
