//===================================================================
/*

	KonoeGdkFont.cc

	Version 0.0.1	11-Apr-2001	H. Sakamoto

	-------------------------------------------

	Gdk font class

*/
//===================================================================

#include	<ui/KonoeGdkFont.hh>
#include	<ui/KonoeGdkGC.hh>

KonoeGdkFont::KonoeGdkFont( const KChar * pfontname ) {

	fontname = ( KChar * ) pfontname;

	font = gdk_font_load( pfontname );

}

KonoeGdkFont::KonoeGdkFont( KonoeGdkGC * gc ) {

	GdkGCValues	v;

	gdk_gc_get_values( gc -> get_gdk_gc( ), & v );
	font = v.font;

}
