//===================================================================
/*

	KonoeGdkGC.cc

	Version 0.0.1	11-Apr-2001	H. Sakamoto

	-------------------------------------------

	GDK Graphics Context class

*/
//===================================================================

#include	<ui/KonoeGdkGC.hh>
#include	<ui/KonoeGdkColor.hh>

KonoeGdkGC::KonoeGdkGC( KonoeGtkWidget * widget ) {

	gc = gdk_gc_new( widget -> get_gtk_widget( ) -> window );

}

void	KonoeGdkGC::setForeground( KonoeGdkColor * color ) {

	gdk_gc_set_foreground( gc, color -> get_gdk_color ( ) );
}

void	KonoeGdkGC::setBackground( KonoeGdkColor * color ) {

	gdk_gc_set_background( gc, color -> get_gdk_color( ) );

}
