//==================================================================
/*

	KonoeGtkCList.cc

	Version 0.0.1	10-Apr-2001	H. Sakamoto

	-------------------------------------------

	Gtk+ CList widget class

*/
//==================================================================

#include	<ui/KonoeGtkCList.hh>

KonoeGtkCList::KonoeGtkCList( KInt columns ) {

	object = ( GtkObject * ) gtk_clist_new( columns );

}

void	KonoeGtkCList::setColumnTitle( KInt column, KChar * title ) {

	gtk_clist_set_column_title( GTK_CLIST( object ),
		column, title );

}

void	KonoeGtkCList::showColumnTitles( ) {

	gtk_clist_column_titles_show( GTK_CLIST( object ) );

}

void	KonoeGtkCList::hideColumnTitles( ) {

	gtk_clist_column_titles_hide( GTK_CLIST( object ) );

}

void	KonoeGtkCList::setText( KInt row, KInt column, KChar * text ) {

	gtk_clist_set_text( GTK_CLIST( object ), row, column, text );

}

KChar	* KonoeGtkCList::getText( KInt row, KInt column ) {

	KChar	* l;

	gtk_clist_get_text( GTK_CLIST( object ), row, column, & l );

	return l;

}


