//=================================================================
/*

	KonoeGtkEntry.hh

	Version 0.0.1	05-Apr-2001	H. Sakamoto

	-------------------------------------------

	Gtk Text Entry Widget class

*/
//==================================================================

#ifndef	__KONOEGTKENTRY_HH
#define	__KONOEGTKENTRY_HH

#include	<ui/KonoeGtkEditable.hh>

class KonoeGtkEntry	: public KonoeGtkEditable {

public :

	KonoeGtkEntry( );
	KonoeGtkEntry( KInt length );
	KonoeGtkEntry( GtkEntry * gentry );
	void	setText( const KChar * text );
	void	appendText( const KChar * text );
	void	prependText( const KChar * text );
	KChar	* getText( );
	void	setVisible( KInt flag );
	void	setEditable( KInt flag );
	void	setLength( KInt length );

};

#endif
