//==================================================================
/*

	KonoeGtkEventDescriptor.cc

	Version 0.0.1	04-Apr-2001	H. Sakamoto

	-------------------------------------------

	GDK Event information interface

*/
//==================================================================

#include	<ui/KonoeGtkEventDescriptor.hh>

KonoeGtkEventDescriptor::KonoeGtkEventDescriptor( GdkEvent * pevent ) {

	event = pevent;

}

KonoeGtkEventDescriptor::KonoeGtkEventDescriptor( ) {

	event = 0;

}

void	KonoeGtkEventDescriptor::setEvent( GdkEvent * pevent ) {

	event = pevent;

}

KInt	KonoeGtkEventDescriptor::getType( ) {

	if( event == 0 )
		return NOTHING;
	return event -> type;

}

KFloat	KonoeGtkEventDescriptor::getX( ) {

	if( event == 0 )
		return 0.0;
	return ( ( GdkEventButton * ) event ) -> x;

}

KFloat	KonoeGtkEventDescriptor::getY( ) {

	if( event == 0 )
		return 0.0;
	return ( ( GdkEventButton * ) event ) -> y;

}
