//=================================================================
/*

	KonoeGtkEventReceiver.hh

	Version 0.0.1	04-Apr-2001	H. Sakamoto

	-------------------------------------------

	GTK event handler interface class

*/
//=================================================================

#ifndef	__KONOEGTKEVENTRECEIVER_HH
#define	__KONOEGTKEVENTRECEIVER_HH

#include	<ui/KonoeGtkEvent.hh>
#include	<ui/KonoeGtkEventDescriptor.hh>

class	KonoeGtkEventReceiver	{

public :
	enum	{
			NOTHING 	= GDK_NOTHING,
			DELETE 		= GDK_DELETE,
			DESTROY 	= GDK_DESTROY,
			EXPOSE 		= GDK_EXPOSE,
			MOTION_NOTIFY 	= GDK_MOTION_NOTIFY,
			BUTTON_PRESS 	= GDK_BUTTON_PRESS,
			BUTTON2_PRESS 	= GDK_2BUTTON_PRESS,
			BUTTON3_PRESS 	= GDK_3BUTTON_PRESS,
			BUTTON_RELEASE 	= GDK_BUTTON_RELEASE,
			KEY_PRESS 	= GDK_KEY_PRESS,
			KEY_RELEASE 	= GDK_KEY_RELEASE,
			ENTER_NOTIFY 	= GDK_ENTER_NOTIFY,
			LEAVE_NOTIFY 	= GDK_LEAVE_NOTIFY,
			FOCUS_CHANGE 	= GDK_FOCUS_CHANGE,
			CONFIGURE 	= GDK_CONFIGURE,
			MAP 		= GDK_MAP,
			UNMAP		= GDK_UNMAP,
			PROPERTY_NOTIFY	= GDK_PROPERTY_NOTIFY,
			SELECTION_CLEAR	= GDK_SELECTION_CLEAR,
			SELECTION_REQUEST	= GDK_SELECTION_REQUEST,
			SELECTION_NOTIFY	= GDK_SELECTION_NOTIFY,
			PROXIMITY_IN	= GDK_PROXIMITY_IN,
			PROXIMITY_OUT	= GDK_PROXIMITY_OUT,
//			DRAG_BEGIN	= GDK_DRAG_BEGIN,
//			DRAG_REQUEST	= GDK_DRAG_REQUEST,
//			DROP_ENTER	= GDK_DROP_ENTER,
//			DROP_LEAVE	= GDK_DROP_LEAVE,
//			DROP_DATA_AVAIL	= GDK_DROP_DATA_AVAIL,
			CLIENT_EVENT	= GDK_CLIENT_EVENT,
			VISIBILITY_NOTIFY	= GDK_VISIBILITY_NOTIFY,
			NO_EXPOSE	= GDK_NO_EXPOSE
		};

public :
	virtual void	processEvent( KonoeGtkObject * target,
				KonoeGtkEventDescriptor * event );

};

#endif
