//=================================================================
/*

	KonoeGtkFrame.hh

	Version 0.0.1	06-Apr-2001	H. Sakamoto

	-------------------------------------------

	Frame widget class

*/
//=================================================================

#ifndef	__KONOEGTKFRAME_HH
#define	__KONOEGTKFRAME_HH

#include	<ui/KonoeGtkBin.hh>

class KonoeGtkFrame	: public KonoeGtkBin {

public :
	enum	{
		SHADOW_NONE	= GTK_SHADOW_NONE,
		SHADOW_IN	= GTK_SHADOW_IN,
		SHADOW_OUT	= GTK_SHADOW_OUT,
		SHADOW_ETCHED_IN	= GTK_SHADOW_ETCHED_IN,
		SHADOW_ETCHED_OUT	= GTK_SHADOW_ETCHED_OUT
		};

public :
	KonoeGtkFrame( const KChar * label );
	void	setLabel( const KChar * label );
	void	setLabelAlign( KFloat xalign, KFloat yalign );
	void	setShadowType( KInt shadowtype );
};

#endif
