//==================================================================
/*

	KonoeGtkObject.hh

	Version 0.0.3	10-Apr-2001	H. Sakamoto

	-------------------------------------------

	This is the base class for all the Gtk objects

*/
//==================================================================

#ifndef	__KONOEGTKOBJECT_HH
#define	__KONOEGTKOBJECT_HH

#include	<gtk/gtk.h>
#include	<KonoePrimitives.hh>

class	KonoeGtkSignal;
class	KonoeGtkEvent;
class	KonoeGtkSelection;

class	KonoeGtkObject	{

protected :

	GtkObject	* object;
	KonoeGtkSignal	* signal;
	KonoeGtkEvent	* event;
	KonoeGtkSelection	* selection;

public :
	KInt	connectSignal( KonoeGtkSignal * signal );
	KInt	connectEvent( KonoeGtkEvent * event );
	KInt	connectSelection( KonoeGtkSelection * selection );
	void	disconnectSignal( );
	void	disconnectEvent( );
	void	disconnectSelection( );

	GtkObject	* get_gtk_object( ) {
				return object;		}

};

#endif
