//===================================================================
/*

	KonoeGtkPixmap.cc

	Version 0.0.1	06-Apr-2001	H. Sakamoto

	-------------------------------------------

	Gtk Pixmap Widget class

*/
//===================================================================

#include	<ui/KonoeGtkPixmap.hh>
#include	<ui/KonoeGdkPixmap.hh>

KonoeGtkPixmap::KonoeGtkPixmap( KonoeGdkPixmap * pixmap ) {

	gdk_pixmap = pixmap;
	object = ( GtkObject * )
			gtk_pixmap_new( pixmap -> get_gdk_pixmap( ),
			pixmap -> get_gdk_mask( ) );

}

KonoeGtkPixmap::KonoeGtkPixmap( KonoeGtkWidget * parent,
			const KChar * xpmfile ) {

	gdk_pixmap = new KonoeGdkPixmap( parent, xpmfile );
	object = ( GtkObject * )
			gtk_pixmap_new( gdk_pixmap -> get_gdk_pixmap( ),
			gdk_pixmap -> get_gdk_mask( ) );

}
