// $Id: KonoeGtkRadioButton.hh,v 1.1 2002/03/16 09:14:47 iwai Exp $
#ifndef __KONOEGTKRADIOBUTTON_HH
#define __KONOEGTKRADIOBUTTON_HH

#include <gtk/gtk.h>
#include <ui/KonoeGtkBaseClass.hh>
#include <KonoePrimitives.hh>

class KonoeGtkRadioButton : public KonoeGtkBaseClass {
public:
  KonoeGtkRadioButton(GSList*, const KChar*);
  ~KonoeGtkRadioButton();
  
  inline GtkWidget* GetRadioButton() { return button; }
  GSList* GetGroup(GtkWidget*);
  void SetAction();
  void SetStatement();

private:
  GtkWidget* button;
  GSList* group;
};

#endif
