//===================================================================
/*

	KonoeGtkTooltips.cc

	Version 0.0.1	06-Apr-2001	H. Sakamoto

	-------------------------------------------

	Gtk tooltips class

*/
//===================================================================

#include	<ui/KonoeGtkTooltips.hh>

KonoeGtkTooltips::KonoeGtkTooltips( KonoeGtkWidget * widget,
			const KChar * text, const KChar * ptext ) {

	object = ( GtkObject * ) gtk_tooltips_new( );
	gtk_tooltips_set_tip( GTK_TOOLTIPS( object ),
		widget -> get_gtk_widget( ),
		text, ptext );

}

void	KonoeGtkTooltips::disable( ) {

	gtk_tooltips_disable( GTK_TOOLTIPS( object ) );

}

void	KonoeGtkTooltips::enable( ) {

	gtk_tooltips_enable( GTK_TOOLTIPS( object ) );

}

void	KonoeGtkTooltips::setDelay( KInt delay ) {

	gtk_tooltips_set_delay( GTK_TOOLTIPS( object ), delay );

}

