//================================================================
/*

	KonoeGtkWidget.cc

	Version 0.0.2	06-Apr-2001	H. Sakamoto

*/
//================================================================

#include	<ui/KonoeGtkWidget.hh>

#include	<ui/KonoeGtkSignal.hh>
#include	<ui/KonoeGtkEvent.hh>
#include	<ui/KonoeGtkAccelGroup.hh>

KonoeGtkWidget::KonoeGtkWidget( ) {

	signal = 0;

}

void	KonoeGtkWidget::show( ) {

	gtk_widget_show( GTK_WIDGET( object ) );

}

void	KonoeGtkWidget::showAll( ) {

	gtk_widget_show_all( GTK_WIDGET( object ) );

}

void	KonoeGtkWidget::hide( ) {

	gtk_widget_hide( GTK_WIDGET( object ) );

}

void	KonoeGtkWidget::hideAll( ) {

	gtk_widget_hide_all( GTK_WIDGET( object ) );

}


void	KonoeGtkWidget::addAccelerator( const KChar * accel_signal,
			KonoeGtkAccelGroup * accel_group,
			KInt key, KInt mode, KInt flag ) {

	gtk_widget_add_accelerator( GTK_WIDGET( object ), accel_signal,
		accel_group -> get_gtk_accel_group( ),
		key, mode, ( GtkAccelFlags ) flag );

}


void	KonoeGtkWidget::set_gtk_widget( GtkWidget * w ) {

	object = ( GtkObject * ) w;

}
