//==================================================================
/*

	KonoeGtkWindow.hh

	Version 0.0.1	04-Apr-2001	H. Sakamoto

	-------------------------------------------

	GTK+ Window Widget class

*/
//==================================================================

#ifndef	__KONOEGTKWINDOW_HH
#define	__KONOEGTKWINDOW_HH

#include	<ui/KonoeGtkBin.hh>

class	KonoeGtkAccelGroup;

class KonoeGtkWindow	: public KonoeGtkBin	{

public :
	enum	WindowType
		{	TOPLEVEL = GTK_WINDOW_TOPLEVEL,
			DIALOG = GTK_WINDOW_DIALOG,
			POPUP = GTK_WINDOW_POPUP
		};

public :
	KonoeGtkWindow( );
	KonoeGtkWindow( WindowType windowtype );
	void	create( WindowType windowtype );
	void	addAccelGroup( KonoeGtkAccelGroup * accelgroup );

};

#endif
