/********************\
  KonoeGtkMenu.cc

  composed by nishida
  $Id: KonoeGtkMenu.cc,v 1.1 2002/03/16 09:16:00 iwai Exp $

\********************/

#include "KonoeGtkMenu.hh"

KonoeGtkMenu::KonoeGtkMenu() {
  widget = gtk_menu_new();
}

void KonoeGtkMenu::append( KonoeGtkMenuItem *item ) {
  gtk_menu_append( GTK_MENU(widget), item->getWidget() );
}

void KonoeGtkMenu::prepend( KonoeGtkMenuItem *item ) {
  gtk_menu_prepend( GTK_MENU(widget), item->getWidget() );
}

void KonoeGtkMenu::insert( KonoeGtkMenuItem *item, gint position ) {
  gtk_menu_insert( GTK_MENU(widget), item->getWidget(), position );
}

GtkWidget *KonoeGtkMenu::getActiveWidget() {
  return gtk_menu_get_active( GTK_MENU(widget) );
}

void KonoeGtkMenu::setActive( guint index ) {
  gtk_menu_set_active( GTK_MENU(widget), index );
}
