/******************************\
  KonoeGtkSignal.hh

  composed by nishida
  $Id: KonoeGtkSignal.hh,v 1.1 2002/03/16 09:16:03 iwai Exp $

\******************************/

#ifndef KonoeGtkSignal_HH
#define KonoeGtkSignal_HH

#include <gtk/gtk.h>
#include "KonoeGtkSignalClient.hh"
class KonoeGtkWidget;

class KonoeGtkSignal {
private:
  char name[16];
  KonoeGtkWidget *source;
  KonoeGtkSignalClient *client;
  gpointer data;
public:
  KonoeGtkSignal( const char *name, KonoeGtkSignalClient *client, gpointer data );
  ~KonoeGtkSignal() {}
  char *getName() { return name; }
  void setSource( KonoeGtkWidget *s ) { source = s; }
  KonoeGtkWidget *getSource() { return source; }
  KonoeGtkSignalClient *getClient() { return client; }
  gpointer getUserData() { return data; }
  static void callback( GtkWidget *widget, gpointer p );
};

#endif
