/********************\
  KonoeGtkTable.cc

  composed by nishida
  $Id: KonoeGtkTable.cc,v 1.1 2002/03/16 09:16:04 iwai Exp $

\********************/

#include "KonoeGtkTable.hh"

KonoeGtkTable::KonoeGtkTable( guint rows, guint columns, gboolean homogeneous ) {
  widget = gtk_table_new( rows, columns, homogeneous );
}

void KonoeGtkTable::attach( KonoeGtkWidget *child, guint left_attach,
	guint right_attach, guint top_attach, guint bottom_attach ) {
  gtk_table_attach_defaults( GTK_TABLE(widget), child->getWidget(),
	     left_attach, right_attach, top_attach, bottom_attach );
}

void KonoeGtkTable::attach( KonoeGtkWidget *child, guint left_attach,
	guint right_attach, guint top_attach, guint bottom_attach, 
	GtkAttachOptions xoptions, GtkAttachOptions yoptions,
	guint xpadding, guint ypadding ) {
  gtk_table_attach( GTK_TABLE(widget), child->getWidget(),
		    left_attach, right_attach, top_attach, bottom_attach,
		    xoptions, yoptions, xpadding, ypadding );
}

void KonoeGtkTable::setRowSpacing( guint row, guint spacing ) {
  gtk_table_set_row_spacing( GTK_TABLE(widget), row, spacing );
}

void KonoeGtkTable::setColSpacing( guint col, guint spacing ) {
  gtk_table_set_col_spacing( GTK_TABLE(widget), col, spacing );
}
