/******************************\
  KonoeGtkTable.hh

  composed by nishida
  $Id: KonoeGtkTable.hh,v 1.1 2002/03/16 09:16:05 iwai Exp $

\******************************/

#ifndef KonoeGtkTable_HH
#define KonoeGtkTable_HH

#include "KonoeGtkWidget.hh"

class KonoeGtkTable : public KonoeGtkWidget {
public:
  KonoeGtkTable( guint rows, guint columns, gboolean homogeneous );
  ~KonoeGtkTable() {}
  void attach( KonoeGtkWidget *child, guint left_attach, guint right_attach,
	       guint top_attach, guint bottom_attach );
  void attach( KonoeGtkWidget *child, guint left_attach, guint right_attach,
	       guint top_attach, guint bottom_attach, 
	       GtkAttachOptions xoptions, GtkAttachOptions yoptions,
	       guint xpadding = 0, guint ypadding = 0 );
  void setRowSpacing( guint row, guint spacing );
  void setColSpacing( guint col, guint spacing );
};

#endif
