/******************************\
  KonoeGtkWidget.hh

  composed by nishida
  $Id: KonoeGtkWidget.hh,v 1.1 2002/03/16 09:16:08 iwai Exp $

\******************************/

#ifndef KonoeGtkWidget_HH
#define KonoeGtkWidget_HH

#include <gtk/gtk.h>
#include "KonoeGtkSignal.hh"
#include "KonoeGtkEventSignal.hh"
#include "KonoeGtkSignalClient.hh"

class KonoeGtkWidget {
protected:
  GtkWidget *widget;
public:
  KonoeGtkWidget() {}
  ~KonoeGtkWidget();
  GtkWidget* getWidget() { return widget; }
  void setName( const gchar *name );
  gchar *getName();
  virtual void show();
  virtual void showNow();
  virtual void showAll();
  virtual void hide();
  virtual gboolean isVisible();
  virtual void setSensitive( gboolean sensitive );
  virtual void setUsize( gint width, gint height );
  virtual guint signalConnect( KonoeGtkSignal *signal );
  virtual guint signalConnect( KonoeGtkEventSignal *signal );
  virtual guint signalConnect( const gchar *name,
       void (*func)( GtkWidget *widget, gpointer p ), KonoeGtkWidget *w );
};

#endif
