//=============================================================
/*

        Konoe3Vector.java

        Version 0.0.1   03-Aug-1998     D. Takagi
        Version 0.4.0   18-Aug-1998     D. Takagi
        Version 0.5.0   28-Sep-1999     T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi
*/
//=============================================================
package konoe.ui.analysis;

import konoe.ui.system.*;
import java.io.*;

public class Konoe3Vector implements KonoeStreamableObject, KonoeObject {
    public double x;
    public double y;
    public double z;

    public String toString() {
	return "Konoe3Vector:" + "\n" +
	       "(" + x + ", " + y + ", " + z + ")" + "\n";
    }

    public void dump() {
	System.out.println(toString());
    }

    //--- for Streamable ---

    public void read(KonoeInputObjectStream in, KonoeStreamHeader header) throws IOException {
	switch (header.getMemberID()) {
	  case 0: x = in.readDouble(); break;
	  case 1: y = in.readDouble(); break;
	  case 2: z = in.readDouble(); break;
        }
    }

    public void write(KonoeOutputObjectStream out) throws IOException {
    }
}
