//=============================================================
/*

	KonoeDataScale.java
	
	Version 0.0.1	03-Jul-1998	S. Inaba
	Version 0.4.0	03-Aug-1998	S. Inaba
    Version 0.5.0   28-Sep-1999 T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi

*/
//=============================================================

package	konoe.ui.analysis;

//
//	a base of Scale
//

import java.io.*;
import konoe.ui.system.*;


public abstract class KonoeDataScale implements KonoeStreamableObject {

        public abstract int    getBinIndex( double value ) ;
        public abstract double  getBinWidth( int binnumber ) ;
        public abstract double  getBinRawer( int binnumber ) ;
        public abstract int    getBinCount() ;
        public abstract double  getMinimum() ;
        public abstract double  getMaximum() ;

        public abstract void   dump() ;
}


