//=============================================================
/*

	KonoeFillData.java
	
	Version 0.0.1	03-Jul-1998	K.Ohta
	Version 0.4.0	18-Aug-1998	K.Ohta
    Version 0.5.0   28-Sep-1999 T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi

*/
//=============================================================

package	konoe.ui.analysis;

//
//  this class use for filling histogram ( 1D,2D,3D )
//

public class KonoeFillData {


    public static final String className = "Fill Data";
    
    protected double xNumber;
    protected double yNumber;
    protected double zNumber;

  public KonoeFillData() {
    xNumber = 0;
    yNumber = 0;
    zNumber = 0;
  }

  public KonoeFillData(double px) {
    xNumber = px;
    yNumber = 0;
    zNumber = 0;
  }

  public KonoeFillData(double px, double py) {
    xNumber = px;
    yNumber = py;
    zNumber = 0;
  }
  public KonoeFillData(double px, double py, double pz) {
    xNumber = px;
    yNumber = py;
    zNumber = pz;
  }

  public void set(double px) {
    xNumber = px;
    yNumber = 0;
    zNumber = 0;

  }


  public void set(double px, double py) {

    xNumber = px;
    yNumber = py;
    zNumber = 0;

  }
  public void set(double  px, double py, double pz) {

    xNumber = px;
    yNumber = py;
    zNumber = pz;

  }


  public double getX() { return xNumber; }

  public double getY() { return yNumber; }

  public double getZ() { return zNumber; }

  public void dump () {
    System.out.println( xNumber + " : " + yNumber + " : " + zNumber );
  }

}
