//====================================================
/*

	KonoeCommonMenu.java
  			
	Version 0.0.0	17-Nov-1997	K.Ohta
	Version 0.1.0	10-Jan-1998	K.Ohta
	Version 0.5.0	28-Sep-1999	T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi
*/
//====================================================
package konoe.ui.graphics;

import java.awt.*;
import java.awt.event.*;
import  konoe.ui.parts.*;
import  konoe.ui.analysis.*;
import  konoe.ui.graphics.*;

public class Konoe1DCommonMenu extends Panel  
{
	GridBagLayout gb;
        GridBagConstraints c;

public Konoe1DCommonMenu()
{
	
        GridBagLayout gridbag = new GridBagLayout();
        	GridBagConstraints c = new GridBagConstraints();
                setFont(new Font("Helvetica", Font.PLAIN, 14));
                setLayout(gridbag);
                c.fill = GridBagConstraints.BOTH;
                  
                c.weightx = 1.0;
                c.gridwidth = 2;
                c.gridheight = 1;
                c.gridwidth = GridBagConstraints.REMAINDER;
                makeButton("---1DHistogram OptionMenu---", gridbag, c);

                c.weightx = 1.0;
                c.gridwidth = 2;
                c.gridheight = 1;
                c.gridwidth = GridBagConstraints.REMAINDER; 
                makeTextField("connect","sunee.cc.it-hiroshima.ac.jp",30, gridbag, c);
                 
		c.weightx = 1.0;
		c.gridwidth = 1;
		c.gridheight = 1;
                makeLabel("Port No :>",gridbag, c);
                c.gridwidth = 1;
                c.gridheight = 1;
                c.gridwidth = GridBagConstraints.REMAINDER;
                makeTextField("Port","12000",9, gridbag, c);

                c.weightx = 1.0;
                c.gridwidth = 1;
                c.gridheight = 1;
                makeButton("<CONNECT>", gridbag, c);
                c.gridwidth = 1;
                c.gridheight = 1;
                c.gridwidth = GridBagConstraints.REMAINDER;
                makeButton("<DISCONNECT>", gridbag, c);

                c.weightx = 1.0;
                c.gridwidth = 2;
                c.gridheight = 1;
                c.gridwidth = GridBagConstraints.REMAINDER;
                makeButton("<START READING>", gridbag, c);

                c.weightx = 1.0;
                c.gridwidth = 2;
                c.gridheight = 1;
                c.gridwidth = GridBagConstraints.REMAINDER;
                makeButton("<STOP READING>", gridbag, c);

               
                c.weightx = 1.0;
                c.gridwidth = 2;
                c.gridheight = 1;
                c.gridwidth = GridBagConstraints.REMAINDER; //end row
                makeLabel("--Each Size Attribute--", gridbag, c);

                c.weightx = 1.0;
                c.gridwidth = GridBagConstraints.RELATIVE;
                c.gridwidth = 1;
                c.gridheight = 1;
                makeButton("X Axis Length", gridbag, c);
                c.gridwidth = 1;
                c.gridheight = 1;
                c.gridwidth = GridBagConstraints.REMAINDER; //end row
                makeTextField("XAxisMaximum","100",9, gridbag, c);

                c.weightx = 1.0;
                c.gridwidth = GridBagConstraints.RELATIVE; //next-to-last in row
                c.gridwidth = 1;                   //reset to the default
                c.gridheight = 1;
                makeButton("Y Axis Length", gridbag, c);
                c.gridwidth = 1;
                c.gridheight = 1;
                c.gridwidth = GridBagConstraints.REMAINDER;
                makeTextField("YAxisMaximum","100",8, gridbag, c);

}

protected void makeButton(String name,
       				GridBagLayout gridbag,
                                GridBagConstraints c) 
{                  
		Button button = new Button(name);
                gridbag.setConstraints(button, c);
		button.addActionListener(new Konoe1DActionEvent());
                add(button);
}


protected void makeCheck(String name,
       				GridBagLayout gridbag,
                                GridBagConstraints c) 
{                  
		Checkbox singleCheckBox = new Checkbox(name);
                gridbag.setConstraints(singleCheckBox, c);
                add(singleCheckBox);
}

protected void makeLabel(String name,
       				GridBagLayout gridbag,
                                GridBagConstraints c) 
{                  
		Label box = new Label(name,Label.CENTER);
                gridbag.setConstraints(box, c);
                add(box);
}

protected void makeTextField(String name,String defaultvalue,
        				GridBagLayout gridbag,
                                        GridBagConstraints c) 
{
                  
		TextField textfield = new TextField(defaultvalue,7);
                gridbag.setConstraints(textfield, c);
                add(textfield);
}

protected void makeChoice1(String name,
       				GridBagLayout gridbag,
                                GridBagConstraints c) 
{                  
		Choice singleChoiceBox = new Choice();
                singleChoiceBox.addItem("Grid");
                singleChoiceBox.addItem("Card");
                gridbag.setConstraints(singleChoiceBox, c);
                add(singleChoiceBox);
}

protected void makeTextField(String name,String defaultvalue,
                                                        int cols,
                                                        GridBagLayout gridbag,
                                                        GridBagConstraints c)
{
                TextField textfield = new TextField(defaultvalue,cols);

                gridbag.setConstraints(textfield, c);
                add(textfield);
}

}

