//=============================================================
/*

    KonoeColorPanel.java

        Version 0.6.0   01-Feb-2000     M. Okamura
*/
//=============================================================
package konoe.ui.graphics;

import java.lang.*; 
import java.io.*;
import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.util.*;


public class KonoeColorPanel extends Panel 
{

	
	KonoeColorControl ColorControl;
			
        public KonoeColorPanel() 
        {
		GridBagLayout gridbag = new GridBagLayout();
		GridBagConstraints c = new GridBagConstraints();
		setFont(new Font("Helvetica", Font.PLAIN, 14));
		setLayout(gridbag);
		c.fill = GridBagConstraints.BOTH;

		c.gridwidth = 4;
		c.gridheight = 1;
		c.gridwidth = GridBagConstraints.REMAINDER;
		makeButton("---ColorControlPanel---", gridbag, c);

		c.gridwidth = 4;
		c.gridheight = 3;
		c.gridwidth = GridBagConstraints.REMAINDER;
		ColorControl = new KonoeColorControl();
		gridbag.setConstraints(ColorControl,c);
		add(ColorControl);

		c.gridwidth = 1;
		c.gridheight = 1;
		makeButton("SetBagColor",gridbag,c); 

		c.gridwidth = 1;
		c.gridheight = 1;
		makeButton("SetParamColor",gridbag,c);

		c.gridwidth = 1;
		c.gridheight = 1;
		makeButton("SetGraphColor",gridbag,c);
	        
		c.gridwidth = 1;
		c.gridheight = 1;
		c.gridwidth = GridBagConstraints.REMAINDER;
		makeButton("Close",gridbag,c);

         }

	 protected void makeButton(String name,
					 GridBagLayout gridbag,
					 GridBagConstraints c)
        {        
		 Button button = new Button(name);
		 gridbag.setConstraints(button, c);
		 button.addActionListener(new Konoe2DActionEvent());
		 add(button);
	 }
        

}
