//=============================================================
/*

	KonoeDrawableRect.java
	
	Version 0.0.1	03-Jul-1998	K.Ohta
	Version 0.4.0	18-Jul-1998	D. Takagi
	Version 0.5.0	28-Sep-1999	T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi

*/
//=============================================================

package	konoe.ui.graphics;

/**
	draw  Rect

*/

import	java.awt.*;


public class KonoeDrawableRect extends KonoeDrawable {

    public final String className = "KonoeDrawableRect";

    private int xPosition; 
    private int yPosition;
    private int boxWidth; 
    public  int boxHeight; 

  public KonoeDrawableRect () {

  }

  public void setInfo ( int h ) {

    boxHeight = h;

  }

  public int getValue ( ) {

    return boxHeight ;

  }

  public void setPlacement ( int xPos, int yPos, int xWidth ) {

    xPosition = xPos;
    yPosition = yPos;
    boxWidth  = xWidth;

  }

  public void drawMe( Graphics g ) {
 
    g.drawRect( xPosition, yPosition - boxHeight, boxWidth, boxHeight );

  }

}
