//=============================================================
/*

	KonoeFrame.java
	
	Version 0.0.1	03-Jul-1998	K.Ohta
        Version 0.4.0   18-Aug-1998     K.Ohta
        Version 0.6.0   01-Feb-2000     T. Hosoi
*/
//=============================================================

package	konoe.ui.graphics;

/**


*/

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class KonoeFrame extends Frame implements WindowListener,Runnable
{

	  public final String className = "KonoeFrame";

	  Konoe2DrawPanel drawPanel; 
	  KonoeColorPanel colorPanel; 


	  KonoeFrame ( Konoe2DrawPanel pdrawPanel ) {
	  	setSize( 650,600 );
	  	drawPanel = pdrawPanel;
	  	add(drawPanel);
	  	drawPanel.update();
  	  }

 	  KonoeFrame(KonoeColorPanel pcolorPanel ){
          	setSize(400,200);
                colorPanel = pcolorPanel;
	  	add(colorPanel);
  	  }


  	  public void run(){
	  	addWindowListener(this);
	  	show();
          }

	  public void windowClosing(WindowEvent e) { System.exit(0);}
	  public void windowOpened(WindowEvent e) {}
	  public void windowClosed(WindowEvent e) {}
	  public void windowIconified(WindowEvent e) {}
	  public void windowDeiconified(WindowEvent e) {}
	  public void windowActivated(WindowEvent e) {}
	  public void windowDeactivated(WindowEvent e) {}

}
