//=============================================================
/*

	KonoeScaleVertical.java
	
	Version 0.0.1	03-Jul-1998	K.Ohta
	Version 0.4.0	18-Aug-1998	D. Takagi
	Version 0.5.0	28-Sep-1999	T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi

*/
//=============================================================

package	konoe.ui.graphics;

/**
	 a simple scale which has mark.

*/

import java.awt.*;
import konoe.ui.analysis.*;

public class KonoeScaleVertical extends KonoeScale  {

  private int Num = 0;

  public KonoeScaleVertical () {

   super();

  }

  public KonoeScaleVertical (KonoeDataScale pScale, KonoeDimension pDim ) {

    super ( pScale, pDim );

  }

  private void check(){

    int pN = 0;
    int pMax = (int)posiTo;
    while(pMax >= 10){
      pMax /= 10;
      pN++;
    }
    Num = (int)Math.pow(10.0,(double)pN);

  }

  public void drawMe ( Graphics g ) {

    check();
//    for ( int i = 1; i < (int)(posiTo-posiFrom)/5; i++) {
/*
      for ( int i = 1; i < 10; i++) {
    g.drawLine( dim.getOrigX(),
                dim.getOrigY()-i*(dim.getHeight()/10)+dim.getHeight(),
                dim.getOrigX()+markWidth,
                dim.getOrigY()-i*(dim.getHeight()/10)+dim.getHeight());
    }
*/
    for ( int i = 0; i <= 5; i++) {
      int nowValue = dim.getOrigY()-i*dim.getHeight()/5;
      int nowLavel = i*(int)(posiTo-posiFrom)/5;
      double pLabel = (double)nowLavel/(double)Num;
      g.drawLine( dim.getOrigX(),nowValue+dim.getHeight(),
                  dim.getOrigX()+bigMarkWidth,nowValue+dim.getHeight());
      g.setFont(new Font("Helvetica",Font.PLAIN,10) ); 
      g.drawString( String.valueOf(pLabel),
                    dim.getOrigX()-40,nowValue+dim.getHeight());
      g.drawString( "X" + String.valueOf(Num) ,
                    dim.getOrigX() + 10 ,dim.getOrigY() - 3);
    }

  }

}
