//=========================================================
//
//	SocketDemoC.java
//
//	Version 0.0.1	01-Jul-1998	H. Sakamoto
//	Version 0.5.0	28-Sep-1999	T. Hosoi
//
//=========================================================

import	java.applet.*;
import	java.io.*;
import	java.net.*;

public class SocketDemoC extends Applet implements Runnable {

  Socket	socket;
  InputStream	input;
  OutputStream	output;
  PrintWriter	pout;
  Thread	thread;
    
  public SocketDemoC( ) {
  
  }
  
  public void init( ) {
  
    try {
  
      socket = new Socket( "kuhes3.pn.scphys.kyoto-u.ac.jp", 10000 );
    
      input = socket.getInputStream( );
      output = socket.getOutputStream( );
    
    }
    catch( IOException e ) {
    
      System.out.println( "Socket open failure" );
    }
    
    pout = new PrintWriter( output );
  }
  
  public void start( ) {

    if( thread == null ) {
      thread = new Thread( this );
    }
    thread.start( );
    
  }
  
  public void stop( ) {
  
    thread = null;
    
  }
  
  public void run( ) {
  
    Thread.currentThread( ).setPriority( Thread.MIN_PRIORITY );
    long	starttime = System.currentTimeMillis( );
    
    while( Thread.currentThread( ) == thread ) {
  
    try {
  
      System.out.println( "sending..." );
      //output.write( 0x42 );
      pout.println( "Hello!" );
      pout.flush( );
      starttime += 1000;
      Thread.sleep( Math.max( 0,
        starttime - System.currentTimeMillis( ) ) );
      
    }
    
//    catch( IOException e ) {
//      System.out.println( "Error in write" );
//    }

    catch( InterruptedException e ) {
    
    }
    
    }
    pout.close( );
    try {
       socket.close( );
    }
     catch( IOException e ) {
    
      System.out.println( "Socket write failed" );
    }
  }

}
