//=============================================================
/*

	KonoeTrendDataSource.java

	Version 0.0.1	19-Jun-1998	H. Sakamoto
    Version 0.5.0   28-Sep-1999 T. Hosoi

*/
//=============================================================

package	konoe.ui.trend;

/**

	Defines the interface which provides trend data

@see	KonoeTrendItem, KonoeTrendData

**/
public interface KonoeTrendDataSource {

/**

	Returns a value which corresponds to an index number

@param	index	index number which specifies an trend item
@return	Current value of specified item.

**/

  public abstract double getTrendData( int index );

}
