//=============================================================
/*

        KonoeDefaultCategoryManager.java

        Version 0.0.1   03-Aug-1998     D. Takagi
        Version 0.5.0   28-Sep-1999     T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi

*/
//=============================================================
package konoe.ui.system;

public class KonoeDefaultCategoryManager extends KonoeCategoryManager implements KonoeObject {
    public KonoeDefaultCategoryManager() {
	// DataRecord

	// PhysicalValue
	installClass(0x62, 0x01, "konoe.ui.analysis.KonoeLinearDataScale");
	installClass(0x62, 0x02, "konoe.ui.analysis.KonoeDataAddress");

	// Histgram
	installClass(0x63, 0x01, "konoe.ui.analysis.KonoeHistogramStorage");
	installClass(0x63, 0x02, "konoe.ui.analysis.Konoe1DHistogram");
	installClass(0x63, 0x03, "konoe.ui.analysis.Konoe2DHistogram");
        installClass(0x63, 0x07, "konoe.ui.analysis.Konoe1DHistogramList");

	// Geometry
	installClass(0x64, 0x01, "konoe.ui.analysis.Konoe3Vector");
	installClass(0x64, 0x02, "konoe.ui.analysis.KonoeDetectorList");
	installClass(0x64, 0x03, "konoe.ui.analysis.KonoeDetector");
	installClass(0x64, 0x04, "konoe.ui.analysis.KonoeDetectorElement");
	installClass(0x64, 0x05, "konoe.ui.analysis.KonoeDetectorHit");
	installClass(0x64, 0x06, "konoe.ui.analysis.KonoeGeometry");
	installClass(0x64, 0x07, "konoe.ui.analysis.KonoeBoxGeometry");
    }

    public void dump() {
	System.out.println("OKW");
    }
}
	
