//=============================================================
/*

        KonoeInputObjectSocket.java

        Version 0.0.1   03-Aug-1998     D. Takagi
        Version 0.5.0   28-Sep-1999     T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi

*/
//=============================================================
package konoe.ui.system;

import java.io.*;
import java.net.*;

public class KonoeInputObjectSocket extends KonoeInputObjectStream {
    private Socket socket;
    private DataInputStream din;

    public KonoeInputObjectSocket(String host, int port) throws IOException {
	socket = new Socket(host, port);
	din = new DataInputStream(new BufferedInputStream(socket.getInputStream()));
    }


    public KonoeInputObjectSocket(Socket s) throws IOException {
        socket = s;
        din = new DataInputStream(new BufferedInputStream(socket.getInputStream()));
    }

    protected DataInputStream in() {
	return din;
    }

    public void close(){
try{
      socket.close();
      din.close();
}catch(IOException e){} 
    }

}
