//=============================================================
/*

        KonoeStrreamHeader.java

        Version 0.0.1   03-Aug-1998     D. Takagi
        Version 0.5.0   28-Sep-1999     T. Hosoi
        Version 0.6.0   01-Feb-2000     T. Hosoi

*/
//=============================================================
package konoe.ui.system;

public class KonoeStreamHeader implements KonoeObject {
    private int level;
    private int categoryID;
    private int classID;
    private int classVersion;
    private int memberID;
    private int dataCount;
    private int recordSize;

    public KonoeStreamHeader() {}
    public KonoeStreamHeader(int level, int categoryID, int classID, int classVersion, 
			     int memberID, int dataCount, int recordSize) {
	this.level        = level;
	this.categoryID   = categoryID;
	this.classID      = classID;
	this.classVersion = classVersion;
	this.memberID     = memberID;
	this.dataCount    = dataCount;
	this.recordSize   = recordSize;
    }

    // --- Get Methods ---
    public int getLevel()        { return level; }
    public int getCategoryID()   { return categoryID; }
    public int getClassID()      { return classID; }
    public int getClassVersion() { return classVersion; }
    public int getMemberID()     { return memberID; } 
    public int getDataCount()    { return dataCount; }
    public int getRecordSize()   { return recordSize; }

    // -- Set Methods ---
    public void setLevel(int levell) { this.level = level; }
    public void setCategoryID(int categoryID) { this.categoryID = categoryID; }
    public void setClassID(int classID) { this.classID = classID; }
    public void setClassVersion(int classVersion) { this.classVersion = classVersion; }
    public void setMemberID(int memberID) { this.memberID = memberID; }
    public void setDataCount(int dataCount) { this.dataCount = dataCount; }
    public void setRecordSize(int recordSize) { this.recordSize = recordSize; }

    // ---
    public String toString() {
	return "KonoeStreamHeader:\n" + 
               "level        = " + level        + "\n" +
	       "categoryID   = " + categoryID   + "\n" +
               "classID      = " + classID      + "\n" +
               "classVersion = " + classVersion + "\n" +
               "memberID     = " + memberID     + "\n" +
               "dataCount    = " + dataCount    + "\n" +
               "recordSize   = " + recordSize   + "\n";
    }
		 
    public void dump() {
	System.out.println(toString());
    }
}
