//=========================================================
//
//      EventDemo.java
//
//	Version 0.0.1	03-Jul-1998	K.Ohta
//
//=========================================================

import	java.applet.*;
import	java.awt.*;
import	java.io.*;
import  konoe.ui.parts.*;
import  konoe.ui.analysis.*;
import  konoe.ui.graphics.*;
import  konoe.ui.system.*;

public class EventDemo extends Applet {

  KonoeEventViewCanvas testEventViewer1;
  KonoeDrawPanel testPanel1;

  KonoePhysPlacement[] myPhys;
  KonoePhysPlacement[] myPhys2;
  KonoePhysPlacement[] myPhys3;
  KonoePhysPlacement[] myPhys4;
  KonoePhysPlacement[] myPhys5;
  KonoePhysPlacement[] myPhys6;
  KonoePhysPlacement[] myPhys7;
  KonoePhysPlacement[] myPhys8;
  KonoePhysPlacement[] myPhys9;

  public void init() {

    myPhys = new KonoePhysPlacement[400];
    myPhys2 = new KonoePhysPlacement[100];
    myPhys3 = new KonoePhysPlacement[100];
    myPhys4 = new KonoePhysPlacement[100];
    myPhys5 = new KonoePhysPlacement[100];
    myPhys6 = new KonoePhysPlacement[100];
    myPhys7 = new KonoePhysPlacement[100];
    myPhys8 = new KonoePhysPlacement[100];
    myPhys9 = new KonoePhysPlacement[100];

//----- create geometory ---------------

    createGeometory();

//----- sample hits --------------------

    myPhys[250].setVisAtt( 255, 0, 0);
    myPhys[50].setVisAtt ( 255, 0, 0);
    myPhys[50].setVisAtt ( 255, 0, 0);
    myPhys[100].setVisAtt( 255, 0, 0);
    myPhys[380].setVisAtt( 255, 0, 0);
    myPhys[350].setVisAtt( 255, 0, 0);
    myPhys[300].setVisAtt( 255, 0, 0);
    myPhys2[50].setVisAtt( 255, 0, 0);
    myPhys3[1].setVisAtt( 255, 0, 0);
    myPhys4[1].setVisAtt( 255, 0, 0);
    myPhys5[99].setVisAtt( 255, 0, 0);
    myPhys6[30].setVisAtt( 255, 0, 0);
    myPhys7[80].setVisAtt( 255, 0, 0);
    myPhys8[30].setVisAtt( 255, 0, 0);
    myPhys9[60].setVisAtt( 255, 0, 0);

//------- SET PHISICAL VOLUME ---------

    testEventViewer1 = new KonoeEventViewCanvas ( new KonoeDimension ( 950, 550 ),
                                             " test 1 ", 1200 );
 /*
    testEventViewer1.setPhysicalVolume ( myPhys, 0, 400);
    testEventViewer1.setPhysicalVolume ( myPhys2, 400, 500);
    testEventViewer1.setPhysicalVolume ( myPhys3, 500, 600);
    testEventViewer1.setPhysicalVolume ( myPhys4, 600, 700);
    testEventViewer1.setPhysicalVolume ( myPhys5, 700, 800);
    testEventViewer1.setPhysicalVolume ( myPhys6, 800, 900);
    testEventViewer1.setPhysicalVolume ( myPhys7, 900, 1000);
    testEventViewer1.setPhysicalVolume ( myPhys8, 1000, 1100);
    testEventViewer1.setPhysicalVolume ( myPhys9, 1100, 1200);
*/
    testEventViewer1.setPhysicalVolume ( myPhys, 300, 700);
    testEventViewer1.setPhysicalVolume ( myPhys2, 0, 100);
    testEventViewer1.setPhysicalVolume ( myPhys3, 100, 200);
    testEventViewer1.setPhysicalVolume ( myPhys4, 200, 300);
    testEventViewer1.setPhysicalVolume ( myPhys5, 700, 800);
    testEventViewer1.setPhysicalVolume ( myPhys6, 800, 900);
    testEventViewer1.setPhysicalVolume ( myPhys7, 900, 1000);
    testEventViewer1.setPhysicalVolume ( myPhys8, 1000, 1100);
    testEventViewer1.setPhysicalVolume ( myPhys9, 1100, 1200);

//------- SET PANEL ---------

    testPanel1 = new KonoeDrawPanel( testEventViewer1, " Event Display test " );

    setLayout( new GridLayout ( 1, 2 ) );
    add ( testPanel1 );
  }

  public void start( ) {

    testEventViewer1.paint ( testEventViewer1.getGraphics() );
    System.out.println( "Applet "+getSize( ).toString( ) );
  }

  public void stop( ) {

  }

  public void createGeometory () {

//----- solid definition ------------

    KonoeDrawableBox myCalBox = new KonoeDrawableBox ( "MyCal", 10, 10, 10 );
    KonoeRotationMatrix rm = new KonoeRotationMatrix( );
    rm.rotateZ(0);

    KonoeDrawableHorizonLine myHolLine = 
                  new KonoeDrawableHorizonLine ( "MyHolLine", 100 );
    KonoeRotationMatrix rm2 = new KonoeRotationMatrix( );
    rm2.rotateZ(0);

    KonoeDrawableVerticalLine myVerLine = 
                  new KonoeDrawableVerticalLine ( "MyVerLine", 100 );
    KonoeRotationMatrix rm3 = new KonoeRotationMatrix( );
    rm2.rotateZ(0);

//------ physical vomule ------------

    int copyNo = 0;

    for ( int i = 0; i < 20; i++ ) {
    int locateX = 200 - i*20;
      for ( int j = 0; j < 20; j++ ) {
      int locateY = j*20 - 200;

      Konoe3DVector vec1 = new Konoe3DVector( locateX, locateY, 700);

      myPhys[copyNo] = 
          new KonoePhysPlacement ( new KonoeTransform ( rm, vec1 ), myCalBox );
      myPhys[copyNo].replace ( new Konoe2Dimension ( ) );
      myPhys[copyNo].setVisAtt( 0, 0, 255);
//      myPhys[copyNo].setSurf2Mode( );
        myPhys[copyNo].setForceWireFrame( );
        myPhys[copyNo].setThinGap( );

    copyNo++;
    }
    }


    copyNo = 0;
    for ( int j = 0; j < 100; j++ ) {

     int locateY = -100 + 2*j;

      Konoe3DVector vec2 = new Konoe3DVector( 0, locateY, 620);

      myPhys2[copyNo] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm, vec2 ), myHolLine );
      myPhys2[copyNo].replace ( new Konoe2Dimension ( ) );
      myPhys2[copyNo].setVisAtt( 0, 255, 0);

    copyNo++;

    }


    copyNo = 0;
    for ( int j = 0; j < 100; j++ ) {

     int locateX = 100 - 2*j;

      Konoe3DVector vec3 = new Konoe3DVector( locateX, 0, 600);

      myPhys3[copyNo] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm3, vec3 ), myVerLine );
      myPhys3[copyNo].replace ( new Konoe2Dimension ( ) );
      myPhys3[copyNo].setVisAtt( 0, 0, 255);

    copyNo++;

    }


    copyNo = 0;
    for ( int j = 0; j < 100; j++ ) {

     int locateY = -100 + 2*j;

    Konoe3DVector vec4 = new Konoe3DVector( 0, locateY, 500);

      myPhys4[copyNo] = 
             new KonoePhysPlacement ( new KonoeTransform ( rm, vec4 ), myHolLine );
      myPhys4[copyNo].replace ( new Konoe2Dimension ( ) );
      myPhys4[copyNo].setVisAtt( 0, 255, 0);

    copyNo++;

    }


    copyNo = 0;
    for ( int j = 0; j < 100; j++ ) {

     int locateX = 100 - 2*j;

     Konoe3DVector vec5 = new Konoe3DVector( locateX, 0, 480 );

      myPhys5[copyNo] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm3, vec5 ), myVerLine );
      myPhys5[copyNo].replace ( new Konoe2Dimension ( ) );
      myPhys5[copyNo].setVisAtt( 0, 0, 255);

    copyNo++;

    }


    copyNo = 0;
    for ( int j = 0; j < 100; j++ ) {

     int locateY = -100 + 2*j;

      Konoe3DVector vec6 = new Konoe3DVector( 0, locateY, 300);
      myPhys6[copyNo] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm, vec6 ), myHolLine );
      myPhys6[copyNo].replace ( new Konoe2Dimension ( ) );
      myPhys6[copyNo].setVisAtt( 0, 255, 0);

    copyNo++;

    }


    copyNo = 0;
    for ( int j = 0; j < 100; j++ ) {

     int locateX = 100 - 2*j;

      Konoe3DVector vec7 = new Konoe3DVector( locateX, 0, 280);

      myPhys7[copyNo] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm3, vec7 ), myVerLine );
      myPhys7[copyNo].replace ( new Konoe2Dimension ( ) );
      myPhys7[copyNo].setVisAtt( 0, 0, 255);
      copyNo++;
    }


    copyNo = 0;
    for ( int j = 0; j < 100; j++ ) {

     int locateY = -100 + 2*j;

      Konoe3DVector vec8 = new Konoe3DVector( 0, locateY, 200);

      myPhys8[copyNo] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm, vec8 ), myHolLine );
      myPhys8[copyNo].replace ( new Konoe2Dimension ( ) );
      myPhys8[copyNo].setVisAtt( 0, 255, 0);

     copyNo++;

    }


    copyNo = 0;
    for ( int j = 0; j < 100; j++ ) {

     int locateX = 100 - 2*j;

      Konoe3DVector vec9 = new Konoe3DVector( locateX, 0, 180);

      myPhys9[copyNo] = 
           new KonoePhysPlacement ( new KonoeTransform ( rm3, vec9 ), myVerLine );
      myPhys9[copyNo].replace ( new Konoe2Dimension ( ) );
      myPhys9[copyNo].setVisAtt( 0, 0, 255);

    copyNo++;

    }
}
}
