//===================================================================
/*

	CommandDemo.cc

	Version 0.0.1	 3-Jul-1998	H. Sakamoto
	Version 0.4.0	 6-Sep-1998	S. Nishida
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi

*/
//===================================================================

#include	<ui/KonoeCommander.hh>
#include	<iostream.h>

class	CommandDemo	{

public :

	enum	{	TABLESIZE = 64		};

protected :

	KonoeCommander	* commander;

public :

	CommandDemo( );
	int	go( );

};

CommandDemo::CommandDemo( ) {

	commander = new KonoeCommander( TABLESIZE, "commander" );

}

int	CommandDemo::go( ) {

	KChar	buffer[ 256 ];

	while( 1 ) {
	  cout << "CMD> ";
	  cin.getline( buffer, 256 );
	  if( commander -> dispatch( buffer, cout ) < 0 )
	    break;
	}
	return 0;

}


int	main( int argc, char ** argv ) {

	CommandDemo	demo;
	return demo.go( );

}
