//================================================================
/*

	KonoeCommandBuffer.hh

	Version 0.0.1	17-May-2001	H. Sakamoto

*/
//================================================================

#ifndef	__KONOECOMMANDBUFFER_HH
#define	__KONOECOMMANDBUFFER_HH

#include	<KonoePrimitives.hh>

class	KonoeCommandBuffer	{

public :
	enum	{	DEFAULT_BUFFER_SIZE	= 64	};

protected :

	KChar	** buffer;
	KInt	buffersize;
	KInt	linecount;
	KInt	bufferincrease;
	KInt	lineoffset;

	KInt	extend_buffer( );

public :
	KonoeCommandBuffer( KInt buffersize = DEFAULT_BUFFER_SIZE );
	~KonoeCommandBuffer( );
	KInt	getLineCount( )	{	return linecount;	}
	KInt	getLineOffset( )	{	return lineoffset;	}
	KChar	* getLine( KInt index );
	KInt	putLine( const KChar * string );
	void	pushLine( const KChar * string );
	KInt	deleteLine( KInt index );
	KInt	insertLine( KInt index, const KChar * string );
	KInt	replaceLine( KInt index, const KChar * string );

};

#endif
