//=================================================================
/*

	KonoeCommandOfficer.hh

	Version 0.0.1	24-Jul-1998	H. Sakamoto
	Version	0.4.0	11-Sep-1998
        Version 0.5.0   21-Sep-1999     Y. Kouno
        Version 0.6.0   04-Aug-2000     G. Iwai
	Version 0.6.1	11-May-2001	H. Sakamoto

*/
//=================================================================

#ifndef	__KONOECOMMANDOFFICER_HH
#define	__KONOECOMMANDOFFICER_HH

#include <ui/KonoeOfficer.hh>

class KonoeCommandOfficer : public KonoeOfficer {

protected:
  static const KChar* classname;

  enum { COMMANDBUFFER_CLASS,
	 N_CLASSES };
  
public:
  KonoeCommandOfficer(KInt norderly, const KChar * name);

  inline const KChar* getClassName() { return classname; }
  KInt execute(KonoeCommand* cmd);
  inline KInt isOrderlyOf(void* address) 
  { return (void*) this == address; }
};


#endif
