//=================================================================
/*

	KonoeHelpCommand.cc

	Version 0.0.1	16-Jul-1998	H. Sakamoto
	Version 0.4.0	 6-Sep-1998	S. Nishida
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
	Version 0.6.1	12-May-2001	H. Sakamoto

*/
//=================================================================

#include	<ui/KonoeHelpCommand.hh>
#include	<ui/KonoeOrderly.hh>

KonoeHelpCommand::KonoeHelpCommand( KonoeCommandDescriptor * cd,
		KonoeOrderly * ow ) : KonoeCommandProcessor( cd, ow ) {

	if( cd == 0 ) {
	  descriptor = new KonoeCommandDescriptor( "help", 1 );
	  descriptor -> add( new KonoeArgumentDescriptor( "item",
		KonoeArgumentDescriptor::STRING,
		KonoeArgumentDescriptor::OPTIONAL ) );
	    descriptor -> setDescription(
		"Print a help message. print what you are looking at" );
	}
}

KInt	KonoeHelpCommand::execute( KonoeCommand * cmd ) {

	ostream & os = cmd -> getOutputStream( );
	owner -> printHelp( cmd, os );
	return 0;
}
