//=======================================================================
/*

	KonoeSymbol.hh

	Version 0.6.0	25-Nov-2000	H. Sakamoto
	Version 0.6.1	14-May-2001	H. Sakamoto

*/
//======================================================================

#ifndef	__KONOESYMBOL_HH
#define	__KONOESYMBOL_HH
#include	<KonoePrimitives.hh>
#include	<iostream.h>

class	KonoeSymbol	{

public :
	virtual KInt	match( const KChar * name ) = 0;
	virtual KInt	getType( ) = 0;
	virtual KChar	* getName( ) = 0;
	virtual KChar *	getCValue( ) = 0;
	virtual KInt	getIValue( ) = 0;
	virtual KFloat	getFValue( ) = 0;
	virtual KInt	setCValue( const KChar * cvalue ) = 0;
	virtual KInt	setIValue( KInt ivalue ) = 0;
	virtual KInt	setFValue( KFloat fvalue ) = 0;
	virtual void	showName( ostream & os ) = 0;
	virtual void	showValue( ostream & os ) = 0;
	virtual KInt	isInteger( ) = 0;
	virtual KInt	isString( ) = 0;
	virtual KInt	isFloating( ) = 0;

};

#endif

