//==================================================================
/*
        demoreceive.java (StreamableObject Test Program)

*/
//==================================================================
import konoe.ui.system.*;
import konoe.ui.analysis.*;
import java.io.*;

// usage:
//    java demoreceive
//
public class demoreceive {

    KonoeInputObjectStream in;

    public static void main(String args[]) {
	int port = 10000; // default
	String host = "localhost"; //default
	if (args.length > 0) port = Integer.parseInt(args[0], 10);
	if (args.length > 1) host = args[1];

	new demoreceive(port, host).run();
    }

    public demoreceive(int port, String host) {
	// create socket connection
	try {
	    in = new KonoeInputObjectSocket(host, port);
	} catch (IOException e) {
	    System.err.println("connection failed");
	    System.exit(1);
	    return;
	}
    }

    void run() {
	int n = 0;
	try {
	    while (true) {
//		System.out.println("--- No. " + (++n) + "---");

/*
		// read 1 object from stream
		KonoeStreamHeader header = in.readHeader();
		KonoeStreamableObject object = in.readObject(header);
		((KonoeObject)object).dump();
*/
		KonoeStreamHeader header = in.readHeader();
		// KonoeDetectorList ?

		if ((header.getCategoryID() == 0x64) && 
		    (header.getClassID() == 0x02)) {

		    // search every element
		    KonoeDetectorList detectorlist = 
		      (KonoeDetectorList)(in.readObject(header));

		    for (int i = 0; i < detectorlist.getCount(); i++) {
			
			KonoeDetector detector = detectorlist.get(i);
			int detectorID = detector.getID();

			for (int j = 0; j < detector.getCount(); j++) {

			    KonoeDetectorElement element = detector.get(j);

			}
			
		    }

		} 
	    }
	} catch (IOException ioex) {
	    System.err.println("connection closed");
	    System.exit(1);
	}
    }
}
