//=====================================================================
/*

    EventDemo.hh

    Version 0.0.1   24-Nov-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __EVENTDEMO_HH
#define __EVENTDEMO_HH

#include <KonoePrimitives.hh>

class KonoeTclWindow;
class KonoeTclEventViewCanvas;
class KonoeTclDrawPanel;
class KonoeTclPhysPlacement;

class EventDemo {

  public:
    EventDemo();
    EventDemo(KonoeTclWindow* kwin, KChar* kname);
    ~EventDemo();

    void createGeometory();

  private:
    KonoeTclEventViewCanvas* testEventViewer1;
    KonoeTclDrawPanel* testPanel1;

    KonoeTclPhysPlacement** myPhys1;
    KonoeTclPhysPlacement** myPhys2;
    KonoeTclPhysPlacement** myPhys3;
    KonoeTclPhysPlacement** myPhys4;
    KonoeTclPhysPlacement** myPhys5;
    KonoeTclPhysPlacement** myPhys6;
    KonoeTclPhysPlacement** myPhys7;
    KonoeTclPhysPlacement** myPhys8;
    KonoeTclPhysPlacement** myPhys9;
    
};

#endif
