//=====================================================================
/*

    sample.hh

    Version 0.0.1   23-Jan-2001 T. Hosoi

*/
//====================================================================

#ifndef __SAMPLE_HH
#define __SAMPLE_HH

#include <ui/KonoeTclWidget.hh>
#include <ui/KonoeTclWindow.hh>

#include <ui/KonoeTclMouseListener.hh>

class sample : public KonoeTclMouseListener {

  public:
    sample(KonoeTclWindow* kwin);
    ~sample();

    void initWidget(KonoeTclWindow* kwin);
    void mouseEvent(KonoeTclUIPrimitive* wid, KInt type, KInt button,
                                            Time time, KInt x, KInt y);

  private:
    KonoeTclMenu* mainMenu;
    KonoeTclMenu* fileMenu;
    KonoeTclMenu* editMenu;
    KonoeTclListBox* listBox;
    KonoeTclFrame* frame;
    KonoeTclLabel* itemLabel;
    KonoeTclEntry* itemEntry;
    KonoeTclButton* addButton;
};

#endif
