//=====================================================================
/*

    KonoeTclFMIconCanvas.hh

    Version 0.5.0   08-Sep-1999 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLFMICONCANVAS_HH
#define __KONOETCLFMICONCANVAS_HH

#include <KonoeTclFMCanvas.hh>

class KonoeTclFMManager;
class KonoeTclWindow;
class KonoeTclDimension;
class KonoeNetworkFileManager;
class KonoeDirectoryInfomation;
class KonoeFileInfomation;
class KonoePath;

class KonoeTclFMIconCanvas : public KonoeTclFMCanvas {

  public:
    KonoeTclFMIconCanvas(KonoeTclFMManager* _kfmgr, KonoeTclWindow* kwin);
    ~KonoeTclFMIconCanvas();

    void setIconXY();
    void drawIcon();

    void mouseAction(KonoeTclCanvas* kbt, KInt type, KInt button,
                     Time time, KInt x, KInt y);
    void mouseMotion(KonoeTclCanvas* kbt,  KInt type, KInt state,
                     Time time, KInt x, KInt y);
    void windowAction(KonoeTclCanvas* kbt, XEvent* xe);

    KInt getIconNumperLine();
    void checkClickedPoint(KInt mx, KInt my);
    KonoeTclDimension* toRealPosition(KInt x, KInt y);

  private:
    void setSelectedIconList(KInt x1, KInt y1, KInt x2, KInt y2);
};

#endif
