//=====================================================================
/*

    KonoeTclFMMenu.hh

    Version 0.5.0   06-Oct-1999 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLFMMENU_HH
#define __KONOETCLFMMENU_HH

#include <ui/KonoeTclEventProcessor.hh>
#include <ui/KonoeTclMouseAction.hh>

class KonoeTclFMManager;
class KonoeTclWindow;
class KonoeTclFrame;
class KonoeTclButton;

class KonoeTclFMMenu : public KonoeTclEventProcessor,
                       public KonoeTclMouseAction {

  public:
    KonoeTclFMMenu();
    KonoeTclFMMenu(KonoeTclFMManager* _kfmgr, KonoeTclWindow* kwin);
    ~KonoeTclFMMenu();

    void mouseAction(KonoeTclButton* kme, KInt type, KInt button,
                     Time time, KInt x, KInt y);

  private:
    KonoeTclFMManager* kfmgr;
    KonoeTclWindow* parentWindow;
    KonoeTclFrame* menufrm;
    KonoeTclButton* mbtn1;
    KonoeTclButton* mbtn2;
    KonoeTclButton* mbtn3;
};

#endif
