//=====================================================================
/*

    KonoeTclFMPopup.hh

    Version 0.5.0   13-Oct-1999 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLFMPOPUP_HH
#define __KONOETCLFMPOPUP_HH

#include <KonoePrimitives.hh>
#include <ui/KonoeTclMenuButton.hh>
#include <ui/KonoeTclEventProcessor.hh>
#include <ui/KonoeTclMouseAction.hh>

class KonoeTclWindow;
class KonoeTclFMManager;

class KonoeTclFMPopup : public KonoeTclMenuButton,
                        public KonoeTclEventProcessor,
                        public KonoeTclMouseAction
{

  public:
    KonoeTclFMPopup(){;}
    KonoeTclFMPopup(KonoeTclFMManager* _kfmgr,
                    KonoeTclWindow* kwin, KChar* kname);
    virtual ~KonoeTclFMPopup();

    virtual void setStatus() = 0;


  protected:
    KInt isRegion(KInt x, KInt y, KInt num);

  protected:
    KonoeTclFMManager* kfmgr;
    KonoeTclWindow* parentwin;
};

#endif
