//=====================================================================
/*

    KonoeTclFMPopupMenu.hh

    Version 0.5.0   05-Oct-1999 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLFMPOPUPMENU_HH
#define __KONOETCLFMPOPUPMENU_HH

#include <KonoeTclFMPopup.hh>

class KonoeTclFMInputPanel;
class KonoeTclFMModePanel;
class KonoeTclFMInfoPanel;

class KonoeTclFMPopupMenu : public KonoeTclFMPopup
{
  public:
    KonoeTclFMPopupMenu();
    KonoeTclFMPopupMenu(KonoeTclFMManager* _kfmgr,
                        KonoeTclWindow* kwin, KChar* kname);
    ~KonoeTclFMPopupMenu();

    void setStatus();

    void mouseAction(KonoeTclMenuButton* kbt, KInt type,
                     KInt button, Time time, KInt x, KInt y);

  private:
    KonoeTclFMInputPanel* ip;
    KonoeTclFMModePanel* mp;
    KonoeTclFMInfoPanel* infopanel;
};

#endif
