//=====================================================================
/*

    KonoeTclFMPopupView.hh

    Version 0.5.0   13-Oct-1999 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLFMPOPUPVIEW_HH
#define __KONOETCLFMPOPUPVIEW_HH

#include <KonoeTclFMPopup.hh>

class KonoeTclWindow;
class KonoeTclFMManager;
class KonoeTclFMIconCanvas;
class KonoeTclFMSimpleCanvas;
class KonoeTclFMDetailCanvas;

class KonoeTclFMPopupView : public KonoeTclFMPopup
{

  public:
    KonoeTclFMPopupView();
    KonoeTclFMPopupView(KonoeTclFMManager* _kfmgr,
                        KonoeTclWindow* kwin, KChar* kname);
    ~KonoeTclFMPopupView();

    void setStatus();
    void mouseAction(KonoeTclMenuButton* kbt, KInt type,
                     KInt button, Time time, KInt x, KInt y);

  private:
    KonoeTclFMIconCanvas* canvas;
    KonoeTclFMSimpleCanvas* scan;
    KonoeTclFMDetailCanvas* dcan;
};

#endif
