//=====================================================================
/*

    KonoeTcl1DHistogram.hh

    Version 0.0.1   14-Nov-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETcl1DHISTOGRAM_HH
#define __KONOETcl1DHISTOGRAM_HH

#include <analysis/Konoe1DHistogram.hh>
#include <analysis/KonoeLinearDataScale.hh>
#include <iostream.h>

class KonoeTcl1DHistogram : public Konoe1DHistogram {

  public:
    KonoeTcl1DHistogram(Konoe1DHistogram* h);
    ~KonoeTcl1DHistogram();

    KInt getBinCount() { return binCount; }
    KonoeDataScale* getScale() { return aScale; }
    KFloat getOne(KInt n);

    void dump(ostream& os);

  private:
    static int flag;
    KInt binCount;
    KonoeLinearDataScale* aScale;
    KFloat* value;

    KInt    put( KonoeOutputObjectStream * os,
            KChar lavel, KInt memberid ){ return -1; }
    KInt    getStreamSize( ){ return -1; }
    KInt    fillPrimitiveMember( KInt memberid, KInt datatype,
                KInt datacount, void * data ){ return -1; }
    KInt    fillObjectMember( KInt memberid,
                KonoeStreamableObject * data ){ return -1; }

};

#endif
