//=====================================================================
/*

    KonoeTcl2DrawPanel.hh

    Version 0.0.1   09-Dec-1999 T. Hosoi
	Version 0.5.1	26-Jan-2000	H. Sakamoto
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCL2DRAWPANEL_HH
#define __KONOETCL2DRAWPANEL_HH

#include <ui/KonoeTclFrame.hh>

class KonoeTcl2DrawCanvas;
class KonoeTclSpaceManager;
class KonoeTclWindow;

class KonoeTcl2DrawPanel : public KonoeTclFrame {

  public:
    KonoeTcl2DrawPanel(KonoeTclWindow* kwin, KChar* kname);
    ~KonoeTcl2DrawPanel();

    inline KonoeTclSpaceManager* getSpaceManager() { return spMan; }
    void setCanvas(KonoeTcl2DrawCanvas* pWorld, KChar* titleName);
    void setBackGround(KChar* col);

  private:

    KonoeTcl2DrawCanvas* drawCanvas;
    KonoeTclSpaceManager* spMan;

    KInt prevx;
    KInt prevy;
};

#endif
