//=====================================================================
/*

    KonoeTcl3DVector.hh

    Version 0.0.1   26-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCL3DVECTOR_HH
#define __KONOETCL3DVECTOR_HH

#include <KonoePrimitives.hh>

class KonoeTcl3DVector {

  public:
    KonoeTcl3DVector();
    KonoeTcl3DVector( KDouble pX, KDouble pY, KDouble pZ );
    ~KonoeTcl3DVector();

    KDouble getX() { return mX; }
    KDouble getY() { return mY; }
    KDouble getZ() { return mZ; }

    void dump();

  private:
    KDouble mX;
    KDouble mY;
    KDouble mZ;
};

#endif
