//=====================================================================
/*

    KonoeTclDimension.hh

    Version 0.0.1   25-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLDIMENSION_HH
#define __KONOETCLDIMENSION_HH

#include <KonoePrimitives.hh>

class KonoeTclDimension {

  public:
    KonoeTclDimension();
    KonoeTclDimension(KInt w, KInt h);
    ~KonoeTclDimension();

    inline void setWidth(KInt w) { width = w; }
    inline void setHeight(KInt h) { height = h; }
    inline KInt getWidth() { return width; }
    inline KInt getHeight() { return height; }
    inline KInt getOrigX() { return 50; }
    inline KInt getOrigY() { return 20; }
    KInt operator == ( KonoeTclDimension r_side ) const;

  private:
    KInt width;
    KInt height;
    KInt dimension;
    KInt screenWidth;
    KInt screenHeight;
    KInt zoomRate;
//    KonoeTclDimension drawOrigin;
//    KonoeTclDimension locationOfCenter;
};

#endif
