//=====================================================================
/*

    KonoeTclDrawPanel.cc

    Version 0.0.1   26-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#include <ui/KonoeTclWindow.hh>
#include <ui/KonoeTclDrawPanel.hh>
#include <ui/KonoeTclCanvas.hh>
#include <ui/KonoeTclDimension.hh>
#include <ui/KonoeTclLabel.hh>

KonoeTclDrawPanel::KonoeTclDrawPanel(KonoeTclWindow* kwin, KChar* kname)
  : KonoeTclFrame(kwin, kname)
{
  ;
}

KonoeTclDrawPanel::~KonoeTclDrawPanel()
{
  //delete myCanvas;
  //delete titleName;
}

void KonoeTclDrawPanel::setCanvas(KonoeTclCanvas* pCanvas, KChar* pString)
{
  strcpy(panelTitle, pString);
  myCanvas = pCanvas;

  KChar compName[256];
  sprintf(compName, "label_of_%s", getName());
  //titleName = new KonoeTclLabel(this, compName, panelTitle);

  KonoeTclDimension dimension = myCanvas->getSize();
  myCanvas->setSize(dimension.getWidth()+70, dimension.getHeight()+70);

  //myCanvas->draw();
  setFrame();
}

void KonoeTclDrawPanel::setBackGround(KChar* col)
{
  KChar cmd[256];

  sprintf(cmd, "%s configure -background %s", path, col);
  configCommand(cmd);

  //sprintf(cmd, "%s configure -background %s", titleName->getPath(), col);
  //configCommand(cmd);

  sprintf(cmd, "%s configure -background %s", myCanvas->getPath(), col);
  configCommand(cmd);
}
