//=====================================================================
/*

    KonoeTclDrawableRect.cc

    Version 0.0.1   26-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#include <ui/KonoeTclDrawableRect.hh>
#include <ui/KonoeTclGraphics.hh>

KonoeTclDrawableRect::KonoeTclDrawableRect()
{
  xPosition = 0;
  yPosition = 0;
  boxWidth = 0;
  boxHeight = 0;
}

KonoeTclDrawableRect::~KonoeTclDrawableRect()
{ ; }

void KonoeTclDrawableRect::setPlacement( KInt xPos, KInt yPos, KInt xWidth )
{
  xPosition = xPos;
  yPosition = yPos;
  boxWidth = xWidth;
}

void KonoeTclDrawableRect::drawMe( KonoeTclGraphics* g )
{
  if( boxHeight != 0 )
  g->drawRectangle( xPosition, yPosition - boxHeight, boxWidth, boxHeight );
}

void KonoeTclDrawableRect::drawMe2( KonoeTclGraphics* g )
{
  if( boxHeight != 0 )
  g->drawFillRectangle( xPosition, yPosition - boxHeight, boxWidth, boxHeight );
}
