//=====================================================================
/*

    KonoeTclDrawableRect.hh

    Version 0.0.1   26-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLDRAWABLERECT_HH
#define __KONOETCLDRAWABLERECT_HH

#include <KonoePrimitives.hh>
#include <ui/KonoeTclDrawable.hh>

class KonoeTclGraphics;

class KonoeTclDrawableRect : public KonoeTclDrawable {

  public:
    KonoeTclDrawableRect();
    ~KonoeTclDrawableRect();

    void setInfo( KInt h ) { boxHeight = h; }
    KInt getValue() { return boxHeight; }
    void setPlacement( KInt xPos, KInt yPos, KInt xWidth );
    void drawMe( KonoeTclGraphics* g );
    void drawMe2( KonoeTclGraphics* g );

  private:
    KInt xPosition;
    KInt yPosition;
    KInt boxWidth;
    KInt boxHeight;
};

#endif
