//=====================================================================
/*

    KonoeTclDrawableString.hh

    Version 0.0.1   26-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLDRAWABLESTRING_HH
#define __KONOETCLDRAWABLESTRING_HH

#include <ui/KonoeTclSolid.hh>

class KonoeTclSpaceManager;
class KonoeTclTransform;
class KonoeTclGraphics;
class KonoeTcl2Dimension;

class KonoeTclDrawableString : public KonoeTclSolid {

  public:
    KonoeTclDrawableString(KChar* pStr, KChar* fColor="green",
                             KChar* pfontName="times", KInt _fontSize=10);
    ~KonoeTclDrawableString();

    void setSpaceManager( KonoeTclSpaceManager* pManage);
    void dump();
    void setWire(){;}
    void unsetWire(){;}
    void setSurf2(){;}
    void unsetSurf2(){;}
    void setThinGap() { ; }
    void realDrawReplace(KonoeTcl2Dimension myDim){;}

    void setString(KChar* pStr, KChar* fColor="black",
                     KChar* fName = "times", KInt fSize = 10);


    void rotateX(KFloat rX) { rotX = rX; }
    void rotateY(KFloat rY) { rotY = rY; }

    void draw(KonoeTclTransform myTrans, KonoeTclGraphics* g,
                                           KInt RR, KInt GG, KInt BB);
    void draw2(KonoeTclTransform myTrans, KonoeTclGraphics* g,
                                           KInt RR, KInt GG, KInt BB){;}

  private:
    KChar* str;
    KChar  fontColor[256];
    KChar  fontName[256];
    KInt   fontSize;

    KChar   myName[256];
    KDouble myOrigX;
    KDouble myOrigY;
    KDouble myOrigZ;
    KonoeTclSpaceManager* spMan;
};

#endif
