//=====================================================================
/*

    KonoeTclActionListener.cc

    Version 0.0.1   17-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.5.1   25-Jan-2000 H. Sakamoto
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#include <KonoePrimitives.hh>
#include <ui/KonoeTclActionListener.hh>

KonoeTclActionListener::KonoeTclActionListener()
{ ; }

KonoeTclActionListener::~KonoeTclActionListener()
{ ; }

void KonoeTclActionListener::addPaintAction(KonoeTclButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                      (void(*)(void*, _XEvent*)) paintButton, (ClientData) bt);
}

void KonoeTclActionListener::addPaintAction(KonoeTclCanvas* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                      (void(*)(void*, _XEvent*)) paintCanvas, (ClientData) bt);
}

void KonoeTclActionListener::addPaintAction(KonoeTclCheckButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                (void(*)(void*, _XEvent*)) paintCheckButton, (ClientData) bt);
}

void KonoeTclActionListener::addPaintAction(KonoeTclEntry* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                  (void(*)(void*, _XEvent*)) paintEntry, (ClientData) bt);
}

void KonoeTclActionListener::addPaintAction(KonoeTclLabel* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                 (void(*)(void*, _XEvent*)) paintLabel, (ClientData) bt);
}

void KonoeTclActionListener::addPaintAction(KonoeTclListBox* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                 (void(*)(void*, _XEvent*)) paintListBox, (ClientData) bt);
}

void KonoeTclActionListener::addPaintAction(KonoeTclMenu* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                 (void(*)(void*, _XEvent*)) paintMenu, (ClientData) bt);
}

void KonoeTclActionListener::addPaintAction(KonoeTclMenuButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                (void(*)(void*, _XEvent*)) paintMenuButton, (ClientData) bt);
}

void KonoeTclActionListener::addPaintAction(KonoeTclMessage* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                (void(*)(void*, _XEvent*)) paintMessage, (ClientData) bt);
}

void KonoeTclActionListener::addPaintAction(KonoeTclSlider* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                (void(*)(void*, _XEvent*)) paintSlider, (ClientData) bt);
}

void KonoeTclActionListener::addPaintAction(KonoeTclText* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), ExposureMask,
                  (void(*)(void*, _XEvent*)) paintText, (ClientData) bt);
}


void KonoeTclActionListener::paintButton(KonoeTclButton* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintCanvas(KonoeTclCanvas* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintCheckButton(KonoeTclCheckButton* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintEntry(KonoeTclEntry* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintLabel(KonoeTclLabel* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintListBox(KonoeTclListBox* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintMenu(KonoeTclMenu* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintMenuButton(KonoeTclMenuButton* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintMessage(KonoeTclMessage* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintRadioButton(KonoeTclRadioButton* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintSlider(KonoeTclSlider* kbt, XEvent* xe)
{
  kbt->paintUI();
}

void KonoeTclActionListener::paintText(KonoeTclText* kbt, XEvent* xe)
{
  kbt->paintUI();
}
