//=====================================================================
/*

    KonoeTclFrame.hh

    Version 0.0.1   05-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLFRAME_HH
#define __KONOETCLFRAME_HH

#include <ui/KonoeTclWindow.hh>
#include <ui/KonoeTclUIPrimitive.hh>

class KonoeTclFrame : virtual public KonoeTclUIPrimitive,
                      virtual public KonoeTclWindow {
  public:
    KonoeTclFrame(KonoeTclWindow* kwin, KChar* kname);
    KonoeTclFrame(KonoeTclWindow* kwin, KChar* kname, KInt col, KInt row);
    virtual ~KonoeTclFrame();

    void setFrame(); // pack mode only 
    void setSize(KInt x, KInt y);

  private:
    void create(KonoeTclWindow* kwin, KChar* kname);
    void create(KonoeTclWindow* kwin, KChar* kname, KInt col, KInt row);
};

#endif
