//=====================================================================
/*

    KonoeTclManager.cc

    Version 0.0.1   05-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#include <tk.h>
#include <tcl.h>
#include <ui/KonoeTclManager.hh>

Tcl_Interp* KonoeTclManager::interp = 0;
KonoeTclManager* KonoeTclManager::kmgr = 0;
KInt KonoeTclManager::fkmgr = 0;

KonoeTclManager::KonoeTclManager()
{
  if(!fkmgr){
    fkmgr = 1;
    kmgr = new KonoeTclManager;
    interp = Tcl_CreateInterp();
    Tcl_Init(interp);
    Tk_Init(interp);
  }
}

KonoeTclManager::~KonoeTclManager()
{
  Tcl_DeleteInterp(interp);
}

void KonoeTclManager::setCommand(KChar* com)
{
  Tcl_Eval(interp, com);
  Tcl_Eval(interp, "update");
}
