//=====================================================================
/*

    KonoeTclMenu.hh

    Version 0.0.1   05-Aug-1999 T. Hosoi , H. Yumura
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLMENU_HH
#define __KONOETCLMENU_HH

#include <ui/KonoeTclGraphics.hh>
#include <ui/KonoeTclWindow.hh>

class KonoeTclMenu : public KonoeTclGraphics,
                     public KonoeTclWindow  {
  public:
    KonoeTclMenu(KonoeTclWindow* kwin, KChar* kname);
    ~KonoeTclMenu();

    void mouseActionUI(KonoeTclMenu* kbt, XEvent* xe);
    void mouseMotionUI(KonoeTclMenu* kbt, XEvent* xe);
    void keyActionUI(KonoeTclMenu* kbt, XEvent* xe);
    void windowActionUI(KonoeTclMenu* kbt, XEvent* xe);

    void addCommand(KChar* lab);
    void addCommand(KChar* lab, KChar* com);
    void makeCascade(KonoeTclWindow* kwin, KChar* lab);
    void addRadioButton(KChar* lab);
    void addCheckButton(KChar* lab);
    void addSeparator();

    void setPopup(KInt x, KInt y);

  private:
    void create(KonoeTclWindow* kwin, KChar* kname){};
	KChar caption[256];
	KChar subpath[256];
	KChar submenu[256];
};

#endif
