//=====================================================================
/*

    KonoeTclMouseMotion.cc

    Version 0.5.0   07-Oct-1999 T. Hosoi
    Version 0.5.1   25-Jan-2000 H. Sakamoto
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#include <KonoePrimitives.hh>
#include <ui/KonoeTclMouseMotion.hh>

KonoeTclMouseMotion::KonoeTclMouseMotion()
{ ; }

KonoeTclMouseMotion::~KonoeTclMouseMotion()
{ ; }

void KonoeTclMouseMotion::addMouseMotion(KonoeTclButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(), 
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
            (void(*)(void*, _XEvent*)) mouseMotionButton, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclCanvas* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
    (void(*)(void*, _XEvent*)) mouseMotionCanvas, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclCheckButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
    (void(*)(void*, _XEvent*)) mouseMotionCheckButton, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclEntry* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
    (void(*)(void*, _XEvent*)) mouseMotionEntry, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclLabel* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
   (void(*)(void*, _XEvent*)) mouseMotionLabel, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclListBox* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
   (void(*)(void*, _XEvent*)) mouseMotionListBox, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclMenu* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
   (void(*)(void*, _XEvent*)) mouseMotionMenu, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclMenuButton* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
   (void(*)(void*, _XEvent*)) mouseMotionMenuButton, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclMessage* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
  (void(*)(void*, _XEvent*)) mouseMotionMessage, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclSlider* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
  (void(*)(void*, _XEvent*)) mouseMotionSlider, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclText* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
  (void(*)(void*, _XEvent*)) mouseMotionText, (ClientData) bt);
}

void KonoeTclMouseMotion::addMouseMotion(KonoeTclWindow* bt)
{
  Tk_CreateEventHandler(bt->getWindow(),
                        ButtonMotionMask | ButtonPress | ButtonReleaseMask, 
  (void(*)(void*, _XEvent*)) mouseMotionWindow, (ClientData) bt);
}

void KonoeTclMouseMotion::mouseMotionButton(KonoeTclButton* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionCanvas(KonoeTclCanvas* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionCheckButton(KonoeTclCheckButton* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionEntry(KonoeTclEntry* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionLabel(KonoeTclLabel* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionListBox(KonoeTclListBox* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionMenu(KonoeTclMenu* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionMenuButton(KonoeTclMenuButton* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionMessage(KonoeTclMessage* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionRadioButton(KonoeTclRadioButton* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionSlider(KonoeTclSlider* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionText(KonoeTclText* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}

void KonoeTclMouseMotion::mouseMotionWindow(KonoeTclWindow* kbt, XEvent* xe)
{
  kbt->mouseMotionUI(kbt, xe);
}
