//=====================================================================
/*

    KonoeTclSubWindow.cc

    Version 0.0.1   05-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#include <iostream.h>
#include <stdlib.h>
#include <string.h>
#include <tcl.h>
#include <tk.h>
#include <ui/KonoeTclManager.hh>
#include <ui/KonoeTclWindow.hh>
#include <ui/KonoeTclSubWindow.hh>

KonoeTclSubWindow::KonoeTclSubWindow(KonoeTclWindow* kwin, KChar* kname)
{
  parentWindow = kwin;
  strcpy(title, "Window");
  create(kwin, kname);
}

KonoeTclSubWindow::KonoeTclSubWindow(KonoeTclWindow* kwin, KChar* kname,
                                     KChar* tit)
{
  parentWindow = kwin;
  strcpy(title, tit);
  create(kwin, kname);
}

void KonoeTclSubWindow::create(KonoeTclWindow* kwin, KChar* kname)
{
  strcpy(name, kname);

  if(strcmp(kwin->getPath(), ".") == 0){
    sprintf(path, ".%s", name);
  }
  else{
    sprintf(path, "%s.%s", kwin->getPath(), name);
  }

  //win = Tk_CreateWindowFromPath(mgr->getInterp(), kwin->getWindow(),
  //                              path, (KChar *) NULL); 
  //if(win == NULL){
  //  cerr << mgr->getInterp()->result << endl;
  //  exit(1);
  //}
  //Tk_SetClass(win, name);

  char cmd[256];

  sprintf(cmd, "toplevel %s", path);
  configNoUpdate(cmd);
  sprintf(cmd, "wm title %s \"%s\"", path, title);
  configNoUpdate(cmd);

  win = Tk_NameToWindow(mgr->getInterp(), path, kwin->getWindow());
//  Tcl_Eval(mgr->getInterp(), "update");
}

void KonoeTclSubWindow::setTitle(KChar* tit)
{
  strcpy(title, tit);
  char cmd[256];
  sprintf(cmd, "wm title %s \"%s\"", path, title);
  configNoUpdate(cmd);
}
