//=====================================================================
/*

    KonoeTclTimer.hh

    Version 0.5.0   19-Oct-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLTIMER_HH
#define __KONOETCLTIMER_HH

#include <ui/KonoeTclUIPrimitive.hh>
#include <ui/KonoeTclWindow.hh>

static KInt __ms;
static Tcl_TimerToken timerToken;

class KonoeTclTimer {

  public:
    KonoeTclTimer();
    ~KonoeTclTimer();

    void addTimer(KonoeTclUIPrimitive* uip, KInt _ms);
    static void setInterval(KInt _ms);
    static void removeTimer();

  private:
    static void timerHandler(ClientData clientdata);
};

#endif
