//=====================================================================
/*

    KonoeTclWindow.hh

    Version 0.0.1   05-Aug-1999 T. Hosoi
    Version 0.5.0   28-Sep-1999 T. Hosoi
    Version 0.6.0   01-Feb-2000 T. Hosoi
    Version 0.6.1   05-Apr-2000 T. Hosoi

*/
//====================================================================

#ifndef __KONOETCLWINDOW_HH
#define __KONOETCLWINDOW_HH

#include <ui/KonoeTclCore.hh>
#include <X11/Xutil.h>

class KonoeTclEventProcessor;

class KonoeTclWindow : virtual public KonoeTclCore {
  public:
    KonoeTclWindow() { ; }
    virtual ~KonoeTclWindow() { ; }
    
    void setGeometry(KonoeTclWindow* kwin, KInt x, KInt y, KInt w, KInt h);
    void show();
    void hide();
    void show(KonoeTclWindow* kwin);
    void hide(KonoeTclWindow* kwin);
    void destroy();
    void setFocusModel(KChar* model);
    // focus model
    // passive active

//    void setEventProcessor(KonoeTclEventProcessor* ep) { kEventProcessor = ep; }
    void mouseActionUI(KonoeTclWindow* kbt, XEvent* xe);
    void mouseMotionUI(KonoeTclWindow* kbt, XEvent* xe);
    void keyActionUI(KonoeTclWindow* kbt, XEvent* xe);
    void windowActionUI(KonoeTclWindow* kbt, XEvent* xe);
  
  private:
//    KonoeTclEventProcessor* kEventProcessor;
};

#endif



